!******************************************************************************!
!                                                                              !
!    fill_ctcouplings1.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings1.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings1
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl1()
      coupl(nGC_2604) = coupl(nGC_593)*dMW2_QED2
      coupl(nGC_2605) = coupl(nGC_597)*dMW2_QED2
      coupl(nGC_2602) = cima*dMZ2_QED2
      coupl(nGC_2603) = cima*dMW2_QED2
      coupl(nGC_2600) = -cima*dMB_QED2
      coupl(nGC_2601) = -cima*dMB_QCD2
      coupl(nGC_2289) = coupl(nGC_1403)*db_QED2 + coupl(nGC_1404)*dvev2_QED1 + &
                        coupl(nGC_1405)*dvev1_QED1 + coupl(nGC_1406)*dl2_QED4  &
                         + coupl(nGC_1407)*dl1_QED4 + coupl(nGC_1408)*dl4_QED4 &
                         + coupl(nGC_1409)*dl3_QED4 + coupl(nGC_1410)*da_QED2  &
                         + coupl(nGC_1411)*dl5_QED4
      coupl(nGC_2283) = coupl(nGC_914)*db_QED2 + coupl(nGC_915)*dl3_QED4 +     &
                        coupl(nGC_916)*dl2_QED4 + coupl(nGC_917)*dl1_QED4 +    &
                        coupl(nGC_918)*dl4_QED4 + coupl(nGC_919)*dl5_QED4
      coupl(nGC_2280) = coupl(nGC_908)*db_QED2 + coupl(nGC_909)*dl3_QED4 +     &
                        coupl(nGC_910)*dl2_QED4 + coupl(nGC_911)*dl1_QED4 +    &
                        coupl(nGC_912)*dl4_QED4 + coupl(nGC_913)*dl5_QED4
      coupl(nGC_3245) = coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_2865) = coupl(nGC_160)*dZG0/2d0
      coupl(nGC_2671) = coupl(nGC_97)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2679) = coupl(nGC_73)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_70_Hh) = -coupl(nGC_70)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_70_Hl) = -coupl(nGC_70)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2989) = -coupl(nGC_72)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2250) = coupl(nGC_1250)*dl3_QED4 + coupl(nGC_1251)*dl2_QED4 +  &
                        coupl(nGC_1252)*dl1_QED4 + coupl(nGC_1253)*dl4_QED4 +  &
                        coupl(nGC_1254)*dl5_QED4 + coupl(nGC_1255)*da_QED2
      coupl(nGC_2256) = coupl(nGC_1243)*db_QED2 + coupl(nGC_1244)*dl3_QED4 +   &
                        coupl(nGC_1245)*dl2_QED4 + coupl(nGC_1246)*dl1_QED4 +  &
                        coupl(nGC_1247)*dl4_QED4 + coupl(nGC_1248)*dl5_QED4 +  &
                        coupl(nGC_1249)*da_QED2
      coupl(nGC_2259) = coupl(nGC_1068)*dl3_QED4 + coupl(nGC_1069)*dl2_QED4 +  &
                        coupl(nGC_1070)*dl1_QED4 + coupl(nGC_1071)*dl4_QED4 +  &
                        coupl(nGC_1072)*dl5_QED4 + coupl(nGC_1073)*da_QED2
      coupl(nGC_TS_GC_141_Hl) = -coupl(nGC_141)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2382) = coupl(nGC_1092)*dyd12x2_QED1_QCD2 + coupl(nGC_1093)*   &
                        dys2_QED1_QCD2
      coupl(nGC_3035) = coupl(nGC_77)*dZGMinus/2d0
      coupl(nGC_2810) = coupl(nGC_80)*(dZcL_QCD2 + dZsL_QCD2)/2d0
      coupl(nGC_2923) = coupl(nGC_62)*dZGMinus
      coupl(nGC_2922) = coupl(nGC_76)*dZG0Ha_QED2/2d0
      coupl(nGC_TS_GC_133_Hh) = -coupl(nGC_133)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_169_Hl) = -coupl(nGC_169)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2242) = coupl(nGC_933)*db_QED2 + coupl(nGC_934)*dl3_QED4 +     &
                        coupl(nGC_935)*dl2_QED4 + coupl(nGC_936)*dl1_QED4 +    &
                        coupl(nGC_937)*dl4_QED4 + coupl(nGC_938)*dl5_QED4
      coupl(nGC_2240) = coupl(nGC_1074)*dZee_QED2 + coupl(nGC_1075)*dcw_QED2 + &
                        coupl(nGC_1076)*dsw_QED2
      coupl(nGC_2241) = coupl(nGC_1044)*dZee_QED2 + coupl(nGC_1045)*dcw_QED2 + &
                        coupl(nGC_1046)*dsw_QED2
      coupl(nGC_2390) = coupl(nGC_1536)*dydo2_QED1_QCD2 + coupl(nGC_1537)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2394) = coupl(nGC_1478)*dyd13x3_QED1_QCD2 + coupl(nGC_1479)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2801) = coupl(nGC_99)*dZZA_QED2/2d0
      coupl(nGC_2804) = coupl(nGC_56)*dZG0
      coupl(nGC_TS_GC_137_Hh) = -coupl(nGC_137)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_63_Hh) = -coupl(nGC_63)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2939) = coupl(nGC_MI)*dZtauMinusR_QED2
      coupl(nGC_1708) = cima*(-coupl(nGC_80)**2d0 - coupl(nGC_90)**2d0)/(16d0* &
                        pi**2d0)
      coupl(nGC_TS_GC_63_Hl) = -coupl(nGC_63)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2716) = coupl(nGC_174)*dZGMinus/2d0
      coupl(nGC_TS_GC_66_Hh) = -coupl(nGC_66)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2658) = coupl(nGC_MI)*dZbL_QCD2
      coupl(nGC_2656) = coupl(nGC_2601) + coupl(nGC_MB)*dZbL_QCD2/2d0 + coupl( &
                        nGC_MB)*dZbR_QCD2/2d0
      coupl(nGC_TS_GC_173_Hh) = -coupl(nGC_173)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2239) = coupl(nGC_1042)*dZee_QED2 + coupl(nGC_1043)*dsw_QED2
      coupl(nGC_2238) = coupl(nGC_1065)*dZee_QED2 + coupl(nGC_1066)*dcw_QED2 + &
                        coupl(nGC_1067)*dsw_QED2
      coupl(nGC_2722) = coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_3128) = coupl(nGC_MI)*dZtR_QED2
      coupl(nGC_2836) = coupl(nGC_149)*dZdL_QCD2/2d0 + coupl(nGC_149)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2390)
      coupl(nGC_2834) = coupl(nGC_152)*dZG0/2d0
      coupl(nGC_2344) = coupl(nGC_411)*dZgs_QCD2
      coupl(nGC_2831) = coupl(nGC_151)*dZG0/2d0
      coupl(nGC_2902) = -coupl(nGC_94)*dZG0/2d0
      coupl(nGC_2909) = coupl(nGC_MI)*dZmuMinusR_QED2
      coupl(nGC_TS_GC_161_Hl) = -coupl(nGC_161)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2349) = coupl(nGC_1077)*dZee_QED2 + coupl(nGC_1078)*dcw_QED2 + &
                        coupl(nGC_1079)*dsw_QED2
      coupl(nGC_2643) = -coupl(nGC_69)*dZGMinus/2d0
      coupl(nGC_2735) = coupl(nGC_84)*dZbR_QCD2
      coupl(nGC_2733) = coupl(nGC_87)*dZbL_QCD2
      coupl(nGC_2823) = coupl(nGC_150)*dZGMinus/2d0
      coupl(nGC_2826) = coupl(nGC_97)*dZGMinus
      coupl(nGC_3198) = -coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3197) = coupl(nGC_MI)*(dZAZ_QED2 + dZZA_QED2)/2d0
      coupl(nGC_3196) = coupl(nGC_MZ)*dZZA_QED2/2d0
      coupl(nGC_2917) = coupl(nGC_41)*dZGMinus/2d0
      coupl(nGC_2914) = coupl(nGC_68)*dZGMinus/2d0
      coupl(nGC_2915) = coupl(nGC_96)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2912) = coupl(nGC_72)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2911) = coupl(nGC_MI)*dZmuMinusL_QED2
      coupl(nGC_TS_GC_92_Hh) = -coupl(nGC_92)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_184_Hl) = -coupl(nGC_184)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hl) = -coupl(nGC_64)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_64_Hh) = -coupl(nGC_64)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2743) = coupl(nGC_42)*dZG0/2d0
      coupl(nGC_2211) = (3d0*Nc*cima*coupl(nGC_84)**4d0 + 3d0*Nc*cima*coupl(   &
                        nGC_85)**4d0 + 3d0*Nc*cima*coupl(nGC_87)**4d0 + 3d0*Nc*&
                        cima*coupl(nGC_88)**4d0 - 10d0*cima*coupl(nGC_623)**4d0&
                         + 3d0*cima*coupl(nGC_631)**2d0 - 10d0*cima*coupl(     &
                        nGC_82)**4d0 + 3d0*cima*coupl(nGC_86)**4d0 + 3d0*cima* &
                        coupl(nGC_89)**4d0 + 3d0*cima*coupl(nGC_90)**4d0 + 9d0*&
                        coupl(nGC_623)**2d0*coupl(nGC_631) + 3d0*coupl(nGC_623 &
                        )**2d0*coupl(nGC_79) + 9d0*coupl(nGC_631)*coupl(nGC_82 &
                        )**2d0 + 3d0*coupl(nGC_79)*coupl(nGC_82)**2d0)/(24d0*pi&
                        **2d0)
      coupl(nGC_2585) = -cima*dMHA2_QED2
      coupl(nGC_2584) = -cima*dMHH2_QED2
      coupl(nGC_2587) = -cima*dME_QED2
      coupl(nGC_2583) = -cima*dMHL2_QED2
      coupl(nGC_2582) = -cima*dMHC2_QED2
      coupl(nGC_2589) = -cima*dMTA_QED2
      coupl(nGC_2588) = -cima*dMM_QED2
      coupl(nGC_2381) = coupl(nGC_1091)*db_QED2 + coupl(nGC_1092)*dyd12x2_QED3 &
                         + coupl(nGC_1093)*dys2_QED3
      coupl(nGC_2361) = coupl(nGC_1324)*db_QED2 + coupl(nGC_1325)*dyt1_QED3 +  &
                        coupl(nGC_1326)*dyt2_QED3
      coupl(nGC_2360) = coupl(nGC_1038)*dyd12x2_QED1_QCD2 + coupl(nGC_1039)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2362) = coupl(nGC_1325)*dyt1_QED1_QCD2 + coupl(nGC_1326)*      &
                        dyt2_QED1_QCD2
      coupl(nGC_2365) = coupl(nGC_1527)*db_QED2 + coupl(nGC_1528)*dydo1_QED3 + &
                        coupl(nGC_1529)*dydo2_QED3
      coupl(nGC_2366) = coupl(nGC_1528)*dydo1_QED1_QCD2 + coupl(nGC_1529)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2389) = coupl(nGC_1536)*dydo2_QED3 + coupl(nGC_1537)*dydo1_QED3&
                         + coupl(nGC_1538)*da_QED2
      coupl(nGC_2695) = coupl(nGC_21)*dZGMinus/2d0
      coupl(nGC_2694) = -coupl(nGC_2238) - coupl(nGC_82)*dZWMinus_QED2/2d0
      coupl(nGC_2696) = coupl(nGC_61)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2698) = coupl(nGC_65)*dZGMinus/2d0
      coupl(nGC_3186) = 2d0*coupl(nGC_55)*dZG0
      coupl(nGC_3187) = coupl(nGC_2242) + 2d0*coupl(nGC_47)*dZHaG0_QED2
      coupl(nGC_3184) = coupl(nGC_135)*dZG0/2d0
      coupl(nGC_3162) = coupl(nGC_MI)*dZsL_QED2
      coupl(nGC_3163) = coupl(nGC_MI)*dZsL_QCD2
      coupl(nGC_3169) = -coupl(nGC_64)*dZGMinus/2d0
      coupl(nGC_2968) = coupl(nGC_20)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_TS_GC_32_Hh) = -coupl(nGC_32)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2964) = coupl(nGC_46)*dZG0/2d0
      coupl(nGC_2953) = coupl(nGC_53)*(dZG0 + dZGMinus)
      coupl(nGC_2959) = coupl(nGC_56)*dZGMinus
      coupl(nGC_TS_GC_91_Hl) = -coupl(nGC_91)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2752) = coupl(nGC_75)*dZG0/2d0
      coupl(nGC_2753) = coupl(nGC_98)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2754) = coupl(nGC_MI)*dZuR_QED2
      coupl(nGC_2755) = coupl(nGC_MI)*dZuR_QCD2
      coupl(nGC_2758) = coupl(nGC_MI)*dZuL_QED2
      coupl(nGC_2759) = coupl(nGC_MI)*dZuL_QCD2
      coupl(nGC_2592) = -cima*dMC_QED2
      coupl(nGC_2593) = -cima*dMC_QCD2
      coupl(nGC_2590) = -cima*dMU_QED2
      coupl(nGC_2591) = -cima*dMU_QCD2
      coupl(nGC_2596) = -cima*dMD_QED2
      coupl(nGC_2597) = -cima*dMD_QCD2
      coupl(nGC_2594) = -cima*dMT_QED2
      coupl(nGC_2595) = -cima*dMT_QCD2
      coupl(nGC_2598) = -cima*dMS_QED2
      coupl(nGC_2599) = -cima*dMS_QCD2
      coupl(nGC_2750) = 2d0*coupl(nGC_54)*dZGMinus
      coupl(nGC_2370) = coupl(nGC_1448)*dyc1_QED1_QCD2 + coupl(nGC_1449)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2688) = coupl(nGC_80)*(dZdL_QCD2 + dZuL_QCD2)/2d0
      coupl(nGC_2689) = coupl(nGC_90)*dZZA_QED2/2d0
      coupl(nGC_2686) = coupl(nGC_74)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2757) = coupl(nGC_2591) + coupl(nGC_MU)*dZuL_QCD2/2d0 + coupl( &
                        nGC_MU)*dZuR_QCD2/2d0
      coupl(nGC_2683) = coupl(nGC_73)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2680) = coupl(nGC_70)*dZGMinus/2d0
      coupl(nGC_3151) = coupl(nGC_MI)*dZdL_QCD2
      coupl(nGC_3150) = coupl(nGC_MI)*dZdL_QED2
      coupl(nGC_3153) = coupl(nGC_98)*dZGMinus/2d0
      coupl(nGC_3152) = coupl(nGC_72)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_3155) = coupl(nGC_92)*dZZA_QED2/2d0
      coupl(nGC_3154) = -coupl(nGC_91)*dZZA_QED2/2d0
      coupl(nGC_3159) = coupl(nGC_MI)*dZsR_QCD2
      coupl(nGC_2979) = coupl(nGC_175)*dZG0/2d0
      coupl(nGC_2971) = coupl(nGC_146)*dZHMinus_QED2/2d0 + coupl(nGC_146)*     &
                        dZdR_QED2/2d0 + coupl(nGC_146)*dZuL_QED2/2d0 + coupl(  &
                        nGC_150)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2365)
      coupl(nGC_2972) = coupl(nGC_146)*dZdR_QCD2/2d0 + coupl(nGC_146)*dZuL_QCD2&
                        /2d0 + coupl(nGC_2366)
      coupl(nGC_2974) = coupl(nGC_87)*dZsL_QCD2
      coupl(nGC_2976) = coupl(nGC_84)*dZsR_QCD2
      coupl(nGC_TS_GC_25_Hh) = -coupl(nGC_25)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_25_Hl) = -coupl(nGC_25)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_192_Hl) = -coupl(nGC_192)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hl) = -coupl(nGC_99)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_99_Hh) = -coupl(nGC_99)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_65_Hl) = -coupl(nGC_65)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_28_Hl) = -coupl(nGC_28)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2769) = coupl(nGC_77)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2765) = coupl(nGC_181)*dZGMinus/2d0
      coupl(nGC_2764) = coupl(nGC_181)*dZbL_QCD2/2d0 + coupl(nGC_181)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2362)
      coupl(nGC_2767) = coupl(nGC_14)*dZGMinus/2d0
      coupl(nGC_2763) = coupl(nGC_178)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_181 &
                        )*dZbL_QED2/2d0 + coupl(nGC_181)*dZtR_QED2/2d0 + coupl(&
                        nGC_2361)
      coupl(nGC_TS_GC_33_Hh) = -coupl(nGC_33)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2309) = coupl(nGC_1025)*dZee_QED2 + coupl(nGC_1026)*da_QED2 +  &
                        coupl(nGC_1027)*dsw_QED2 + coupl(nGC_1028)*db_QED2
      coupl(nGC_2308) = coupl(nGC_1040)*dZee_QED2 + coupl(nGC_1041)*dsw_QED2
      coupl(nGC_2302) = coupl(nGC_363)*db_QED2 + coupl(nGC_365)*dvev2_QED1 +   &
                        coupl(nGC_367)*da_QED2 + coupl(nGC_369)*dl2_QED4 +     &
                        coupl(nGC_371)*dl1_QED4 + coupl(nGC_373)*dl4_QED4 +    &
                        coupl(nGC_375)*dl3_QED4 + coupl(nGC_377)*dvev1_QED1 +  &
                        coupl(nGC_379)*dl5_QED4
      coupl(nGC_2301) = coupl(nGC_343)*db_QED2 + coupl(nGC_345)*dvev2_QED1 +   &
                        coupl(nGC_347)*da_QED2 + coupl(nGC_349)*dl2_QED4 +     &
                        coupl(nGC_351)*dl1_QED4 + coupl(nGC_353)*dl4_QED4 +    &
                        coupl(nGC_355)*dl3_QED4 + coupl(nGC_357)*dvev1_QED1 +  &
                        coupl(nGC_359)*dl5_QED4
      coupl(nGC_2307) = coupl(nGC_1047)*dZee_QED2
      coupl(nGC_2306) = coupl(nGC_1060)*dZee_QED2
      coupl(nGC_2304) = coupl(nGC_1327)*dl4_QED4 + coupl(nGC_1328)*dl5_QED4 +  &
                        coupl(nGC_1329)*dvev2_QED1 + coupl(nGC_1330)*dvev1_QED1&
                         + coupl(nGC_1331)*db_QED2
      coupl(nGC_2685) = coupl(nGC_19)*(dZG0Ha_QED2 + dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2415) = coupl(nGC_1593)*db_QED2 + coupl(nGC_1594)*dytau2_QED3  &
                         + coupl(nGC_1595)*dytau1_QED3
      coupl(nGC_2414) = coupl(nGC_1596)*db_QED2 + coupl(nGC_1597)*dym1_QED3 +  &
                        coupl(nGC_1598)*dym2_QED3
      coupl(nGC_3146) = coupl(nGC_MI)*dZdR_QED2
      coupl(nGC_3147) = coupl(nGC_MI)*dZdR_QCD2
      coupl(nGC_2418) = coupl(nGC_1492)*db_QED2 + coupl(nGC_1493)*dytau2_QED3  &
                         + coupl(nGC_1494)*dytau1_QED3
      coupl(nGC_2787) = coupl(nGC_40)*dZGMinus/2d0
      coupl(nGC_2786) = coupl(nGC_197)*dZG0/2d0
      coupl(nGC_3093) = coupl(nGC_94)*dZG0/2d0
      coupl(nGC_2652) = coupl(nGC_2280) + coupl(nGC_47)*dZHa_QED2/2d0 + coupl( &
                        nGC_55)*dZG0Ha_QED2/2d0 + 3d0*coupl(nGC_59)*dZHaG0_QED2&
                        /2d0
      coupl(nGC_2981) = coupl(nGC_176)*dZsL_QCD2/2d0 + coupl(nGC_176)*dZsR_QCD2&
                        /2d0 + coupl(nGC_2382)
      coupl(nGC_2980) = coupl(nGC_172)*dZHaG0_QED2/2d0 + coupl(nGC_176)*       &
                        dZsL_QED2/2d0 + coupl(nGC_176)*dZsR_QED2/2d0 + coupl(  &
                        nGC_2381)
      coupl(nGC_3158) = coupl(nGC_MI)*dZsR_QED2
      coupl(nGC_2645) = coupl(nGC_18)*dZGMinus
      coupl(nGC_2770) = coupl(nGC_20)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3225) = coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_3224) = -coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3223) = coupl(nGC_MI)*dZg_QCD2
      coupl(nGC_3222) = coupl(nGC_MI)*dZnu_eL_QED2
      coupl(nGC_3221) = coupl(nGC_2239) + 2d0*coupl(nGC_78)*dZWMinus_QED2
      coupl(nGC_3220) = -2d0*coupl(nGC_2239) - 4d0*coupl(nGC_78)*dZWMinus_QED2
      coupl(nGC_2318) = coupl(nGC_1031)*dZee_QED2 + coupl(nGC_1032)*dsw_QED2
      coupl(nGC_2319) = coupl(nGC_992)*dZee_QED2 + coupl(nGC_993)*da_QED2 +    &
                        coupl(nGC_994)*dsw_QED2 + coupl(nGC_995)*db_QED2
      coupl(nGC_2310) = coupl(nGC_1005)*dZee_QED2 + coupl(nGC_1006)*da_QED2 +  &
                        coupl(nGC_1007)*dsw_QED2 + coupl(nGC_1008)*db_QED2
      coupl(nGC_2312) = coupl(nGC_1442)*dvev1_QED1 + coupl(nGC_1443)*dvev2_QED1&
                         + coupl(nGC_1444)*dZee_QED2 + coupl(nGC_1445)*dsw_QED2&
                         + coupl(nGC_1446)*db_QED2
      coupl(nGC_2314) = coupl(nGC_1029)*dZee_QED2 + coupl(nGC_1030)*dsw_QED2
      coupl(nGC_2315) = coupl(nGC_1033)*dZee_QED2 + coupl(nGC_1034)*da_QED2 +  &
                        coupl(nGC_1035)*dsw_QED2 + coupl(nGC_1036)*db_QED2
      coupl(nGC_2316) = coupl(nGC_996)*dZee_QED2 + coupl(nGC_997)*da_QED2 +    &
                        coupl(nGC_998)*dsw_QED2 + coupl(nGC_999)*db_QED2
      coupl(nGC_2404) = coupl(nGC_1525)*dydo1_QED1_QCD2 + coupl(nGC_1526)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2405) = coupl(nGC_987)*db_QED2 + coupl(nGC_988)*dyd12x2_QED3 + &
                        coupl(nGC_989)*dys2_QED3
      coupl(nGC_2400) = coupl(nGC_1498)*dyd13x3_QED1_QCD2 + coupl(nGC_1499)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2401) = coupl(nGC_1533)*db_QED2 + coupl(nGC_1534)*dydo1_QED3 + &
                        coupl(nGC_1535)*dydo2_QED3
      coupl(nGC_2402) = coupl(nGC_1534)*dydo1_QED1_QCD2 + coupl(nGC_1535)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2403) = coupl(nGC_1524)*db_QED2 + coupl(nGC_1525)*dydo1_QED3 + &
                        coupl(nGC_1526)*dydo2_QED3
      coupl(nGC_3133) = coupl(nGC_MI)*dZtL_QCD2
      coupl(nGC_3132) = coupl(nGC_MI)*dZtL_QED2
      coupl(nGC_3131) = coupl(nGC_2595) + coupl(nGC_MT)*dZtL_QCD2/2d0 + coupl( &
                        nGC_MT)*dZtR_QCD2/2d0
      coupl(nGC_3135) = coupl(nGC_25)*dZG0
      coupl(nGC_3134) = coupl(nGC_75)*dZG0Ha_QED2/2d0
      coupl(nGC_2795) = -coupl(nGC_2316) - coupl(nGC_64)*dZHMinus_QED2/2d0 -   &
                        coupl(nGC_64)*dZHh_QED2/2d0 - coupl(nGC_64)*           &
                        dZWMinus_QED2/2d0 - coupl(nGC_68)*dZHlHh_QED2/2d0 +    &
                        coupl(nGC_69)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2797) = coupl(nGC_18)*(dZGMinusHMinus_QED2 +                   &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2790) = coupl(nGC_73)*(dZGMinusHMinus_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2793) = coupl(nGC_172)*dZHa_QED2/2d0 + coupl(nGC_172)*dZsL_QED2&
                        /2d0 + coupl(nGC_172)*dZsR_QED2/2d0 + coupl(nGC_176)*  &
                        dZG0Ha_QED2/2d0 + coupl(nGC_2405)
      coupl(nGC_2798) = coupl(nGC_2241) + coupl(nGC_79)*dZWMinus_QED2 + coupl( &
                        nGC_79)*dZZ_QED2 - coupl(nGC_83)*dZAZ_QED2/2d0
      coupl(nGC_2799) = -2d0*coupl(nGC_2241) - 2d0*coupl(nGC_79)*dZWMinus_QED2 &
                         - 2d0*coupl(nGC_79)*dZZ_QED2 + coupl(nGC_83)*dZAZ_QED2
      coupl(nGC_3047) = -coupl(nGC_2319) - coupl(nGC_63)*dZHl_QED2/2d0 - coupl(&
                        nGC_63)*dZWMinus_QED2/2d0 - coupl(nGC_68)*dZHhHl_QED2/ &
                        2d0 + coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
      coupl(nGC_3040) = coupl(nGC_39)*dZG0
      coupl(nGC_3048) = -coupl(nGC_63)*dZGMinus/2d0
      coupl(nGC_2638) = coupl(nGC_62)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_TS_GC_180_Hh) = -coupl(nGC_180)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hh) = -coupl(nGC_16)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_16_Hl) = -coupl(nGC_16)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_106_Hh) = -coupl(nGC_106)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2406) = coupl(nGC_988)*dyd12x2_QED1_QCD2 + coupl(nGC_989)*     &
                        dys2_QED1_QCD2
      coupl(nGC_TS_GC_129_Hh) = -coupl(nGC_129)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_34_Hh) = -coupl(nGC_34)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2092) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)*coupl(  &
                        nGC_84) - coupl(nGC_1)*coupl(nGC_87) - coupl(nGC_2)*   &
                        coupl(nGC_85) - coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0*Nc)
      coupl(nGC_2091) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)*coupl(   &
                        nGC_84) + coupl(nGC_1)*coupl(nGC_87) + coupl(nGC_2)*   &
                        coupl(nGC_85) + coupl(nGC_2)*coupl(nGC_88))/(32d0*pi** &
                        2d0)
      coupl(nGC_TS_GC_106_Hl) = -coupl(nGC_106)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2893) = coupl(nGC_168)*dZG0/2d0
      coupl(nGC_2324) = coupl(nGC_1318)*dZee_QED2 + coupl(nGC_1319)*dcw_QED2 + &
                        coupl(nGC_1320)*dsw_QED2
      coupl(nGC_2891) = coupl(nGC_167)*dZG0/2d0
      coupl(nGC_2897) = coupl(nGC_88)*dZuL_QCD2
      coupl(nGC_3239) = -coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_2322) = coupl(nGC_1412)*dsw_QED2 + coupl(nGC_1413)*da_QED2 +   &
                        coupl(nGC_1414)*dvev1_QED1 + coupl(nGC_1415)*dvev2_QED1&
                         + coupl(nGC_1416)*dZee_QED2
      coupl(nGC_3234) = -coupl(nGC_MMW_GF)*dZGMinus/2d0
      coupl(nGC_2899) = coupl(nGC_85)*dZuR_QCD2
      coupl(nGC_2329) = coupl(nGC_1574)*dZee_QED2 + coupl(nGC_1575)*dcw_QED2
      coupl(nGC_2328) = coupl(nGC_1097)*db_QED2 + coupl(nGC_1098)*da_QED2 +    &
                        coupl(nGC_1099)*dcw_QED2 + coupl(nGC_1100)*dZee_QED2 + &
                        coupl(nGC_1101)*dsw_QED2
      coupl(nGC_3233) = coupl(nGC_I)*(dZG0Ha_QED2 + dZHaG0_QED2)/2d0
      coupl(nGC_2357) = coupl(nGC_1469)*db_QED2 + coupl(nGC_1470)*dyc1_QED3 +  &
                        coupl(nGC_1471)*dyc2_QED3
      coupl(nGC_2350) = coupl(nGC_1022)*dZee_QED2 + coupl(nGC_1023)*dcw_QED2 + &
                        coupl(nGC_1024)*dsw_QED2
      coupl(nGC_2351) = coupl(nGC_1000)*dZee_QED2 + coupl(nGC_1001)*dcw_QED2 + &
                        coupl(nGC_1002)*dsw_QED2
      coupl(nGC_2352) = coupl(nGC_854)*dZee_QED2 + coupl(nGC_855)*dcw_QED2 +   &
                        coupl(nGC_856)*dsw_QED2
      coupl(nGC_3238) = coupl(nGC_MI)*dZWMinus_QED2
      coupl(nGC_TS_GC_36_Hh) = -coupl(nGC_36)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_36_Hl) = -coupl(nGC_36)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2431) = coupl(nGC_1559)*dye2_QED3 + coupl(nGC_1560)*db_QED2 +  &
                        coupl(nGC_1561)*dye1_QED3
      coupl(nGC_3129) = coupl(nGC_MI)*dZtR_QCD2
      coupl(nGC_2433) = coupl(nGC_1590)*db_QED2 + coupl(nGC_1591)*dym1_QED3 +  &
                        coupl(nGC_1592)*dym2_QED3
      coupl(nGC_2432) = coupl(nGC_1562)*dye2_QED3 + coupl(nGC_1563)*db_QED2 +  &
                        coupl(nGC_1564)*dye1_QED3
      coupl(nGC_2434) = coupl(nGC_1602)*db_QED2 + coupl(nGC_1603)*dym1_QED3 +  &
                        coupl(nGC_1604)*dym2_QED3
      coupl(nGC_2437) = coupl(nGC_1472)*db_QED2 + coupl(nGC_1473)*dyup1_QED3 + &
                        coupl(nGC_1474)*dyup2_QED3
      coupl(nGC_2436) = coupl(nGC_1521)*db_QED2 + coupl(nGC_1522)*dytau2_QED3  &
                         + coupl(nGC_1523)*dytau1_QED3
      coupl(nGC_3120) = coupl(nGC_MI)*dZcL_QED2
      coupl(nGC_3121) = coupl(nGC_MI)*dZcL_QCD2
      coupl(nGC_3123) = coupl(nGC_122)*dZGMinus/2d0
      coupl(nGC_3124) = coupl(nGC_2319) + coupl(nGC_63)*dZHl_QED2/2d0 + coupl( &
                        nGC_63)*dZWMinus_QED2/2d0 + coupl(nGC_68)*dZHhHl_QED2/ &
                        2d0 - coupl(nGC_69)*dZHMinusGMinus_QED2/2d0
    end subroutine fill_CTcouplings_mdl1
end module fill_ctcouplings1
