!******************************************************************************!
!                                                                              !
!    fill_ctcouplings3.f90                                                     !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   fill_ctcouplings3.f90                          |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module fill_ctcouplings3
  use constants_mdl
  use class_couplings
  use class_ctparameters
  contains
    subroutine fill_CTcouplings_mdl3()
      coupl(nGC_2218) = (-8d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*Nc*cima&
                        *coupl(nGC_647)**2d0 + 12d0*Nc*cima*coupl(nGC_8)**2d0  &
                         - 21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_647)*sq2**2d0 + &
                        21d0*Nc*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0 + 36d0*&
                        cima*coupl(nGC_7)**4d0*sq2**4d0)/(768d0*pi**2d0)
      coupl(nGC_1780) = coupl(nGC_196)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2628) = coupl(nGC_190)*dZG0/2d0
      coupl(nGC_2629) = coupl(nGC_187)*dZHaG0_QED2/2d0 + coupl(nGC_191)*       &
                        dZtauMinusL_QED2/2d0 + coupl(nGC_191)*dZtauMinusR_QED2/&
                        2d0 + coupl(nGC_2424)
      coupl(nGC_2198) = (20d0*Nc*cima*coupl(nGC_130)**4d0 + 20d0*Nc*cima*coupl(&
                        nGC_141)**4d0 + 20d0*Nc*cima*coupl(nGC_145)**4d0 + 20d0&
                        *Nc*cima*coupl(nGC_169)**4d0 + 20d0*Nc*cima*coupl(     &
                        nGC_177)**4d0 + 20d0*Nc*cima*coupl(nGC_192)**4d0 + 20d0&
                        *cima*coupl(nGC_153)**4d0 + 20d0*cima*coupl(nGC_161)** &
                        4d0 + 20d0*cima*coupl(nGC_184)**4d0 + 6d0*cima*coupl(  &
                        nGC_61)**2d0 - 5d0*cima*coupl(nGC_611)**2d0*coupl(     &
                        nGC_94)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_643)*&
                        coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_613)**&
                        2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(nGC_613)*coupl&
                        (nGC_639)*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(&
                        nGC_621)**2d0*coupl(nGC_63)**2d0 - 10d0*cima*coupl(    &
                        nGC_621)*coupl(nGC_63)*coupl(nGC_635)*coupl(nGC_68) -  &
                        5d0*cima*coupl(nGC_635)**2d0*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_639)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*&
                        coupl(nGC_643)**2d0*coupl(nGC_91)**2d0 + 3d0*cima*coupl&
                        (nGC_99)**2d0 + 3d0*coupl(nGC_24)*coupl(nGC_613)*coupl(&
                        nGC_639) + 3d0*coupl(nGC_24)*coupl(nGC_621)*coupl(     &
                        nGC_635) + 3d0*coupl(nGC_24)*coupl(nGC_63)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_24)*coupl(nGC_64)*coupl(nGC_69) + 3d0&
                        *coupl(nGC_28)*coupl(nGC_611)*coupl(nGC_91) + 3d0*coupl&
                        (nGC_28)*coupl(nGC_643)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_30)*coupl(nGC_635)*coupl(nGC_68) + 3d0*coupl(nGC_30&
                        )*coupl(nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_31)*    &
                        coupl(nGC_611)*coupl(nGC_94) + 3d0*coupl(nGC_35)*coupl(&
                        nGC_613)*coupl(nGC_64) + 3d0*coupl(nGC_35)*coupl(      &
                        nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_39)*coupl(      &
                        nGC_643)*coupl(nGC_91) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_613)*coupl(nGC_64) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_621)*coupl(nGC_63) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_635)*coupl(nGC_68) - 3d0*coupl(nGC_61)*coupl(      &
                        nGC_639)*coupl(nGC_69) - 3d0*coupl(nGC_611)*coupl(     &
                        nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_643)*coupl(nGC_91&
                        )*coupl(nGC_99))/(16d0*pi**2d0)
      coupl(nGC_2199) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_130)*coupl(&
                        nGC_133) - coupl(nGC_137)*coupl(nGC_141) - coupl(      &
                        nGC_145)*coupl(nGC_149) - coupl(nGC_169)*coupl(nGC_173 &
                        ) - coupl(nGC_177)*coupl(nGC_180) - coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0)
      coupl(nGC_2196) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_133)**2d0  &
                         - coupl(nGC_137)**2d0 - coupl(nGC_149)**2d0 - coupl(  &
                        nGC_173)**2d0 - coupl(nGC_180)**2d0 - coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0)
      coupl(nGC_2197) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_133)**2d0 + &
                        coupl(nGC_137)**2d0 + coupl(nGC_149)**2d0 + coupl(     &
                        nGC_173)**2d0 + coupl(nGC_180)**2d0 + coupl(nGC_195)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2194) = (-32d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_130)*coupl(      &
                        nGC_133)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_137)*coupl(nGC_141)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_137)*   &
                        coupl(nGC_141)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_145)*coupl(nGC_149)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_169)*coupl(&
                        nGC_173)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_169)*coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_177)*coupl(&
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_177)*coupl(nGC_180)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_192)*   &
                        coupl(nGC_195)*coupl(nGC_88)**2d0 - 32d0*cima*coupl(   &
                        nGC_153)*coupl(nGC_157)*coupl(nGC_86)**2d0 + 40d0*cima*&
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_153)*coupl(nGC_157)*coupl&
                        (nGC_89)**2d0 - 32d0*cima*coupl(nGC_161)*coupl(nGC_165 &
                        )*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_161)*coupl( &
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(&
                        nGC_161)*coupl(nGC_165)*coupl(nGC_89)**2d0 - 32d0*cima*&
                        coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl&
                        (nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_611)**2d0* &
                        coupl(nGC_92)*coupl(nGC_94) + 4d0*cima*coupl(nGC_611)* &
                        coupl(nGC_643)*coupl(nGC_92)**2d0 + 4d0*cima*coupl(    &
                        nGC_611)*coupl(nGC_643)*coupl(nGC_94)**2d0 + 4d0*cima* &
                        coupl(nGC_611)*coupl(nGC_653)*coupl(nGC_92)**2d0 + 4d0*&
                        cima*coupl(nGC_611)*coupl(nGC_653)*coupl(nGC_94)**2d0  &
                         + 4d0*cima*coupl(nGC_613)*coupl(nGC_651)**2d0*coupl(  &
                        nGC_68) + 4d0*cima*coupl(nGC_613)*coupl(nGC_69)*coupl( &
                        nGC_96)**2d0 + 4d0*cima*coupl(nGC_621)*coupl(nGC_651)**&
                        2d0*coupl(nGC_68) + 4d0*cima*coupl(nGC_621)*coupl(     &
                        nGC_69)*coupl(nGC_96)**2d0 + 9d0*cima*coupl(nGC_623)** &
                        2d0*coupl(nGC_63)*coupl(nGC_635) + 9d0*cima*coupl(     &
                        nGC_623)**2d0*coupl(nGC_635)*coupl(nGC_64) + 9d0*cima* &
                        coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_82)**2d0 + 9d0* &
                        cima*coupl(nGC_639)*coupl(nGC_64)*coupl(nGC_82)**2d0 + &
                        4d0*cima*coupl(nGC_643)**2d0*coupl(nGC_91)*coupl(nGC_94&
                        ) + 4d0*cima*coupl(nGC_643)**2d0*coupl(nGC_92)*coupl(  &
                        nGC_94) + 3d0*coupl(nGC_100)*coupl(nGC_613)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_100)*coupl(nGC_613)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_100)*coupl(nGC_621)*coupl(     &
                        nGC_68) + 3d0*coupl(nGC_100)*coupl(nGC_621)*coupl(     &
                        nGC_69) + 3d0*coupl(nGC_101)*coupl(nGC_611)*coupl(     &
                        nGC_92) + 3d0*coupl(nGC_101)*coupl(nGC_643)*coupl(     &
                        nGC_94) - 6d0*coupl(nGC_14)*coupl(nGC_623)*coupl(      &
                        nGC_635) - 6d0*coupl(nGC_14)*coupl(nGC_639)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_623)*coupl(      &
                        nGC_635) - 6d0*coupl(nGC_15)*coupl(nGC_639)*coupl(     &
                        nGC_82) - 6d0*coupl(nGC_16)*coupl(nGC_623)*coupl(nGC_63&
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_623)*coupl(nGC_64) -   &
                        6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0*   &
                        coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82) - 3d0*coupl( &
                        nGC_63)*coupl(nGC_631)*coupl(nGC_635) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_631)*coupl(nGC_639) - 3d0*coupl(     &
                        nGC_631)*coupl(nGC_635)*coupl(nGC_64) - 3d0*coupl(     &
                        nGC_631)*coupl(nGC_639)*coupl(nGC_64))/(96d0*pi**2d0)
      coupl(nGC_2621) = coupl(nGC_80)*(dZbL_QCD2 + dZtL_QCD2)/2d0
      coupl(nGC_2190) = (120d0*Nc*cima*coupl(nGC_130)**2d0*coupl(nGC_133)**2d0 &
                         + 120d0*Nc*cima*coupl(nGC_137)**2d0*coupl(nGC_141)**  &
                        2d0 + 120d0*Nc*cima*coupl(nGC_145)**2d0*coupl(nGC_149  &
                        )**2d0 + 120d0*Nc*cima*coupl(nGC_169)**2d0*coupl(      &
                        nGC_173)**2d0 + 120d0*Nc*cima*coupl(nGC_177)**2d0*coupl&
                        (nGC_180)**2d0 + 120d0*Nc*cima*coupl(nGC_192)**2d0*    &
                        coupl(nGC_195)**2d0 + 120d0*cima*coupl(nGC_153)**2d0*  &
                        coupl(nGC_157)**2d0 + 120d0*cima*coupl(nGC_161)**2d0*  &
                        coupl(nGC_165)**2d0 + 120d0*cima*coupl(nGC_184)**2d0*  &
                        coupl(nGC_188)**2d0 + 12d0*cima*coupl(nGC_61)**2d0 -   &
                        5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_91)**2d0 - 10d0*&
                        cima*coupl(nGC_611)**2d0*coupl(nGC_91)*coupl(nGC_92) - &
                        5d0*cima*coupl(nGC_611)**2d0*coupl(nGC_92)**2d0 - 10d0*&
                        cima*coupl(nGC_611)**2d0*coupl(nGC_94)**2d0 - 20d0*cima&
                        *coupl(nGC_611)*coupl(nGC_643)*coupl(nGC_91)*coupl(    &
                        nGC_94) - 10d0*cima*coupl(nGC_611)*coupl(nGC_643)*coupl&
                        (nGC_92)*coupl(nGC_94) - 10d0*cima*coupl(nGC_611)*coupl&
                        (nGC_653)*coupl(nGC_91)*coupl(nGC_94) - 20d0*cima*coupl&
                        (nGC_611)*coupl(nGC_653)*coupl(nGC_92)*coupl(nGC_94) - &
                        5d0*cima*coupl(nGC_613)**2d0*coupl(nGC_68)**2d0 - 5d0* &
                        cima*coupl(nGC_613)**2d0*coupl(nGC_69)**2d0 - 20d0*cima&
                        *coupl(nGC_613)*coupl(nGC_621)*coupl(nGC_63)*coupl(    &
                        nGC_64) - 10d0*cima*coupl(nGC_613)*coupl(nGC_621)*coupl&
                        (nGC_68)**2d0 - 10d0*cima*coupl(nGC_613)*coupl(nGC_621 &
                        )*coupl(nGC_69)**2d0 - 10d0*cima*coupl(nGC_613)*coupl( &
                        nGC_63)*coupl(nGC_635)*coupl(nGC_68) - 10d0*cima*coupl(&
                        nGC_613)*coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_69) -  &
                        20d0*cima*coupl(nGC_613)*coupl(nGC_635)*coupl(nGC_64)* &
                        coupl(nGC_68) - 20d0*cima*coupl(nGC_613)*coupl(nGC_639 &
                        )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_621 &
                        )**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(nGC_621)**  &
                        2d0*coupl(nGC_69)**2d0 - 20d0*cima*coupl(nGC_621)*coupl&
                        (nGC_63)*coupl(nGC_635)*coupl(nGC_68) - 20d0*cima*coupl&
                        (nGC_621)*coupl(nGC_63)*coupl(nGC_639)*coupl(nGC_69) - &
                        10d0*cima*coupl(nGC_621)*coupl(nGC_635)*coupl(nGC_64)* &
                        coupl(nGC_68) - 10d0*cima*coupl(nGC_621)*coupl(nGC_639 &
                        )*coupl(nGC_64)*coupl(nGC_69) - 5d0*cima*coupl(nGC_63  &
                        )**2d0*coupl(nGC_635)**2d0 - 5d0*cima*coupl(nGC_63)**  &
                        2d0*coupl(nGC_639)**2d0 - 10d0*cima*coupl(nGC_63)*coupl&
                        (nGC_635)**2d0*coupl(nGC_64) - 10d0*cima*coupl(nGC_63)*&
                        coupl(nGC_639)**2d0*coupl(nGC_64) - 5d0*cima*coupl(    &
                        nGC_635)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(    &
                        nGC_635)**2d0*coupl(nGC_68)**2d0 - 5d0*cima*coupl(     &
                        nGC_639)**2d0*coupl(nGC_64)**2d0 - 10d0*cima*coupl(    &
                        nGC_639)**2d0*coupl(nGC_69)**2d0 - 5d0*cima*coupl(     &
                        nGC_643)**2d0*coupl(nGC_94)**2d0 - 10d0*cima*coupl(    &
                        nGC_643)*coupl(nGC_653)*coupl(nGC_91)*coupl(nGC_92) -  &
                        10d0*cima*coupl(nGC_643)*coupl(nGC_653)*coupl(nGC_94)**&
                        2d0 - 5d0*cima*coupl(nGC_653)**2d0*coupl(nGC_94)**2d0  &
                         + 6d0*cima*coupl(nGC_99)**2d0 + 6d0*coupl(nGC_22)*    &
                        coupl(nGC_613)*coupl(nGC_68) + 6d0*coupl(nGC_22)*coupl(&
                        nGC_621)*coupl(nGC_69) + 6d0*coupl(nGC_22)*coupl(nGC_63&
                        )*coupl(nGC_639) + 6d0*coupl(nGC_22)*coupl(nGC_635)*   &
                        coupl(nGC_64) + 6d0*coupl(nGC_23)*coupl(nGC_613)*coupl(&
                        nGC_69) + 6d0*coupl(nGC_23)*coupl(nGC_621)*coupl(nGC_68&
                        ) + 6d0*coupl(nGC_23)*coupl(nGC_63)*coupl(nGC_635) +   &
                        6d0*coupl(nGC_23)*coupl(nGC_639)*coupl(nGC_64) + 3d0*  &
                        coupl(nGC_24)*coupl(nGC_613)*coupl(nGC_635) + 3d0*coupl&
                        (nGC_24)*coupl(nGC_621)*coupl(nGC_639) + 3d0*coupl(    &
                        nGC_24)*coupl(nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_24 &
                        )*coupl(nGC_64)*coupl(nGC_68) + 6d0*coupl(nGC_25)*coupl&
                        (nGC_611)*coupl(nGC_91) + 6d0*coupl(nGC_25)*coupl(     &
                        nGC_643)*coupl(nGC_94) + 6d0*coupl(nGC_26)*coupl(      &
                        nGC_611)*coupl(nGC_92) + 6d0*coupl(nGC_26)*coupl(      &
                        nGC_653)*coupl(nGC_94) + 3d0*coupl(nGC_27)*coupl(      &
                        nGC_613)*coupl(nGC_639) + 3d0*coupl(nGC_27)*coupl(     &
                        nGC_621)*coupl(nGC_635) + 3d0*coupl(nGC_27)*coupl(     &
                        nGC_63)*coupl(nGC_68) + 3d0*coupl(nGC_27)*coupl(nGC_64 &
                        )*coupl(nGC_69) + 3d0*coupl(nGC_28)*coupl(nGC_611)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_28)*coupl(nGC_653)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_29)*coupl(nGC_611)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_29)*coupl(nGC_643)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_30)*coupl(nGC_613)*coupl(nGC_64) + 3d0*  &
                        coupl(nGC_30)*coupl(nGC_621)*coupl(nGC_63) + 3d0*coupl(&
                        nGC_31)*coupl(nGC_653)*coupl(nGC_92) + 3d0*coupl(nGC_32&
                        )*coupl(nGC_613)*coupl(nGC_64) + 3d0*coupl(nGC_32)*    &
                        coupl(nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_33)*coupl(&
                        nGC_643)*coupl(nGC_91) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_635)*coupl(nGC_68) + 3d0*coupl(nGC_34)*coupl(      &
                        nGC_639)*coupl(nGC_69) + 3d0*coupl(nGC_35)*coupl(      &
                        nGC_635)*coupl(nGC_68) + 3d0*coupl(nGC_35)*coupl(      &
                        nGC_639)*coupl(nGC_69) + 12d0*coupl(nGC_36)*coupl(     &
                        nGC_613)*coupl(nGC_621) + 12d0*coupl(nGC_36)*coupl(    &
                        nGC_63)*coupl(nGC_64) + 6d0*coupl(nGC_36)*coupl(nGC_635&
                        )**2d0 + 6d0*coupl(nGC_36)*coupl(nGC_639)**2d0 + 6d0*  &
                        coupl(nGC_36)*coupl(nGC_68)**2d0 + 6d0*coupl(nGC_36)*  &
                        coupl(nGC_69)**2d0 + 12d0*coupl(nGC_37)*coupl(nGC_611)*&
                        coupl(nGC_94) + 6d0*coupl(nGC_37)*coupl(nGC_643)*coupl(&
                        nGC_92) + 6d0*coupl(nGC_37)*coupl(nGC_653)*coupl(nGC_91&
                        ) + 3d0*coupl(nGC_38)*coupl(nGC_611)*coupl(nGC_94) +   &
                        3d0*coupl(nGC_39)*coupl(nGC_611)*coupl(nGC_94) - 6d0*  &
                        coupl(nGC_61)*coupl(nGC_613)*coupl(nGC_64) - 6d0*coupl(&
                        nGC_61)*coupl(nGC_621)*coupl(nGC_63) - 6d0*coupl(nGC_61&
                        )*coupl(nGC_635)*coupl(nGC_68) - 6d0*coupl(nGC_61)*    &
                        coupl(nGC_639)*coupl(nGC_69) - 6d0*coupl(nGC_611)*coupl&
                        (nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_643)*coupl(     &
                        nGC_91)*coupl(nGC_99) - 3d0*coupl(nGC_653)*coupl(nGC_92&
                        )*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_1881) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_143) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_144) - coupl(nGC_137)*coupl(nGC_653)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_179)*coupl(nGC_181  &
                        ) - coupl(nGC_140)**2d0*coupl(nGC_144) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_144) - coupl(nGC_141)*coupl(nGC_611)* &
                        coupl(nGC_84) - coupl(nGC_141)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_179  &
                        ) - coupl(nGC_142)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_143)**2d0*coupl(nGC_144) + 8d0*coupl(nGC_143)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2223) = (-5d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 3d0*cima*coupl(&
                        nGC_647)**2d0 - 6d0*cima*coupl(nGC_647)*coupl(nGC_8) + &
                        3d0*cima*coupl(nGC_8)**2d0 - 6d0*coupl(nGC_6)**2d0*    &
                        coupl(nGC_647)*sq2**2d0 + 9d0*coupl(nGC_6)**2d0*coupl( &
                        nGC_8)*sq2**2d0)/(96d0*pi**2d0)
      coupl(nGC_1942) = 3d0*(8d0*Nc*cMB*coupl(nGC_141)**3d0 + 8d0*Nc*cMC*coupl(&
                        nGC_130)**3d0 + 8d0*Nc*cMD*coupl(nGC_145)**3d0 + 8d0*Nc&
                        *cMS*coupl(nGC_169)**3d0 + 8d0*Nc*cMT*coupl(nGC_177)** &
                        3d0 + 8d0*Nc*cMU*coupl(nGC_192)**3d0 + 8d0*cME*coupl(  &
                        nGC_153)**3d0 + 8d0*cMM*coupl(nGC_161)**3d0 + 8d0*cMTA*&
                        coupl(nGC_184)**3d0 + 4d0*cima*coupl(nGC_124)*coupl(   &
                        nGC_61) + 2d0*cima*coupl(nGC_128)*coupl(nGC_99) + coupl&
                        (nGC_108)*coupl(nGC_613)*coupl(nGC_64) + coupl(nGC_108 &
                        )*coupl(nGC_621)*coupl(nGC_63) + coupl(nGC_109)*coupl( &
                        nGC_643)*coupl(nGC_91) + coupl(nGC_110)*coupl(nGC_635)*&
                        coupl(nGC_68) + coupl(nGC_110)*coupl(nGC_639)*coupl(   &
                        nGC_69) + coupl(nGC_113)*coupl(nGC_611)*coupl(nGC_94   &
                        ) + coupl(nGC_119)*coupl(nGC_613)*coupl(nGC_639) +     &
                        coupl(nGC_119)*coupl(nGC_621)*coupl(nGC_635) + coupl(  &
                        nGC_119)*coupl(nGC_63)*coupl(nGC_68) + coupl(nGC_119)* &
                        coupl(nGC_64)*coupl(nGC_69) + coupl(nGC_120)*coupl(    &
                        nGC_611)*coupl(nGC_91) + coupl(nGC_120)*coupl(nGC_643)*&
                        coupl(nGC_94) - coupl(nGC_124)*coupl(nGC_613)*coupl(   &
                        nGC_64) - coupl(nGC_124)*coupl(nGC_621)*coupl(nGC_63   &
                        ) - coupl(nGC_124)*coupl(nGC_635)*coupl(nGC_68) - coupl&
                        (nGC_124)*coupl(nGC_639)*coupl(nGC_69) - coupl(nGC_128 &
                        )*coupl(nGC_611)*coupl(nGC_94) - coupl(nGC_128)*coupl( &
                        nGC_643)*coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_2380) = coupl(nGC_1549)*dydo1_QED1_QCD2 + coupl(nGC_1550)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_TS_GC_118_Hh) = -coupl(nGC_118)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2721) = coupl(nGC_2315) - coupl(nGC_64)*dZHMinusGMinus_QED2/2d0&
                         + coupl(nGC_64)*dZHlHh_QED2/2d0 + coupl(nGC_69)*      &
                        dZHh_QED2/2d0 + coupl(nGC_69)*dZWMinus_QED2/2d0
      coupl(nGC_1814) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_139) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_140) - coupl(nGC_137)*coupl(nGC_611)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_182  &
                        ) - coupl(nGC_138)*coupl(nGC_637)*coupl(nGC_80) - coupl&
                        (nGC_139)**2d0*coupl(nGC_140) + 8d0*coupl(nGC_139)*    &
                        coupl(nGC_84)*coupl(nGC_87) - coupl(nGC_140)*coupl(    &
                        nGC_141)**2d0 - coupl(nGC_140)*coupl(nGC_144)**2d0 -   &
                        coupl(nGC_141)*coupl(nGC_643)*coupl(nGC_87) - coupl(   &
                        nGC_141)*coupl(nGC_84)*coupl(nGC_91) - coupl(nGC_142)* &
                        coupl(nGC_178)*coupl(nGC_182))/(32d0*pi**2d0)
      coupl(nGC_2997) = coupl(nGC_102)*dZHMinus_QED2/2d0 + coupl(nGC_102)*     &
                        dZWMinus_QED2/2d0 + coupl(nGC_102)*dZZ_QED2/2d0 + coupl&
                        (nGC_107)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_126)*    &
                        dZAZ_QED2/2d0 + coupl(nGC_2334) + coupl(nGC_TS_GC_15_Hh&
                        ) + coupl(nGC_TS_GC_16_Hl)
      coupl(nGC_2994) = coupl(nGC_140)*dZbL_QCD2/2d0 + coupl(nGC_140)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2386)
      coupl(nGC_2995) = coupl(nGC_140)*dZG0/2d0
      coupl(nGC_2992) = coupl(nGC_139)*dZG0/2d0
      coupl(nGC_2993) = coupl(nGC_140)*dZbL_QED2/2d0 + coupl(nGC_140)*dZbR_QED2&
                        /2d0 + coupl(nGC_143)*dZHaG0_QED2/2d0 + coupl(nGC_2385)
      coupl(nGC_2990) = coupl(nGC_139)*dZbL_QED2/2d0 + coupl(nGC_139)*dZbR_QED2&
                        /2d0 + coupl(nGC_144)*dZHaG0_QED2/2d0 + coupl(nGC_2387)
      coupl(nGC_2991) = coupl(nGC_139)*dZbL_QCD2/2d0 + coupl(nGC_139)*dZbR_QCD2&
                        /2d0 + coupl(nGC_2388)
      coupl(nGC_TS_GC_69_Hh) = -coupl(nGC_69)*dtHh_QED1/cMHH**2d0
      coupl(nGC_TS_GC_69_Hl) = -coupl(nGC_69)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2999) = coupl(nGC_87)*dZdL_QCD2
      coupl(nGC_2448) = coupl(nGC_425)*dyt1_QED1_QCD2 + coupl(nGC_427)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2449) = coupl(nGC_1457)*dyup1_QED3 + coupl(nGC_1458)*da_QED2 + &
                        coupl(nGC_1459)*dyup2_QED3
      coupl(nGC_2363) = coupl(nGC_1483)*db_QED2 + coupl(nGC_1484)*dyd13x3_QED3 &
                         + coupl(nGC_1485)*dyb2_QED3
      coupl(nGC_TS_GC_11_Hl) = -coupl(nGC_11)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2364) = coupl(nGC_1484)*dyd13x3_QED1_QCD2 + coupl(nGC_1485)*   &
                        dyb2_QED1_QCD2
      coupl(nGC_2367) = coupl(nGC_1439)*db_QED2 + coupl(nGC_1440)*dyup1_QED3 + &
                        coupl(nGC_1441)*dyup2_QED3
      coupl(nGC_2440) = coupl(nGC_1086)*dyup1_QED1_QCD2 + coupl(nGC_1087)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2441) = coupl(nGC_1475)*db_QED2 + coupl(nGC_1476)*dyc1_QED3 +  &
                        coupl(nGC_1477)*dyc2_QED3
      coupl(nGC_2442) = coupl(nGC_1476)*dyc1_QED1_QCD2 + coupl(nGC_1477)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2443) = coupl(nGC_1094)*db_QED2 + coupl(nGC_1095)*dyc1_QED3 +  &
                        coupl(nGC_1096)*dyc2_QED3
      coupl(nGC_2444) = coupl(nGC_1095)*dyc1_QED1_QCD2 + coupl(nGC_1096)*      &
                        dyc2_QED1_QCD2
      coupl(nGC_2445) = coupl(nGC_415)*db_QED2 + coupl(nGC_417)*dyt1_QED3 +    &
                        coupl(nGC_419)*dyt2_QED3
      coupl(nGC_2446) = coupl(nGC_417)*dyt1_QED1_QCD2 + coupl(nGC_419)*        &
                        dyt2_QED1_QCD2
      coupl(nGC_2447) = coupl(nGC_423)*db_QED2 + coupl(nGC_425)*dyt1_QED3 +    &
                        coupl(nGC_427)*dyt2_QED3
      coupl(nGC_2690) = coupl(nGC_100)*dZZA_QED2/2d0 + coupl(nGC_18)*dZAZ_QED2/&
                        2d0 + coupl(nGC_2324) + coupl(nGC_97)*dZA_QED2/2d0 +   &
                        coupl(nGC_97)*dZHMinus_QED2 + coupl(nGC_97)*dZZ_QED2/  &
                        2d0
      coupl(nGC_2693) = coupl(nGC_100)*(dZGMinusHMinus_QED2 +                  &
                        dZHMinusGMinus_QED2)/2d0
      coupl(nGC_2692) = coupl(nGC_119)*dZGMinus/2d0
      coupl(nGC_2697) = -coupl(nGC_17)*dZA_QED2/2d0 - coupl(nGC_17)*           &
                        dZHMinus_QED2 - coupl(nGC_2307) - coupl(nGC_96)*       &
                        dZZA_QED2/2d0
      coupl(nGC_2699) = coupl(nGC_14)*dZZA_QED2/2d0 + coupl(nGC_2310) + coupl( &
                        nGC_65)*dZA_QED2/2d0 + coupl(nGC_65)*dZHl_QED2/2d0 +   &
                        coupl(nGC_65)*dZWMinus_QED2/2d0 + coupl(nGC_70)*       &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_70)*dZHhHl_QED2/2d0
      coupl(nGC_3266) = -coupl(nGC_1767)
      coupl(nGC_3182) = -coupl(nGC_132)*dZHaG0_QED2/2d0 + coupl(nGC_135)*      &
                        dZcL_QED2/2d0 + coupl(nGC_135)*dZcR_QED2/2d0 + coupl(  &
                        nGC_2443)
      coupl(nGC_3183) = coupl(nGC_135)*dZcL_QCD2/2d0 + coupl(nGC_135)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2444)
      coupl(nGC_1712) = cMT*cima*coupl(nGC_7)**2d0*sq2**2d0*(-Nc**2d0 + 1d0)/( &
                        32d0*pi**2d0*Nc)
      coupl(nGC_3165) = coupl(nGC_1)*dZsL_QCD2
      coupl(nGC_3008) = coupl(nGC_166)*dZGMinus/2d0
      coupl(nGC_3160) = coupl(nGC_2598) + coupl(nGC_MS)*dZsL_QED2/2d0 + coupl( &
                        nGC_MS)*dZsR_QED2/2d0 + coupl(nGC_TS_GC_169_Hl) + coupl&
                        (nGC_TS_GC_173_Hh)
      coupl(nGC_3161) = coupl(nGC_2599) + coupl(nGC_MS)*dZsL_QCD2/2d0 + coupl( &
                        nGC_MS)*dZsR_QCD2/2d0
      coupl(nGC_3003) = coupl(nGC_91)*dZG0/2d0
      coupl(nGC_3002) = coupl(nGC_2326) + coupl(nGC_91)*dZHl_QED2/2d0 + coupl( &
                        nGC_91)*dZZ_QED2/2d0 + coupl(nGC_94)*dZHaG0_QED2/2d0 + &
                        coupl(nGC_94)*dZHhHl_QED2/2d0
      coupl(nGC_3001) = coupl(nGC_84)*dZdR_QCD2
      coupl(nGC_3000) = coupl(nGC_1)*dZAZ_QED2/2d0 + coupl(nGC_2349) + coupl(  &
                        nGC_84)*dZZ_QED2/2d0 + coupl(nGC_84)*dZdR_QED2
      coupl(nGC_3007) = coupl(nGC_162)*dZHMinusGMinus_QED2/2d0 + coupl(nGC_166 &
                        )*dZmuMinusR_QED2/2d0 + coupl(nGC_166)*dZnu_muL_QED2/  &
                        2d0 + coupl(nGC_2414)
      coupl(nGC_3006) = coupl(nGC_161)*dZHlHh_QED2/2d0 + coupl(nGC_165)*       &
                        dZHh_QED2/2d0 + coupl(nGC_165)*dZmuMinusL_QED2/2d0 +   &
                        coupl(nGC_165)*dZmuMinusR_QED2/2d0 + coupl(nGC_2426)
      coupl(nGC_3005) = -coupl(nGC_96)*dZGMinus
      coupl(nGC_2844) = coupl(nGC_49)*dZGMinus/2d0
      coupl(nGC_2847) = coupl(nGC_100)*dZHMinus_QED2 + coupl(nGC_100)*dZZ_QED2 &
                         + coupl(nGC_2337) + coupl(nGC_97)*dZAZ_QED2
      coupl(nGC_2840) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2308) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZHMinus_QED2/2d0 &
                         + coupl(nGC_74)*dZHa_QED2/2d0 + coupl(nGC_74)*        &
                        dZWMinus_QED2/2d0
      coupl(nGC_2841) = coupl(nGC_99)*(dZHhHl_QED2 + dZHlHh_QED2)/2d0
      coupl(nGC_2963) = coupl(nGC_18)*dZA_QED2 + coupl(nGC_18)*dZHMinus_QED2 + &
                        coupl(nGC_2306) + coupl(nGC_97)*dZZA_QED2
      coupl(nGC_3168) = -coupl(nGC_2316) - coupl(nGC_64)*dZHl_QED2/2d0 - coupl(&
                        nGC_64)*dZWMinus_QED2/2d0 + coupl(nGC_68)*             &
                        dZHMinusGMinus_QED2/2d0 - coupl(nGC_69)*dZHhHl_QED2/2d0
      coupl(nGC_2848) = coupl(nGC_40)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2965) = coupl(nGC_2283) + 3d0*coupl(nGC_46)*dZHa_QED2/2d0 +    &
                        coupl(nGC_52)*dZHaG0_QED2/2d0 + 3d0*coupl(nGC_59)*     &
                        dZG0Ha_QED2/2d0
      coupl(nGC_1815) = coupl(nGC_139)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2657) = coupl(nGC_MI)*dZbL_QED2
      coupl(nGC_1823) = coupl(nGC_151)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2969) = coupl(nGC_193)*dZHMinus_QED2/2d0 + coupl(nGC_193)*     &
                        dZdL_QED2/2d0 + coupl(nGC_193)*dZuR_QED2/2d0 + coupl(  &
                        nGC_196)*dZGMinusHMinus_QED2/2d0 + coupl(nGC_2367)
      coupl(nGC_2228) = sq2**2d0*(-4d0*Nc*cima*coupl(nGC_6)**4d0*sq2**2d0 + 9d0&
                        *Nc*coupl(nGC_6)**2d0*coupl(nGC_645) - 3d0*Nc*coupl(   &
                        nGC_6)**2d0*coupl(nGC_649) - 60d0*cima*coupl(nGC_7)**  &
                        4d0*sq2**2d0)/(768d0*pi**2d0)
      coupl(nGC_3139) = coupl(nGC_101)*dZG0
      coupl(nGC_2727) = coupl(nGC_182)*dZtL_QCD2/2d0 + coupl(nGC_182)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2446)
      coupl(nGC_2313) = coupl(nGC_1434)*dvev1_QED1 + coupl(nGC_1435)*dvev2_QED1&
                         + coupl(nGC_1436)*dZee_QED2 + coupl(nGC_1437)*dsw_QED2&
                         + coupl(nGC_1438)*db_QED2
      coupl(nGC_TS_GC_117_Hh) = -coupl(nGC_117)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2407) = coupl(nGC_920)*db_QED2 + coupl(nGC_921)*dyd12x2_QED3 + &
                        coupl(nGC_922)*dys2_QED3
      coupl(nGC_2962) = coupl(nGC_114)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3219) = coupl(nGC_MW_GF)*dZGMinusHMinus_QED2/2d0 + coupl(      &
                        nGC_TS_GC_63_Hh) + coupl(nGC_TS_GC_69_Hl)
      coupl(nGC_1746) = (coupl(nGC_162)**2d0*coupl(nGC_4) + coupl(nGC_166)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1747) = (coupl(nGC_185)**2d0*coupl(nGC_4) + coupl(nGC_189)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1744) = (coupl(nGC_161)**2d0*coupl(nGC_4) + coupl(nGC_163)*    &
                        coupl(nGC_164)*coupl(nGC_4) + coupl(nGC_165)**2d0*coupl&
                        (nGC_4) + coupl(nGC_167)*coupl(nGC_168)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1745) = (coupl(nGC_154)**2d0*coupl(nGC_4) + coupl(nGC_158)**2d0&
                        *coupl(nGC_4) + 4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 +  &
                        4d0*coupl(nGC_4)*coupl(nGC_80)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1742) = (coupl(nGC_153)**2d0*coupl(nGC_4) + coupl(nGC_155)*    &
                        coupl(nGC_156)*coupl(nGC_4) + coupl(nGC_157)**2d0*coupl&
                        (nGC_4) + coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_4) - &
                        4d0*coupl(nGC_3)*coupl(nGC_80)**2d0 + 4d0*coupl(nGC_4  &
                        )**3d0 + 4d0*coupl(nGC_4)*coupl(nGC_89)**2d0)/(32d0*pi &
                        **2d0)
      coupl(nGC_1743) = coupl(nGC_4)*(coupl(nGC_161)**2d0 + coupl(nGC_163)*    &
                        coupl(nGC_164) + coupl(nGC_165)**2d0 + coupl(nGC_167)* &
                        coupl(nGC_168) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1740) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_145)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_147)*coupl(nGC_148) +     &
                        coupl(nGC_1)*coupl(nGC_149)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_151)*coupl(nGC_152) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_146)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_150)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1741) = coupl(nGC_4)*(coupl(nGC_153)**2d0 + coupl(nGC_155)*    &
                        coupl(nGC_156) + coupl(nGC_157)**2d0 + coupl(nGC_159)* &
                        coupl(nGC_160) + 4d0*coupl(nGC_4)**2d0 + 4d0*coupl(    &
                        nGC_86)**2d0)/(32d0*pi**2d0)
      coupl(nGC_2668) = coupl(nGC_2)*dZcL_QCD2
      coupl(nGC_1749) = (4d0*coupl(nGC_1)**3d0 + coupl(nGC_1)*coupl(nGC_169)** &
                        2d0 + coupl(nGC_1)*coupl(nGC_171)*coupl(nGC_172) +     &
                        coupl(nGC_1)*coupl(nGC_173)**2d0 + coupl(nGC_1)*coupl( &
                        nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_1)*coupl(nGC_84&
                        )**2d0 + coupl(nGC_170)**2d0*coupl(nGC_2) + coupl(     &
                        nGC_174)**2d0*coupl(nGC_2))/(32d0*pi**2d0)
      coupl(nGC_1711) = cMT*cima*(-coupl(nGC_2)**2d0 - coupl(nGC_85)*coupl(    &
                        nGC_88))/(8d0*pi**2d0)
      coupl(nGC_1830) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_175) - coupl(nGC_131)*&
                        coupl(nGC_135)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_135)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_176) - coupl(nGC_169)*coupl(nGC_643)*coupl(nGC_87  &
                        ) - coupl(nGC_169)*coupl(nGC_84)*coupl(nGC_91) - coupl(&
                        nGC_171)**2d0*coupl(nGC_176) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_176) - coupl(nGC_173)*coupl(nGC_611)*coupl(  &
                        nGC_87) - coupl(nGC_173)*coupl(nGC_84)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_637)*coupl(nGC_80) - coupl(   &
                        nGC_175)**2d0*coupl(nGC_176) + 8d0*coupl(nGC_175)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2099) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_134)**2d0 + &
                        coupl(nGC_138)**2d0 + coupl(nGC_150)**2d0 + coupl(     &
                        nGC_174)**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_196)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_TS_GC_49_Hl) = -coupl(nGC_49)*dtHl_QED1/cMHL**2d0
      coupl(nGC_TS_GC_49_Hh) = -coupl(nGC_49)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2958) = coupl(nGC_7)*dZdR_QED2
      coupl(nGC_TS_GC_116_Hh) = -coupl(nGC_116)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2408) = coupl(nGC_921)*dyd12x2_QED1_QCD2 + coupl(nGC_922)*     &
                        dys2_QED1_QCD2
      coupl(nGC_1969) = (-coupl(nGC_145)*coupl(nGC_146)*coupl(nGC_193) - coupl(&
                        nGC_145)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**3d0 - coupl(nGC_192)*coupl(nGC_194)**2d0 - coupl(   &
                        nGC_192)*coupl(nGC_195)**2d0 - coupl(nGC_192)*coupl(   &
                        nGC_198)**2d0 + 8d0*coupl(nGC_192)*coupl(nGC_2)**2d0 + &
                        8d0*coupl(nGC_192)*coupl(nGC_85)*coupl(nGC_88) - coupl(&
                        nGC_193)*coupl(nGC_639)*coupl(nGC_80) - coupl(nGC_194)*&
                        coupl(nGC_611)*coupl(nGC_85) - coupl(nGC_194)*coupl(   &
                        nGC_88)*coupl(nGC_94) - coupl(nGC_196)*coupl(nGC_64)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_643)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_2409) = coupl(nGC_1504)*db_QED2 + coupl(nGC_1505)*dyd13x3_QED3 &
                         + coupl(nGC_1506)*dyb2_QED3
      coupl(nGC_1874) = (coupl(nGC_153)*coupl(nGC_639)*coupl(nGC_80) + coupl(  &
                        nGC_154)*coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_154)*  &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_154)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_154)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_155)*coupl(nGC_637)*coupl(   &
                        nGC_80) + coupl(nGC_157)*coupl(nGC_621)*coupl(nGC_80   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2062) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_1)**2d0 +   &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0)
      coupl(nGC_2063) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_1)**2d0 -  &
                        coupl(nGC_2)**2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1875) = (coupl(nGC_161)*coupl(nGC_639)*coupl(nGC_80) + coupl(  &
                        nGC_162)*coupl(nGC_17)*coupl(nGC_4) + coupl(nGC_162)*  &
                        coupl(nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_162)*coupl&
                        (nGC_86)*coupl(nGC_90) + coupl(nGC_162)*coupl(nGC_86)* &
                        coupl(nGC_96) + coupl(nGC_163)*coupl(nGC_637)*coupl(   &
                        nGC_80) + coupl(nGC_165)*coupl(nGC_621)*coupl(nGC_80   &
                        ))/(32d0*pi**2d0)
      coupl(nGC_2145) = (20d0*Nc*cima*coupl(nGC_130)*coupl(nGC_133)*coupl(     &
                        nGC_135)**2d0 + 80d0*Nc*cima*coupl(nGC_130)*coupl(     &
                        nGC_133)*coupl(nGC_135)*coupl(nGC_136) + 20d0*Nc*cima* &
                        coupl(nGC_130)*coupl(nGC_133)*coupl(nGC_136)**2d0 +    &
                        20d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)**2d0*coupl( &
                        nGC_141) + 80d0*Nc*cima*coupl(nGC_137)*coupl(nGC_139)* &
                        coupl(nGC_140)*coupl(nGC_141) + 20d0*Nc*cima*coupl(    &
                        nGC_137)*coupl(nGC_140)**2d0*coupl(nGC_141) + 20d0*Nc* &
                        cima*coupl(nGC_145)*coupl(nGC_149)*coupl(nGC_151)**2d0 &
                         + 80d0*Nc*cima*coupl(nGC_145)*coupl(nGC_149)*coupl(   &
                        nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*coupl(nGC_145)* &
                        coupl(nGC_149)*coupl(nGC_152)**2d0 + 20d0*Nc*cima*coupl&
                        (nGC_169)*coupl(nGC_173)*coupl(nGC_175)**2d0 + 80d0*Nc*&
                        cima*coupl(nGC_169)*coupl(nGC_173)*coupl(nGC_175)*coupl&
                        (nGC_176) + 20d0*Nc*cima*coupl(nGC_169)*coupl(nGC_173)*&
                        coupl(nGC_176)**2d0 + 20d0*Nc*cima*coupl(nGC_177)*coupl&
                        (nGC_180)*coupl(nGC_182)**2d0 + 80d0*Nc*cima*coupl(    &
                        nGC_177)*coupl(nGC_180)*coupl(nGC_182)*coupl(nGC_183   &
                        ) + 20d0*Nc*cima*coupl(nGC_177)*coupl(nGC_180)*coupl(  &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_192)*coupl(     &
                        nGC_195)*coupl(nGC_197)**2d0 + 80d0*Nc*cima*coupl(     &
                        nGC_192)*coupl(nGC_195)*coupl(nGC_197)*coupl(nGC_198   &
                        ) + 20d0*Nc*cima*coupl(nGC_192)*coupl(nGC_195)*coupl(  &
                        nGC_198)**2d0 + 20d0*cima*coupl(nGC_153)*coupl(nGC_157 &
                        )*coupl(nGC_159)**2d0 + 80d0*cima*coupl(nGC_153)*coupl(&
                        nGC_157)*coupl(nGC_159)*coupl(nGC_160) + 20d0*cima*    &
                        coupl(nGC_153)*coupl(nGC_157)*coupl(nGC_160)**2d0 +    &
                        20d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(nGC_167  &
                        )**2d0 + 80d0*cima*coupl(nGC_161)*coupl(nGC_165)*coupl(&
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_161)*    &
                        coupl(nGC_165)*coupl(nGC_168)**2d0 + 20d0*cima*coupl(  &
                        nGC_184)*coupl(nGC_188)*coupl(nGC_190)**2d0 + 80d0*cima&
                        *coupl(nGC_184)*coupl(nGC_188)*coupl(nGC_190)*coupl(   &
                        nGC_191) + 20d0*cima*coupl(nGC_184)*coupl(nGC_188)*    &
                        coupl(nGC_191)**2d0 - 5d0*cima*coupl(nGC_611)**2d0*    &
                        coupl(nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_611)**&
                        2d0*coupl(nGC_92)*coupl(nGC_94) - 5d0*cima*coupl(      &
                        nGC_611)*coupl(nGC_643)*coupl(nGC_91)**2d0 - 5d0*cima* &
                        coupl(nGC_611)*coupl(nGC_643)*coupl(nGC_91)*coupl(     &
                        nGC_92) - 5d0*cima*coupl(nGC_611)*coupl(nGC_643)*coupl(&
                        nGC_94)**2d0 - 5d0*cima*coupl(nGC_611)*coupl(nGC_653)* &
                        coupl(nGC_94)**2d0 - 5d0*cima*coupl(nGC_613)*coupl(    &
                        nGC_637)**2d0*coupl(nGC_639) - 5d0*cima*coupl(nGC_613)*&
                        coupl(nGC_637)*coupl(nGC_68)*coupl(nGC_72) - 10d0*cima*&
                        coupl(nGC_613)*coupl(nGC_637)*coupl(nGC_69)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_621)*coupl(nGC_635)*coupl(&
                        nGC_637)**2d0 - 10d0*cima*coupl(nGC_621)*coupl(nGC_637 &
                        )*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl(nGC_621 &
                        )*coupl(nGC_637)*coupl(nGC_69)*coupl(nGC_72) - 10d0*   &
                        cima*coupl(nGC_63)*coupl(nGC_635)*coupl(nGC_637)*coupl(&
                        nGC_72) - 5d0*cima*coupl(nGC_63)*coupl(nGC_637)*coupl( &
                        nGC_639)*coupl(nGC_72) - 5d0*cima*coupl(nGC_63)*coupl( &
                        nGC_68)*coupl(nGC_72)**2d0 - 5d0*cima*coupl(nGC_635)*  &
                        coupl(nGC_637)*coupl(nGC_64)*coupl(nGC_72) - 10d0*cima*&
                        coupl(nGC_637)*coupl(nGC_639)*coupl(nGC_64)*coupl(     &
                        nGC_72) - 5d0*cima*coupl(nGC_64)*coupl(nGC_69)*coupl(  &
                        nGC_72)**2d0 - 5d0*cima*coupl(nGC_643)**2d0*coupl(     &
                        nGC_91)*coupl(nGC_94) - 5d0*cima*coupl(nGC_643)*coupl( &
                        nGC_653)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_10&
                        )*coupl(nGC_611)*coupl(nGC_94) - 3d0*coupl(nGC_101)*   &
                        coupl(nGC_611)*coupl(nGC_91) - 3d0*coupl(nGC_101)*coupl&
                        (nGC_653)*coupl(nGC_94) + 3d0*coupl(nGC_13)*coupl(     &
                        nGC_611)*coupl(nGC_91) + 3d0*coupl(nGC_13)*coupl(      &
                        nGC_643)*coupl(nGC_94) + 6d0*coupl(nGC_23)*coupl(      &
                        nGC_637)*coupl(nGC_72) + 3d0*coupl(nGC_25)*coupl(      &
                        nGC_611)**2d0 + 3d0*coupl(nGC_25)*coupl(nGC_643)**2d0  &
                         + 3d0*coupl(nGC_25)*coupl(nGC_91)**2d0 + 3d0*coupl(   &
                        nGC_25)*coupl(nGC_94)**2d0 + 3d0*coupl(nGC_28)*coupl(  &
                        nGC_643)*coupl(nGC_653) + 3d0*coupl(nGC_28)*coupl(     &
                        nGC_91)*coupl(nGC_92) + 3d0*coupl(nGC_29)*coupl(nGC_611&
                        )**2d0 + 3d0*coupl(nGC_29)*coupl(nGC_94)**2d0 + 3d0*   &
                        coupl(nGC_33)*coupl(nGC_611)*coupl(nGC_643) + 3d0*coupl&
                        (nGC_33)*coupl(nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37&
                        )*coupl(nGC_611)*coupl(nGC_643) + 3d0*coupl(nGC_37)*   &
                        coupl(nGC_611)*coupl(nGC_653) + 3d0*coupl(nGC_37)*coupl&
                        (nGC_91)*coupl(nGC_94) + 3d0*coupl(nGC_37)*coupl(nGC_92&
                        )*coupl(nGC_94) + 3d0*coupl(nGC_39)*coupl(nGC_611)*    &
                        coupl(nGC_643) + 3d0*coupl(nGC_39)*coupl(nGC_91)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_40)*coupl(nGC_635)*coupl(nGC_72&
                        ) + 3d0*coupl(nGC_40)*coupl(nGC_637)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_41)*coupl(nGC_637)*coupl(nGC_68) + 3d0*  &
                        coupl(nGC_41)*coupl(nGC_639)*coupl(nGC_72) + 6d0*coupl(&
                        nGC_43)*coupl(nGC_613)*coupl(nGC_621) + 3d0*coupl(     &
                        nGC_43)*coupl(nGC_68)**2d0 + 3d0*coupl(nGC_43)*coupl(  &
                        nGC_69)**2d0 + 3d0*coupl(nGC_47)*coupl(nGC_611)*coupl( &
                        nGC_94) + 3d0*coupl(nGC_47)*coupl(nGC_643)*coupl(nGC_92&
                        ) + 3d0*coupl(nGC_48)*coupl(nGC_621)*coupl(nGC_72) +   &
                        3d0*coupl(nGC_48)*coupl(nGC_637)*coupl(nGC_64) + 3d0*  &
                        coupl(nGC_49)*coupl(nGC_613)*coupl(nGC_72) + 3d0*coupl(&
                        nGC_49)*coupl(nGC_63)*coupl(nGC_637) + 3d0*coupl(nGC_53&
                        )*coupl(nGC_613)*coupl(nGC_69) + 3d0*coupl(nGC_53)*    &
                        coupl(nGC_621)*coupl(nGC_68) + 3d0*coupl(nGC_55)*coupl(&
                        nGC_643)*coupl(nGC_94) + 3d0*coupl(nGC_56)*coupl(      &
                        nGC_613)*coupl(nGC_68) + 3d0*coupl(nGC_56)*coupl(      &
                        nGC_621)*coupl(nGC_69) + 3d0*coupl(nGC_59)*coupl(      &
                        nGC_611)*coupl(nGC_92) - 3d0*coupl(nGC_62)*coupl(nGC_63&
                        )*coupl(nGC_635) - 3d0*coupl(nGC_62)*coupl(nGC_63)*    &
                        coupl(nGC_639) - 3d0*coupl(nGC_62)*coupl(nGC_635)*coupl&
                        (nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_639)*coupl(     &
                        nGC_64) + 3d0*coupl(nGC_643)*coupl(nGC_9)*coupl(nGC_91 &
                        ))/(96d0*pi**2d0)
      coupl(nGC_2144) = (20d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)**2d0  &
                         + 80d0*Nc*cima*coupl(nGC_133)**2d0*coupl(nGC_135)*    &
                        coupl(nGC_136) + 20d0*Nc*cima*coupl(nGC_133)**2d0*coupl&
                        (nGC_136)**2d0 + 20d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)**2d0 + 80d0*Nc*cima*coupl(nGC_137)**2d0*coupl&
                        (nGC_139)*coupl(nGC_140) + 20d0*Nc*cima*coupl(nGC_137  &
                        )**2d0*coupl(nGC_140)**2d0 + 20d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)**2d0 + 80d0*Nc*cima*coupl(nGC_149&
                        )**2d0*coupl(nGC_151)*coupl(nGC_152) + 20d0*Nc*cima*   &
                        coupl(nGC_149)**2d0*coupl(nGC_152)**2d0 + 20d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)**2d0 + 80d0*Nc*cima*&
                        coupl(nGC_173)**2d0*coupl(nGC_175)*coupl(nGC_176) +    &
                        20d0*Nc*cima*coupl(nGC_173)**2d0*coupl(nGC_176)**2d0 + &
                        20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)**2d0 + &
                        80d0*Nc*cima*coupl(nGC_180)**2d0*coupl(nGC_182)*coupl( &
                        nGC_183) + 20d0*Nc*cima*coupl(nGC_180)**2d0*coupl(     &
                        nGC_183)**2d0 + 20d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)**2d0 + 80d0*Nc*cima*coupl(nGC_195)**2d0*coupl(&
                        nGC_197)*coupl(nGC_198) + 20d0*Nc*cima*coupl(nGC_195)**&
                        2d0*coupl(nGC_198)**2d0 + 6d0*cima*coupl(nGC_101)*coupl&
                        (nGC_99) + 20d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159 &
                        )**2d0 + 80d0*cima*coupl(nGC_157)**2d0*coupl(nGC_159)* &
                        coupl(nGC_160) + 20d0*cima*coupl(nGC_157)**2d0*coupl(  &
                        nGC_160)**2d0 + 20d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)**2d0 + 80d0*cima*coupl(nGC_165)**2d0*coupl(   &
                        nGC_167)*coupl(nGC_168) + 20d0*cima*coupl(nGC_165)**2d0&
                        *coupl(nGC_168)**2d0 + 20d0*cima*coupl(nGC_188)**2d0*  &
                        coupl(nGC_190)**2d0 + 80d0*cima*coupl(nGC_188)**2d0*   &
                        coupl(nGC_190)*coupl(nGC_191) + 20d0*cima*coupl(nGC_188&
                        )**2d0*coupl(nGC_191)**2d0 + 12d0*cima*coupl(nGC_61)*  &
                        coupl(nGC_62) - 10d0*cima*coupl(nGC_611)**2d0*coupl(   &
                        nGC_94)**2d0 - 10d0*cima*coupl(nGC_611)*coupl(nGC_643)*&
                        coupl(nGC_91)*coupl(nGC_94) - 10d0*cima*coupl(nGC_611)*&
                        coupl(nGC_653)*coupl(nGC_92)*coupl(nGC_94) - 10d0*cima*&
                        coupl(nGC_613)*coupl(nGC_637)*coupl(nGC_64)*coupl(     &
                        nGC_72) - 10d0*cima*coupl(nGC_621)*coupl(nGC_63)*coupl(&
                        nGC_637)*coupl(nGC_72) - 5d0*cima*coupl(nGC_635)**2d0* &
                        coupl(nGC_637)**2d0 - 20d0*cima*coupl(nGC_635)*coupl(  &
                        nGC_637)*coupl(nGC_68)*coupl(nGC_72) - 5d0*cima*coupl( &
                        nGC_637)**2d0*coupl(nGC_639)**2d0 - 20d0*cima*coupl(   &
                        nGC_637)*coupl(nGC_639)*coupl(nGC_69)*coupl(nGC_72) -  &
                        10d0*cima*coupl(nGC_643)*coupl(nGC_653)*coupl(nGC_91)* &
                        coupl(nGC_92) - 5d0*cima*coupl(nGC_68)**2d0*coupl(     &
                        nGC_72)**2d0 - 5d0*cima*coupl(nGC_69)**2d0*coupl(nGC_72&
                        )**2d0 + 3d0*coupl(nGC_10)*coupl(nGC_611)*coupl(nGC_91 &
                        ) + 3d0*coupl(nGC_10)*coupl(nGC_643)*coupl(nGC_94) -   &
                        3d0*coupl(nGC_101)*coupl(nGC_611)*coupl(nGC_94) - 3d0* &
                        coupl(nGC_101)*coupl(nGC_653)*coupl(nGC_92) + 3d0*coupl&
                        (nGC_12)*coupl(nGC_611)*coupl(nGC_94) + 3d0*coupl(     &
                        nGC_13)*coupl(nGC_643)*coupl(nGC_91) + 6d0*coupl(nGC_25&
                        )*coupl(nGC_611)*coupl(nGC_643) + 6d0*coupl(nGC_25)*   &
                        coupl(nGC_91)*coupl(nGC_94) + 6d0*coupl(nGC_29)*coupl( &
                        nGC_611)*coupl(nGC_653) + 6d0*coupl(nGC_29)*coupl(     &
                        nGC_92)*coupl(nGC_94) + 6d0*coupl(nGC_32)*coupl(nGC_637&
                        )*coupl(nGC_72) + 6d0*coupl(nGC_33)*coupl(nGC_611)**2d0&
                         + 6d0*coupl(nGC_33)*coupl(nGC_94)**2d0 + 6d0*coupl(   &
                        nGC_37)*coupl(nGC_643)*coupl(nGC_653) + 6d0*coupl(     &
                        nGC_37)*coupl(nGC_91)*coupl(nGC_92) + 6d0*coupl(nGC_40 &
                        )*coupl(nGC_613)*coupl(nGC_72) + 6d0*coupl(nGC_40)*    &
                        coupl(nGC_63)*coupl(nGC_637) + 6d0*coupl(nGC_41)*coupl(&
                        nGC_621)*coupl(nGC_72) + 6d0*coupl(nGC_41)*coupl(      &
                        nGC_637)*coupl(nGC_64) + 3d0*coupl(nGC_43)*coupl(      &
                        nGC_613)*coupl(nGC_635) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_621)*coupl(nGC_639) + 3d0*coupl(nGC_43)*coupl(     &
                        nGC_63)*coupl(nGC_69) + 3d0*coupl(nGC_43)*coupl(nGC_64 &
                        )*coupl(nGC_68) + 3d0*coupl(nGC_47)*coupl(nGC_611)*    &
                        coupl(nGC_92) + 3d0*coupl(nGC_47)*coupl(nGC_653)*coupl(&
                        nGC_94) + 3d0*coupl(nGC_53)*coupl(nGC_635)*coupl(nGC_68&
                        ) + 3d0*coupl(nGC_53)*coupl(nGC_639)*coupl(nGC_69) +   &
                        3d0*coupl(nGC_55)*coupl(nGC_611)*coupl(nGC_94) + 3d0*  &
                        coupl(nGC_56)*coupl(nGC_613)*coupl(nGC_64) + 3d0*coupl(&
                        nGC_56)*coupl(nGC_621)*coupl(nGC_63) + 3d0*coupl(nGC_59&
                        )*coupl(nGC_653)*coupl(nGC_92) - 6d0*coupl(nGC_61)*    &
                        coupl(nGC_637)*coupl(nGC_72) - 3d0*coupl(nGC_611)*coupl&
                        (nGC_94)*coupl(nGC_99) - 3d0*coupl(nGC_613)*coupl(     &
                        nGC_62)*coupl(nGC_64) - 3d0*coupl(nGC_62)*coupl(nGC_621&
                        )*coupl(nGC_63) - 3d0*coupl(nGC_62)*coupl(nGC_635)*    &
                        coupl(nGC_68) - 3d0*coupl(nGC_62)*coupl(nGC_639)*coupl(&
                        nGC_69) - 3d0*coupl(nGC_643)*coupl(nGC_91)*coupl(nGC_99&
                        ))/(96d0*pi**2d0)
      coupl(nGC_1829) = coupl(nGC_176)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1828) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_176) - coupl(nGC_131)*&
                        coupl(nGC_136)*coupl(nGC_170) - coupl(nGC_134)*coupl(  &
                        nGC_136)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_175) - coupl(nGC_169)*coupl(nGC_643)*coupl(nGC_84  &
                        ) - coupl(nGC_169)*coupl(nGC_87)*coupl(nGC_91) - coupl(&
                        nGC_172)**2d0*coupl(nGC_175) - coupl(nGC_173)**2d0*    &
                        coupl(nGC_175) - coupl(nGC_173)*coupl(nGC_611)*coupl(  &
                        nGC_84) - coupl(nGC_173)*coupl(nGC_87)*coupl(nGC_94) - &
                        coupl(nGC_174)*coupl(nGC_72)*coupl(nGC_80) - coupl(    &
                        nGC_175)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_176)*coupl&
                        (nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2325) = coupl(nGC_1167)*db_QED2 + coupl(nGC_1168)*da_QED2 +    &
                        coupl(nGC_1169)*dcw_QED2 + coupl(nGC_1170)*dZee_QED2 + &
                        coupl(nGC_1171)*dsw_QED2
      coupl(nGC_2327) = coupl(nGC_1283)*dZee_QED2 + coupl(nGC_1284)*dcw_QED2 + &
                        coupl(nGC_1285)*dsw_QED2
      coupl(nGC_1701) = cima*sq2**2d0*(Nc*coupl(nGC_6)**2d0 - 4d0*coupl(nGC_7  &
                        )**2d0)/(64d0*pi**2d0)
      coupl(nGC_2321) = coupl(nGC_979)*dZee_QED2 + coupl(nGC_980)*dsw_QED2
      coupl(nGC_2320) = coupl(nGC_990)*dZee_QED2 + coupl(nGC_991)*dsw_QED2
      coupl(nGC_2895) = coupl(nGC_2254) + coupl(nGC_46)*dZHaG0_QED2 + coupl(   &
                        nGC_47)*dZG0Ha_QED2 + coupl(nGC_59)*dZHa_QED2
      coupl(nGC_1953) = coupl(nGC_145)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1951) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_145) - coupl(nGC_145  &
                        )**3d0 - coupl(nGC_145)*coupl(nGC_148)**2d0 - coupl(   &
                        nGC_145)*coupl(nGC_149)**2d0 - coupl(nGC_145)*coupl(   &
                        nGC_152)**2d0 + 8d0*coupl(nGC_145)*coupl(nGC_84)*coupl(&
                        nGC_87) - coupl(nGC_146)*coupl(nGC_192)*coupl(nGC_193  &
                        ) - coupl(nGC_146)*coupl(nGC_68)*coupl(nGC_80) - coupl(&
                        nGC_148)*coupl(nGC_611)*coupl(nGC_87) - coupl(nGC_148)*&
                        coupl(nGC_84)*coupl(nGC_94) - coupl(nGC_150)*coupl(    &
                        nGC_192)*coupl(nGC_196) - coupl(nGC_150)*coupl(nGC_621 &
                        )*coupl(nGC_80) - coupl(nGC_152)*coupl(nGC_643)*coupl( &
                        nGC_87) - coupl(nGC_152)*coupl(nGC_84)*coupl(nGC_91))/(&
                        32d0*pi**2d0)
      coupl(nGC_1957) = coupl(nGC_7)**2d0*sq2**2d0*(cMB*coupl(nGC_141) + cMC*  &
                        coupl(nGC_130) + cMD*coupl(nGC_145) + cMS*coupl(nGC_169&
                        ) + cMT*coupl(nGC_177) + cMU*coupl(nGC_192))/(16d0*pi**&
                        2d0*Nc)
      coupl(nGC_1955) = (-coupl(nGC_153)**3d0 - coupl(nGC_153)*coupl(nGC_156)**&
                        2d0 - coupl(nGC_153)*coupl(nGC_157)**2d0 - coupl(      &
                        nGC_153)*coupl(nGC_160)**2d0 + 8d0*coupl(nGC_153)*coupl&
                        (nGC_4)**2d0 + 8d0*coupl(nGC_153)*coupl(nGC_86)*coupl( &
                        nGC_89) + coupl(nGC_154)*coupl(nGC_639)*coupl(nGC_80   &
                        ) + coupl(nGC_156)*coupl(nGC_611)*coupl(nGC_86) + coupl&
                        (nGC_156)*coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_158)*&
                        coupl(nGC_64)*coupl(nGC_80) + coupl(nGC_160)*coupl(    &
                        nGC_643)*coupl(nGC_86) + coupl(nGC_160)*coupl(nGC_89)* &
                        coupl(nGC_91))/(32d0*pi**2d0)
      coupl(nGC_1707) = cMM*cima*(-coupl(nGC_4)**2d0 - coupl(nGC_86)*coupl(    &
                        nGC_89))/(8d0*pi**2d0)
      coupl(nGC_1704) = cima*sq2**2d0*(-Nc*coupl(nGC_6)**2d0 + 4d0*coupl(nGC_7 &
                        )**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2248) = coupl(nGC_885)*db_QED2 + coupl(nGC_886)*dl3_QED4 +     &
                        coupl(nGC_887)*dl2_QED4 + coupl(nGC_888)*dl1_QED4 +    &
                        coupl(nGC_889)*dl4_QED4 + coupl(nGC_890)*dl5_QED4
      coupl(nGC_2249) = coupl(nGC_1192)*db_QED2 + coupl(nGC_1193)*dl3_QED4 +   &
                        coupl(nGC_1194)*dl2_QED4 + coupl(nGC_1195)*dl1_QED4 +  &
                        coupl(nGC_1196)*dl4_QED4 + coupl(nGC_1197)*dl5_QED4 +  &
                        coupl(nGC_1198)*da_QED2
      coupl(nGC_2246) = coupl(nGC_1179)*db_QED2 + coupl(nGC_1180)*dl3_QED4 +   &
                        coupl(nGC_1181)*dl2_QED4 + coupl(nGC_1182)*dl1_QED4 +  &
                        coupl(nGC_1183)*dl4_QED4 + coupl(nGC_1184)*dl5_QED4 +  &
                        coupl(nGC_1185)*da_QED2
      coupl(nGC_2247) = coupl(nGC_1048)*dl3_QED4 + coupl(nGC_1049)*dl2_QED4 +  &
                        coupl(nGC_1050)*dl1_QED4 + coupl(nGC_1051)*dl4_QED4 +  &
                        coupl(nGC_1052)*dl5_QED4 + coupl(nGC_1053)*da_QED2
      coupl(nGC_2244) = coupl(nGC_927)*db_QED2 + coupl(nGC_928)*dl3_QED4 +     &
                        coupl(nGC_929)*dl2_QED4 + coupl(nGC_930)*dl1_QED4 +    &
                        coupl(nGC_931)*dl4_QED4 + coupl(nGC_932)*dl5_QED4
      coupl(nGC_1705) = cima*coupl(nGC_6)**2d0*sq2**2d0/(96d0*pi**2d0)
      coupl(nGC_2243) = coupl(nGC_867)*db_QED2 + coupl(nGC_868)*dl3_QED4 +     &
                        coupl(nGC_869)*dl2_QED4 + coupl(nGC_870)*dl1_QED4 +    &
                        coupl(nGC_871)*dl4_QED4 + coupl(nGC_872)*dl5_QED4
      coupl(nGC_2354) = coupl(nGC_1464)*dyup1_QED1_QCD2 + coupl(nGC_1465)*     &
                        dyup2_QED1_QCD2
      coupl(nGC_2890) = coupl(nGC_163)*dZHaG0_QED2/2d0 + coupl(nGC_167)*       &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_167)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_2422)
      coupl(nGC_2355) = coupl(nGC_1539)*db_QED2 + coupl(nGC_1540)*dydo1_QED3 + &
                        coupl(nGC_1541)*dydo2_QED3
      coupl(nGC_3149) = coupl(nGC_2597) + coupl(nGC_MD)*dZdL_QCD2/2d0 + coupl( &
                        nGC_MD)*dZdR_QCD2/2d0
      coupl(nGC_2391) = coupl(nGC_1018)*dyd12x2_QED3 + coupl(nGC_1019)*da_QED2 &
                         + coupl(nGC_1020)*dys2_QED3
      coupl(nGC_2392) = coupl(nGC_1018)*dyd12x2_QED1_QCD2 + coupl(nGC_1020)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2393) = coupl(nGC_1478)*dyd13x3_QED3 + coupl(nGC_1479)*        &
                        dyb2_QED3 + coupl(nGC_1480)*da_QED2
      coupl(nGC_2395) = coupl(nGC_1513)*dydo2_QED3 + coupl(nGC_1514)*dydo1_QED3&
                         + coupl(nGC_1515)*da_QED2
      coupl(nGC_2396) = coupl(nGC_1513)*dydo2_QED1_QCD2 + coupl(nGC_1514)*     &
                        dydo1_QED1_QCD2
      coupl(nGC_2397) = coupl(nGC_1615)*dyd12x2_QED3 + coupl(nGC_1616)*da_QED2 &
                         + coupl(nGC_1617)*dys2_QED3
      coupl(nGC_2398) = coupl(nGC_1615)*dyd12x2_QED1_QCD2 + coupl(nGC_1617)*   &
                        dys2_QED1_QCD2
      coupl(nGC_2399) = coupl(nGC_1498)*dyd13x3_QED3 + coupl(nGC_1499)*        &
                        dyb2_QED3 + coupl(nGC_1500)*da_QED2
      coupl(nGC_1931) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_173) - coupl(nGC_131)*&
                        coupl(nGC_133)*coupl(nGC_170) - coupl(nGC_133)*coupl(  &
                        nGC_134)*coupl(nGC_174) - coupl(nGC_169)**2d0*coupl(   &
                        nGC_173) - coupl(nGC_170)*coupl(nGC_64)*coupl(nGC_80   &
                        ) - coupl(nGC_172)**2d0*coupl(nGC_173) - coupl(nGC_172 &
                        )*coupl(nGC_653)*coupl(nGC_87) - coupl(nGC_172)*coupl( &
                        nGC_84)*coupl(nGC_92) - coupl(nGC_173)**3d0 - coupl(   &
                        nGC_173)*coupl(nGC_176)**2d0 + 8d0*coupl(nGC_173)*coupl&
                        (nGC_84)*coupl(nGC_87) - coupl(nGC_174)*coupl(nGC_635)*&
                        coupl(nGC_80) - coupl(nGC_176)*coupl(nGC_611)*coupl(   &
                        nGC_87) - coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2170) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)**2d0 + &
                        coupl(nGC_142)**2d0 + coupl(nGC_146)**2d0 + coupl(     &
                        nGC_170)**2d0 + coupl(nGC_178)**2d0 + coupl(nGC_193)** &
                        2d0)/(32d0*pi**2d0*Nc)
      coupl(nGC_1930) = (-coupl(nGC_161)**2d0*coupl(nGC_165) + coupl(nGC_162)* &
                        coupl(nGC_621)*coupl(nGC_80) - coupl(nGC_164)**2d0*    &
                        coupl(nGC_165) + coupl(nGC_164)*coupl(nGC_653)*coupl(  &
                        nGC_86) + coupl(nGC_164)*coupl(nGC_89)*coupl(nGC_92) - &
                        coupl(nGC_165)**3d0 - coupl(nGC_165)*coupl(nGC_168)**  &
                        2d0 + 8d0*coupl(nGC_165)*coupl(nGC_4)**2d0 + 8d0*coupl(&
                        nGC_165)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_166)* &
                        coupl(nGC_69)*coupl(nGC_80) + coupl(nGC_168)*coupl(    &
                        nGC_611)*coupl(nGC_86) + coupl(nGC_168)*coupl(nGC_89)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_835) = coupl(nGC_I)*dZGMinus
      coupl(nGC_2825) = coupl(nGC_145)*dZdL_QCD2/2d0 + coupl(nGC_145)*dZdR_QCD2&
                        /2d0 + coupl(nGC_2396)
      coupl(nGC_1933) = coupl(nGC_173)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_3282) = -coupl(nGC_1766)
      coupl(nGC_3287) = -coupl(nGC_1846)
      coupl(nGC_2356) = coupl(nGC_1540)*dydo1_QED1_QCD2 + coupl(nGC_1541)*     &
                        dydo2_QED1_QCD2
      coupl(nGC_2983) = coupl(nGC_161)*dZHl_QED2/2d0 + coupl(nGC_161)*         &
                        dZmuMinusL_QED2/2d0 + coupl(nGC_161)*dZmuMinusR_QED2/  &
                        2d0 + coupl(nGC_165)*dZHhHl_QED2/2d0 + coupl(nGC_2429)
      coupl(nGC_1934) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_63)*  &
                        coupl(nGC_80) - coupl(nGC_180)**3d0 - coupl(nGC_180)*  &
                        coupl(nGC_182)**2d0 + 8d0*coupl(nGC_180)*coupl(nGC_2)**&
                        2d0 - coupl(nGC_180)*coupl(nGC_627)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_85)*coupl(nGC_88) - coupl(nGC_181)* &
                        coupl(nGC_639)*coupl(nGC_80) - coupl(nGC_182)*coupl(   &
                        nGC_611)*coupl(nGC_88) - coupl(nGC_182)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_627)*coupl(nGC_653)*coupl(   &
                        nGC_88) - coupl(nGC_627)*coupl(nGC_85)*coupl(nGC_92))/(&
                        32d0*pi**2d0)
      coupl(nGC_1937) = (-coupl(nGC_184)**2d0*coupl(nGC_188) + coupl(nGC_185)* &
                        coupl(nGC_63)*coupl(nGC_80) - coupl(nGC_186)**2d0*coupl&
                        (nGC_188) + coupl(nGC_186)*coupl(nGC_653)*coupl(nGC_89 &
                        ) + coupl(nGC_186)*coupl(nGC_86)*coupl(nGC_92) - coupl(&
                        nGC_188)**3d0 - coupl(nGC_188)*coupl(nGC_190)**2d0 +   &
                        8d0*coupl(nGC_188)*coupl(nGC_4)**2d0 + 8d0*coupl(      &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_89) + coupl(nGC_189)* &
                        coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_190)*coupl(   &
                        nGC_611)*coupl(nGC_89) + coupl(nGC_190)*coupl(nGC_86)* &
                        coupl(nGC_94))/(32d0*pi**2d0)
      coupl(nGC_1831) = coupl(nGC_175)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2800) = coupl(nGC_2253) + 2d0*coupl(nGC_44)*dZGMinusHMinus_QED2&
                         + 2d0*coupl(nGC_51)*dZHMinus_QED2
      coupl(nGC_2985) = coupl(nGC_137)*dZHh_QED2/2d0 + coupl(nGC_137)*dZbL_QED2&
                        /2d0 + coupl(nGC_137)*dZbR_QED2/2d0 + coupl(nGC_141)*  &
                        dZHlHh_QED2/2d0 + coupl(nGC_2393)
      coupl(nGC_2803) = coupl(nGC_2320) + coupl(nGC_62)*dZHa_QED2 + coupl(     &
                        nGC_62)*dZWMinus_QED2
      coupl(nGC_2805) = coupl(nGC_2255) + coupl(nGC_42)*dZHaG0_QED2 + coupl(   &
                        nGC_43)*dZGMinusHMinus_QED2 + coupl(nGC_56)*           &
                        dZHMinus_QED2
      coupl(nGC_2807) = coupl(nGC_23)*dZGMinus
      coupl(nGC_1833) = coupl(nGC_182)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2720) = coupl(nGC_128)*dZZA_QED2/2d0
      coupl(nGC_1834) = (-coupl(nGC_138)*coupl(nGC_140)*coupl(nGC_181) - coupl(&
                        nGC_140)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_182) - coupl(nGC_177)*coupl(nGC_643)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_91) - coupl(nGC_179)**2d0*coupl(nGC_182) - coupl(  &
                        nGC_180)**2d0*coupl(nGC_182) - coupl(nGC_180)*coupl(   &
                        nGC_611)*coupl(nGC_88) - coupl(nGC_180)*coupl(nGC_85)* &
                        coupl(nGC_94) - coupl(nGC_181)*coupl(nGC_637)*coupl(   &
                        nGC_80) - coupl(nGC_182)*coupl(nGC_183)**2d0 + 8d0*    &
                        coupl(nGC_183)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_183)* &
                        coupl(nGC_85)*coupl(nGC_88))/(32d0*pi**2d0)
      coupl(nGC_1835) = coupl(nGC_183)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2222) = (-20d0*cima*coupl(nGC_6)**4d0*sq2**4d0 + 12d0*cima*    &
                        coupl(nGC_649)**2d0 + 3d0*coupl(nGC_6)**2d0*coupl(     &
                        nGC_645)*sq2**2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_647&
                        )*sq2**2d0 + 33d0*coupl(nGC_6)**2d0*coupl(nGC_649)*sq2 &
                        **2d0 + 3d0*coupl(nGC_6)**2d0*coupl(nGC_8)*sq2**2d0)/( &
                        384d0*pi**2d0)
      coupl(nGC_TS_GC_119_Hl) = -coupl(nGC_119)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1836) = (-coupl(nGC_184)**2d0*coupl(nGC_191) + coupl(nGC_184)* &
                        coupl(nGC_643)*coupl(nGC_86) + coupl(nGC_184)*coupl(   &
                        nGC_89)*coupl(nGC_91) - coupl(nGC_186)**2d0*coupl(     &
                        nGC_191) - coupl(nGC_188)**2d0*coupl(nGC_191) + coupl( &
                        nGC_188)*coupl(nGC_611)*coupl(nGC_86) + coupl(nGC_188)*&
                        coupl(nGC_89)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_72)*coupl(nGC_80) - coupl(nGC_190)**2d0*coupl(     &
                        nGC_191) + 8d0*coupl(nGC_190)*coupl(nGC_4)**2d0 + 8d0* &
                        coupl(nGC_190)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1837) = (-coupl(nGC_184)**2d0*coupl(nGC_190) + coupl(nGC_184)* &
                        coupl(nGC_643)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_91) - coupl(nGC_187)**2d0*coupl(     &
                        nGC_190) - coupl(nGC_188)**2d0*coupl(nGC_190) + coupl( &
                        nGC_188)*coupl(nGC_611)*coupl(nGC_89) + coupl(nGC_188)*&
                        coupl(nGC_86)*coupl(nGC_94) + coupl(nGC_189)*coupl(    &
                        nGC_637)*coupl(nGC_80) - coupl(nGC_190)*coupl(nGC_191  &
                        )**2d0 + 8d0*coupl(nGC_191)*coupl(nGC_4)**2d0 + 8d0*   &
                        coupl(nGC_191)*coupl(nGC_86)*coupl(nGC_89))/(32d0*pi** &
                        2d0)
      coupl(nGC_1783) = (coupl(nGC_17)*coupl(nGC_189)*coupl(nGC_4) + coupl(    &
                        nGC_184)*coupl(nGC_613)*coupl(nGC_80) + coupl(nGC_188)*&
                        coupl(nGC_639)*coupl(nGC_80) + coupl(nGC_189)*coupl(   &
                        nGC_651)*coupl(nGC_90) + 8d0*coupl(nGC_189)*coupl(     &
                        nGC_86)*coupl(nGC_90) + coupl(nGC_189)*coupl(nGC_86)*  &
                        coupl(nGC_96) + coupl(nGC_191)*coupl(nGC_72)*coupl(    &
                        nGC_80))/(32d0*pi**2d0)
      coupl(nGC_3050) = coupl(nGC_180)*dZtL_QCD2/2d0 + coupl(nGC_180)*dZtR_QCD2&
                        /2d0 + coupl(nGC_2454)
      coupl(nGC_3051) = coupl(nGC_17)*dZAZ_QED2/2d0 + coupl(nGC_2327) + coupl( &
                        nGC_96)*dZHMinus_QED2 + coupl(nGC_96)*dZZ_QED2/2d0
      coupl(nGC_3052) = coupl(nGC_2338) + coupl(nGC_99)*dZHl_QED2 + coupl(     &
                        nGC_99)*dZZ_QED2
      coupl(nGC_1759) = (2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_142&
                        ) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_140)*coupl(    &
                        nGC_142) + 2d0*Nc*cMB*coupl(nGC_138)*coupl(nGC_178)*   &
                        coupl(nGC_183) + 2d0*Nc*cMB*coupl(nGC_139)*coupl(      &
                        nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(nGC_140)*   &
                        coupl(nGC_178)*coupl(nGC_181) + 2d0*Nc*cMB*coupl(      &
                        nGC_142)*coupl(nGC_181)*coupl(nGC_182) + 2d0*Nc*cMC*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_135) + 2d0*Nc* &
                        cMC*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_136) + 2d0*&
                        Nc*cMC*coupl(nGC_131)*coupl(nGC_174)*coupl(nGC_175) +  &
                        2d0*Nc*cMC*coupl(nGC_134)*coupl(nGC_170)*coupl(nGC_176 &
                        ) + 2d0*Nc*cMC*coupl(nGC_135)*coupl(nGC_170)*coupl(    &
                        nGC_174) + 2d0*Nc*cMC*coupl(nGC_136)*coupl(nGC_170)*   &
                        coupl(nGC_174) + 2d0*Nc*cMD*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_151) + 2d0*Nc*cMD*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_152) + 2d0*Nc*cMD*coupl(      &
                        nGC_146)*coupl(nGC_196)*coupl(nGC_197) + 2d0*Nc*cMD*   &
                        coupl(nGC_150)*coupl(nGC_193)*coupl(nGC_198) + 2d0*Nc* &
                        cMD*coupl(nGC_151)*coupl(nGC_193)*coupl(nGC_196) + 2d0*&
                        Nc*cMD*coupl(nGC_152)*coupl(nGC_193)*coupl(nGC_196) +  &
                        2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_175 &
                        ) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_176) + 2d0*Nc*cMS*coupl(nGC_131)*coupl(nGC_136)*   &
                        coupl(nGC_174) + 2d0*Nc*cMS*coupl(nGC_134)*coupl(      &
                        nGC_135)*coupl(nGC_170) + 2d0*Nc*cMS*coupl(nGC_170)*   &
                        coupl(nGC_174)*coupl(nGC_175) + 2d0*Nc*cMS*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_176) + 2d0*Nc*cMT*   &
                        coupl(nGC_138)*coupl(nGC_139)*coupl(nGC_178) + 2d0*Nc* &
                        cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_182) + 2d0*&
                        Nc*cMT*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_183) +  &
                        2d0*Nc*cMT*coupl(nGC_140)*coupl(nGC_142)*coupl(nGC_181 &
                        ) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*coupl(    &
                        nGC_182) + 2d0*Nc*cMT*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_183) + 2d0*Nc*cMU*coupl(nGC_146)*coupl(      &
                        nGC_150)*coupl(nGC_197) + 2d0*Nc*cMU*coupl(nGC_146)*   &
                        coupl(nGC_150)*coupl(nGC_198) + 2d0*Nc*cMU*coupl(      &
                        nGC_146)*coupl(nGC_152)*coupl(nGC_196) + 2d0*Nc*cMU*   &
                        coupl(nGC_150)*coupl(nGC_151)*coupl(nGC_193) + 2d0*Nc* &
                        cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_197) + 2d0*&
                        Nc*cMU*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_198) +  &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_159) + &
                        2d0*cME*coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_160) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_167) + &
                        2d0*cMM*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_168) + &
                        2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_190   &
                        ) + 2d0*cMTA*coupl(nGC_185)*coupl(nGC_189)*coupl(      &
                        nGC_191) + 4d0*cima*coupl(nGC_102)*coupl(nGC_19) + 4d0*&
                        cima*coupl(nGC_126)*coupl(nGC_73) - coupl(nGC_102)*    &
                        coupl(nGC_611)*coupl(nGC_68) - coupl(nGC_102)*coupl(   &
                        nGC_63)*coupl(nGC_643) - coupl(nGC_102)*coupl(nGC_637)*&
                        coupl(nGC_96) - coupl(nGC_107)*coupl(nGC_64)*coupl(    &
                        nGC_94) - coupl(nGC_107)*coupl(nGC_68)*coupl(nGC_91) + &
                        coupl(nGC_108)*coupl(nGC_637)*coupl(nGC_639) + coupl(  &
                        nGC_109)*coupl(nGC_637)*coupl(nGC_68) + coupl(nGC_111)*&
                        coupl(nGC_611)*coupl(nGC_651) + coupl(nGC_111)*coupl(  &
                        nGC_639)*coupl(nGC_72) + coupl(nGC_111)*coupl(nGC_651)*&
                        coupl(nGC_94) + coupl(nGC_112)*coupl(nGC_68)*coupl(    &
                        nGC_72) + coupl(nGC_115)*coupl(nGC_17)**2d0 + coupl(   &
                        nGC_115)*coupl(nGC_72)**2d0 + coupl(nGC_115)*coupl(    &
                        nGC_96)**2d0 + coupl(nGC_116)*coupl(nGC_621)*coupl(    &
                        nGC_637) + coupl(nGC_117)*coupl(nGC_637)*coupl(nGC_64  &
                        ) + coupl(nGC_119)*coupl(nGC_613)*coupl(nGC_72) + coupl&
                        (nGC_119)*coupl(nGC_643)*coupl(nGC_651) + coupl(nGC_119&
                        )*coupl(nGC_651)*coupl(nGC_91) + coupl(nGC_120)*coupl( &
                        nGC_63)*coupl(nGC_72) - coupl(nGC_126)*coupl(nGC_17)*  &
                        coupl(nGC_637))/(32d0*pi**2d0)
      coupl(nGC_3058) = -coupl(nGC_2317) + coupl(nGC_63)*dZHMinusGMinus_QED2/  &
                        2d0 - coupl(nGC_63)*dZHlHh_QED2/2d0 - coupl(nGC_68)*   &
                        dZHh_QED2/2d0 - coupl(nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_2150) = (-32d0*Nc*cima*coupl(nGC_135)*coupl(nGC_136)*coupl(    &
                        nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_135)*coupl(      &
                        nGC_136)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_135)*coupl(nGC_136)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_84)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_139)*coupl(nGC_140)*coupl(&
                        nGC_84)*coupl(nGC_87) - 32d0*Nc*cima*coupl(nGC_139)*   &
                        coupl(nGC_140)*coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(&
                        nGC_151)*coupl(nGC_152)*coupl(nGC_84)**2d0 + 40d0*Nc*  &
                        cima*coupl(nGC_151)*coupl(nGC_152)*coupl(nGC_84)*coupl(&
                        nGC_87) - 32d0*Nc*cima*coupl(nGC_151)*coupl(nGC_152)*  &
                        coupl(nGC_87)**2d0 - 32d0*Nc*cima*coupl(nGC_175)*coupl(&
                        nGC_176)*coupl(nGC_84)**2d0 + 40d0*Nc*cima*coupl(      &
                        nGC_175)*coupl(nGC_176)*coupl(nGC_84)*coupl(nGC_87) -  &
                        32d0*Nc*cima*coupl(nGC_175)*coupl(nGC_176)*coupl(nGC_87&
                        )**2d0 - 32d0*Nc*cima*coupl(nGC_182)*coupl(nGC_183)*   &
                        coupl(nGC_85)**2d0 + 40d0*Nc*cima*coupl(nGC_182)*coupl(&
                        nGC_183)*coupl(nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*   &
                        coupl(nGC_182)*coupl(nGC_183)*coupl(nGC_88)**2d0 - 32d0&
                        *Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(nGC_85)** &
                        2d0 + 40d0*Nc*cima*coupl(nGC_197)*coupl(nGC_198)*coupl(&
                        nGC_85)*coupl(nGC_88) - 32d0*Nc*cima*coupl(nGC_197)*   &
                        coupl(nGC_198)*coupl(nGC_88)**2d0 - 32d0*cima*coupl(   &
                        nGC_159)*coupl(nGC_160)*coupl(nGC_86)**2d0 + 40d0*cima*&
                        coupl(nGC_159)*coupl(nGC_160)*coupl(nGC_86)*coupl(     &
                        nGC_89) - 32d0*cima*coupl(nGC_159)*coupl(nGC_160)*coupl&
                        (nGC_89)**2d0 - 32d0*cima*coupl(nGC_167)*coupl(nGC_168 &
                        )*coupl(nGC_86)**2d0 + 40d0*cima*coupl(nGC_167)*coupl( &
                        nGC_168)*coupl(nGC_86)*coupl(nGC_89) - 32d0*cima*coupl(&
                        nGC_167)*coupl(nGC_168)*coupl(nGC_89)**2d0 - 32d0*cima*&
                        coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86)**2d0 + 40d0&
                        *cima*coupl(nGC_190)*coupl(nGC_191)*coupl(nGC_86)*coupl&
                        (nGC_89) - 32d0*cima*coupl(nGC_190)*coupl(nGC_191)*    &
                        coupl(nGC_89)**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl&
                        (nGC_91)**2d0 + 4d0*cima*coupl(nGC_611)**2d0*coupl(    &
                        nGC_94)**2d0 + 4d0*cima*coupl(nGC_611)*coupl(nGC_643)* &
                        coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl(nGC_611)* &
                        coupl(nGC_643)*coupl(nGC_92)*coupl(nGC_94) + 4d0*cima* &
                        coupl(nGC_611)*coupl(nGC_653)*coupl(nGC_91)*coupl(     &
                        nGC_94) + 4d0*cima*coupl(nGC_611)*coupl(nGC_653)*coupl(&
                        nGC_92)*coupl(nGC_94) + 12d0*cima*coupl(nGC_62)*coupl( &
                        nGC_631) + 9d0*cima*coupl(nGC_623)**2d0*coupl(nGC_637)*&
                        coupl(nGC_72) + 4d0*cima*coupl(nGC_637)*coupl(nGC_651  &
                        )**2d0*coupl(nGC_72) + 9d0*cima*coupl(nGC_637)*coupl(  &
                        nGC_72)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(nGC_637)*  &
                        coupl(nGC_72)*coupl(nGC_96)**2d0 + 4d0*cima*coupl(     &
                        nGC_643)**2d0*coupl(nGC_91)**2d0 + 4d0*cima*coupl(     &
                        nGC_643)**2d0*coupl(nGC_94)**2d0 + 6d0*coupl(nGC_100)* &
                        coupl(nGC_637)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(&
                        nGC_623)*coupl(nGC_72) - 6d0*coupl(nGC_19)*coupl(      &
                        nGC_637)*coupl(nGC_82) - 6d0*coupl(nGC_20)*coupl(      &
                        nGC_623)*coupl(nGC_637) - 6d0*coupl(nGC_20)*coupl(     &
                        nGC_72)*coupl(nGC_82) + 3d0*coupl(nGC_611)*coupl(nGC_94&
                        )*coupl(nGC_99) + 18d0*coupl(nGC_62)*coupl(nGC_623)**  &
                        2d0 + 18d0*coupl(nGC_62)*coupl(nGC_82)**2d0 - 6d0*coupl&
                        (nGC_631)*coupl(nGC_637)*coupl(nGC_72) + 3d0*coupl(    &
                        nGC_643)*coupl(nGC_91)*coupl(nGC_99))/(96d0*pi**2d0)
      coupl(nGC_2200) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)*coupl( &
                        nGC_133) + coupl(nGC_137)*coupl(nGC_141) + coupl(      &
                        nGC_145)*coupl(nGC_149) + coupl(nGC_169)*coupl(nGC_173 &
                        ) + coupl(nGC_177)*coupl(nGC_180) + coupl(nGC_192)*    &
                        coupl(nGC_195))/(16d0*pi**2d0*Nc)
      coupl(nGC_2934) = coupl(nGC_2246) + coupl(nGC_23)*dZHlHh_QED2 + coupl(   &
                        nGC_27)*dZHMinusGMinus_QED2 + coupl(nGC_32)*dZHh_QED2
      coupl(nGC_TS_GC_108_Hl) = -coupl(nGC_108)*dtHl_QED1/cMHL**2d0
      coupl(nGC_2937) = coupl(nGC_130)*dZHlHh_QED2/2d0 + coupl(nGC_133)*       &
                        dZHh_QED2/2d0 + coupl(nGC_133)*dZcL_QED2/2d0 + coupl(  &
                        nGC_133)*dZcR_QED2/2d0 + coupl(nGC_2451)
      coupl(nGC_2930) = coupl(nGC_14)*dZHlHh_QED2/2d0 + coupl(nGC_15)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_16)*dZHh_QED2/2d0  &
                         + coupl(nGC_16)*dZWMinus_QED2/2d0 + coupl(nGC_16)*    &
                        dZZ_QED2/2d0 + coupl(nGC_2330) + coupl(nGC_70)*        &
                        dZAZ_QED2/2d0
      coupl(nGC_2931) = coupl(nGC_107)*dZZA_QED2/2d0 + coupl(nGC_126)*         &
                        dZHMinusGMinus_QED2/2d0 + coupl(nGC_127)*dZA_QED2/2d0  &
                         + coupl(nGC_127)*dZWMinus_QED2/2d0 + coupl(nGC_2312   &
                        ) + coupl(nGC_TS_GC_65_Hl) + coupl(nGC_TS_GC_70_Hh)
      coupl(nGC_2932) = coupl(nGC_127)*dZGMinus/2d0
      coupl(nGC_2933) = coupl(nGC_32)*dZGMinus
      coupl(nGC_2221) = (10d0*Nc*cima*coupl(nGC_6)**4d0*sq2**4d0 + 6d0*Nc*cima*&
                        coupl(nGC_647)*coupl(nGC_649) - 6d0*Nc*cima*coupl(     &
                        nGC_649)*coupl(nGC_8) - 3d0*Nc*coupl(nGC_6)**2d0*coupl(&
                        nGC_645)*sq2**2d0 + 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_647)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_649)*sq2**2d0 - 9d0*Nc*coupl(nGC_6)**2d0*coupl(    &
                        nGC_8)*sq2**2d0 - 6d0*cima*coupl(nGC_7)**4d0*sq2**4d0  &
                        )/(384d0*pi**2d0*Nc)
      coupl(nGC_2938) = coupl(nGC_133)*dZcL_QCD2/2d0 + coupl(nGC_133)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2452)
      coupl(nGC_TS_GC_41_Hl) = -coupl(nGC_41)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1709) = cMS*cima*(-coupl(nGC_1)**2d0 - coupl(nGC_84)*coupl(    &
                        nGC_87))/(8d0*pi**2d0)
      coupl(nGC_TS_GC_41_Hh) = -coupl(nGC_41)*dtHh_QED1/cMHH**2d0
      coupl(nGC_2050) = (10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_131)*coupl(nGC_134&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(     &
                        nGC_131)*coupl(nGC_134)*coupl(nGC_87) - 16d0*Nc*cima*  &
                        coupl(nGC_1)*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84&
                        ) + 10d0*Nc*cima*coupl(nGC_1)*coupl(nGC_138)*coupl(    &
                        nGC_142)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*    &
                        coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84) + 10d0*Nc* &
                        cima*coupl(nGC_1)*coupl(nGC_146)*coupl(nGC_150)*coupl( &
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_170)*    &
                        coupl(nGC_174)*coupl(nGC_84) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88) + 10d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_178)*coupl(nGC_181)*coupl(&
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_1)*coupl(nGC_178)*    &
                        coupl(nGC_181)*coupl(nGC_87) + 10d0*Nc*cima*coupl(nGC_1&
                        )*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85) - 16d0*Nc&
                        *cima*coupl(nGC_1)*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*  &
                        coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc*cima*coupl(nGC_131&
                        )*coupl(nGC_134)*coupl(nGC_2)*coupl(nGC_87) + 10d0*Nc* &
                        cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_2)*coupl( &
                        nGC_84) - 16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*  &
                        coupl(nGC_2)*coupl(nGC_88) + 10d0*Nc*cima*coupl(nGC_146&
                        )*coupl(nGC_150)*coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc* &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_2)*coupl( &
                        nGC_88) + 10d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*  &
                        coupl(nGC_2)*coupl(nGC_84) - 16d0*Nc*cima*coupl(nGC_170&
                        )*coupl(nGC_174)*coupl(nGC_2)*coupl(nGC_88) - 16d0*Nc* &
                        cima*coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_2)*coupl( &
                        nGC_85) + 10d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*  &
                        coupl(nGC_2)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193&
                        )*coupl(nGC_196)*coupl(nGC_2)*coupl(nGC_85) + 10d0*Nc* &
                        cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_2)*coupl( &
                        nGC_87) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_154)*coupl(&
                        nGC_158)*coupl(nGC_4)*coupl(nGC_90) - 16d0*cima*coupl( &
                        nGC_162)*coupl(nGC_166)*coupl(nGC_4)*coupl(nGC_86) +   &
                        10d0*cima*coupl(nGC_162)*coupl(nGC_166)*coupl(nGC_4)*  &
                        coupl(nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189 &
                        )*coupl(nGC_4)*coupl(nGC_86) + 10d0*cima*coupl(nGC_185 &
                        )*coupl(nGC_189)*coupl(nGC_4)*coupl(nGC_90) + 9d0*cima*&
                        coupl(nGC_3)*coupl(nGC_63)*coupl(nGC_68)*coupl(nGC_82  &
                        ) + 9d0*cima*coupl(nGC_3)*coupl(nGC_64)*coupl(nGC_68)* &
                        coupl(nGC_82) - 3d0*coupl(nGC_14)*coupl(nGC_3)*coupl(  &
                        nGC_68) - 3d0*coupl(nGC_15)*coupl(nGC_3)*coupl(nGC_68  &
                        ) - 3d0*coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_63) - 3d0*&
                        coupl(nGC_16)*coupl(nGC_3)*coupl(nGC_64) - 3d0*coupl(  &
                        nGC_613)*coupl(nGC_623)*coupl(nGC_70) - 3d0*coupl(     &
                        nGC_623)*coupl(nGC_639)*coupl(nGC_66) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64 &
                        )*coupl(nGC_68)*coupl(nGC_83) - 3d0*coupl(nGC_64)*coupl&
                        (nGC_70)*coupl(nGC_82) - 3d0*coupl(nGC_65)*coupl(nGC_68&
                        )*coupl(nGC_82))/(96d0*pi**2d0)
      coupl(nGC_1979) = (4d0*coupl(nGC_1)**2d0*coupl(nGC_84) + coupl(nGC_137)**&
                        2d0*coupl(nGC_87) + coupl(nGC_138)**2d0*coupl(nGC_88   &
                        ) + coupl(nGC_139)*coupl(nGC_140)*coupl(nGC_87) + coupl&
                        (nGC_141)**2d0*coupl(nGC_87) + coupl(nGC_142)**2d0*    &
                        coupl(nGC_88) + coupl(nGC_143)*coupl(nGC_144)*coupl(   &
                        nGC_87) + 4d0*coupl(nGC_84)**3d0)/(32d0*pi**2d0)
      coupl(nGC_2885) = coupl(nGC_49)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2300) = coupl(nGC_1631)*dvev2_QED1 + coupl(nGC_1632)*dvev1_QED1&
                         + coupl(nGC_1633)*dl2_QED4 + coupl(nGC_1634)*dl1_QED4 &
                         + coupl(nGC_1635)*dl4_QED4 + coupl(nGC_1636)*dl3_QED4 &
                         + coupl(nGC_1637)*da_QED2 + coupl(nGC_1638)*dl5_QED4
      coupl(nGC_3217) = -coupl(nGC_2317) + coupl(nGC_64)*dZGMinusHMinus_QED2/  &
                        2d0 - coupl(nGC_64)*dZHhHl_QED2/2d0 - coupl(nGC_68)*   &
                        dZHMinus_QED2/2d0 - coupl(nGC_68)*dZHl_QED2/2d0 - coupl&
                        (nGC_68)*dZWMinus_QED2/2d0
      coupl(nGC_1812) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_140) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_139) - coupl(nGC_137)*coupl(nGC_611)* &
                        coupl(nGC_84) - coupl(nGC_137)*coupl(nGC_87)*coupl(    &
                        nGC_94) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_183  &
                        ) - coupl(nGC_138)*coupl(nGC_72)*coupl(nGC_80) - coupl(&
                        nGC_139)*coupl(nGC_140)**2d0 - coupl(nGC_139)*coupl(   &
                        nGC_141)**2d0 - coupl(nGC_139)*coupl(nGC_143)**2d0 +   &
                        8d0*coupl(nGC_140)*coupl(nGC_84)*coupl(nGC_87) - coupl(&
                        nGC_141)*coupl(nGC_643)*coupl(nGC_84) - coupl(nGC_141)*&
                        coupl(nGC_87)*coupl(nGC_91) - coupl(nGC_142)*coupl(    &
                        nGC_178)*coupl(nGC_183))/(32d0*pi**2d0)
      coupl(nGC_3201) = -coupl(nGC_17)*dZGMinus
      coupl(nGC_2028) = coupl(nGC_7)*sq2*(coupl(nGC_146)**2d0 + coupl(nGC_150  &
                        )**2d0 + coupl(nGC_192)**2d0 + coupl(nGC_194)*coupl(   &
                        nGC_641) + coupl(nGC_195)**2d0 + coupl(nGC_197)*coupl( &
                        nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2029) = coupl(nGC_7)*sq2*(coupl(nGC_192)**2d0 + coupl(nGC_193  &
                        )**2d0 + coupl(nGC_194)*coupl(nGC_641) + coupl(nGC_195 &
                        )**2d0 + coupl(nGC_196)**2d0 + coupl(nGC_197)*coupl(   &
                        nGC_198) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_TS_GC_104_Hl) = -coupl(nGC_104)*dtHl_QED1/cMHL**2d0
      coupl(nGC_1941) = coupl(nGC_195)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2023) = coupl(nGC_7)*sq2*(-coupl(nGC_177)**2d0 - coupl(nGC_178 &
                        )**2d0 - coupl(nGC_179)*coupl(nGC_627) - coupl(nGC_180 &
                        )**2d0 - coupl(nGC_181)**2d0 - coupl(nGC_182)*coupl(   &
                        nGC_183) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2020) = coupl(nGC_7)*sq2*(4d0*coupl(nGC_1)**2d0 + coupl(nGC_169&
                        )**2d0 + coupl(nGC_170)**2d0 + coupl(nGC_171)*coupl(   &
                        nGC_172) + coupl(nGC_173)**2d0 + coupl(nGC_174)**2d0 + &
                        coupl(nGC_175)*coupl(nGC_176) + 4d0*coupl(nGC_84)**2d0 &
                        )/(64d0*pi**2d0)
      coupl(nGC_2021) = coupl(nGC_7)**2d0*sq2**3d0*(-Nc**2d0*cima*coupl(nGC_6  &
                        ) - coupl(nGC_7))/(64d0*pi**2d0*Nc)
      coupl(nGC_2027) = coupl(nGC_7)*sq2*(-coupl(nGC_192)**2d0 - coupl(nGC_193 &
                        )**2d0 - coupl(nGC_194)*coupl(nGC_641) - coupl(nGC_195 &
                        )**2d0 - coupl(nGC_196)**2d0 - coupl(nGC_197)*coupl(   &
                        nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2024) = coupl(nGC_7)*sq2*(coupl(nGC_138)**2d0 + coupl(nGC_142  &
                        )**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_179)*coupl(   &
                        nGC_627) + coupl(nGC_180)**2d0 + coupl(nGC_182)*coupl( &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_80)** &
                        2d0 + 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0)
      coupl(nGC_2025) = coupl(nGC_7)*sq2*(coupl(nGC_177)**2d0 + coupl(nGC_178  &
                        )**2d0 + coupl(nGC_179)*coupl(nGC_627) + coupl(nGC_180 &
                        )**2d0 + coupl(nGC_181)**2d0 + coupl(nGC_182)*coupl(   &
                        nGC_183) + 4d0*coupl(nGC_2)**2d0 + 4d0*coupl(nGC_85)** &
                        2d0)/(64d0*pi**2d0)
      coupl(nGC_1676) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_137)**2d0 - 8d0*Nc*cMC&
                        **2d0*cima*coupl(nGC_133)**2d0 - 8d0*Nc*cMD**2d0*cima* &
                        coupl(nGC_149)**2d0 - 8d0*Nc*cMS**2d0*cima*coupl(      &
                        nGC_173)**2d0 - 8d0*Nc*cMT**2d0*cima*coupl(nGC_180)**  &
                        2d0 - 8d0*Nc*cMU**2d0*cima*coupl(nGC_195)**2d0 - 8d0*  &
                        cME**2d0*cima*coupl(nGC_157)**2d0 - cMHA**2d0*cima*    &
                        coupl(nGC_653)*coupl(nGC_92) - cMHC**2d0*cima*coupl(   &
                        nGC_613)*coupl(nGC_64) - cMHC**2d0*cima*coupl(nGC_621)*&
                        coupl(nGC_63) - 8d0*cMM**2d0*cima*coupl(nGC_165)**2d0  &
                         - 8d0*cMTA**2d0*cima*coupl(nGC_188)**2d0 - cMW**2d0*  &
                        cima*coupl(nGC_613)*coupl(nGC_64) - cMW**2d0*cima*coupl&
                        (nGC_621)*coupl(nGC_63) - 2d0*cMW**2d0*cima*coupl(     &
                        nGC_635)*coupl(nGC_68) - 2d0*cMW**2d0*cima*coupl(      &
                        nGC_639)*coupl(nGC_69) - 4d0*cMW**2d0*coupl(nGC_61) -  &
                        2d0*cMZ**2d0*cima*coupl(nGC_611)*coupl(nGC_94) - cMZ** &
                        2d0*cima*coupl(nGC_653)*coupl(nGC_92) - 2d0*cMZ**2d0*  &
                        coupl(nGC_99) + 4d0*cima*coupl(nGC_125)**2d0 + 2d0*cima&
                        *coupl(nGC_129)**2d0)/(32d0*pi**2d0)
      coupl(nGC_1677) = cima*(8d0*Nc*coupl(nGC_130)*coupl(nGC_133) + 8d0*Nc*   &
                        coupl(nGC_137)*coupl(nGC_141) + 8d0*Nc*coupl(nGC_145)* &
                        coupl(nGC_149) + 8d0*Nc*coupl(nGC_169)*coupl(nGC_173   &
                        ) + 8d0*Nc*coupl(nGC_177)*coupl(nGC_180) + 8d0*Nc*coupl&
                        (nGC_192)*coupl(nGC_195) + 8d0*coupl(nGC_153)*coupl(   &
                        nGC_157) + 8d0*coupl(nGC_161)*coupl(nGC_165) + 8d0*    &
                        coupl(nGC_184)*coupl(nGC_188) + coupl(nGC_611)*coupl(  &
                        nGC_91) + coupl(nGC_611)*coupl(nGC_92) + coupl(nGC_613 &
                        )*coupl(nGC_68) + coupl(nGC_613)*coupl(nGC_69) + coupl(&
                        nGC_621)*coupl(nGC_68) + coupl(nGC_621)*coupl(nGC_69   &
                        ) + coupl(nGC_63)*coupl(nGC_635) + coupl(nGC_63)*coupl(&
                        nGC_639) + coupl(nGC_635)*coupl(nGC_64) + coupl(nGC_639&
                        )*coupl(nGC_64) + coupl(nGC_643)*coupl(nGC_94) + coupl(&
                        nGC_653)*coupl(nGC_94))/(192d0*pi**2d0)
      coupl(nGC_1672) = (-8d0*Nc*cMB**2d0*cima*coupl(nGC_139)*coupl(nGC_140) - &
                        8d0*Nc*cMC**2d0*cima*coupl(nGC_135)*coupl(nGC_136) -   &
                        8d0*Nc*cMD**2d0*cima*coupl(nGC_151)*coupl(nGC_152) -   &
                        8d0*Nc*cMS**2d0*cima*coupl(nGC_175)*coupl(nGC_176) -   &
                        8d0*Nc*cMT**2d0*cima*coupl(nGC_182)*coupl(nGC_183) -   &
                        8d0*Nc*cMU**2d0*cima*coupl(nGC_197)*coupl(nGC_198) -   &
                        8d0*cME**2d0*cima*coupl(nGC_159)*coupl(nGC_160) - cMHH &
                        **2d0*cima*coupl(nGC_611)*coupl(nGC_94) - cMHL**2d0*   &
                        cima*coupl(nGC_643)*coupl(nGC_91) - 8d0*cMM**2d0*cima* &
                        coupl(nGC_167)*coupl(nGC_168) - 8d0*cMTA**2d0*cima*    &
                        coupl(nGC_190)*coupl(nGC_191) - 4d0*cMW**2d0*cima*coupl&
                        (nGC_637)*coupl(nGC_72) - 4d0*cMW**2d0*coupl(nGC_62) - &
                        cMZ**2d0*cima*coupl(nGC_611)*coupl(nGC_94) - cMZ**2d0* &
                        cima*coupl(nGC_643)*coupl(nGC_91) - 2d0*cMZ**2d0*coupl(&
                        nGC_101))/(32d0*pi**2d0)
      coupl(nGC_TS_GC_149_Hh) = -coupl(nGC_149)*dtHh_QED1/cMHH**2d0
      coupl(nGC_1671) = cima*(4d0*Nc*coupl(nGC_135)*coupl(nGC_136) + 4d0*Nc*   &
                        coupl(nGC_139)*coupl(nGC_140) + 4d0*Nc*coupl(nGC_151)* &
                        coupl(nGC_152) + 4d0*Nc*coupl(nGC_175)*coupl(nGC_176   &
                        ) + 4d0*Nc*coupl(nGC_182)*coupl(nGC_183) + 4d0*Nc*coupl&
                        (nGC_197)*coupl(nGC_198) + 4d0*coupl(nGC_159)*coupl(   &
                        nGC_160) + 4d0*coupl(nGC_167)*coupl(nGC_168) + 4d0*    &
                        coupl(nGC_190)*coupl(nGC_191) + coupl(nGC_611)*coupl(  &
                        nGC_94) + 2d0*coupl(nGC_637)*coupl(nGC_72) + coupl(    &
                        nGC_643)*coupl(nGC_91))/(96d0*pi**2d0)
      coupl(nGC_2208) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_130)**2d0 + &
                        coupl(nGC_141)**2d0 + coupl(nGC_145)**2d0 + coupl(     &
                        nGC_169)**2d0 + coupl(nGC_177)**2d0 + coupl(nGC_192)** &
                        2d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1940) = (-coupl(nGC_146)*coupl(nGC_149)*coupl(nGC_193) - coupl(&
                        nGC_149)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_195) - coupl(nGC_193)*coupl(nGC_621)* &
                        coupl(nGC_80) - coupl(nGC_194)**2d0*coupl(nGC_195) -   &
                        coupl(nGC_194)*coupl(nGC_653)*coupl(nGC_85) - coupl(   &
                        nGC_194)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_195)**&
                        3d0 - coupl(nGC_195)*coupl(nGC_198)**2d0 + 8d0*coupl(  &
                        nGC_195)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_195)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_196)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_198)*coupl(nGC_611)*coupl(   &
                        nGC_85) - coupl(nGC_198)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_2719) = coupl(nGC_134)*dZGMinus/2d0
      coupl(nGC_3204) = coupl(nGC_2583) + coupl(nGC_MHL)*dZHl_QED2 + coupl(    &
                        nGC_TS_GC_104_Hl) + coupl(nGC_TS_GC_106_Hh)
      coupl(nGC_2619) = dZHMinusGMinus_QED2*(coupl(nGC_40) + coupl(nGC_41))/2d0
      coupl(nGC_2618) = coupl(nGC_20)*dZZA_QED2/2d0 + coupl(nGC_2308) + coupl( &
                        nGC_74)*dZA_QED2/2d0 + coupl(nGC_74)*dZWMinus_QED2/2d0
      coupl(nGC_2773) = coupl(nGC_130)*dZcL_QCD2/2d0 + coupl(nGC_130)*dZcR_QCD2&
                        /2d0 + coupl(nGC_2458)
      coupl(nGC_1883) = (8d0*coupl(nGC_1)**2d0*coupl(nGC_144) - coupl(nGC_137  &
                        )**2d0*coupl(nGC_143) - coupl(nGC_137)*coupl(nGC_653)* &
                        coupl(nGC_87) - coupl(nGC_137)*coupl(nGC_84)*coupl(    &
                        nGC_92) - coupl(nGC_138)*coupl(nGC_181)*coupl(nGC_627  &
                        ) - coupl(nGC_139)**2d0*coupl(nGC_143) - coupl(nGC_141 &
                        )**2d0*coupl(nGC_143) - coupl(nGC_141)*coupl(nGC_611)* &
                        coupl(nGC_87) - coupl(nGC_141)*coupl(nGC_84)*coupl(    &
                        nGC_94) - coupl(nGC_142)*coupl(nGC_178)*coupl(nGC_627  &
                        ) - coupl(nGC_142)*coupl(nGC_637)*coupl(nGC_80) - coupl&
                        (nGC_143)*coupl(nGC_144)**2d0 + 8d0*coupl(nGC_144)*    &
                        coupl(nGC_84)*coupl(nGC_87))/(32d0*pi**2d0)
      coupl(nGC_2610) = coupl(nGC_41)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_2612) = coupl(nGC_43)*(2d0*dZG0 + dZGMinus)/2d0
      coupl(nGC_2614) = coupl(nGC_21)*dZGMinusHMinus_QED2/2d0
      coupl(nGC_2617) = coupl(nGC_74)*(dZG0 + dZGMinus)/2d0
      coupl(nGC_3235) = -coupl(nGC_2605) - coupl(nGC_MMW_GF)*dZWMinus_QED2/2d0 &
                         + coupl(nGC_TS_GC_64_Hl) + coupl(nGC_TS_GC_69_Hh)
      coupl(nGC_2026) = coupl(nGC_7)*sq2*(-coupl(nGC_146)**2d0 - coupl(nGC_150 &
                        )**2d0 - coupl(nGC_192)**2d0 - coupl(nGC_194)*coupl(   &
                        nGC_641) - coupl(nGC_195)**2d0 - coupl(nGC_197)*coupl( &
                        nGC_198) - 4d0*coupl(nGC_2)**2d0 - 4d0*coupl(nGC_80)** &
                        2d0 - 4d0*coupl(nGC_88)**2d0)/(64d0*pi**2d0*Nc)
      coupl(nGC_2188) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_132)*coupl( &
                        nGC_633) + coupl(nGC_143)*coupl(nGC_144) + coupl(      &
                        nGC_147)*coupl(nGC_148) + coupl(nGC_171)*coupl(nGC_172 &
                        ) + coupl(nGC_179)*coupl(nGC_627) + coupl(nGC_194)*    &
                        coupl(nGC_641))/(16d0*pi**2d0*Nc)
      coupl(nGC_1935) = (-coupl(nGC_137)*coupl(nGC_138)*coupl(nGC_181) - coupl(&
                        nGC_137)*coupl(nGC_142)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_180) - coupl(nGC_178)*coupl(nGC_621)* &
                        coupl(nGC_80) - coupl(nGC_179)**2d0*coupl(nGC_180) -   &
                        coupl(nGC_179)*coupl(nGC_653)*coupl(nGC_85) - coupl(   &
                        nGC_179)*coupl(nGC_88)*coupl(nGC_92) - coupl(nGC_180)**&
                        3d0 - coupl(nGC_180)*coupl(nGC_183)**2d0 + 8d0*coupl(  &
                        nGC_180)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_180)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_181)*coupl(nGC_69)*  &
                        coupl(nGC_80) - coupl(nGC_183)*coupl(nGC_611)*coupl(   &
                        nGC_85) - coupl(nGC_183)*coupl(nGC_88)*coupl(nGC_94))/(&
                        32d0*pi**2d0)
      coupl(nGC_3190) = coupl(nGC_7)*dZtL_QED2
      coupl(nGC_2116) = cima*coupl(nGC_7)**2d0*sq2**2d0*(-coupl(nGC_131)*coupl(&
                        nGC_134) - coupl(nGC_138)*coupl(nGC_142) - coupl(      &
                        nGC_146)*coupl(nGC_150) - coupl(nGC_170)*coupl(nGC_174 &
                        ) - coupl(nGC_178)*coupl(nGC_181) - coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0)
      coupl(nGC_2117) = (20d0*Nc*cima*coupl(nGC_134)*coupl(nGC_633)*coupl(     &
                        nGC_80)*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_134)*   &
                        coupl(nGC_633)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*  &
                        cima*coupl(nGC_134)*coupl(nGC_633)*coupl(nGC_80)*coupl(&
                        nGC_88) + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*  &
                        coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*coupl(      &
                        nGC_138)*coupl(nGC_144)*coupl(nGC_80)*coupl(nGC_87) -  &
                        16d0*Nc*cima*coupl(nGC_138)*coupl(nGC_144)*coupl(nGC_80&
                        )*coupl(nGC_88) + 20d0*Nc*cima*coupl(nGC_147)*coupl(   &
                        nGC_150)*coupl(nGC_80)*coupl(nGC_84) - 16d0*Nc*cima*   &
                        coupl(nGC_147)*coupl(nGC_150)*coupl(nGC_80)*coupl(     &
                        nGC_87) - 16d0*Nc*cima*coupl(nGC_147)*coupl(nGC_150)*  &
                        coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*coupl(      &
                        nGC_171)*coupl(nGC_174)*coupl(nGC_80)*coupl(nGC_84) -  &
                        16d0*Nc*cima*coupl(nGC_171)*coupl(nGC_174)*coupl(nGC_80&
                        )*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_171)*coupl(   &
                        nGC_174)*coupl(nGC_80)*coupl(nGC_88) + 20d0*Nc*cima*   &
                        coupl(nGC_181)*coupl(nGC_627)*coupl(nGC_80)*coupl(     &
                        nGC_85) - 16d0*Nc*cima*coupl(nGC_181)*coupl(nGC_627)*  &
                        coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*coupl(      &
                        nGC_181)*coupl(nGC_627)*coupl(nGC_80)*coupl(nGC_88) +  &
                        20d0*Nc*cima*coupl(nGC_196)*coupl(nGC_641)*coupl(nGC_80&
                        )*coupl(nGC_85) - 16d0*Nc*cima*coupl(nGC_196)*coupl(   &
                        nGC_641)*coupl(nGC_80)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_196)*coupl(nGC_641)*coupl(nGC_80)*coupl(     &
                        nGC_88) + 20d0*cima*coupl(nGC_155)*coupl(nGC_158)*coupl&
                        (nGC_80)*coupl(nGC_86) - 16d0*cima*coupl(nGC_155)*coupl&
                        (nGC_158)*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl&
                        (nGC_155)*coupl(nGC_158)*coupl(nGC_80)*coupl(nGC_90) + &
                        20d0*cima*coupl(nGC_163)*coupl(nGC_166)*coupl(nGC_80)* &
                        coupl(nGC_86) - 16d0*cima*coupl(nGC_163)*coupl(nGC_166 &
                        )*coupl(nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_163&
                        )*coupl(nGC_166)*coupl(nGC_80)*coupl(nGC_90) + 20d0*   &
                        cima*coupl(nGC_186)*coupl(nGC_189)*coupl(nGC_80)*coupl(&
                        nGC_86) - 16d0*cima*coupl(nGC_186)*coupl(nGC_189)*coupl&
                        (nGC_80)*coupl(nGC_89) - 16d0*cima*coupl(nGC_186)*coupl&
                        (nGC_189)*coupl(nGC_80)*coupl(nGC_90) + 4d0*cima*coupl(&
                        nGC_611)*coupl(nGC_613)*coupl(nGC_72)**2d0 + 9d0*cima* &
                        coupl(nGC_611)*coupl(nGC_623)*coupl(nGC_63)*coupl(     &
                        nGC_82) + 4d0*cima*coupl(nGC_613)*coupl(nGC_651)*coupl(&
                        nGC_69)*coupl(nGC_72) + 9d0*cima*coupl(nGC_623)*coupl( &
                        nGC_653)*coupl(nGC_68)*coupl(nGC_82) + 4d0*cima*coupl( &
                        nGC_63)*coupl(nGC_639)*coupl(nGC_651)*coupl(nGC_72) +  &
                        4d0*cima*coupl(nGC_63)*coupl(nGC_651)*coupl(nGC_94)*   &
                        coupl(nGC_96) + 4d0*cima*coupl(nGC_63)*coupl(nGC_72)** &
                        2d0*coupl(nGC_94) + 4d0*cima*coupl(nGC_637)*coupl(     &
                        nGC_651)*coupl(nGC_91)*coupl(nGC_94) + 4d0*cima*coupl( &
                        nGC_637)*coupl(nGC_651)*coupl(nGC_92)*coupl(nGC_94) +  &
                        4d0*cima*coupl(nGC_639)*coupl(nGC_653)*coupl(nGC_72)** &
                        2d0 + 4d0*cima*coupl(nGC_651)*coupl(nGC_68)*coupl(     &
                        nGC_92)*coupl(nGC_96) + 4d0*cima*coupl(nGC_69)*coupl(  &
                        nGC_72)**2d0*coupl(nGC_91) - 6d0*coupl(nGC_14)*coupl(  &
                        nGC_611)*coupl(nGC_623) + 6d0*coupl(nGC_14)*coupl(     &
                        nGC_651)*coupl(nGC_94) + 6d0*coupl(nGC_15)*coupl(      &
                        nGC_639)*coupl(nGC_72) + 6d0*coupl(nGC_16)*coupl(      &
                        nGC_613)*coupl(nGC_72) - 6d0*coupl(nGC_16)*coupl(      &
                        nGC_623)*coupl(nGC_653) + 6d0*coupl(nGC_16)*coupl(     &
                        nGC_651)*coupl(nGC_92) - 6d0*coupl(nGC_611)*coupl(     &
                        nGC_63)*coupl(nGC_79) - 6d0*coupl(nGC_653)*coupl(nGC_68&
                        )*coupl(nGC_79))/(192d0*pi**2d0)
      coupl(nGC_2114) = (-16d0*Nc*cima*coupl(nGC_131)*coupl(nGC_134)*coupl(    &
                        nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_131)*coupl(      &
                        nGC_134)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_131)*coupl(nGC_134)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(nGC_84)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_138)*coupl(nGC_142)*coupl(&
                        nGC_84)*coupl(nGC_88) - 16d0*Nc*cima*coupl(nGC_138)*   &
                        coupl(nGC_142)*coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(&
                        nGC_146)*coupl(nGC_150)*coupl(nGC_84)**2d0 + 20d0*Nc*  &
                        cima*coupl(nGC_146)*coupl(nGC_150)*coupl(nGC_84)*coupl(&
                        nGC_88) - 16d0*Nc*cima*coupl(nGC_146)*coupl(nGC_150)*  &
                        coupl(nGC_88)**2d0 - 16d0*Nc*cima*coupl(nGC_170)*coupl(&
                        nGC_174)*coupl(nGC_84)**2d0 + 20d0*Nc*cima*coupl(      &
                        nGC_170)*coupl(nGC_174)*coupl(nGC_84)*coupl(nGC_88) -  &
                        16d0*Nc*cima*coupl(nGC_170)*coupl(nGC_174)*coupl(nGC_88&
                        )**2d0 - 16d0*Nc*cima*coupl(nGC_178)*coupl(nGC_181)*   &
                        coupl(nGC_85)**2d0 + 20d0*Nc*cima*coupl(nGC_178)*coupl(&
                        nGC_181)*coupl(nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*   &
                        coupl(nGC_178)*coupl(nGC_181)*coupl(nGC_87)**2d0 - 16d0&
                        *Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(nGC_85)** &
                        2d0 + 20d0*Nc*cima*coupl(nGC_193)*coupl(nGC_196)*coupl(&
                        nGC_85)*coupl(nGC_87) - 16d0*Nc*cima*coupl(nGC_193)*   &
                        coupl(nGC_196)*coupl(nGC_87)**2d0 - 16d0*cima*coupl(   &
                        nGC_154)*coupl(nGC_158)*coupl(nGC_86)**2d0 + 20d0*cima*&
                        coupl(nGC_154)*coupl(nGC_158)*coupl(nGC_86)*coupl(     &
                        nGC_90) - 16d0*cima*coupl(nGC_154)*coupl(nGC_158)*coupl&
                        (nGC_90)**2d0 - 16d0*cima*coupl(nGC_162)*coupl(nGC_166 &
                        )*coupl(nGC_86)**2d0 + 20d0*cima*coupl(nGC_162)*coupl( &
                        nGC_166)*coupl(nGC_86)*coupl(nGC_90) - 16d0*cima*coupl(&
                        nGC_162)*coupl(nGC_166)*coupl(nGC_90)**2d0 - 16d0*cima*&
                        coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)**2d0 + 20d0&
                        *cima*coupl(nGC_185)*coupl(nGC_189)*coupl(nGC_86)*coupl&
                        (nGC_90) - 16d0*cima*coupl(nGC_185)*coupl(nGC_189)*    &
                        coupl(nGC_90)**2d0 + 4d0*cima*coupl(nGC_611)*coupl(    &
                        nGC_613)*coupl(nGC_621)*coupl(nGC_92) + 4d0*cima*coupl(&
                        nGC_611)*coupl(nGC_613)*coupl(nGC_639)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_611)*coupl(nGC_621)*coupl(nGC_639)* &
                        coupl(nGC_94) + 4d0*cima*coupl(nGC_611)*coupl(nGC_637)*&
                        coupl(nGC_72)*coupl(nGC_91) + 4d0*cima*coupl(nGC_611)* &
                        coupl(nGC_639)**2d0*coupl(nGC_91) + 4d0*cima*coupl(    &
                        nGC_613)*coupl(nGC_621)*coupl(nGC_643)*coupl(nGC_94) + &
                        4d0*cima*coupl(nGC_613)*coupl(nGC_639)*coupl(nGC_643)* &
                        coupl(nGC_91) + 4d0*cima*coupl(nGC_621)*coupl(nGC_639)*&
                        coupl(nGC_653)*coupl(nGC_92) + 9d0*cima*coupl(nGC_63)* &
                        coupl(nGC_68)*coupl(nGC_82)**2d0 + 4d0*cima*coupl(     &
                        nGC_637)*coupl(nGC_653)*coupl(nGC_72)*coupl(nGC_94) +  &
                        4d0*cima*coupl(nGC_639)**2d0*coupl(nGC_653)*coupl(     &
                        nGC_94) + 9d0*cima*coupl(nGC_64)*coupl(nGC_68)*coupl(  &
                        nGC_82)**2d0 - 6d0*coupl(nGC_14)*coupl(nGC_68)*coupl(  &
                        nGC_82) - 6d0*coupl(nGC_15)*coupl(nGC_68)*coupl(nGC_82 &
                        ) - 6d0*coupl(nGC_16)*coupl(nGC_63)*coupl(nGC_82) - 6d0&
                        *coupl(nGC_16)*coupl(nGC_64)*coupl(nGC_82) + 3d0*coupl(&
                        nGC_613)*coupl(nGC_639)*coupl(nGC_99) + 3d0*coupl(     &
                        nGC_621)*coupl(nGC_639)*coupl(nGC_99) - 3d0*coupl(     &
                        nGC_63)*coupl(nGC_631)*coupl(nGC_68) - 3d0*coupl(      &
                        nGC_631)*coupl(nGC_64)*coupl(nGC_68))/(96d0*pi**2d0)
      coupl(nGC_2115) = cima*coupl(nGC_7)**2d0*sq2**2d0*(coupl(nGC_131)*coupl( &
                        nGC_134) + coupl(nGC_138)*coupl(nGC_142) + coupl(      &
                        nGC_146)*coupl(nGC_150) + coupl(nGC_170)*coupl(nGC_174 &
                        ) + coupl(nGC_178)*coupl(nGC_181) + coupl(nGC_193)*    &
                        coupl(nGC_196))/(32d0*pi**2d0*Nc)
      coupl(nGC_2299) = coupl(nGC_1332)*db_QED2 + coupl(nGC_1333)*dvev2_QED1 + &
                        coupl(nGC_1334)*dvev1_QED1 + coupl(nGC_1335)*dl2_QED4  &
                         + coupl(nGC_1336)*dl1_QED4 + coupl(nGC_1337)*dl4_QED4 &
                         + coupl(nGC_1338)*dl3_QED4 + coupl(nGC_1339)*da_QED2  &
                         + coupl(nGC_1340)*dl5_QED4
      coupl(nGC_2298) = coupl(nGC_1618)*dvev2_QED1 + coupl(nGC_1619)*dvev1_QED1&
                         + coupl(nGC_1620)*dl2_QED4 + coupl(nGC_1621)*dl1_QED4 &
                         + coupl(nGC_1622)*dl4_QED4 + coupl(nGC_1623)*dl3_QED4 &
                         + coupl(nGC_1624)*da_QED2 + coupl(nGC_1625)*dl5_QED4
      coupl(nGC_2295) = coupl(nGC_1394)*db_QED2 + coupl(nGC_1395)*dvev2_QED1 + &
                        coupl(nGC_1396)*dvev1_QED1 + coupl(nGC_1397)*dl2_QED4  &
                         + coupl(nGC_1398)*dl1_QED4 + coupl(nGC_1399)*dl4_QED4 &
                         + coupl(nGC_1400)*dl3_QED4 + coupl(nGC_1401)*da_QED2  &
                         + coupl(nGC_1402)*dl5_QED4
      coupl(nGC_2294) = coupl(nGC_1380)*dl4_QED4 + coupl(nGC_1381)*dl5_QED4 +  &
                        coupl(nGC_1382)*dvev2_QED1 + coupl(nGC_1383)*dvev1_QED1&
                         + coupl(nGC_1384)*db_QED2
      coupl(nGC_2297) = coupl(nGC_1297)*db_QED2 + coupl(nGC_1298)*dvev2_QED1 + &
                        coupl(nGC_1299)*dvev1_QED1 + coupl(nGC_1300)*dl2_QED4  &
                         + coupl(nGC_1301)*dl1_QED4 + coupl(nGC_1302)*dl4_QED4 &
                         + coupl(nGC_1303)*dl3_QED4 + coupl(nGC_1304)*da_QED2  &
                         + coupl(nGC_1305)*dl5_QED4
      coupl(nGC_2296) = coupl(nGC_1309)*db_QED2 + coupl(nGC_1310)*dvev2_QED1 + &
                        coupl(nGC_1311)*dvev1_QED1 + coupl(nGC_1312)*dl2_QED4  &
                         + coupl(nGC_1313)*dl1_QED4 + coupl(nGC_1314)*dl4_QED4 &
                         + coupl(nGC_1315)*dl3_QED4 + coupl(nGC_1316)*da_QED2  &
                         + coupl(nGC_1317)*dl5_QED4
      coupl(nGC_2291) = coupl(nGC_323)*db_QED2 + coupl(nGC_325)*dvev2_QED1 +   &
                        coupl(nGC_327)*da_QED2 + coupl(nGC_329)*dl2_QED4 +     &
                        coupl(nGC_331)*dl1_QED4 + coupl(nGC_333)*dl4_QED4 +    &
                        coupl(nGC_335)*dl3_QED4 + coupl(nGC_337)*dvev1_QED1 +  &
                        coupl(nGC_339)*dl5_QED4
      coupl(nGC_2290) = coupl(nGC_1647)*dvev2_QED1 + coupl(nGC_1648)*dvev1_QED1&
                         + coupl(nGC_1649)*dl2_QED4 + coupl(nGC_1650)*dl1_QED4 &
                         + coupl(nGC_1651)*dl4_QED4 + coupl(nGC_1652)*dl3_QED4 &
                         + coupl(nGC_1653)*da_QED2 + coupl(nGC_1654)*dl5_QED4
      coupl(nGC_2293) = coupl(nGC_1385)*db_QED2 + coupl(nGC_1386)*dvev2_QED1 + &
                        coupl(nGC_1387)*dvev1_QED1 + coupl(nGC_1388)*dl2_QED4  &
                         + coupl(nGC_1389)*dl1_QED4 + coupl(nGC_1390)*dl4_QED4 &
                         + coupl(nGC_1391)*dl3_QED4 + coupl(nGC_1392)*da_QED2  &
                         + coupl(nGC_1393)*dl5_QED4
      coupl(nGC_2292) = coupl(nGC_1417)*dl4_QED4 + coupl(nGC_1418)*dl5_QED4 +  &
                        coupl(nGC_1419)*dvev2_QED1 + coupl(nGC_1420)*dvev1_QED1&
                         + coupl(nGC_1421)*db_QED2
      coupl(nGC_2475) = coupl(nGC_1237)*db_QED2 + coupl(nGC_1238)*dZee_QED2 +  &
                        coupl(nGC_1239)*dsw_QED2 + coupl(nGC_1240)*dMZ2_QED2 + &
                        coupl(nGC_1241)*da_QED2 + coupl(nGC_1242)*dcw_QED2
      coupl(nGC_2474) = coupl(nGC_1355)*dZee_QED2 + coupl(nGC_1356)*dMZ2_QED2  &
                         + coupl(nGC_1357)*dsw_QED2
      coupl(nGC_1906) = (-coupl(nGC_184)**2d0*coupl(nGC_186) + coupl(nGC_184)* &
                        coupl(nGC_611)*coupl(nGC_89) + coupl(nGC_184)*coupl(   &
                        nGC_86)*coupl(nGC_94) + coupl(nGC_185)*coupl(nGC_637)* &
                        coupl(nGC_80) - coupl(nGC_186)*coupl(nGC_187)**2d0 -   &
                        coupl(nGC_186)*coupl(nGC_188)**2d0 - coupl(nGC_186)*   &
                        coupl(nGC_191)**2d0 + 8d0*coupl(nGC_187)*coupl(nGC_4)**&
                        2d0 + 8d0*coupl(nGC_187)*coupl(nGC_86)*coupl(nGC_89) + &
                        coupl(nGC_188)*coupl(nGC_653)*coupl(nGC_89) + coupl(   &
                        nGC_188)*coupl(nGC_86)*coupl(nGC_92))/(32d0*pi**2d0)
      coupl(nGC_2476) = coupl(nGC_981)*db_QED2 + coupl(nGC_982)*dZee_QED2 +    &
                        coupl(nGC_983)*dsw_QED2 + coupl(nGC_984)*dMZ2_QED2 +   &
                        coupl(nGC_985)*da_QED2 + coupl(nGC_986)*dcw_QED2
      coupl(nGC_1900) = coupl(nGC_171)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_2470) = coupl(nGC_891)*dZee_QED2 + coupl(nGC_892)*dsw_QED2 +   &
                        coupl(nGC_893)*dMW2_QED2 + coupl(nGC_894)*da_QED2 +    &
                        coupl(nGC_895)*db_QED2
      coupl(nGC_2473) = coupl(nGC_1321)*dZee_QED2 + coupl(nGC_1322)*dMW2_QED2  &
                         + coupl(nGC_1323)*dsw_QED2
      coupl(nGC_1903) = (-coupl(nGC_138)*coupl(nGC_143)*coupl(nGC_181) - coupl(&
                        nGC_142)*coupl(nGC_143)*coupl(nGC_178) - coupl(nGC_177 &
                        )**2d0*coupl(nGC_627) - coupl(nGC_177)*coupl(nGC_611)* &
                        coupl(nGC_88) - coupl(nGC_177)*coupl(nGC_85)*coupl(    &
                        nGC_94) - coupl(nGC_178)*coupl(nGC_637)*coupl(nGC_80   &
                        ) - coupl(nGC_179)**2d0*coupl(nGC_627) + 8d0*coupl(    &
                        nGC_179)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_179)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_180)**2d0*coupl(     &
                        nGC_627) - coupl(nGC_180)*coupl(nGC_653)*coupl(nGC_88  &
                        ) - coupl(nGC_180)*coupl(nGC_85)*coupl(nGC_92) - coupl(&
                        nGC_183)**2d0*coupl(nGC_627))/(32d0*pi**2d0)
      coupl(nGC_1908) = coupl(nGC_641)*coupl(nGC_7)**2d0*sq2**2d0*(Nc**2d0 -   &
                        1d0)/(16d0*pi**2d0*Nc)
      coupl(nGC_1909) = (-coupl(nGC_146)*coupl(nGC_148)*coupl(nGC_193) - coupl(&
                        nGC_148)*coupl(nGC_150)*coupl(nGC_196) - coupl(nGC_192 &
                        )**2d0*coupl(nGC_641) - coupl(nGC_192)*coupl(nGC_611)* &
                        coupl(nGC_88) - coupl(nGC_192)*coupl(nGC_85)*coupl(    &
                        nGC_94) - coupl(nGC_193)*coupl(nGC_637)*coupl(nGC_80   &
                        ) - coupl(nGC_194)**2d0*coupl(nGC_641) + 8d0*coupl(    &
                        nGC_194)*coupl(nGC_2)**2d0 + 8d0*coupl(nGC_194)*coupl( &
                        nGC_85)*coupl(nGC_88) - coupl(nGC_195)**2d0*coupl(     &
                        nGC_641) - coupl(nGC_195)*coupl(nGC_653)*coupl(nGC_88  &
                        ) - coupl(nGC_195)*coupl(nGC_85)*coupl(nGC_92) - coupl(&
                        nGC_198)**2d0*coupl(nGC_641))/(32d0*pi**2d0)
    end subroutine fill_CTcouplings_mdl3
end module fill_ctcouplings3
