!******************************************************************************!
!                                                                              !
!    vertices_info11.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info11.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info11
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl11()
      allocate(vertices(533)%branchR2(0:0))
      call avR2(533, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1143)%branchR2(0:0))
      call avR2(1143, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2457)%branchR2(0:0))
      call avR2(2457, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(1368)%branchR2(0:0))
      call avR2(1368, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3017)%branchR2(0:0))
      call avR2(3017, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2163)%branchR2(0:0))
      call avR2(2163, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(961)%branchR2(0:0))
      call avR2(961, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(603)%branchR2(0:1))
      call avR2(603, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(603, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3737)%branchR2(0:0))
      call avR2(3737, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3738)%branchR2(0:1))
      call avR2(3738, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3738, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(2157)%branchR2(0:0))
      call avR2(2157, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(1014)%branchR2(0:0))
      call avR2(1014, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1397)%branchR2(0:0))
      call avR2(1397, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1330)%branchR2(0:0))
      call avR2(1330, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(347)%branchR2(0:3))
      call avR2(347, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(347, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(347, 2, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(347, 3, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(423)%branchR2(0:0))
      call avR2(423, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3739)%branchR2(0:0))
      call avR2(3739, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(1808)%branchR2(0:0))
      call avR2(1808, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(3249)%branchR2(0:0))
      call avR2(3249, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2949)%branchR2(0:0))
      call avR2(2949, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1314)%branchR2(0:0))
      call avR2(1314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2332)%branchR2(0:0))
      call avR2(2332, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2090)%branchR2(0:0))
      call avR2(2090, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2741)%branchR2(0:0))
      call avR2(2741, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1995)%branchR2(0:1))
      call avR2(1995, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1972/))

      call avR2(1995, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1617)%branchR2(0:0))
      call avR2(1617, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1236)%branchR2(0:0))
      call avR2(1236, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(3429)%branchR2(0:0))
      call avR2(3429, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1292)%branchR2(0:0))
      call avR2(1292, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1753)%branchR2(0:0))
      call avR2(1753, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(152)%branchR2(0:0))
      call avR2(152, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3364)%branchR2(0:0))
      call avR2(3364, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1173)%branchR2(0:0))
      call avR2(1173, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1586)%branchR2(0:0))
      call avR2(1586, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3740)%branchR2(0:5))
      call avR2(3740, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3740, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3740, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3740, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3740, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3740, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      allocate(vertices(153)%branchR2(0:0))
      call avR2(153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(3337)%branchR2(0:0))
      call avR2(3337, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(3486)%branchR2(0:0))
      call avR2(3486, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1160)%branchR2(0:0))
      call avR2(1160, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3741)%branchR2(0:0))
      call avR2(3741, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(3308)%branchR2(0:0))
      call avR2(3308, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2147)%branchR2(0:0))
      call avR2(2147, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(663)%branchR2(0:0))
      call avR2(663, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(521)%branchR2(0:0))
      call avR2(521, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1829)%branchR2(0:0))
      call avR2(1829, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3400)%branchR2(0:0))
      call avR2(3400, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1972)%branchR2(0:0))
      call avR2(1972, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2046)%branchR2(0:0))
      call avR2(2046, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3505)%branchR2(0:0))
      call avR2(3505, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1304)%branchR2(0:0))
      call avR2(1304, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(376)%branchR2(0:0))
      call avR2(376, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(2540)%branchR2(0:0))
      call avR2(2540, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2413)%branchR2(0:0))
      call avR2(2413, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(518)%branchR2(0:0))
      call avR2(518, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(292)%branchR2(0:0))
      call avR2(292, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2198/))

      allocate(vertices(2577)%branchR2(0:0))
      call avR2(2577, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1035)%branchR2(0:1))
      call avR2(1035, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1035, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1258)%branchR2(0:0))
      call avR2(1258, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2924)%branchR2(0:0))
      call avR2(2924, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2572)%branchR2(0:0))
      call avR2(2572, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(137)%branchR2(0:0))
      call avR2(137, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3742)%branchR2(0:1))
      call avR2(3742, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2200/))

      call avR2(3742, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(3743)%branchR2(0:1))
      call avR2(3743, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3743, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(1717)%branchR2(0:0))
      call avR2(1717, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(1516)%branchR2(0:0))
      call avR2(1516, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2571)%branchR2(0:0))
      call avR2(2571, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2130)%branchR2(0:1))
      call avR2(2130, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(2130, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(1218)%branchR2(0:0))
      call avR2(1218, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(895)%branchR2(0:0))
      call avR2(895, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1828)%branchR2(0:0))
      call avR2(1828, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1101)%branchR2(0:1))
      call avR2(1101, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1101, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(1091)%branchR2(0:0))
      call avR2(1091, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(431)%branchR2(0:0))
      call avR2(431, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(975)%branchR2(0:0))
      call avR2(975, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(907)%branchR2(0:3))
      call avR2(907, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(907, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(907, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(907, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(2794)%branchR2(0:0))
      call avR2(2794, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1713, nGC_1713/))

      allocate(vertices(1295)%branchR2(0:1))
      call avR2(1295, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1295, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1541)%branchR2(0:0))
      call avR2(1541, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1206)%branchR2(0:0))
      call avR2(1206, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(2820)%branchR2(0:0))
      call avR2(2820, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(92)%branchR2(0:1))
      call avR2(92, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(92, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(116)%branchR2(0:0))
      call avR2(116, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(949)%branchR2(0:0))
      call avR2(949, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(966)%branchR2(0:1))
      call avR2(966, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(966, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(1917)%branchR2(0:0))
      call avR2(1917, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2068)%branchR2(0:0))
      call avR2(2068, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3542)%branchR2(0:0))
      call avR2(3542, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(69)%branchR2(0:0))
      call avR2(69, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(1757)%branchR2(0:0))
      call avR2(1757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(544)%branchR2(0:0))
      call avR2(544, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2327)%branchR2(0:1))
      call avR2(2327, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(2327, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1944)%branchR2(0:0))
      call avR2(1944, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(650)%branchR2(0:1))
      call avR2(650, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(650, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(3549)%branchR2(0:0))
      call avR2(3549, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3744)%branchR2(0:0))
      call avR2(3744, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1162)%branchR2(0:0))
      call avR2(1162, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2569)%branchR2(0:1))
      call avR2(2569, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(2569, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(389)%branchR2(0:0))
      call avR2(389, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(547)%branchR2(0:0))
      call avR2(547, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3745)%branchR2(0:1))
      call avR2(3745, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2155/))

      call avR2(3745, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2156/))

      allocate(vertices(3497)%branchR2(0:0))
      call avR2(3497, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2985)%branchR2(0:1))
      call avR2(2985, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(2985, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(999)%branchR2(0:0))
      call avR2(999, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2503)%branchR2(0:0))
      call avR2(2503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3746)%branchR2(0:1))
      call avR2(3746, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2170/))

      call avR2(3746, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(213)%branchR2(0:0))
      call avR2(213, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(397)%branchR2(0:0))
      call avR2(397, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1242)%branchR2(0:0))
      call avR2(1242, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2138/))

      allocate(vertices(3554)%branchR2(0:0))
      call avR2(3554, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3747)%branchR2(0:0))
      call avR2(3747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(3140)%branchR2(0:0))
      call avR2(3140, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(950)%branchR2(0:0))
      call avR2(950, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3748)%branchR2(0:1))
      call avR2(3748, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2187/))

      call avR2(3748, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(1055)%branchR2(0:0))
      call avR2(1055, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(566)%branchR2(0:0))
      call avR2(566, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1817)%branchR2(0:0))
      call avR2(1817, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2202,       &
      nGC_2203/))

      allocate(vertices(1637)%branchR2(0:0))
      call avR2(1637, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(631)%branchR2(0:0))
      call avR2(631, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(44)%branchR2(0:0))
      call avR2(44, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1702)%branchR2(0:1))
      call avR2(1702, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1702, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3421)%branchR2(0:0))
      call avR2(3421, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1232)%branchR2(0:0))
      call avR2(1232, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2485)%branchR2(0:0))
      call avR2(2485, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1361)%branchR2(0:1))
      call avR2(1361, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1361, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(512)%branchR2(0:0))
      call avR2(512, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2075)%branchR2(0:0))
      call avR2(2075, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3749)%branchR2(0:0))
      call avR2(3749, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2675)%branchR2(0:0))
      call avR2(2675, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(3292)%branchR2(0:0))
      call avR2(3292, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1045)%branchR2(0:0))
      call avR2(1045, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(531)%branchR2(0:1))
      call avR2(531, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(531, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(3750)%branchR2(0:1))
      call avR2(3750, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3750, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2100/))

      allocate(vertices(3367)%branchR2(0:0))
      call avR2(3367, 0, 13, 1, 0, FaF4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1700, nGC_1700/))

      allocate(vertices(2139)%branchR2(0:0))
      call avR2(2139, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(1558)%branchR2(0:0))
      call avR2(1558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1696)%branchR2(0:1))
      call avR2(1696, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1696, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(358)%branchR2(0:0))
      call avR2(358, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1416)%branchR2(0:0))
      call avR2(1416, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(680)%branchR2(0:0))
      call avR2(680, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3205)%branchR2(0:0))
      call avR2(3205, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(1283)%branchR2(0:0))
      call avR2(1283, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(634)%branchR2(0:0))
      call avR2(634, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(141)%branchR2(0:0))
      call avR2(141, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(540)%branchR2(0:0))
      call avR2(540, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(355)%branchR2(0:0))
      call avR2(355, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(1918)%branchR2(0:0))
      call avR2(1918, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2403)%branchR2(0:0))
      call avR2(2403, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3751)%branchR2(0:0))
      call avR2(3751, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2311)%branchR2(0:0))
      call avR2(2311, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(3436)%branchR2(0:0))
      call avR2(3436, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(341)%branchR2(0:0))
      call avR2(341, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1300)%branchR2(0:1))
      call avR2(1300, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(1300, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1268)%branchR2(0:0))
      call avR2(1268, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(32)%branchR2(0:0))
      call avR2(32, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(584)%branchR2(0:0))
      call avR2(584, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(2458)%branchR2(0:0))
      call avR2(2458, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(2588)%branchR2(0:0))
      call avR2(2588, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1971)%branchR2(0:0))
      call avR2(1971, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1844)%branchR2(0:1))
      call avR2(1844, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1844, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(3212)%branchR2(0:0))
      call avR2(3212, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2693)%branchR2(0:0))
      call avR2(2693, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2642)%branchR2(0:0))
      call avR2(2642, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2902)%branchR2(0:0))
      call avR2(2902, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3242)%branchR2(0:0))
      call avR2(3242, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2931)%branchR2(0:0))
      call avR2(2931, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2140)%branchR2(0:0))
      call avR2(2140, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(948)%branchR2(0:0))
      call avR2(948, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,        &
      nGC_2078/))

      allocate(vertices(472)%branchR2(0:0))
      call avR2(472, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(0)%branchR2(0:0))
      call avR2(0, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(851)%branchR2(0:0))
      call avR2(851, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2620)%branchR2(0:1))
      call avR2(2620, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2620, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(2604)%branchR2(0:1))
      call avR2(2604, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(2604, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(1546)%branchR2(0:0))
      call avR2(1546, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1679)%branchR2(0:0))
      call avR2(1679, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(3093)%branchR2(0:0))
      call avR2(3093, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1096)%branchR2(0:0))
      call avR2(1096, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(2042)%branchR2(0:0))
      call avR2(2042, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(460)%branchR2(0:0))
      call avR2(460, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1790)%branchR2(0:0))
      call avR2(1790, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(2663)%branchR2(0:0))
      call avR2(2663, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(3202)%branchR2(0:0))
      call avR2(3202, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2299)%branchR2(0:0))
      call avR2(2299, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3494)%branchR2(0:0))
      call avR2(3494, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3516)%branchR2(0:0))
      call avR2(3516, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1962)%branchR2(0:0))
      call avR2(1962, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2596)%branchR2(0:0))
      call avR2(2596, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(835)%branchR2(0:0))
      call avR2(835, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(488)%branchR2(0:0))
      call avR2(488, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(181)%branchR2(0:1))
      call avR2(181, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(181, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1903)%branchR2(0:1))
      call avR2(1903, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1903, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(804)%branchR2(0:0))
      call avR2(804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(15)%branchR2(0:0))
      call avR2(15, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(777)%branchR2(0:0))
      call avR2(777, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1805)%branchR2(0:0))
      call avR2(1805, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(1750)%branchR2(0:0))
      call avR2(1750, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1928)%branchR2(0:1))
      call avR2(1928, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1972/))

      call avR2(1928, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1858)%branchR2(0:0))
      call avR2(1858, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2661)%branchR2(0:0))
      call avR2(2661, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(586)%branchR2(0:0))
      call avR2(586, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(19)%branchR2(0:0))
      call avR2(19, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(217)%branchR2(0:0))
      call avR2(217, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2374)%branchR2(0:0))
      call avR2(2374, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2494)%branchR2(0:0))
      call avR2(2494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3752)%branchR2(0:0))
      call avR2(3752, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1697)%branchR2(0:0))
      call avR2(1697, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(2974)%branchR2(0:0))
      call avR2(2974, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1428)%branchR2(0:0))
      call avR2(1428, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(2470)%branchR2(0:0))
      call avR2(2470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2603)%branchR2(0:0))
      call avR2(2603, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(685)%branchR2(0:0))
      call avR2(685, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(788)%branchR2(0:0))
      call avR2(788, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3026)%branchR2(0:0))
      call avR2(3026, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(3495)%branchR2(0:0))
      call avR2(3495, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2752)%branchR2(0:0))
      call avR2(2752, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(301)%branchR2(0:1))
      call avR2(301, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(301, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3357)%branchR2(0:0))
      call avR2(3357, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3141)%branchR2(0:0))
      call avR2(3141, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(978)%branchR2(0:0))
      call avR2(978, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2783)%branchR2(0:0))
      call avR2(2783, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3753)%branchR2(0:1))
      call avR2(3753, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3753, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(654)%branchR2(0:0))
      call avR2(654, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2518)%branchR2(0:0))
      call avR2(2518, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(646)%branchR2(0:0))
      call avR2(646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(12)%branchR2(0:0))
      call avR2(12, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(3754)%branchR2(0:0))
      call avR2(3754, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(1103)%branchR2(0:0))
      call avR2(1103, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(189)%branchR2(0:0))
      call avR2(189, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(889)%branchR2(0:0))
      call avR2(889, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2664)%branchR2(0:0))
      call avR2(2664, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(827)%branchR2(0:0))
      call avR2(827, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(3755)%branchR2(0:0))
      call avR2(3755, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(640)%branchR2(0:0))
      call avR2(640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3756)%branchR2(0:0))
      call avR2(3756, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1849)%branchR2(0:0))
      call avR2(1849, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2466)%branchR2(0:0))
      call avR2(2466, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1519)%branchR2(0:1))
      call avR2(1519, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(1519, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3326)%branchR2(0:0))
      call avR2(3326, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2162)%branchR2(0:0))
      call avR2(2162, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(780)%branchR2(0:0))
      call avR2(780, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2444)%branchR2(0:0))
      call avR2(2444, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3499)%branchR2(0:0))
      call avR2(3499, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(3757)%branchR2(0:1))
      call avR2(3757, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      call avR2(3757, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(1249)%branchR2(0:0))
      call avR2(1249, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(767)%branchR2(0:0))
      call avR2(767, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1192)%branchR2(0:0))
      call avR2(1192, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(973)%branchR2(0:0))
      call avR2(973, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2333)%branchR2(0:0))
      call avR2(2333, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3758)%branchR2(0:1))
      call avR2(3758, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3758, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(3759)%branchR2(0:1))
      call avR2(3759, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2197/))

      call avR2(3759, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(2869)%branchR2(0:0))
      call avR2(2869, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1392)%branchR2(0:0))
      call avR2(1392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1752)%branchR2(0:1))
      call avR2(1752, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1752, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2687)%branchR2(0:0))
      call avR2(2687, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3760)%branchR2(0:5))
      call avR2(3760, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3760, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3760, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3760, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3760, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3760, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      allocate(vertices(2110)%branchR2(0:0))
      call avR2(2110, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(3291)%branchR2(0:0))
      call avR2(3291, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3038)%branchR2(0:0))
      call avR2(3038, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2275)%branchR2(0:0))
      call avR2(2275, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1176)%branchR2(0:0))
      call avR2(1176, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(48)%branchR2(0:0))
      call avR2(48, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(3392)%branchR2(0:0))
      call avR2(3392, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(790)%branchR2(0:0))
      call avR2(790, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3761)%branchR2(0:5))
      call avR2(3761, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3761, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3761, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3761, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3761, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3761, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      allocate(vertices(3468)%branchR2(0:0))
      call avR2(3468, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3373)%branchR2(0:0))
      call avR2(3373, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2321)%branchR2(0:1))
      call avR2(2321, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2321, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3762)%branchR2(0:1))
      call avR2(3762, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2100/))

      call avR2(3762, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(1303)%branchR2(0:0))
      call avR2(1303, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1)%branchR2(0:0))
      call avR2(1, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2378)%branchR2(0:0))
      call avR2(2378, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(877)%branchR2(0:0))
      call avR2(877, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1945)%branchR2(0:1))
      call avR2(1945, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1945, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(1966)%branchR2(0:1))
      call avR2(1966, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(1966, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(1601)%branchR2(0:0))
      call avR2(1601, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2190)%branchR2(0:0))
      call avR2(2190, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1094)%branchR2(0:1))
      call avR2(1094, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(1094, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2426)%branchR2(0:0))
      call avR2(2426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2059)%branchR2(0:0))
      call avR2(2059, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(1852)%branchR2(0:0))
      call avR2(1852, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(1715)%branchR2(0:0))
      call avR2(1715, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3320)%branchR2(0:0))
      call avR2(3320, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3763)%branchR2(0:0))
      call avR2(3763, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1866)%branchR2(0:0))
      call avR2(1866, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(41)%branchR2(0:1))
      call avR2(41, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1974/))

      call avR2(41, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3105)%branchR2(0:0))
      call avR2(3105, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2987)%branchR2(0:0))
      call avR2(2987, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1403)%branchR2(0:0))
      call avR2(1403, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1953)%branchR2(0:0))
      call avR2(1953, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(1031)%branchR2(0:0))
      call avR2(1031, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(535)%branchR2(0:0))
      call avR2(535, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1225)%branchR2(0:1))
      call avR2(1225, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1225, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(74)%branchR2(0:0))
      call avR2(74, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2454)%branchR2(0:0))
      call avR2(2454, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3764)%branchR2(0:0))
      call avR2(3764, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(719)%branchR2(0:0))
      call avR2(719, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(2200)%branchR2(0:1))
      call avR2(2200, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(2200, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(1698)%branchR2(0:0))
      call avR2(1698, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(39)%branchR2(0:0))
      call avR2(39, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1863/))

      allocate(vertices(1437)%branchR2(0:0))
      call avR2(1437, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2056)%branchR2(0:0))
      call avR2(2056, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(245)%branchR2(0:0))
      call avR2(245, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(920)%branchR2(0:0))
      call avR2(920, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(3765)%branchR2(0:1))
      call avR2(3765, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2208/))

      call avR2(3765, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2207/))

      allocate(vertices(1121)%branchR2(0:0))
      call avR2(1121, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(1915)%branchR2(0:0))
      call avR2(1915, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2335)%branchR2(0:1))
      call avR2(2335, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1974/))

      call avR2(2335, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3025)%branchR2(0:0))
      call avR2(3025, 0, 13, 1, 0, FFa4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1713, nGC_1713/))

      allocate(vertices(3766)%branchR2(0:1))
      call avR2(3766, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3766, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(510)%branchR2(0:0))
      call avR2(510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(618)%branchR2(0:0))
      call avR2(618, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3358)%branchR2(0:0))
      call avR2(3358, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1108)%branchR2(0:0))
      call avR2(1108, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1877)%branchR2(0:0))
      call avR2(1877, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1745)%branchR2(0:0))
      call avR2(1745, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2219)%branchR2(0:0))
      call avR2(2219, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2336)%branchR2(0:0))
      call avR2(2336, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1648)%branchR2(0:0))
      call avR2(1648, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2203,       &
      nGC_2204/))

      allocate(vertices(2500)%branchR2(0:0))
      call avR2(2500, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(224)%branchR2(0:0))
      call avR2(224, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1172)%branchR2(0:0))
      call avR2(1172, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1836)%branchR2(0:0))
      call avR2(1836, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1154)%branchR2(0:0))
      call avR2(1154, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2784)%branchR2(0:0))
      call avR2(2784, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(160)%branchR2(0:0))
      call avR2(160, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1965)%branchR2(0:1))
      call avR2(1965, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1965, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1505)%branchR2(0:0))
      call avR2(1505, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3144)%branchR2(0:0))
      call avR2(3144, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(409)%branchR2(0:0))
      call avR2(409, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2402)%branchR2(0:0))
      call avR2(2402, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3767)%branchR2(0:1))
      call avR2(3767, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3767, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(441)%branchR2(0:0))
      call avR2(441, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(836)%branchR2(0:0))
      call avR2(836, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(300)%branchR2(0:0))
      call avR2(300, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(648)%branchR2(0:0))
      call avR2(648, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3768)%branchR2(0:1))
      call avR2(3768, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2100/))

      call avR2(3768, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2065)%branchR2(0:0))
      call avR2(2065, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(1043)%branchR2(0:0))
      call avR2(1043, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(201)%branchR2(0:0))
      call avR2(201, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2695)%branchR2(0:0))
      call avR2(2695, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(615)%branchR2(0:0))
      call avR2(615, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1117)%branchR2(0:0))
      call avR2(1117, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1666)%branchR2(0:0))
      call avR2(1666, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2692)%branchR2(0:1))
      call avR2(2692, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2692, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(1341)%branchR2(0:0))
      call avR2(1341, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3769)%branchR2(0:0))
      call avR2(3769, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(936)%branchR2(0:0))
      call avR2(936, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2154)%branchR2(0:0))
      call avR2(2154, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2115)%branchR2(0:0))
      call avR2(2115, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(1737)%branchR2(0:0))
      call avR2(1737, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1353)%branchR2(0:0))
      call avR2(1353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1782)%branchR2(0:0))
      call avR2(1782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2089)%branchR2(0:1))
      call avR2(2089, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2089, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(23)%branchR2(0:0))
      call avR2(23, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3540)%branchR2(0:0))
      call avR2(3540, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2875)%branchR2(0:0))
      call avR2(2875, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(10)%branchR2(0:0))
      call avR2(10, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1369)%branchR2(0:0))
      call avR2(1369, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(3770)%branchR2(0:0))
      call avR2(3770, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3529)%branchR2(0:0))
      call avR2(3529, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3771)%branchR2(0:1))
      call avR2(3771, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3771, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(2207)%branchR2(0:0))
      call avR2(2207, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(711)%branchR2(0:0))
      call avR2(711, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2916)%branchR2(0:0))
      call avR2(2916, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(361)%branchR2(0:0))
      call avR2(361, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3772)%branchR2(0:0))
      call avR2(3772, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2296)%branchR2(0:1))
      call avR2(2296, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2296, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(3773)%branchR2(0:0))
      call avR2(3773, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2424)%branchR2(0:0))
      call avR2(2424, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1712)%branchR2(0:0))
      call avR2(1712, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1305)%branchR2(0:1))
      call avR2(1305, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(1305, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(3774)%branchR2(0:0))
      call avR2(3774, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1739)%branchR2(0:1))
      call avR2(1739, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1739, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(331)%branchR2(0:0))
      call avR2(331, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3008)%branchR2(0:0))
      call avR2(3008, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(1410)%branchR2(0:0))
      call avR2(1410, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2915)%branchR2(0:0))
      call avR2(2915, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1606)%branchR2(0:0))
      call avR2(1606, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2095)%branchR2(0:0))
      call avR2(2095, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(93)%branchR2(0:0))
      call avR2(93, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1891)%branchR2(0:0))
      call avR2(1891, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2323)%branchR2(0:0))
      call avR2(2323, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1654)%branchR2(0:1))
      call avR2(1654, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1654, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3775)%branchR2(0:0))
      call avR2(3775, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(1632)%branchR2(0:0))
      call avR2(1632, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3351)%branchR2(0:0))
      call avR2(3351, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3460)%branchR2(0:0))
      call avR2(3460, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2072)%branchR2(0:0))
      call avR2(2072, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1846)%branchR2(0:0))
      call avR2(1846, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(3097)%branchR2(0:0))
      call avR2(3097, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1668, nGC_1666,        &
      nGC_1667/))

      allocate(vertices(127)%branchR2(0:1))
      call avR2(127, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(127, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(1539)%branchR2(0:0))
      call avR2(1539, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3776)%branchR2(0:1))
      call avR2(3776, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3776, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(2791)%branchR2(0:0))
      call avR2(2791, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1574)%branchR2(0:0))
      call avR2(1574, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(382)%branchR2(0:0))
      call avR2(382, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3004)%branchR2(0:0))
      call avR2(3004, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1986)%branchR2(0:0))
      call avR2(1986, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(690)%branchR2(0:0))
      call avR2(690, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1450)%branchR2(0:0))
      call avR2(1450, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(2339)%branchR2(0:0))
      call avR2(2339, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1981)%branchR2(0:0))
      call avR2(1981, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2073)%branchR2(0:0))
      call avR2(2073, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(3777)%branchR2(0:0))
      call avR2(3777, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2357)%branchR2(0:0))
      call avR2(2357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3778)%branchR2(0:0))
      call avR2(3778, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2241)%branchR2(0:0))
      call avR2(2241, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(549)%branchR2(0:0))
      call avR2(549, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(964)%branchR2(0:0))
      call avR2(964, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1290)%branchR2(0:0))
      call avR2(1290, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2236)%branchR2(0:0))
      call avR2(2236, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1789)%branchR2(0:0))
      call avR2(1789, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(51)%branchR2(0:0))
      call avR2(51, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(906)%branchR2(0:0))
      call avR2(906, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(678)%branchR2(0:0))
      call avR2(678, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1883)%branchR2(0:0))
      call avR2(1883, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2344)%branchR2(0:0))
      call avR2(2344, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3155)%branchR2(0:0))
      call avR2(3155, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1742)%branchR2(0:0))
      call avR2(1742, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3287)%branchR2(0:0))
      call avR2(3287, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1948)%branchR2(0:0))
      call avR2(1948, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(3435)%branchR2(0:0))
      call avR2(3435, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(985)%branchR2(0:0))
      call avR2(985, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(2146)%branchR2(0:0))
      call avR2(2146, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(1483)%branchR2(0:0))
      call avR2(1483, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1607)%branchR2(0:0))
      call avR2(1607, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(3779)%branchR2(0:0))
      call avR2(3779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1340)%branchR2(0:0))
      call avR2(1340, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(2913)%branchR2(0:0))
      call avR2(2913, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(242)%branchR2(0:0))
      call avR2(242, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2694)%branchR2(0:0))
      call avR2(2694, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1897)%branchR2(0:1))
      call avR2(1897, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(1897, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(498)%branchR2(0:0))
      call avR2(498, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(473)%branchR2(0:0))
      call avR2(473, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3780)%branchR2(0:0))
      call avR2(3780, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2044, nGC_2044,       &
      nGC_2044/))

      allocate(vertices(987)%branchR2(0:0))
      call avR2(987, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,        &
      nGC_2078/))

      allocate(vertices(1749)%branchR2(0:0))
      call avR2(1749, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(2246)%branchR2(0:0))
      call avR2(2246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(2877)%branchR2(0:0))
      call avR2(2877, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(797)%branchR2(0:0))
      call avR2(797, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(3781)%branchR2(0:1))
      call avR2(3781, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2115/))

      call avR2(3781, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(299)%branchR2(0:0))
      call avR2(299, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2079)%branchR2(0:1))
      call avR2(2079, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2079, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2270)%branchR2(0:0))
      call avR2(2270, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(1823)%branchR2(0:1))
      call avR2(1823, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(1823, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2595)%branchR2(0:0))
      call avR2(2595, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(484)%branchR2(0:0))
      call avR2(484, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(129)%branchR2(0:1))
      call avR2(129, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(129, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(1487)%branchR2(0:0))
      call avR2(1487, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3782)%branchR2(0:0))
      call avR2(3782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1213)%branchR2(0:0))
      call avR2(1213, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(1554)%branchR2(0:0))
      call avR2(1554, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3783)%branchR2(0:1))
      call avR2(3783, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1927/))

      call avR2(3783, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(1364)%branchR2(0:0))
      call avR2(1364, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2142)%branchR2(0:0))
      call avR2(2142, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1764)%branchR2(0:0))
      call avR2(1764, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(1867)%branchR2(0:0))
      call avR2(1867, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2698)%branchR2(0:0))
      call avR2(2698, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3213)%branchR2(0:0))
      call avR2(3213, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3246)%branchR2(0:1))
      call avR2(3246, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(3246, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(2284)%branchR2(0:0))
      call avR2(2284, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(933)%branchR2(0:0))
      call avR2(933, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(1001)%branchR2(0:0))
      call avR2(1001, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1298)%branchR2(0:0))
      call avR2(1298, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(111)%branchR2(0:0))
      call avR2(111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(675)%branchR2(0:0))
      call avR2(675, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1923)%branchR2(0:0))
      call avR2(1923, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2210, nGC_2209,       &
      nGC_2210/))

      allocate(vertices(1668)%branchR2(0:0))
      call avR2(1668, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1011)%branchR2(0:0))
      call avR2(1011, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2522)%branchR2(0:0))
      call avR2(2522, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(651)%branchR2(0:0))
      call avR2(651, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(3072)%branchR2(0:0))
      call avR2(3072, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2745)%branchR2(0:0))
      call avR2(2745, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1028)%branchR2(0:0))
      call avR2(1028, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(340)%branchR2(0:0))
      call avR2(340, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(406)%branchR2(0:0))
      call avR2(406, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2152)%branchR2(0:0))
      call avR2(2152, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2811)%branchR2(0:0))
      call avR2(2811, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(3524)%branchR2(0:0))
      call avR2(3524, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1133)%branchR2(0:0))
      call avR2(1133, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(1699)%branchR2(0:0))
      call avR2(1699, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(105)%branchR2(0:0))
      call avR2(105, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(815)%branchR2(0:0))
      call avR2(815, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1327)%branchR2(0:0))
      call avR2(1327, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1195)%branchR2(0:0))
      call avR2(1195, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1358)%branchR2(0:0))
      call avR2(1358, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(857)%branchR2(0:0))
      call avR2(857, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2826)%branchR2(0:0))
      call avR2(2826, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1081)%branchR2(0:0))
      call avR2(1081, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2806)%branchR2(0:0))
      call avR2(2806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3784)%branchR2(0:1))
      call avR2(3784, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2188/))

      call avR2(3784, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2187/))

      allocate(vertices(157)%branchR2(0:0))
      call avR2(157, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2669)%branchR2(0:0))
      call avR2(2669, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(2021)%branchR2(0:0))
      call avR2(2021, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(702)%branchR2(0:0))
      call avR2(702, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2929)%branchR2(0:0))
      call avR2(2929, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2173)%branchR2(0:0))
      call avR2(2173, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(30)%branchR2(0:0))
      call avR2(30, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1506)%branchR2(0:0))
      call avR2(1506, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(784)%branchR2(0:0))
      call avR2(784, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3785)%branchR2(0:1))
      call avR2(3785, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3785, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(3420)%branchR2(0:0))
      call avR2(3420, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(3179)%branchR2(0:0))
      call avR2(3179, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(66)%branchR2(0:0))
      call avR2(66, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1837)%branchR2(0:0))
      call avR2(1837, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1312)%branchR2(0:0))
      call avR2(1312, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3451)%branchR2(0:0))
      call avR2(3451, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3786)%branchR2(0:0))
      call avR2(3786, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(2322)%branchR2(0:0))
      call avR2(2322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(31)%branchR2(0:0))
      call avR2(31, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(76)%branchR2(0:0))
      call avR2(76, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2353)%branchR2(0:0))
      call avR2(2353, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3444)%branchR2(0:0))
      call avR2(3444, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(334)%branchR2(0:0))
      call avR2(334, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(257)%branchR2(0:1))
      call avR2(257, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(257, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3787)%branchR2(0:0))
      call avR2(3787, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2044, nGC_2044,       &
      nGC_2044/))

      allocate(vertices(1393)%branchR2(0:0))
      call avR2(1393, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(3788)%branchR2(0:0))
      call avR2(3788, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(155)%branchR2(0:1))
      call avR2(155, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(155, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1687)%branchR2(0:0))
      call avR2(1687, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(832)%branchR2(0:0))
      call avR2(832, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1387)%branchR2(0:0))
      call avR2(1387, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(1215)%branchR2(0:0))
      call avR2(1215, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1894)%branchR2(0:0))
      call avR2(1894, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2455)%branchR2(0:0))
      call avR2(2455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1758)%branchR2(0:0))
      call avR2(1758, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3789)%branchR2(0:0))
      call avR2(3789, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(5)%branchR2(0:0))
      call avR2(5, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040, nGC_2041 &
      /))

      allocate(vertices(1811)%branchR2(0:1))
      call avR2(1811, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(1811, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(220)%branchR2(0:0))
      call avR2(220, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2970)%branchR2(0:0))
      call avR2(2970, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1385)%branchR2(0:0))
      call avR2(1385, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3563)%branchR2(0:0))
      call avR2(3563, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3134)%branchR2(0:0))
      call avR2(3134, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1417)%branchR2(0:0))
      call avR2(1417, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(658)%branchR2(0:0))
      call avR2(658, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1628)%branchR2(0:0))
      call avR2(1628, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1738)%branchR2(0:0))
      call avR2(1738, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1053)%branchR2(0:0))
      call avR2(1053, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(480)%branchR2(0:0))
      call avR2(480, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1707)%branchR2(0:0))
      call avR2(1707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(962)%branchR2(0:0))
      call avR2(962, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3156)%branchR2(0:0))
      call avR2(3156, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2432)%branchR2(0:0))
      call avR2(2432, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3398)%branchR2(0:0))
      call avR2(3398, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(2618)%branchR2(0:0))
      call avR2(2618, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1987)%branchR2(0:0))
      call avR2(1987, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1052)%branchR2(0:0))
      call avR2(1052, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(838)%branchR2(0:0))
      call avR2(838, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2893)%branchR2(0:0))
      call avR2(2893, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3790)%branchR2(0:0))
      call avR2(3790, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(3522)%branchR2(0:0))
      call avR2(3522, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3791)%branchR2(0:5))
      call avR2(3791, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3791, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3791, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3791, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3791, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3791, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(1198)%branchR2(0:1))
      call avR2(1198, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1198, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1916)%branchR2(0:1))
      call avR2(1916, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1916, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3350)%branchR2(0:0))
      call avR2(3350, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(370)%branchR2(0:0))
      call avR2(370, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(3273)%branchR2(0:0))
      call avR2(3273, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3792)%branchR2(0:0))
      call avR2(3792, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1881)%branchR2(0:0))
      call avR2(1881, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(77)%branchR2(0:0))
      call avR2(77, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1957)%branchR2(0:0))
      call avR2(1957, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2346)%branchR2(0:0))
      call avR2(2346, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(3061)%branchR2(0:0))
      call avR2(3061, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(16)%branchR2(0:0))
      call avR2(16, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(1254)%branchR2(0:1))
      call avR2(1254, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1254, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(163)%branchR2(0:0))
      call avR2(163, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2060)%branchR2(0:0))
      call avR2(2060, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(982)%branchR2(0:0))
      call avR2(982, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(362)%branchR2(0:1))
      call avR2(362, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(362, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1502)%branchR2(0:0))
      call avR2(1502, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(1974)%branchR2(0:0))
      call avR2(1974, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2381)%branchR2(0:1))
      call avR2(2381, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2381, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(2594)%branchR2(0:0))
      call avR2(2594, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(818)%branchR2(0:1))
      call avR2(818, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(818, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(604)%branchR2(0:0))
      call avR2(604, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2703)%branchR2(0:0))
      call avR2(2703, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2660)%branchR2(0:0))
      call avR2(2660, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042,       &
      nGC_2041/))

      allocate(vertices(1641)%branchR2(0:1))
      call avR2(1641, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1641, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(771)%branchR2(0:0))
      call avR2(771, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3793)%branchR2(0:0))
      call avR2(3793, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(2551)%branchR2(0:0))
      call avR2(2551, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3520)%branchR2(0:0))
      call avR2(3520, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(743)%branchR2(0:0))
      call avR2(743, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1818)%branchR2(0:0))
      call avR2(1818, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(3080)%branchR2(0:0))
      call avR2(3080, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(922)%branchR2(0:0))
      call avR2(922, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2004)%branchR2(0:0))
      call avR2(2004, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2352)%branchR2(0:1))
      call avR2(2352, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(2352, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(474)%branchR2(0:0))
      call avR2(474, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(854)%branchR2(0:0))
      call avR2(854, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(953)%branchR2(0:0))
      call avR2(953, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(2592)%branchR2(0:0))
      call avR2(2592, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2094)%branchR2(0:0))
      call avR2(2094, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(739)%branchR2(0:0))
      call avR2(739, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2083)%branchR2(0:0))
      call avR2(2083, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3223)%branchR2(0:0))
      call avR2(3223, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1751)%branchR2(0:0))
      call avR2(1751, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2464)%branchR2(0:0))
      call avR2(2464, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2185)%branchR2(0:0))
      call avR2(2185, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1085)%branchR2(0:0))
      call avR2(1085, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2203,       &
      nGC_2202/))

      allocate(vertices(1644)%branchR2(0:0))
      call avR2(1644, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(3521)%branchR2(0:0))
      call avR2(3521, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(420)%branchR2(0:0))
      call avR2(420, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(3794)%branchR2(0:0))
      call avR2(3794, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1796)%branchR2(0:0))
      call avR2(1796, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3795)%branchR2(0:0))
      call avR2(3795, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(556)%branchR2(0:0))
      call avR2(556, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2803)%branchR2(0:0))
      call avR2(2803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(482)%branchR2(0:0))
      call avR2(482, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1466)%branchR2(0:0))
      call avR2(1466, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2646)%branchR2(0:0))
      call avR2(2646, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(2099)%branchR2(0:0))
      call avR2(2099, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2061)%branchR2(0:0))
      call avR2(2061, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1581)%branchR2(0:0))
      call avR2(1581, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(113)%branchR2(0:0))
      call avR2(113, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2430)%branchR2(0:0))
      call avR2(2430, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(2247)%branchR2(0:0))
      call avR2(2247, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2210, nGC_2210,       &
      nGC_2209/))

      allocate(vertices(1212)%branchR2(0:0))
      call avR2(1212, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(308)%branchR2(0:0))
      call avR2(308, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(861)%branchR2(0:0))
      call avR2(861, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(808)%branchR2(0:0))
      call avR2(808, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(2797)%branchR2(0:0))
      call avR2(2797, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3796)%branchR2(0:1))
      call avR2(3796, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      call avR2(3796, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      allocate(vertices(1401)%branchR2(0:0))
      call avR2(1401, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(671)%branchR2(0:0))
      call avR2(671, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3113)%branchR2(0:0))
      call avR2(3113, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(813)%branchR2(0:0))
      call avR2(813, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2461)%branchR2(0:0))
      call avR2(2461, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(543)%branchR2(0:1))
      call avR2(543, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(543, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(1362)%branchR2(0:0))
      call avR2(1362, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(3797)%branchR2(0:0))
      call avR2(3797, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2502)%branchR2(0:1))
      call avR2(2502, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(2502, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3798)%branchR2(0:0))
      call avR2(3798, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(1226)%branchR2(0:0))
      call avR2(1226, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1926)%branchR2(0:0))
      call avR2(1926, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(565)%branchR2(0:1))
      call avR2(565, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(565, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(3049)%branchR2(0:0))
      call avR2(3049, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(53)%branchR2(0:1))
      call avR2(53, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(53, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3377)%branchR2(0:0))
      call avR2(3377, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(359)%branchR2(0:1))
      call avR2(359, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(359, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(1572)%branchR2(0:0))
      call avR2(1572, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2188)%branchR2(0:0))
      call avR2(2188, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(1482)%branchR2(0:0))
      call avR2(1482, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2873)%branchR2(0:0))
      call avR2(2873, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(1741)%branchR2(0:1))
      call avR2(1741, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1741, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2281)%branchR2(0:0))
      call avR2(2281, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(3799)%branchR2(0:1))
      call avR2(3799, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3799, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(185)%branchR2(0:0))
      call avR2(185, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(2024)%branchR2(0:0))
      call avR2(2024, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(463)%branchR2(0:0))
      call avR2(463, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(11)%branchR2(0:0))
      call avR2(11, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(2940)%branchR2(0:0))
      call avR2(2940, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(121)%branchR2(0:0))
      call avR2(121, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(37)%branchR2(0:0))
      call avR2(37, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1499)%branchR2(0:0))
      call avR2(1499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1787)%branchR2(0:0))
      call avR2(1787, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(40)%branchR2(0:0))
      call avR2(40, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2667)%branchR2(0:0))
      call avR2(2667, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(986)%branchR2(0:0))
      call avR2(986, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1460)%branchR2(0:1))
      call avR2(1460, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(1460, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(1471)%branchR2(0:0))
      call avR2(1471, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(2208)%branchR2(0:0))
      call avR2(2208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1514)%branchR2(0:0))
      call avR2(1514, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(399)%branchR2(0:0))
      call avR2(399, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3800)%branchR2(0:0))
      call avR2(3800, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2044, nGC_2044,       &
      nGC_2044/))

      allocate(vertices(682)%branchR2(0:0))
      call avR2(682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1080)%branchR2(0:0))
      call avR2(1080, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3801)%branchR2(0:0))
      call avR2(3801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3114)%branchR2(0:0))
      call avR2(3114, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1799)%branchR2(0:0))
      call avR2(1799, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(894)%branchR2(0:0))
      call avR2(894, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(831)%branchR2(0:0))
      call avR2(831, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(984)%branchR2(0:0))
      call avR2(984, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2212)%branchR2(0:0))
      call avR2(2212, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2171)%branchR2(0:0))
      call avR2(2171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2217)%branchR2(0:0))
      call avR2(2217, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3490)%branchR2(0:0))
      call avR2(3490, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1557)%branchR2(0:0))
      call avR2(1557, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(1251)%branchR2(0:0))
      call avR2(1251, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3336)%branchR2(0:0))
      call avR2(3336, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2057)%branchR2(0:0))
      call avR2(2057, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1805/))

      allocate(vertices(1651)%branchR2(0:0))
      call avR2(1651, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(573)%branchR2(0:0))
      call avR2(573, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3802)%branchR2(0:1))
      call avR2(3802, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2115/))

      call avR2(3802, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(1930)%branchR2(0:0))
      call avR2(1930, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2862)%branchR2(0:0))
      call avR2(2862, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3296)%branchR2(0:0))
      call avR2(3296, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2656)%branchR2(0:0))
      call avR2(2656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1118)%branchR2(0:0))
      call avR2(1118, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1440)%branchR2(0:0))
      call avR2(1440, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(2231)%branchR2(0:1))
      call avR2(2231, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2231, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(414)%branchR2(0:1))
      call avR2(414, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(414, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(595)%branchR2(0:0))
      call avR2(595, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2041,        &
      nGC_2042/))

      allocate(vertices(2504)%branchR2(0:0))
      call avR2(2504, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(816)%branchR2(0:0))
      call avR2(816, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2045)%branchR2(0:0))
      call avR2(2045, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2026)%branchR2(0:1))
      call avR2(2026, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(2026, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1788)%branchR2(0:0))
      call avR2(1788, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(159)%branchR2(0:0))
      call avR2(159, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1135)%branchR2(0:0))
      call avR2(1135, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(60)%branchR2(0:1))
      call avR2(60, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(60, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(616)%branchR2(0:0))
      call avR2(616, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2870)%branchR2(0:0))
      call avR2(2870, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(117)%branchR2(0:0))
      call avR2(117, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1021)%branchR2(0:0))
      call avR2(1021, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2530)%branchR2(0:0))
      call avR2(2530, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2547)%branchR2(0:0))
      call avR2(2547, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1329)%branchR2(0:0))
      call avR2(1329, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2908)%branchR2(0:0))
      call avR2(2908, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2935)%branchR2(0:0))
      call avR2(2935, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3803)%branchR2(0:0))
      call avR2(3803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1804)%branchR2(0:0))
      call avR2(1804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3059)%branchR2(0:0))
      call avR2(3059, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2315)%branchR2(0:0))
      call avR2(2315, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(2933)%branchR2(0:0))
      call avR2(2933, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2765)%branchR2(0:0))
      call avR2(2765, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2034)%branchR2(0:0))
      call avR2(2034, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(2201)%branchR2(0:0))
      call avR2(2201, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(783)%branchR2(0:0))
      call avR2(783, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(893)%branchR2(0:1))
      call avR2(893, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(893, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1039)%branchR2(0:0))
      call avR2(1039, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(267)%branchR2(0:0))
      call avR2(267, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2681)%branchR2(0:0))
      call avR2(2681, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2360)%branchR2(0:0))
      call avR2(2360, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(3550)%branchR2(0:0))
      call avR2(3550, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2002)%branchR2(0:0))
      call avR2(2002, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3804)%branchR2(0:1))
      call avR2(3804, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2196/))

      call avR2(3804, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(2039)%branchR2(0:1))
      call avR2(2039, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(2039, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(3805)%branchR2(0:1))
      call avR2(3805, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3805, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(1719)%branchR2(0:0))
      call avR2(1719, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1639)%branchR2(0:0))
      call avR2(1639, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(554)%branchR2(0:0))
      call avR2(554, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1783/))

      allocate(vertices(1106)%branchR2(0:0))
      call avR2(1106, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(638)%branchR2(0:0))
      call avR2(638, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(745)%branchR2(0:0))
      call avR2(745, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1354)%branchR2(0:0))
      call avR2(1354, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3806)%branchR2(0:0))
      call avR2(3806, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3215)%branchR2(0:0))
      call avR2(3215, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3582)%branchR2(0:0))
      call avR2(3582, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1480)%branchR2(0:0))
      call avR2(1480, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(1682)%branchR2(0:0))
      call avR2(1682, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(485)%branchR2(0:0))
      call avR2(485, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2114)%branchR2(0:1))
      call avR2(2114, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2114, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(3455)%branchR2(0:0))
      call avR2(3455, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(369)%branchR2(0:0))
      call avR2(369, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(3807)%branchR2(0:1))
      call avR2(3807, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3807, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(309)%branchR2(0:0))
      call avR2(309, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2645)%branchR2(0:3))
      call avR2(2645, 0, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(2645, 1, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2645, 2, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2645, 3, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(2848)%branchR2(0:0))
      call avR2(2848, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2983)%branchR2(0:0))
      call avR2(2983, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3808)%branchR2(0:0))
      call avR2(3808, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2448)%branchR2(0:1))
      call avR2(2448, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2448, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(2409)%branchR2(0:0))
      call avR2(2409, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(828)%branchR2(0:0))
      call avR2(828, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2799)%branchR2(0:0))
      call avR2(2799, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1840)%branchR2(0:0))
      call avR2(1840, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(891)%branchR2(0:3))
      call avR2(891, 0, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(891, 1, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(891, 2, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(891, 3, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2009)%branchR2(0:0))
      call avR2(2009, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(2297)%branchR2(0:1))
      call avR2(2297, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2297, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1027)%branchR2(0:0))
      call avR2(1027, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(1859)%branchR2(0:0))
      call avR2(1859, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(846)%branchR2(0:0))
      call avR2(846, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(3809)%branchR2(0:0))
      call avR2(3809, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(200)%branchR2(0:0))
      call avR2(200, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1900)%branchR2(0:1))
      call avR2(1900, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1900, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(2131)%branchR2(0:0))
      call avR2(2131, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3810)%branchR2(0:0))
      call avR2(3810, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3163)%branchR2(0:0))
      call avR2(3163, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(1114)%branchR2(0:0))
      call avR2(1114, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(576)%branchR2(0:0))
      call avR2(576, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2483)%branchR2(0:0))
      call avR2(2483, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(850)%branchR2(0:0))
      call avR2(850, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3181)%branchR2(0:0))
      call avR2(3181, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1700)%branchR2(0:0))
      call avR2(1700, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2833)%branchR2(0:0))
      call avR2(2833, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(282)%branchR2(0:0))
      call avR2(282, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(819)%branchR2(0:0))
      call avR2(819, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(695)%branchR2(0:0))
      call avR2(695, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1279)%branchR2(0:0))
      call avR2(1279, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(513)%branchR2(0:0))
      call avR2(513, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(2392)%branchR2(0:0))
      call avR2(2392, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(517)%branchR2(0:0))
      call avR2(517, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(3012)%branchR2(0:1))
      call avR2(3012, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1711, nGC_1711/))

      call avR2(3012, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1712, nGC_1712/))

      allocate(vertices(3307)%branchR2(0:0))
      call avR2(3307, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2897)%branchR2(0:0))
      call avR2(2897, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(942)%branchR2(0:0))
      call avR2(942, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2001)%branchR2(0:0))
      call avR2(2001, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1185)%branchR2(0:0))
      call avR2(1185, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1597)%branchR2(0:0))
      call avR2(1597, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2899)%branchR2(0:0))
      call avR2(2899, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3201)%branchR2(0:0))
      call avR2(3201, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(1402)%branchR2(0:0))
      call avR2(1402, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(1588)%branchR2(0:0))
      call avR2(1588, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(886)%branchR2(0:0))
      call avR2(886, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(131)%branchR2(0:0))
      call avR2(131, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3406)%branchR2(0:0))
      call avR2(3406, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(459)%branchR2(0:1))
      call avR2(459, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(459, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3452)%branchR2(0:0))
      call avR2(3452, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2112)%branchR2(0:0))
      call avR2(2112, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(28)%branchR2(0:0))
      call avR2(28, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

    end subroutine fill_vertices_mdl11
end module vertices_info11
