!******************************************************************************!
!                                                                              !
!    vertices_info12.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info12.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info12
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl12()
      allocate(vertices(3037)%branchR2(0:0))
      call avR2(3037, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(2310)%branchR2(0:0))
      call avR2(2310, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1430)%branchR2(0:0))
      call avR2(1430, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(280)%branchR2(0:0))
      call avR2(280, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2831)%branchR2(0:0))
      call avR2(2831, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1345)%branchR2(0:1))
      call avR2(1345, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1345, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1768)%branchR2(0:0))
      call avR2(1768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1435)%branchR2(0:0))
      call avR2(1435, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(2552)%branchR2(0:0))
      call avR2(2552, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(998)%branchR2(0:0))
      call avR2(998, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3811)%branchR2(0:1))
      call avR2(3811, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3811, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(2397)%branchR2(0:0))
      call avR2(2397, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1150)%branchR2(0:0))
      call avR2(1150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2922)%branchR2(0:0))
      call avR2(2922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1220)%branchR2(0:0))
      call avR2(1220, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(3812)%branchR2(0:0))
      call avR2(3812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(2264)%branchR2(0:0))
      call avR2(2264, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(3054)%branchR2(0:0))
      call avR2(3054, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3233)%branchR2(0:0))
      call avR2(3233, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2597)%branchR2(0:1))
      call avR2(2597, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(2597, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(2155)%branchR2(0:0))
      call avR2(2155, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(523)%branchR2(0:0))
      call avR2(523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(228)%branchR2(0:0))
      call avR2(228, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1658)%branchR2(0:0))
      call avR2(1658, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(2553)%branchR2(0:0))
      call avR2(2553, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2521)%branchR2(0:0))
      call avR2(2521, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2450)%branchR2(0:1))
      call avR2(2450, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(2450, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3024)%branchR2(0:0))
      call avR2(3024, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2748)%branchR2(0:0))
      call avR2(2748, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1694)%branchR2(0:0))
      call avR2(1694, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3813)%branchR2(0:1))
      call avR2(3813, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2196/))

      call avR2(3813, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(1422)%branchR2(0:1))
      call avR2(1422, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(1422, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(3814)%branchR2(0:1))
      call avR2(3814, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3814, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1057)%branchR2(0:3))
      call avR2(1057, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(1057, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1057, 2, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(1057, 3, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2912)%branchR2(0:0))
      call avR2(2912, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2126)%branchR2(0:1))
      call avR2(2126, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(2126, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2608)%branchR2(0:0))
      call avR2(2608, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1526)%branchR2(0:0))
      call avR2(1526, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3815)%branchR2(0:1))
      call avR2(3815, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3815, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(3566)%branchR2(0:0))
      call avR2(3566, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2169)%branchR2(0:0))
      call avR2(2169, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1922)%branchR2(0:0))
      call avR2(1922, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(546)%branchR2(0:0))
      call avR2(546, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(1773)%branchR2(0:0))
      call avR2(1773, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(3430)%branchR2(0:0))
      call avR2(3430, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2699)%branchR2(0:0))
      call avR2(2699, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3124)%branchR2(0:0))
      call avR2(3124, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(1308)%branchR2(0:0))
      call avR2(1308, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3150)%branchR2(0:0))
      call avR2(3150, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3288/))

      allocate(vertices(344)%branchR2(0:0))
      call avR2(344, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1785)%branchR2(0:0))
      call avR2(1785, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3289/))

      allocate(vertices(175)%branchR2(0:1))
      call avR2(175, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(175, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2302)%branchR2(0:0))
      call avR2(2302, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1827)%branchR2(0:0))
      call avR2(1827, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(1542)%branchR2(0:0))
      call avR2(1542, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(912)%branchR2(0:0))
      call avR2(912, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1603)%branchR2(0:0))
      call avR2(1603, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(662)%branchR2(0:0))
      call avR2(662, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(418)%branchR2(0:0))
      call avR2(418, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(457)%branchR2(0:0))
      call avR2(457, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(2107)%branchR2(0:0))
      call avR2(2107, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3816)%branchR2(0:0))
      call avR2(3816, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(925)%branchR2(0:0))
      call avR2(925, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(3356)%branchR2(0:0))
      call avR2(3356, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(328)%branchR2(0:1))
      call avR2(328, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(328, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(507)%branchR2(0:1))
      call avR2(507, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(507, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1531)%branchR2(0:0))
      call avR2(1531, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1357)%branchR2(0:0))
      call avR2(1357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(3817)%branchR2(0:0))
      call avR2(3817, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1099)%branchR2(0:0))
      call avR2(1099, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3033)%branchR2(0:0))
      call avR2(3033, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1230)%branchR2(0:1))
      call avR2(1230, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1230, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(1875)%branchR2(0:0))
      call avR2(1875, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2724)%branchR2(0:0))
      call avR2(2724, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(125)%branchR2(0:0))
      call avR2(125, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(288)%branchR2(0:3))
      call avR2(288, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(288, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(288, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(288, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      allocate(vertices(805)%branchR2(0:0))
      call avR2(805, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2203, nGC_2202,        &
      nGC_2204/))

      allocate(vertices(2414)%branchR2(0:0))
      call avR2(2414, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(363)%branchR2(0:0))
      call avR2(363, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1569)%branchR2(0:0))
      call avR2(1569, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2243)%branchR2(0:1))
      call avR2(2243, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(2243, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(1067)%branchR2(0:0))
      call avR2(1067, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(903)%branchR2(0:0))
      call avR2(903, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(1940)%branchR2(0:0))
      call avR2(1940, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3139)%branchR2(0:1))
      call avR2(3139, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(3139, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(1211)%branchR2(0:0))
      call avR2(1211, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(6)%branchR2(0:0))
      call avR2(6, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(182)%branchR2(0:0))
      call avR2(182, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2465)%branchR2(0:0))
      call avR2(2465, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(2682)%branchR2(0:0))
      call avR2(2682, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(864)%branchR2(0:0))
      call avR2(864, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(2049)%branchR2(0:0))
      call avR2(2049, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2422)%branchR2(0:0))
      call avR2(2422, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2901)%branchR2(0:0))
      call avR2(2901, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(963)%branchR2(0:0))
      call avR2(963, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(633)%branchR2(0:1))
      call avR2(633, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(633, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(1130)%branchR2(0:0))
      call avR2(1130, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1075)%branchR2(0:0))
      call avR2(1075, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3533)%branchR2(0:0))
      call avR2(3533, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(624)%branchR2(0:0))
      call avR2(624, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(1959)%branchR2(0:0))
      call avR2(1959, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(537)%branchR2(0:0))
      call avR2(537, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(1037)%branchR2(0:0))
      call avR2(1037, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1159)%branchR2(0:1))
      call avR2(1159, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(1159, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(1868)%branchR2(0:0))
      call avR2(1868, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(667)%branchR2(0:0))
      call avR2(667, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(3818)%branchR2(0:1))
      call avR2(3818, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2166/))

      call avR2(3818, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(1388)%branchR2(0:0))
      call avR2(1388, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2990)%branchR2(0:0))
      call avR2(2990, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1238)%branchR2(0:1))
      call avR2(1238, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(1238, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(56)%branchR2(0:0))
      call avR2(56, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2850)%branchR2(0:0))
      call avR2(2850, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

      allocate(vertices(2573)%branchR2(0:0))
      call avR2(2573, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(3819)%branchR2(0:0))
      call avR2(3819, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2055/))

      allocate(vertices(284)%branchR2(0:0))
      call avR2(284, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,        &
      nGC_2078/))

      allocate(vertices(2373)%branchR2(0:1))
      call avR2(2373, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(2373, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(2479)%branchR2(0:0))
      call avR2(2479, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2251)%branchR2(0:0))
      call avR2(2251, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(1165)%branchR2(0:0))
      call avR2(1165, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1942/))

      allocate(vertices(458)%branchR2(0:0))
      call avR2(458, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1120)%branchR2(0:0))
      call avR2(1120, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(3090)%branchR2(0:0))
      call avR2(3090, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(870)%branchR2(0:1))
      call avR2(870, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(870, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3251)%branchR2(0:0))
      call avR2(3251, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(118)%branchR2(0:0))
      call avR2(118, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2210)%branchR2(0:0))
      call avR2(2210, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(727)%branchR2(0:0))
      call avR2(727, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1910)%branchR2(0:0))
      call avR2(1910, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3820)%branchR2(0:1))
      call avR2(3820, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2171/))

      call avR2(3820, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(168)%branchR2(0:1))
      call avR2(168, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(168, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(3261)%branchR2(0:0))
      call avR2(3261, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(742)%branchR2(0:0))
      call avR2(742, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(705)%branchR2(0:0))
      call avR2(705, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1522)%branchR2(0:0))
      call avR2(1522, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(394)%branchR2(0:0))
      call avR2(394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1592)%branchR2(0:0))
      call avR2(1592, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(3294)%branchR2(0:0))
      call avR2(3294, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1729)%branchR2(0:0))
      call avR2(1729, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(581)%branchR2(0:0))
      call avR2(581, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3001)%branchR2(0:0))
      call avR2(3001, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1990)%branchR2(0:0))
      call avR2(1990, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3301)%branchR2(0:0))
      call avR2(3301, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(337)%branchR2(0:1))
      call avR2(337, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(337, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(1041)%branchR2(0:0))
      call avR2(1041, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(887)%branchR2(0:0))
      call avR2(887, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(918)%branchR2(0:0))
      call avR2(918, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,        &
      nGC_2076/))

      allocate(vertices(1833)%branchR2(0:0))
      call avR2(1833, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3362)%branchR2(0:0))
      call avR2(3362, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(1591)%branchR2(0:0))
      call avR2(1591, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1650)%branchR2(0:1))
      call avR2(1650, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1650, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(1563)%branchR2(0:0))
      call avR2(1563, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(592)%branchR2(0:1))
      call avR2(592, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(592, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(914)%branchR2(0:0))
      call avR2(914, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(303)%branchR2(0:1))
      call avR2(303, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(303, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(3821)%branchR2(0:1))
      call avR2(3821, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      call avR2(3821, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      allocate(vertices(1993)%branchR2(0:0))
      call avR2(1993, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(627)%branchR2(0:0))
      call avR2(627, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1627)%branchR2(0:0))
      call avR2(1627, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(740)%branchR2(0:0))
      call avR2(740, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1873)%branchR2(0:0))
      call avR2(1873, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3157)%branchR2(0:0))
      call avR2(3157, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1100)%branchR2(0:0))
      call avR2(1100, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(810)%branchR2(0:1))
      call avR2(810, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(810, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(2487)%branchR2(0:1))
      call avR2(2487, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(2487, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3204)%branchR2(0:0))
      call avR2(3204, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(1604)%branchR2(0:0))
      call avR2(1604, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(1869)%branchR2(0:0))
      call avR2(1869, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2210, nGC_2209,       &
      nGC_2210/))

      allocate(vertices(166)%branchR2(0:0))
      call avR2(166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2036)%branchR2(0:1))
      call avR2(2036, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(2036, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3584)%branchR2(0:0))
      call avR2(3584, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3555)%branchR2(0:0))
      call avR2(3555, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1129)%branchR2(0:0))
      call avR2(1129, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(1490)%branchR2(0:0))
      call avR2(1490, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2080)%branchR2(0:0))
      call avR2(2080, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(1390)%branchR2(0:0))
      call avR2(1390, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(644)%branchR2(0:0))
      call avR2(644, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(955)%branchR2(0:0))
      call avR2(955, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3822)%branchR2(0:1))
      call avR2(3822, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2207/))

      call avR2(3822, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(1673)%branchR2(0:0))
      call avR2(1673, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(3823)%branchR2(0:0))
      call avR2(3823, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2055/))

      allocate(vertices(2415)%branchR2(0:1))
      call avR2(2415, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(2415, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(1289)%branchR2(0:0))
      call avR2(1289, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1524)%branchR2(0:0))
      call avR2(1524, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3417)%branchR2(0:0))
      call avR2(3417, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3585)%branchR2(0:0))
      call avR2(3585, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1801)%branchR2(0:0))
      call avR2(1801, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1018)%branchR2(0:0))
      call avR2(1018, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(3285)%branchR2(0:0))
      call avR2(3285, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(61)%branchR2(0:0))
      call avR2(61, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3824)%branchR2(0:0))
      call avR2(3824, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(1571)%branchR2(0:0))
      call avR2(1571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(133)%branchR2(0:1))
      call avR2(133, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1972/))

      call avR2(133, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(235)%branchR2(0:0))
      call avR2(235, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(3825)%branchR2(0:0))
      call avR2(3825, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1555)%branchR2(0:0))
      call avR2(1555, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(733)%branchR2(0:0))
      call avR2(733, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(2501)%branchR2(0:0))
      call avR2(2501, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1708)%branchR2(0:0))
      call avR2(1708, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2020)%branchR2(0:0))
      call avR2(2020, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1884)%branchR2(0:0))
      call avR2(1884, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1580)%branchR2(0:0))
      call avR2(1580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2132)%branchR2(0:0))
      call avR2(2132, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(2965)%branchR2(0:0))
      call avR2(2965, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3826)%branchR2(0:0))
      call avR2(3826, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1587)%branchR2(0:1))
      call avR2(1587, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1587, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(3488)%branchR2(0:0))
      call avR2(3488, 0, 13, 1, 0, FFa4, (/0, 2/), (/nGC_1698, nGC_1699,       &
      nGC_1700, nGC_1700/))

      allocate(vertices(296)%branchR2(0:0))
      call avR2(296, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2991)%branchR2(0:0))
      call avR2(2991, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1056)%branchR2(0:0))
      call avR2(1056, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2442)%branchR2(0:0))
      call avR2(2442, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(1126)%branchR2(0:0))
      call avR2(1126, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1649)%branchR2(0:0))
      call avR2(1649, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(1624)%branchR2(0:1))
      call avR2(1624, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(1624, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(2493)%branchR2(0:0))
      call avR2(2493, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3827)%branchR2(0:0))
      call avR2(3827, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(324)%branchR2(0:0))
      call avR2(324, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(352)%branchR2(0:0))
      call avR2(352, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1814)%branchR2(0:0))
      call avR2(1814, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(1822)%branchR2(0:0))
      call avR2(1822, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2984)%branchR2(0:0))
      call avR2(2984, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1826)%branchR2(0:0))
      call avR2(1826, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(2031)%branchR2(0:0))
      call avR2(2031, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2440)%branchR2(0:0))
      call avR2(2440, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(996)%branchR2(0:1))
      call avR2(996, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(996, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2780)%branchR2(0:0))
      call avR2(2780, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2149)%branchR2(0:0))
      call avR2(2149, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(731)%branchR2(0:0))
      call avR2(731, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3828)%branchR2(0:0))
      call avR2(3828, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3442)%branchR2(0:0))
      call avR2(3442, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(1409)%branchR2(0:0))
      call avR2(1409, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(1125)%branchR2(0:1))
      call avR2(1125, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1125, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(87)%branchR2(0:1))
      call avR2(87, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(87, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1379)%branchR2(0:0))
      call avR2(1379, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1706)%branchR2(0:0))
      call avR2(1706, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(1810)%branchR2(0:0))
      call avR2(1810, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2041,       &
      nGC_2042/))

      allocate(vertices(3269)%branchR2(0:0))
      call avR2(3269, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2789)%branchR2(0:0))
      call avR2(2789, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1783)%branchR2(0:1))
      call avR2(1783, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1974/))

      call avR2(1783, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2343)%branchR2(0:0))
      call avR2(2343, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(1517)%branchR2(0:0))
      call avR2(1517, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2531)%branchR2(0:0))
      call avR2(2531, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(572)%branchR2(0:0))
      call avR2(572, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(3372)%branchR2(0:0))
      call avR2(3372, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(558)%branchR2(0:0))
      call avR2(558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(833)%branchR2(0:0))
      call avR2(833, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(3557)%branchR2(0:0))
      call avR2(3557, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(736)%branchR2(0:0))
      call avR2(736, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2463)%branchR2(0:0))
      call avR2(2463, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(422)%branchR2(0:0))
      call avR2(422, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(1272)%branchR2(0:0))
      call avR2(1272, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2254)%branchR2(0:0))
      call avR2(2254, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2628)%branchR2(0:1))
      call avR2(2628, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(2628, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(2351)%branchR2(0:0))
      call avR2(2351, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2252)%branchR2(0:0))
      call avR2(2252, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3419)%branchR2(0:0))
      call avR2(3419, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2468)%branchR2(0:0))
      call avR2(2468, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(3829)%branchR2(0:1))
      call avR2(3829, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2155/))

      call avR2(3829, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2156/))

      allocate(vertices(1252)%branchR2(0:0))
      call avR2(1252, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2721)%branchR2(0:0))
      call avR2(2721, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(844)%branchR2(0:0))
      call avR2(844, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(2221)%branchR2(0:0))
      call avR2(2221, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3564)%branchR2(0:0))
      call avR2(3564, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1515)%branchR2(0:1))
      call avR2(1515, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1515, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(2731)%branchR2(0:0))
      call avR2(2731, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1734)%branchR2(0:0))
      call avR2(1734, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(3830)%branchR2(0:0))
      call avR2(3830, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2857)%branchR2(0:0))
      call avR2(2857, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1692)%branchR2(0:0))
      call avR2(1692, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3067)%branchR2(0:0))
      call avR2(3067, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1047)%branchR2(0:0))
      call avR2(1047, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2697)%branchR2(0:1))
      call avR2(2697, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2697, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2533)%branchR2(0:0))
      call avR2(2533, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1095)%branchR2(0:0))
      call avR2(1095, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(532)%branchR2(0:0))
      call avR2(532, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(380)%branchR2(0:0))
      call avR2(380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(2326)%branchR2(0:0))
      call avR2(2326, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2203, nGC_2202,       &
      nGC_2204/))

      allocate(vertices(433)%branchR2(0:0))
      call avR2(433, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(867)%branchR2(0:0))
      call avR2(867, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(3831)%branchR2(0:1))
      call avR2(3831, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3831, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(293)%branchR2(0:0))
      call avR2(293, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1564)%branchR2(0:0))
      call avR2(1564, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(2027)%branchR2(0:0))
      call avR2(2027, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2923)%branchR2(0:0))
      call avR2(2923, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3138)%branchR2(0:0))
      call avR2(3138, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(210)%branchR2(0:0))
      call avR2(210, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(1854)%branchR2(0:0))
      call avR2(1854, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2314)%branchR2(0:0))
      call avR2(2314, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1625)%branchR2(0:0))
      call avR2(1625, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2193)%branchR2(0:0))
      call avR2(2193, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3832)%branchR2(0:0))
      call avR2(3832, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(610)%branchR2(0:0))
      call avR2(610, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(2878)%branchR2(0:0))
      call avR2(2878, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(448)%branchR2(0:0))
      call avR2(448, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2556)%branchR2(0:0))
      call avR2(2556, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2460)%branchR2(0:0))
      call avR2(2460, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3018)%branchR2(0:0))
      call avR2(3018, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(3341)%branchR2(0:0))
      call avR2(3341, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3291/))

      allocate(vertices(3833)%branchR2(0:1))
      call avR2(3833, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2197/))

      call avR2(3833, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2196/))

      allocate(vertices(822)%branchR2(0:0))
      call avR2(822, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1896)%branchR2(0:0))
      call avR2(1896, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2561)%branchR2(0:0))
      call avR2(2561, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(2410)%branchR2(0:1))
      call avR2(2410, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(2410, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(443)%branchR2(0:0))
      call avR2(443, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2394)%branchR2(0:0))
      call avR2(2394, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1229)%branchR2(0:0))
      call avR2(1229, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1560)%branchR2(0:0))
      call avR2(1560, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3834)%branchR2(0:0))
      call avR2(3834, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3835)%branchR2(0:1))
      call avR2(3835, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3835, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      allocate(vertices(1899)%branchR2(0:0))
      call avR2(1899, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(3836)%branchR2(0:0))
      call avR2(3836, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(1141)%branchR2(0:0))
      call avR2(1141, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(171)%branchR2(0:0))
      call avR2(171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3278)%branchR2(0:0))
      call avR2(3278, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1382)%branchR2(0:3))
      call avR2(1382, 0, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1382, 1, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1382, 2, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1382, 3, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2029)%branchR2(0:0))
      call avR2(2029, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(2184)%branchR2(0:0))
      call avR2(2184, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2412)%branchR2(0:0))
      call avR2(2412, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3271)%branchR2(0:0))
      call avR2(3271, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(564)%branchR2(0:0))
      call avR2(564, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3837)%branchR2(0:1))
      call avR2(3837, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2196/))

      call avR2(3837, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(434)%branchR2(0:1))
      call avR2(434, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1972/))

      call avR2(434, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3500)%branchR2(0:0))
      call avR2(3500, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(591)%branchR2(0:0))
      call avR2(591, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(354)%branchR2(0:0))
      call avR2(354, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3385)%branchR2(0:0))
      call avR2(3385, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1958)%branchR2(0:0))
      call avR2(1958, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2639)%branchR2(0:0))
      call avR2(2639, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(90)%branchR2(0:0))
      call avR2(90, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(979)%branchR2(0:0))
      call avR2(979, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3172)%branchR2(0:0))
      call avR2(3172, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1326)%branchR2(0:0))
      call avR2(1326, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(1079)%branchR2(0:0))
      call avR2(1079, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(639)%branchR2(0:0))
      call avR2(639, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(2478)%branchR2(0:0))
      call avR2(2478, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(487)%branchR2(0:0))
      call avR2(487, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(997)%branchR2(0:0))
      call avR2(997, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2911)%branchR2(0:0))
      call avR2(2911, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2355)%branchR2(0:0))
      call avR2(2355, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(262)%branchR2(0:0))
      call avR2(262, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3396)%branchR2(0:0))
      call avR2(3396, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(660)%branchR2(0:23))
      call avR2(660, 0, 94, 1, 0, VVVV0, (/4, 0/), (/nGC_2222, nGC_2223,       &
      nGC_2222/))

      call avR2(660, 1, 91, 1, 0, VVVV0, (/4, 0/), (/nGC_2223, nGC_2222,       &
      nGC_2222/))

      call avR2(660, 2, 104, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,      &
      nGC_2232/))

      call avR2(660, 3, 2, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2218,        &
      nGC_2217/))

      call avR2(660, 4, 5, 1, 0, VVVV0, (/4, 0/), (/nGC_2226, nGC_2228,        &
      nGC_2227/))

      call avR2(660, 5, 100, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,      &
      nGC_2232/))

      call avR2(660, 6, 97, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2221,       &
      nGC_2219/))

      call avR2(660, 7, 90, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2219,       &
      nGC_2221/))

      call avR2(660, 8, 103, 1, 0, VVVV0, (/4, 0/), (/nGC_2233, nGC_2233,      &
      nGC_2233/))

      call avR2(660, 9, 93, 1, 0, VVVV0, (/4, 0/), (/nGC_2224, nGC_2225,       &
      nGC_2223/))

      call avR2(660, 10, 106, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(660, 11, 4, 1, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2231,       &
      nGC_2230/))

      call avR2(660, 12, 96, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2221,      &
      nGC_2220/))

      call avR2(660, 13, 7, 1, 0, VVVV0, (/4, 0/), (/nGC_2226, nGC_2228,       &
      nGC_2227/))

      call avR2(660, 14, 102, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(660, 15, 99, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2219,      &
      nGC_2219/))

      call avR2(660, 16, 92, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2221,      &
      nGC_2219/))

      call avR2(660, 17, 89, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2219,      &
      nGC_2219/))

      call avR2(660, 18, 95, 1, 0, VVVV0, (/4, 0/), (/nGC_2219, nGC_2221,      &
      nGC_2220/))

      call avR2(660, 19, 105, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      call avR2(660, 20, 6, 1, 0, VVVV0, (/4, 0/), (/nGC_2229, nGC_2231,       &
      nGC_2230/))

      call avR2(660, 21, 3, 1, 0, VVVV0, (/4, 0/), (/nGC_2218, nGC_2218,       &
      nGC_2217/))

      call avR2(660, 22, 98, 1, 0, VVVV0, (/4, 0/), (/nGC_2220, nGC_2219,      &
      nGC_2221/))

      call avR2(660, 23, 101, 1, 0, VVVV0, (/4, 0/), (/nGC_2232, nGC_2232,     &
      nGC_2232/))

      allocate(vertices(1000)%branchR2(0:0))
      call avR2(1000, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(905)%branchR2(0:0))
      call avR2(905, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3838)%branchR2(0:0))
      call avR2(3838, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(3839)%branchR2(0:0))
      call avR2(3839, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(944)%branchR2(0:1))
      call avR2(944, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(944, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(3353)%branchR2(0:0))
      call avR2(3353, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(1551)%branchR2(0:0))
      call avR2(1551, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(2174)%branchR2(0:0))
      call avR2(2174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1343)%branchR2(0:0))
      call avR2(1343, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3580)%branchR2(0:0))
      call avR2(3580, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(794)%branchR2(0:1))
      call avR2(794, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(794, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(95)%branchR2(0:0))
      call avR2(95, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(2319)%branchR2(0:0))
      call avR2(2319, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(943)%branchR2(0:0))
      call avR2(943, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(834)%branchR2(0:0))
      call avR2(834, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(1492)%branchR2(0:0))
      call avR2(1492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2930)%branchR2(0:0))
      call avR2(2930, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1911)%branchR2(0:0))
      call avR2(1911, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(3840)%branchR2(0:0))
      call avR2(3840, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(1767)%branchR2(0:0))
      call avR2(1767, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1992/))

      allocate(vertices(1888)%branchR2(0:1))
      call avR2(1888, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(1888, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2234)%branchR2(0:0))
      call avR2(2234, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1977)%branchR2(0:0))
      call avR2(1977, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2032)%branchR2(0:0))
      call avR2(2032, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1686)%branchR2(0:0))
      call avR2(1686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(440)%branchR2(0:1))
      call avR2(440, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(440, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1941)%branchR2(0:0))
      call avR2(1941, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(2644)%branchR2(0:0))
      call avR2(2644, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(390)%branchR2(0:0))
      call avR2(390, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(3255)%branchR2(0:0))
      call avR2(3255, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1613)%branchR2(0:0))
      call avR2(1613, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(2648)%branchR2(0:0))
      call avR2(2648, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(466)%branchR2(0:0))
      call avR2(466, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1705)%branchR2(0:0))
      call avR2(1705, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(2529)%branchR2(0:0))
      call avR2(2529, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1663)%branchR2(0:0))
      call avR2(1663, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(3447)%branchR2(0:0))
      call avR2(3447, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(3841)%branchR2(0:0))
      call avR2(3841, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(1730)%branchR2(0:0))
      call avR2(1730, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(2235)%branchR2(0:0))
      call avR2(2235, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(251)%branchR2(0:0))
      call avR2(251, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1061)%branchR2(0:0))
      call avR2(1061, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1760/))

      allocate(vertices(3253)%branchR2(0:0))
      call avR2(3253, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(492)%branchR2(0:1))
      call avR2(492, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(492, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3842)%branchR2(0:0))
      call avR2(3842, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2680)%branchR2(0:0))
      call avR2(2680, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(3449)%branchR2(0:0))
      call avR2(3449, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(2359)%branchR2(0:0))
      call avR2(2359, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2613)%branchR2(0:0))
      call avR2(2613, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2973)%branchR2(0:0))
      call avR2(2973, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2683)%branchR2(0:0))
      call avR2(2683, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(2077)%branchR2(0:0))
      call avR2(2077, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(9)%branchR2(0:0))
      call avR2(9, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(2268)%branchR2(0:0))
      call avR2(2268, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1316)%branchR2(0:0))
      call avR2(1316, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3290/))

      allocate(vertices(1377)%branchR2(0:3))
      call avR2(1377, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1377, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1377, 2, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1377, 3, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_2005, nGC_2007/))

      allocate(vertices(3045)%branchR2(0:0))
      call avR2(3045, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2702)%branchR2(0:0))
      call avR2(2702, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1721)%branchR2(0:0))
      call avR2(1721, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2305)%branchR2(0:1))
      call avR2(2305, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2305, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3843)%branchR2(0:1))
      call avR2(3843, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2099/))

      call avR2(3843, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2100/))

      allocate(vertices(2189)%branchR2(0:0))
      call avR2(2189, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1838)%branchR2(0:0))
      call avR2(1838, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(2867)%branchR2(0:0))
      call avR2(2867, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3077)%branchR2(0:0))
      call avR2(3077, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(439)%branchR2(0:0))
      call avR2(439, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,        &
      nGC_2042/))

      allocate(vertices(2802)%branchR2(0:0))
      call avR2(2802, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(715)%branchR2(0:1))
      call avR2(715, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(715, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(3329)%branchR2(0:0))
      call avR2(3329, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(1320)%branchR2(0:0))
      call avR2(1320, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(977)%branchR2(0:0))
      call avR2(977, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(3525)%branchR2(0:0))
      call avR2(3525, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1253)%branchR2(0:0))
      call avR2(1253, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(1523)%branchR2(0:0))
      call avR2(1523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2671)%branchR2(0:0))
      call avR2(2671, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3344)%branchR2(0:0))
      call avR2(3344, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3844)%branchR2(0:0))
      call avR2(3844, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1803/))

      allocate(vertices(2127)%branchR2(0:0))
      call avR2(2127, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(590)%branchR2(0:0))
      call avR2(590, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3845)%branchR2(0:0))
      call avR2(3845, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(188)%branchR2(0:0))
      call avR2(188, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1781/))

      allocate(vertices(3379)%branchR2(0:0))
      call avR2(3379, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3846)%branchR2(0:0))
      call avR2(3846, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1973)%branchR2(0:0))
      call avR2(1973, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3388)%branchR2(0:0))
      call avR2(3388, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1084)%branchR2(0:0))
      call avR2(1084, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(63)%branchR2(0:0))
      call avR2(63, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(569)%branchR2(0:1))
      call avR2(569, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(569, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(757)%branchR2(0:0))
      call avR2(757, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3343)%branchR2(0:0))
      call avR2(3343, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(509)%branchR2(0:0))
      call avR2(509, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2481)%branchR2(0:0))
      call avR2(2481, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2689)%branchR2(0:0))
      call avR2(2689, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(43)%branchR2(0:0))
      call avR2(43, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2407)%branchR2(0:0))
      call avR2(2407, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(1640)%branchR2(0:0))
      call avR2(1640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(898)%branchR2(0:0))
      call avR2(898, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(3847)%branchR2(0:1))
      call avR2(3847, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      call avR2(3847, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2100/))

      allocate(vertices(3848)%branchR2(0:1))
      call avR2(3848, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2115/))

      call avR2(3848, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2013)%branchR2(0:0))
      call avR2(2013, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1543)%branchR2(0:0))
      call avR2(1543, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1660)%branchR2(0:1))
      call avR2(1660, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(1660, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(229)%branchR2(0:0))
      call avR2(229, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2058)%branchR2(0:0))
      call avR2(2058, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2382)%branchR2(0:0))
      call avR2(2382, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3519)%branchR2(0:0))
      call avR2(3519, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2674)%branchR2(0:1))
      call avR2(2674, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2674, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(3397)%branchR2(0:0))
      call avR2(3397, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2086)%branchR2(0:3))
      call avR2(2086, 0, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(2086, 1, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2086, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(2086, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      allocate(vertices(1026)%branchR2(0:0))
      call avR2(1026, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1887)%branchR2(0:0))
      call avR2(1887, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(172)%branchR2(0:0))
      call avR2(172, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2279)%branchR2(0:0))
      call avR2(2279, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2716)%branchR2(0:0))
      call avR2(2716, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(249)%branchR2(0:0))
      call avR2(249, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(2312)%branchR2(0:0))
      call avR2(2312, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2706)%branchR2(0:0))
      call avR2(2706, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1187)%branchR2(0:1))
      call avR2(1187, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(1187, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(520)%branchR2(0:0))
      call avR2(520, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(112)%branchR2(0:0))
      call avR2(112, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(772)%branchR2(0:0))
      call avR2(772, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1464)%branchR2(0:0))
      call avR2(1464, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(608)%branchR2(0:0))
      call avR2(608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2076)%branchR2(0:0))
      call avR2(2076, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(2997)%branchR2(0:0))
      call avR2(2997, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(1352)%branchR2(0:0))
      call avR2(1352, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(330)%branchR2(0:0))
      call avR2(330, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(511)%branchR2(0:0))
      call avR2(511, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(3283)%branchR2(0:0))
      call avR2(3283, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3849)%branchR2(0:0))
      call avR2(3849, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1905)%branchR2(0:0))
      call avR2(1905, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(974)%branchR2(0:0))
      call avR2(974, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1140)%branchR2(0:0))
      call avR2(1140, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1296)%branchR2(0:1))
      call avR2(1296, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(1296, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(856)%branchR2(0:0))
      call avR2(856, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2475)%branchR2(0:0))
      call avR2(2475, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(199)%branchR2(0:0))
      call avR2(199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2545)%branchR2(0:0))
      call avR2(2545, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(2632)%branchR2(0:0))
      call avR2(2632, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1598)%branchR2(0:0))
      call avR2(1598, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(247)%branchR2(0:0))
      call avR2(247, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(67)%branchR2(0:0))
      call avR2(67, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(748)%branchR2(0:0))
      call avR2(748, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(265)%branchR2(0:0))
      call avR2(265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(995)%branchR2(0:0))
      call avR2(995, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3850)%branchR2(0:1))
      call avR2(3850, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2115/))

      call avR2(3850, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(2480)%branchR2(0:0))
      call avR2(2480, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(1127)%branchR2(0:0))
      call avR2(1127, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3851)%branchR2(0:0))
      call avR2(3851, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(27)%branchR2(0:0))
      call avR2(27, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2688)%branchR2(0:0))
      call avR2(2688, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(1307)%branchR2(0:0))
      call avR2(1307, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1776)%branchR2(0:0))
      call avR2(1776, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2242)%branchR2(0:0))
      call avR2(2242, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(496)%branchR2(0:0))
      call avR2(496, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(672)%branchR2(0:0))
      call avR2(672, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2145)%branchR2(0:0))
      call avR2(2145, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3852)%branchR2(0:5))
      call avR2(3852, 0, 85, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3852, 1, 84, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3852, 2, 87, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3852, 3, 88, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3852, 4, 86, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3852, 5, 83, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(993)%branchR2(0:0))
      call avR2(993, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3853)%branchR2(0:1))
      call avR2(3853, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3853, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(3558)%branchR2(0:0))
      call avR2(3558, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3019)%branchR2(0:0))
      call avR2(3019, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3198)%branchR2(0:0))
      call avR2(3198, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(860)%branchR2(0:1))
      call avR2(860, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(860, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(917)%branchR2(0:0))
      call avR2(917, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(3854)%branchR2(0:1))
      call avR2(3854, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3854, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(294)%branchR2(0:0))
      call avR2(294, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3075)%branchR2(0:0))
      call avR2(3075, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1791)%branchR2(0:0))
      call avR2(1791, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(929)%branchR2(0:0))
      call avR2(929, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(622)%branchR2(0:1))
      call avR2(622, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(622, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(579)%branchR2(0:0))
      call avR2(579, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2836)%branchR2(0:0))
      call avR2(2836, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(1902)%branchR2(0:0))
      call avR2(1902, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1284)%branchR2(0:1))
      call avR2(1284, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1972/))

      call avR2(1284, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3428)%branchR2(0:0))
      call avR2(3428, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(665)%branchR2(0:0))
      call avR2(665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(811)%branchR2(0:1))
      call avR2(811, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(811, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1097)%branchR2(0:0))
      call avR2(1097, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1049)%branchR2(0:0))
      call avR2(1049, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2499)%branchR2(0:0))
      call avR2(2499, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(557)%branchR2(0:0))
      call avR2(557, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(384)%branchR2(0:1))
      call avR2(384, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(384, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(274)%branchR2(0:0))
      call avR2(274, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(2265)%branchR2(0:0))
      call avR2(2265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1139)%branchR2(0:0))
      call avR2(1139, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1956)%branchR2(0:0))
      call avR2(1956, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1228)%branchR2(0:0))
      call avR2(1228, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1762)%branchR2(0:0))
      call avR2(1762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(888)%branchR2(0:0))
      call avR2(888, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2926)%branchR2(0:0))
      call avR2(2926, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(676)%branchR2(0:0))
      call avR2(676, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1262)%branchR2(0:0))
      call avR2(1262, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2040,       &
      nGC_2042/))

      allocate(vertices(824)%branchR2(0:0))
      call avR2(824, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(17)%branchR2(0:0))
      call avR2(17, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1194)%branchR2(0:0))
      call avR2(1194, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(778)%branchR2(0:0))
      call avR2(778, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(3481)%branchR2(0:0))
      call avR2(3481, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2489)%branchR2(0:0))
      call avR2(2489, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2781)%branchR2(0:0))
      call avR2(2781, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2864)%branchR2(0:0))
      call avR2(2864, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1322)%branchR2(0:0))
      call avR2(1322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2932)%branchR2(0:0))
      call avR2(2932, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(908)%branchR2(0:0))
      call avR2(908, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2137)%branchR2(0:0))
      call avR2(2137, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1015)%branchR2(0:1))
      call avR2(1015, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(1015, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(924)%branchR2(0:0))
      call avR2(924, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3855)%branchR2(0:0))
      call avR2(3855, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(461)%branchR2(0:0))
      call avR2(461, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(2338)%branchR2(0:0))
      call avR2(2338, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(140)%branchR2(0:1))
      call avR2(140, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(140, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(236)%branchR2(0:0))
      call avR2(236, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2477)%branchR2(0:1))
      call avR2(2477, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(2477, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(661)%branchR2(0:0))
      call avR2(661, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2143)%branchR2(0:0))
      call avR2(2143, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2370)%branchR2(0:3))
      call avR2(2370, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2370, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2016, nGC_2017/))

      call avR2(2370, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2370, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(395)%branchR2(0:0))
      call avR2(395, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3247)%branchR2(0:0))
      call avR2(3247, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(2298)%branchR2(0:0))
      call avR2(2298, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3194)%branchR2(0:0))
      call avR2(3194, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(425)%branchR2(0:0))
      call avR2(425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(57)%branchR2(0:1))
      call avR2(57, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(57, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(563)%branchR2(0:0))
      call avR2(563, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(853)%branchR2(0:0))
      call avR2(853, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(2805)%branchR2(0:0))
      call avR2(2805, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2601)%branchR2(0:0))
      call avR2(2601, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(760)%branchR2(0:0))
      call avR2(760, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3381)%branchR2(0:0))
      call avR2(3381, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3402)%branchR2(0:0))
      call avR2(3402, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1781)%branchR2(0:0))
      call avR2(1781, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(812)%branchR2(0:0))
      call avR2(812, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(960)%branchR2(0:0))
      call avR2(960, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2368)%branchR2(0:0))
      call avR2(2368, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2575)%branchR2(0:0))
      call avR2(2575, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1280)%branchR2(0:1))
      call avR2(1280, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1280, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(567)%branchR2(0:0))
      call avR2(567, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2849)%branchR2(0:0))
      call avR2(2849, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3125)%branchR2(0:0))
      call avR2(3125, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1246)%branchR2(0:0))
      call avR2(1246, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2133)%branchR2(0:0))
      call avR2(2133, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2185/))

      allocate(vertices(3349)%branchR2(0:0))
      call avR2(3349, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1674)%branchR2(0:0))
      call avR2(1674, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(1263)%branchR2(0:0))
      call avR2(1263, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1605)%branchR2(0:0))
      call avR2(1605, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3856)%branchR2(0:1))
      call avR2(3856, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      call avR2(3856, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(3231)%branchR2(0:0))
      call avR2(3231, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1197)%branchR2(0:0))
      call avR2(1197, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2102)%branchR2(0:0))
      call avR2(2102, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(843)%branchR2(0:0))
      call avR2(843, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(613)%branchR2(0:0))
      call avR2(613, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1007)%branchR2(0:1))
      call avR2(1007, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1007, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(2621)%branchR2(0:0))
      call avR2(2621, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(29)%branchR2(0:0))
      call avR2(29, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1276)%branchR2(0:0))
      call avR2(1276, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(713)%branchR2(0:0))
      call avR2(713, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2903)%branchR2(0:0))
      call avR2(2903, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(404)%branchR2(0:0))
      call avR2(404, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1030)%branchR2(0:0))
      call avR2(1030, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(2197)%branchR2(0:0))
      call avR2(2197, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3567)%branchR2(0:0))
      call avR2(3567, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1736)%branchR2(0:0))
      call avR2(1736, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3857)%branchR2(0:0))
      call avR2(3857, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2672)%branchR2(0:0))
      call avR2(2672, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(3858)%branchR2(0:0))
      call avR2(3858, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(597)%branchR2(0:0))
      call avR2(597, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(497)%branchR2(0:0))
      call avR2(497, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2749)%branchR2(0:0))
      call avR2(2749, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1269)%branchR2(0:1))
      call avR2(1269, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1269, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1839)%branchR2(0:0))
      call avR2(1839, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(226)%branchR2(0:0))
      call avR2(226, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2570)%branchR2(0:0))
      call avR2(2570, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2044)%branchR2(0:0))
      call avR2(2044, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3079)%branchR2(0:0))
      call avR2(3079, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1704)%branchR2(0:1))
      call avR2(1704, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1704, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(2411)%branchR2(0:0))
      call avR2(2411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2492)%branchR2(0:0))
      call avR2(2492, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(502)%branchR2(0:0))
      call avR2(502, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2657)%branchR2(0:1))
      call avR2(2657, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2657, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3859)%branchR2(0:1))
      call avR2(3859, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2100/))

      call avR2(3859, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(231)%branchR2(0:0))
      call avR2(231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(2260)%branchR2(0:0))
      call avR2(2260, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(1913)%branchR2(0:0))
      call avR2(1913, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2160)%branchR2(0:1))
      call avR2(2160, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(2160, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1408)%branchR2(0:0))
      call avR2(1408, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(911)%branchR2(0:0))
      call avR2(911, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1191)%branchR2(0:0))
      call avR2(1191, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(3165)%branchR2(0:0))
      call avR2(3165, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(882)%branchR2(0:0))
      call avR2(882, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(620)%branchR2(0:0))
      call avR2(620, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2047)%branchR2(0:0))
      call avR2(2047, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(1405)%branchR2(0:0))
      call avR2(1405, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(138)%branchR2(0:0))
      call avR2(138, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1462)%branchR2(0:0))
      call avR2(1462, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(3507)%branchR2(0:0))
      call avR2(3507, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1138)%branchR2(0:0))
      call avR2(1138, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(752)%branchR2(0:0))
      call avR2(752, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3116)%branchR2(0:0))
      call avR2(3116, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1610)%branchR2(0:0))
      call avR2(1610, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(826)%branchR2(0:0))
      call avR2(826, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3440)%branchR2(0:0))
      call avR2(3440, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(3383)%branchR2(0:0))
      call avR2(3383, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3169)%branchR2(0:0))
      call avR2(3169, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(693)%branchR2(0:0))
      call avR2(693, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3860)%branchR2(0:0))
      call avR2(3860, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(1690)%branchR2(0:0))
      call avR2(1690, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1695)%branchR2(0:0))
      call avR2(1695, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(773)%branchR2(0:0))
      call avR2(773, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1163)%branchR2(0:0))
      call avR2(1163, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2177)%branchR2(0:1))
      call avR2(2177, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2177, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(82)%branchR2(0:0))
      call avR2(82, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2178)%branchR2(0:0))
      call avR2(2178, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(589)%branchR2(0:0))
      call avR2(589, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3861)%branchR2(0:0))
      call avR2(3861, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1433)%branchR2(0:1))
      call avR2(1433, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(1433, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1619)%branchR2(0:0))
      call avR2(1619, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2960)%branchR2(0:0))
      call avR2(2960, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3538)%branchR2(0:0))
      call avR2(3538, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1984)%branchR2(0:0))
      call avR2(1984, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(3318)%branchR2(0:0))
      call avR2(3318, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(3147)%branchR2(0:0))
      call avR2(3147, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1256)%branchR2(0:0))
      call avR2(1256, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(3187)%branchR2(0:0))
      call avR2(3187, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2581)%branchR2(0:0))
      call avR2(2581, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3022)%branchR2(0:0))
      call avR2(3022, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(1616)%branchR2(0:0))
      call avR2(1616, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3120)%branchR2(0:0))
      call avR2(3120, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1680, nGC_1679/))

      allocate(vertices(1376)%branchR2(0:0))
      call avR2(1376, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(3862)%branchR2(0:0))
      call avR2(3862, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(36)%branchR2(0:0))
      call avR2(36, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(499)%branchR2(0:0))
      call avR2(499, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3472)%branchR2(0:0))
      call avR2(3472, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2014)%branchR2(0:0))
      call avR2(2014, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(46)%branchR2(0:0))
      call avR2(46, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(2844)%branchR2(0:0))
      call avR2(2844, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(120)%branchR2(0:0))
      call avR2(120, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3863)%branchR2(0:1))
      call avR2(3863, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3863, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(212)%branchR2(0:0))
      call avR2(212, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1720/))

      allocate(vertices(88)%branchR2(0:0))
      call avR2(88, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1530)%branchR2(0:0))
      call avR2(1530, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(868)%branchR2(0:0))
      call avR2(868, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(2452)%branchR2(0:0))
      call avR2(2452, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(378)%branchR2(0:0))
      call avR2(378, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(1270)%branchR2(0:0))
      call avR2(1270, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1177)%branchR2(0:0))
      call avR2(1177, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(2746)%branchR2(0:0))
      call avR2(2746, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(481)%branchR2(0:0))
      call avR2(481, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1914)%branchR2(0:0))
      call avR2(1914, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(1210)%branchR2(0:1))
      call avR2(1210, 0, 0, 1, 0, VVV0, (/3, 0/), (/nGC_3293/))

      call avR2(1210, 1, 1, 1, 0, VVV0, (/3, 0/), (/nGC_3294/))

      allocate(vertices(1693)%branchR2(0:3))
      call avR2(1693, 0, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1693, 1, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(1693, 2, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1693, 3, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(1024)%branchR2(0:0))
      call avR2(1024, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(285)%branchR2(0:0))
      call avR2(285, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(574)%branchR2(0:1))
      call avR2(574, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(574, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(2205)%branchR2(0:1))
      call avR2(2205, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(2205, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3502)%branchR2(0:0))
      call avR2(3502, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2476)%branchR2(0:0))
      call avR2(2476, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1769)%branchR2(0:0))
      call avR2(1769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2316)%branchR2(0:1))
      call avR2(2316, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(2316, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(3327)%branchR2(0:0))
      call avR2(3327, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2366)%branchR2(0:0))
      call avR2(2366, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1184)%branchR2(0:0))
      call avR2(1184, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(1856)%branchR2(0:0))
      call avR2(1856, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1301)%branchR2(0:0))
      call avR2(1301, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2510)%branchR2(0:0))
      call avR2(2510, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(3864)%branchR2(0:1))
      call avR2(3864, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3864, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(2439)%branchR2(0:3))
      call avR2(2439, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2439, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2439, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2439, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3544)%branchR2(0:0))
      call avR2(3544, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(318)%branchR2(0:0))
      call avR2(318, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2028)%branchR2(0:1))
      call avR2(2028, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(2028, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(3222)%branchR2(0:0))
      call avR2(3222, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2593)%branchR2(0:0))
      call avR2(2593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(338)%branchR2(0:0))
      call avR2(338, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2584)%branchR2(0:0))
      call avR2(2584, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2178/))

      allocate(vertices(1642)%branchR2(0:0))
      call avR2(1642, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(108)%branchR2(0:0))
      call avR2(108, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(751)%branchR2(0:0))
      call avR2(751, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1157)%branchR2(0:0))
      call avR2(1157, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(1347)%branchR2(0:0))
      call avR2(1347, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1703)%branchR2(0:0))
      call avR2(1703, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1994)%branchR2(0:0))
      call avR2(1994, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1950)%branchR2(0:0))
      call avR2(1950, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3069)%branchR2(0:0))
      call avR2(3069, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(3030)%branchR2(0:0))
      call avR2(3030, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3865)%branchR2(0:0))
      call avR2(3865, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(1421)%branchR2(0:0))
      call avR2(1421, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078,       &
      nGC_2077/))

      allocate(vertices(3866)%branchR2(0:5))
      call avR2(3866, 0, 70, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      call avR2(3866, 1, 67, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3866, 2, 66, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3866, 3, 69, 1, 0, VVVV0, (/3, 1/), (/nGC_2215, nGC_2215,      &
      nGC_2215/))

      call avR2(3866, 4, 68, 1, 0, VVVV0, (/3, 1/), (/nGC_2216, nGC_2216,      &
      nGC_2216/))

      call avR2(3866, 5, 65, 1, 0, VVVV0, (/3, 1/), (/nGC_2214, nGC_2214,      &
      nGC_2214/))

      allocate(vertices(2383)%branchR2(0:0))
      call avR2(2383, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3399)%branchR2(0:0))
      call avR2(3399, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(449)%branchR2(0:0))
      call avR2(449, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(311)%branchR2(0:0))
      call avR2(311, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2998)%branchR2(0:0))
      call avR2(2998, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3316)%branchR2(0:0))
      call avR2(3316, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2914)%branchR2(0:0))
      call avR2(2914, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(2256)%branchR2(0:1))
      call avR2(2256, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2256, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(124)%branchR2(0:0))
      call avR2(124, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3082)%branchR2(0:0))
      call avR2(3082, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3867)%branchR2(0:0))
      call avR2(3867, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(872)%branchR2(0:0))
      call avR2(872, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3282)%branchR2(0:1))
      call avR2(3282, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3282, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(1207)%branchR2(0:0))
      call avR2(1207, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1879)%branchR2(0:1))
      call avR2(1879, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1879, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(1600)%branchR2(0:1))
      call avR2(1600, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(1600, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(494)%branchR2(0:0))
      call avR2(494, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(2757)%branchR2(0:0))
      call avR2(2757, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(530)%branchR2(0:0))
      call avR2(530, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(3459)%branchR2(0:0))
      call avR2(3459, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1412)%branchR2(0:0))
      call avR2(1412, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2488)%branchR2(0:0))
      call avR2(2488, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2471)%branchR2(0:1))
      call avR2(2471, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(2471, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3128)%branchR2(0:0))
      call avR2(3128, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(723)%branchR2(0:0))
      call avR2(723, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2066)%branchR2(0:0))
      call avR2(2066, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(3284)%branchR2(0:0))
      call avR2(3284, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(687)%branchR2(0:0))
      call avR2(687, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1862/))

      allocate(vertices(1890)%branchR2(0:0))
      call avR2(1890, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2598)%branchR2(0:0))
      call avR2(2598, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(600)%branchR2(0:0))
      call avR2(600, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2751)%branchR2(0:0))
      call avR2(2751, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(1670)%branchR2(0:0))
      call avR2(1670, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3868)%branchR2(0:0))
      call avR2(3868, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2055,       &
      nGC_2054/))

      allocate(vertices(2121)%branchR2(0:0))
      call avR2(2121, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1181)%branchR2(0:0))
      call avR2(1181, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1459)%branchR2(0:0))
      call avR2(1459, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(1701)%branchR2(0:0))
      call avR2(1701, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(1200)%branchR2(0:1))
      call avR2(1200, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1200, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1908)%branchR2(0:0))
      call avR2(1908, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2861)%branchR2(0:0))
      call avR2(2861, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1681)%branchR2(0:0))
      call avR2(1681, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1545)%branchR2(0:1))
      call avR2(1545, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1545, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1188)%branchR2(0:0))
      call avR2(1188, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3065)%branchR2(0:0))
      call avR2(3065, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2763)%branchR2(0:0))
      call avR2(2763, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2003)%branchR2(0:1))
      call avR2(2003, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(2003, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1562)%branchR2(0:0))
      call avR2(1562, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3869)%branchR2(0:0))
      call avR2(3869, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1448)%branchR2(0:1))
      call avR2(1448, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(1448, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1020)%branchR2(0:1))
      call avR2(1020, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(1020, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1248)%branchR2(0:0))
      call avR2(1248, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(255)%branchR2(0:0))
      call avR2(255, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1504)%branchR2(0:0))
      call avR2(1504, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1913/))

      allocate(vertices(1221)%branchR2(0:0))
      call avR2(1221, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,       &
      nGC_2076/))

      allocate(vertices(467)%branchR2(0:0))
      call avR2(467, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(2266)%branchR2(0:0))
      call avR2(2266, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1293)%branchR2(0:0))
      call avR2(1293, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(701)%branchR2(0:0))
      call avR2(701, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1438)%branchR2(0:0))
      call avR2(1438, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(668)%branchR2(0:0))
      call avR2(668, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2684)%branchR2(0:0))
      call avR2(2684, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(2384)%branchR2(0:0))
      call avR2(2384, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2391)%branchR2(0:0))
      call avR2(2391, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2214)%branchR2(0:0))
      call avR2(2214, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1870)%branchR2(0:0))
      call avR2(1870, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(2629)%branchR2(0:0))
      call avR2(2629, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(291)%branchR2(0:0))
      call avR2(291, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1457)%branchR2(0:0))
      call avR2(1457, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(192)%branchR2(0:0))
      call avR2(192, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(259)%branchR2(0:0))
      call avR2(259, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2679)%branchR2(0:1))
      call avR2(2679, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2679, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3870)%branchR2(0:1))
      call avR2(3870, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2170/))

      call avR2(3870, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(3871)%branchR2(0:1))
      call avR2(3871, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3871, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

    end subroutine fill_vertices_mdl12
end module vertices_info12
