!******************************************************************************!
!                                                                              !
!    vertices_info13.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info13.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info13
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl13()
      allocate(vertices(3572)%branchR2(0:0))
      call avR2(3572, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2713)%branchR2(0:1))
      call avR2(2713, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(2713, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(2615)%branchR2(0:1))
      call avR2(2615, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(2615, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3096)%branchR2(0:0))
      call avR2(3096, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1860)%branchR2(0:0))
      call avR2(1860, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2166)%branchR2(0:0))
      call avR2(2166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2141/))

      allocate(vertices(3872)%branchR2(0:1))
      call avR2(3872, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2208/))

      call avR2(3872, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2207/))

      allocate(vertices(3873)%branchR2(0:0))
      call avR2(3873, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(899)%branchR2(0:0))
      call avR2(899, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(696)%branchR2(0:0))
      call avR2(696, 0, 8, 1, 0, SFFa2, (/0, 3/), (/nGC_1876/))

      allocate(vertices(1786)%branchR2(0:0))
      call avR2(1786, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(1373)%branchR2(0:0))
      call avR2(1373, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(3874)%branchR2(0:0))
      call avR2(3874, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(3158)%branchR2(0:0))
      call avR2(3158, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1161)%branchR2(0:1))
      call avR2(1161, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1161, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(1149)%branchR2(0:0))
      call avR2(1149, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(2167)%branchR2(0:0))
      call avR2(2167, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1797)%branchR2(0:0))
      call avR2(1797, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1579)%branchR2(0:0))
      call avR2(1579, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3483)%branchR2(0:0))
      call avR2(3483, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1325)%branchR2(0:0))
      call avR2(1325, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1834)%branchR2(0:0))
      call avR2(1834, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3292/))

      allocate(vertices(2245)%branchR2(0:0))
      call avR2(2245, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2023)%branchR2(0:3))
      call avR2(2023, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2023, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(2023, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(2023, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(3875)%branchR2(0:0))
      call avR2(3875, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2226)%branchR2(0:0))
      call avR2(2226, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3319)%branchR2(0:0))
      call avR2(3319, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3876)%branchR2(0:1))
      call avR2(3876, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3876, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(336)%branchR2(0:0))
      call avR2(336, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(570)%branchR2(0:1))
      call avR2(570, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(570, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3227)%branchR2(0:0))
      call avR2(3227, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(2038)%branchR2(0:0))
      call avR2(2038, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(2758)%branchR2(0:0))
      call avR2(2758, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1576)%branchR2(0:0))
      call avR2(1576, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(268)%branchR2(0:0))
      call avR2(268, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2565)%branchR2(0:0))
      call avR2(2565, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1785/))

      allocate(vertices(1936)%branchR2(0:0))
      call avR2(1936, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(3877)%branchR2(0:0))
      call avR2(3877, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(435)%branchR2(0:0))
      call avR2(435, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(3878)%branchR2(0:0))
      call avR2(3878, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1485)%branchR2(0:0))
      call avR2(1485, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(1208)%branchR2(0:0))
      call avR2(1208, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3879)%branchR2(0:1))
      call avR2(3879, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3879, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(3443)%branchR2(0:0))
      call avR2(3443, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2517)%branchR2(0:0))
      call avR2(2517, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(623)%branchR2(0:0))
      call avR2(623, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3485)%branchR2(0:0))
      call avR2(3485, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1658, nGC_1657/))

      allocate(vertices(1862)%branchR2(0:0))
      call avR2(1862, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(670)%branchR2(0:0))
      call avR2(670, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(2673)%branchR2(0:0))
      call avR2(2673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2172)%branchR2(0:0))
      call avR2(2172, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2100)%branchR2(0:1))
      call avR2(2100, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(2100, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(729)%branchR2(0:0))
      call avR2(729, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1389)%branchR2(0:0))
      call avR2(1389, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1058)%branchR2(0:0))
      call avR2(1058, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1261)%branchR2(0:0))
      call avR2(1261, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2957)%branchR2(0:0))
      call avR2(2957, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(3880)%branchR2(0:1))
      call avR2(3880, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3880, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(68)%branchR2(0:0))
      call avR2(68, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1190)%branchR2(0:0))
      call avR2(1190, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(1636)%branchR2(0:1))
      call avR2(1636, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(1636, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(724)%branchR2(0:0))
      call avR2(724, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(253)%branchR2(0:0))
      call avR2(253, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(712)%branchR2(0:0))
      call avR2(712, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1337)%branchR2(0:0))
      call avR2(1337, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1046)%branchR2(0:1))
      call avR2(1046, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1046, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(2579)%branchR2(0:0))
      call avR2(2579, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2747)%branchR2(0:0))
      call avR2(2747, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2508)%branchR2(0:0))
      call avR2(2508, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(1589)%branchR2(0:1))
      call avR2(1589, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(1589, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(1328)%branchR2(0:0))
      call avR2(1328, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(611)%branchR2(0:0))
      call avR2(611, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1336)%branchR2(0:0))
      call avR2(1336, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(241)%branchR2(0:1))
      call avR2(241, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(241, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(20)%branchR2(0:0))
      call avR2(20, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(326)%branchR2(0:0))
      call avR2(326, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(652)%branchR2(0:0))
      call avR2(652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2643)%branchR2(0:0))
      call avR2(2643, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3149)%branchR2(0:0))
      call avR2(3149, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(42)%branchR2(0:0))
      call avR2(42, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3881)%branchR2(0:1))
      call avR2(3881, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3881, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(2750)%branchR2(0:0))
      call avR2(2750, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2459)%branchR2(0:0))
      call avR2(2459, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1257)%branchR2(0:0))
      call avR2(1257, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(825)%branchR2(0:0))
      call avR2(825, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(402)%branchR2(0:0))
      call avR2(402, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(935)%branchR2(0:0))
      call avR2(935, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(176)%branchR2(0:0))
      call avR2(176, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(3463)%branchR2(0:0))
      call avR2(3463, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1835)%branchR2(0:0))
      call avR2(1835, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1792)%branchR2(0:0))
      call avR2(1792, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(994)%branchR2(0:0))
      call avR2(994, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2203, nGC_2204,        &
      nGC_2202/))

      allocate(vertices(1955)%branchR2(0:0))
      call avR2(1955, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1153)%branchR2(0:1))
      call avR2(1153, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(1153, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3882)%branchR2(0:1))
      call avR2(3882, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2187/))

      call avR2(3882, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(114)%branchR2(0:0))
      call avR2(114, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(144)%branchR2(0:0))
      call avR2(144, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1889)%branchR2(0:0))
      call avR2(1889, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1507)%branchR2(0:0))
      call avR2(1507, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(700)%branchR2(0:0))
      call avR2(700, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(3883)%branchR2(0:0))
      call avR2(3883, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3884)%branchR2(0:1))
      call avR2(3884, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3884, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(3433)%branchR2(0:0))
      call avR2(3433, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(632)%branchR2(0:0))
      call avR2(632, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(215)%branchR2(0:0))
      call avR2(215, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1608)%branchR2(0:0))
      call avR2(1608, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1426)%branchR2(0:1))
      call avR2(1426, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1426, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2759)%branchR2(0:0))
      call avR2(2759, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(3195)%branchR2(0:0))
      call avR2(3195, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2486)%branchR2(0:0))
      call avR2(2486, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1547)%branchR2(0:0))
      call avR2(1547, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3885)%branchR2(0:1))
      call avR2(3885, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3885, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(3)%branchR2(0:0))
      call avR2(3, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1168)%branchR2(0:1))
      call avR2(1168, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(1168, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(2722)%branchR2(0:0))
      call avR2(2722, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2992)%branchR2(0:0))
      call avR2(2992, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(1239)%branchR2(0:0))
      call avR2(1239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3016)%branchR2(0:0))
      call avR2(3016, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2630)%branchR2(0:0))
      call avR2(2630, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(381)%branchR2(0:0))
      call avR2(381, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3057)%branchR2(0:0))
      call avR2(3057, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2941)%branchR2(0:0))
      call avR2(2941, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(2718)%branchR2(0:0))
      call avR2(2718, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(465)%branchR2(0:3))
      call avR2(465, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(465, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(465, 2, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(465, 3, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(2605)%branchR2(0:0))
      call avR2(2605, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2583)%branchR2(0:0))
      call avR2(2583, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(3352)%branchR2(0:0))
      call avR2(3352, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2255)%branchR2(0:0))
      call avR2(2255, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(444)%branchR2(0:0))
      call avR2(444, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(940)%branchR2(0:0))
      call avR2(940, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(538)%branchR2(0:0))
      call avR2(538, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1844/))

      allocate(vertices(1036)%branchR2(0:0))
      call avR2(1036, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1811/))

      allocate(vertices(1250)%branchR2(0:0))
      call avR2(1250, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(3886)%branchR2(0:0))
      call avR2(3886, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3263)%branchR2(0:0))
      call avR2(3263, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3887)%branchR2(0:1))
      call avR2(3887, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3887, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(246)%branchR2(0:0))
      call avR2(246, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(2400)%branchR2(0:0))
      call avR2(2400, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(768)%branchR2(0:0))
      call avR2(768, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3576)%branchR2(0:0))
      call avR2(3576, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1331)%branchR2(0:1))
      call avR2(1331, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1331, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2539)%branchR2(0:0))
      call avR2(2539, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(1763)%branchR2(0:0))
      call avR2(1763, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2136/))

    end subroutine fill_vertices_mdl13
end module vertices_info13
