!******************************************************************************!
!                                                                              !
!    ctparameter129.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter129.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter129
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter129()
  dZAZ_QED2 = (4d0*Nc*Ten1002*cMU**2d0*coupl(nGC_2)*(coupl(nGC_85) + coupl(    &
              nGC_88))/rMZ**2d0 + 4d0*Nc*Ten1003*cMC**2d0*coupl(nGC_2)*(coupl( &
              nGC_85) + coupl(nGC_88))/rMZ**2d0 + 4d0*Nc*Ten1004*cMT**2d0*coupl&
              (nGC_2)*(coupl(nGC_85) + coupl(nGC_88))/rMZ**2d0 + 4d0*Nc*Ten1005&
              *cMD**2d0*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87))/rMZ**2d0  &
               + 4d0*Nc*Ten1006*cMS**2d0*coupl(nGC_1)*(coupl(nGC_84) + coupl(  &
              nGC_87))/rMZ**2d0 + 4d0*Nc*Ten1007*cMB**2d0*coupl(nGC_1)*(coupl( &
              nGC_84) + coupl(nGC_87))/rMZ**2d0 - 4d0*Nc*Ten1020*coupl(nGC_2)*(&
              coupl(nGC_85) + coupl(nGC_88)) - 4d0*Nc*Ten1021*coupl(nGC_2)*(   &
              coupl(nGC_85) + coupl(nGC_88)) - 4d0*Nc*Ten1022*coupl(nGC_2)*(   &
              coupl(nGC_85) + coupl(nGC_88)) - 8d0*Nc*Ten1023*coupl(nGC_2)*(   &
              coupl(nGC_85) + coupl(nGC_88))/rMZ**2d0 - 8d0*Nc*Ten1024*coupl(  &
              nGC_2)*(coupl(nGC_85) + coupl(nGC_88))/rMZ**2d0 - 8d0*Nc*Ten1025*&
              coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88))/rMZ**2d0 - 4d0*Nc*  &
              Ten1026*coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) - 4d0*Nc*   &
              Ten1027*coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) - 4d0*Nc*   &
              Ten1028*coupl(nGC_2)*(coupl(nGC_85) + coupl(nGC_88)) - 4d0*Nc*   &
              Ten1029*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) - 4d0*Nc*   &
              Ten1030*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) - 4d0*Nc*   &
              Ten1031*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87)) - 8d0*Nc*   &
              Ten1032*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87))/rMZ**2d0 -  &
              8d0*Nc*Ten1033*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87))/rMZ**&
              2d0 - 8d0*Nc*Ten1034*coupl(nGC_1)*(coupl(nGC_84) + coupl(nGC_87  &
              ))/rMZ**2d0 - 4d0*Nc*Ten1035*coupl(nGC_1)*(coupl(nGC_84) + coupl(&
              nGC_87)) - 4d0*Nc*Ten1036*coupl(nGC_1)*(coupl(nGC_84) + coupl(   &
              nGC_87)) - 4d0*Nc*Ten1037*coupl(nGC_1)*(coupl(nGC_84) + coupl(   &
              nGC_87)) + 8d0*Nc*Ten489*coupl(nGC_2)*(cMZ**2d0*coupl(nGC_85) +  &
              cMZ**2d0*coupl(nGC_88) - coupl(nGC_85)*rMZ**2d0 - coupl(nGC_88)* &
              rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten490*coupl(nGC_2)*(cMZ**&
              2d0*coupl(nGC_85) + cMZ**2d0*coupl(nGC_88) - coupl(nGC_85)*rMZ** &
              2d0 - coupl(nGC_88)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten491&
              *coupl(nGC_2)*(cMZ**2d0*coupl(nGC_85) + cMZ**2d0*coupl(nGC_88) - &
              coupl(nGC_85)*rMZ**2d0 - coupl(nGC_88)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 8d0*Nc*Ten492*coupl(nGC_1)*(cMZ**2d0*coupl(nGC_84) + cMZ**&
              2d0*coupl(nGC_87) - coupl(nGC_84)*rMZ**2d0 - coupl(nGC_87)*rMZ** &
              2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten493*coupl(nGC_1)*(cMZ**2d0* &
              coupl(nGC_84) + cMZ**2d0*coupl(nGC_87) - coupl(nGC_84)*rMZ**2d0  &
               - coupl(nGC_87)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Nc*Ten494*  &
              coupl(nGC_1)*(cMZ**2d0*coupl(nGC_84) + cMZ**2d0*coupl(nGC_87) -  &
              coupl(nGC_84)*rMZ**2d0 - coupl(nGC_87)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten502*cMU**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(     &
              nGC_85) - cMZ**2d0*coupl(nGC_88) + coupl(nGC_85)*rMZ**2d0 + coupl&
              (nGC_88)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten503*cMC**2d0* &
              coupl(nGC_2)*(-cMZ**2d0*coupl(nGC_85) - cMZ**2d0*coupl(nGC_88) + &
              coupl(nGC_85)*rMZ**2d0 + coupl(nGC_88)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten504*cMT**2d0*coupl(nGC_2)*(-cMZ**2d0*coupl(     &
              nGC_85) - cMZ**2d0*coupl(nGC_88) + coupl(nGC_85)*rMZ**2d0 + coupl&
              (nGC_88)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten505*cMD**2d0* &
              coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_84) - cMZ**2d0*coupl(nGC_87) + &
              coupl(nGC_84)*rMZ**2d0 + coupl(nGC_87)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Nc*Ten506*cMS**2d0*coupl(nGC_1)*(-cMZ**2d0*coupl(     &
              nGC_84) - cMZ**2d0*coupl(nGC_87) + coupl(nGC_84)*rMZ**2d0 + coupl&
              (nGC_87)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Nc*Ten507*cMB**2d0* &
              coupl(nGC_1)*(-cMZ**2d0*coupl(nGC_84) - cMZ**2d0*coupl(nGC_87) + &
              coupl(nGC_84)*rMZ**2d0 + coupl(nGC_87)*rMZ**2d0)/(cMZ**2d0*rMZ** &
              2d0) + 4d0*Ten1000*cMM**2d0*coupl(nGC_4)*(coupl(nGC_86) + coupl( &
              nGC_89))/rMZ**2d0 + 4d0*Ten1001*cMTA**2d0*coupl(nGC_4)*(coupl(   &
              nGC_86) + coupl(nGC_89))/rMZ**2d0 - 4d0*Ten1008*coupl(nGC_3)*    &
              coupl(nGC_82) + 2d0*Ten1009*(-4d0*coupl(nGC_17)*coupl(nGC_96) -  &
              17d0*coupl(nGC_3)*coupl(nGC_82) + coupl(nGC_4)*coupl(nGC_81))/rMZ&
              **2d0 - 4d0*Ten1010*coupl(nGC_3)*coupl(nGC_82) - 4d0*Ten1011*    &
              coupl(nGC_4)*(coupl(nGC_86) + coupl(nGC_89)) - 4d0*Ten1012*coupl(&
              nGC_4)*(coupl(nGC_86) + coupl(nGC_89)) - 4d0*Ten1013*coupl(nGC_4 &
              )*(coupl(nGC_86) + coupl(nGC_89)) - 8d0*Ten1014*coupl(nGC_4)*(   &
              coupl(nGC_86) + coupl(nGC_89))/rMZ**2d0 - 8d0*Ten1015*coupl(nGC_4&
              )*(coupl(nGC_86) + coupl(nGC_89))/rMZ**2d0 - 8d0*Ten1016*coupl(  &
              nGC_4)*(coupl(nGC_86) + coupl(nGC_89))/rMZ**2d0 - 4d0*Ten1017*   &
              coupl(nGC_4)*(coupl(nGC_86) + coupl(nGC_89)) - 4d0*Ten1018*coupl(&
              nGC_4)*(coupl(nGC_86) + coupl(nGC_89)) - 4d0*Ten1019*coupl(nGC_4 &
              )*(coupl(nGC_86) + coupl(nGC_89)) - 8d0*Ten1043*coupl(nGC_17)*   &
              coupl(nGC_96)/rMZ**2d0 + 2d0*cima*Ten13*coupl(nGC_97)/cMZ**2d0 + &
              2d0*cima*Ten3*(-3d0*coupl(nGC_83) + coupl(nGC_97))/cMZ**2d0 + 8d0&
              *Ten486*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_86) + cMZ**2d0*coupl(   &
              nGC_89) - coupl(nGC_86)*rMZ**2d0 - coupl(nGC_89)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) + 8d0*Ten487*coupl(nGC_4)*(cMZ**2d0*coupl(nGC_86   &
              ) + cMZ**2d0*coupl(nGC_89) - coupl(nGC_86)*rMZ**2d0 - coupl(     &
              nGC_89)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 8d0*Ten488*coupl(nGC_4)*(&
              cMZ**2d0*coupl(nGC_86) + cMZ**2d0*coupl(nGC_89) - coupl(nGC_86)* &
              rMZ**2d0 - coupl(nGC_89)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*    &
              Ten499*cME**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_86) - cMZ**2d0*&
              coupl(nGC_89) + coupl(nGC_86)*rMZ**2d0 + coupl(nGC_89)*rMZ**2d0  &
              )/(cMZ**2d0*rMZ**2d0) + 4d0*Ten500*cMM**2d0*coupl(nGC_4)*(-cMZ** &
              2d0*coupl(nGC_86) - cMZ**2d0*coupl(nGC_89) + coupl(nGC_86)*rMZ** &
              2d0 + coupl(nGC_89)*rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten501*  &
              cMTA**2d0*coupl(nGC_4)*(-cMZ**2d0*coupl(nGC_86) - cMZ**2d0*coupl(&
              nGC_89) + coupl(nGC_86)*rMZ**2d0 + coupl(nGC_89)*rMZ**2d0)/(cMZ**&
              2d0*rMZ**2d0) + 4d0*Ten508*coupl(nGC_102)*coupl(nGC_126)*(-cMZ** &
              2d0 + rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 4d0*Ten968*coupl(nGC_107)* &
              coupl(nGC_127)*(-cMZ**2d0 + rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 2d0* &
              Ten971*(4d0*cMZ**2d0*coupl(nGC_17)*coupl(nGC_96) + 17d0*cMZ**2d0*&
              coupl(nGC_3)*coupl(nGC_82) - cMZ**2d0*coupl(nGC_4)*coupl(nGC_81  &
              ) - 4d0*coupl(nGC_17)*coupl(nGC_96)*rMZ**2d0 - 17d0*coupl(nGC_3)*&
              coupl(nGC_82)*rMZ**2d0 + coupl(nGC_4)*coupl(nGC_81)*rMZ**2d0)/(  &
              cMZ**2d0*rMZ**2d0) + 8d0*Ten978*coupl(nGC_17)*coupl(nGC_96)*(cMZ &
              **2d0 - rMZ**2d0)/(cMZ**2d0*rMZ**2d0) + 2d0*Ten997*(2d0*coupl(   &
              nGC_107)*coupl(nGC_127) - 5d0*coupl(nGC_3)*coupl(nGC_82)*rMZ**2d0&
              )/rMZ**2d0 + 4d0*Ten998*coupl(nGC_102)*coupl(nGC_126)/rMZ**2d0 + &
              4d0*Ten999*cME**2d0*coupl(nGC_4)*(coupl(nGC_86) + coupl(nGC_89))/&
              rMZ**2d0 + 2d0*(2d0*Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_84) + 2d0*&
              Nc*cMB**2d0*coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMC**2d0*coupl(  &
              nGC_2)*coupl(nGC_85) + 2d0*Nc*cMC**2d0*coupl(nGC_2)*coupl(nGC_88 &
              ) + 2d0*Nc*cMD**2d0*coupl(nGC_1)*coupl(nGC_84) + 2d0*Nc*cMD**2d0*&
              coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMS**2d0*coupl(nGC_1)*coupl( &
              nGC_84) + 2d0*Nc*cMS**2d0*coupl(nGC_1)*coupl(nGC_87) + 2d0*Nc*cMT&
              **2d0*coupl(nGC_2)*coupl(nGC_85) + 2d0*Nc*cMT**2d0*coupl(nGC_2)* &
              coupl(nGC_88) + 2d0*Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_85) + 2d0*&
              Nc*cMU**2d0*coupl(nGC_2)*coupl(nGC_88) - Nc*cMZ**2d0*coupl(nGC_1 &
              )*coupl(nGC_84) - Nc*cMZ**2d0*coupl(nGC_1)*coupl(nGC_87) - Nc*cMZ&
              **2d0*coupl(nGC_2)*coupl(nGC_85) - Nc*cMZ**2d0*coupl(nGC_2)*coupl&
              (nGC_88) + 2d0*cME**2d0*coupl(nGC_4)*coupl(nGC_86) + 2d0*cME**2d0&
              *coupl(nGC_4)*coupl(nGC_89) + 2d0*cMM**2d0*coupl(nGC_4)*coupl(   &
              nGC_86) + 2d0*cMM**2d0*coupl(nGC_4)*coupl(nGC_89) + 2d0*cMTA**2d0&
              *coupl(nGC_4)*coupl(nGC_86) + 2d0*cMTA**2d0*coupl(nGC_4)*coupl(  &
              nGC_89) + 6d0*cMW**2d0*coupl(nGC_3)*coupl(nGC_82) + 2d0*cima*cMW &
              **2d0*coupl(nGC_83) - cMZ**2d0*coupl(nGC_3)*coupl(nGC_82) - cMZ**&
              2d0*coupl(nGC_4)*coupl(nGC_86) - cMZ**2d0*coupl(nGC_4)*coupl(    &
              nGC_89))/cMZ**2d0)/(16d0*pi**2d0)
    if (.not. complex_mass_scheme) then
      dZAZ_QED2 = cone*real(dZAZ_QED2,kind=dp)
    end if 
end subroutine set_ctparameter129
end module ctparameter129
