!******************************************************************************!
!                                                                              !
!    ctparameter198.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   ctparameter198.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:47             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module ctparameter198
  use input_mdl, only: DeltaUV,muUV,muMS
  use class_ctparameters
  use modelintegrals
  use class_couplings
contains
subroutine set_ctparameter198()
  if (da_QED2_scheme .eq. 0) then
    da_QED2 = dZHhHl_QED2/4d0 - dZHlHh_QED2/4d0 + ee**2d0*(Ten129*(-ca**2d0*cb*&
              sb + ca*cb**2d0*sa - ca*sa*sb**2d0 + cb*sa**2d0*sb)/cw**2d0 +    &
              Ten130*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**2d0 - cb*sa**  &
              2d0*sb)/cw**2d0 + 2d0*Ten132*(-ca**2d0*cb*sb + ca*cb**2d0*sa - ca&
              *sa*sb**2d0 + cb*sa**2d0*sb) + 2d0*Ten133*(ca**2d0*cb*sb - ca*cb &
              **2d0*sa + ca*sa*sb**2d0 - cb*sa**2d0*sb) + Ten15*(ca**2d0*cb*sb &
               - ca*cb**2d0*sa + ca*sa*sb**2d0 - cb*sa**2d0*sb)/cw**2d0 + Ten16&
              *(-ca**2d0*cb*sb + ca*cb**2d0*sa - ca*sa*sb**2d0 + cb*sa**2d0*sb &
              )/cw**2d0 + 2d0*Ten18*(ca**2d0*cb*sb - ca*cb**2d0*sa + ca*sa*sb**&
              2d0 - cb*sa**2d0*sb) + 2d0*Ten19*(-ca**2d0*cb*sb + ca*cb**2d0*sa &
               - ca*sa*sb**2d0 + cb*sa**2d0*sb))/(128d0*pi**2d0*sw**2d0)
    da_QED2 = cone*real(da_QED2,kind=dp)
  end if 
end subroutine set_ctparameter198
end module ctparameter198
