!******************************************************************************!
!                                                                              !
!    vertices_info10.f90                                                       !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info10.f90                            |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info10
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl10()
      allocate(vertices(2308)%branchR2(0:0))
      call avR2(2308, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1359)%branchR2(0:0))
      call avR2(1359, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3664)%branchR2(0:1))
      call avR2(3664, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3664, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(3175)%branchR2(0:0))
      call avR2(3175, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1443)%branchR2(0:0))
      call avR2(1443, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(3441)%branchR2(0:0))
      call avR2(3441, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3200)%branchR2(0:0))
      call avR2(3200, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1969)%branchR2(0:1))
      call avR2(1969, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1969, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(909)%branchR2(0:0))
      call avR2(909, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3462)%branchR2(0:0))
      call avR2(3462, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2528)%branchR2(0:0))
      call avR2(2528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3665)%branchR2(0:0))
      call avR2(3665, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(765)%branchR2(0:3))
      call avR2(765, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(765, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(765, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(765, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2732)%branchR2(0:0))
      call avR2(2732, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(1202)%branchR2(0:1))
      call avR2(1202, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(1202, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1062)%branchR2(0:1))
      call avR2(1062, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1062, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(327)%branchR2(0:0))
      call avR2(327, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2600)%branchR2(0:0))
      call avR2(2600, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3551)%branchR2(0:0))
      call avR2(3551, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(876)%branchR2(0:1))
      call avR2(876, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(876, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(755)%branchR2(0:1))
      call avR2(755, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(755, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(2011)%branchR2(0:0))
      call avR2(2011, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1782/))

      allocate(vertices(2774)%branchR2(0:0))
      call avR2(2774, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(238)%branchR2(0:0))
      call avR2(238, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1999)%branchR2(0:0))
      call avR2(1999, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(243)%branchR2(0:0))
      call avR2(243, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1803)%branchR2(0:0))
      call avR2(1803, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(2559)%branchR2(0:0))
      call avR2(2559, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1076)%branchR2(0:0))
      call avR2(1076, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(3359)%branchR2(0:0))
      call avR2(3359, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1676, nGC_1675/))

      allocate(vertices(2623)%branchR2(0:0))
      call avR2(2623, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(539)%branchR2(0:0))
      call avR2(539, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2779)%branchR2(0:0))
      call avR2(2779, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2658)%branchR2(0:0))
      call avR2(2658, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1855)%branchR2(0:0))
      call avR2(1855, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1432)%branchR2(0:0))
      call avR2(1432, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(223)%branchR2(0:0))
      call avR2(223, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(3234)%branchR2(0:0))
      call avR2(3234, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2238)%branchR2(0:0))
      call avR2(2238, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1819)%branchR2(0:1))
      call avR2(1819, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(1819, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(3416)%branchR2(0:0))
      call avR2(3416, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2274)%branchR2(0:0))
      call avR2(2274, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(636)%branchR2(0:1))
      call avR2(636, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(636, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(571)%branchR2(0:0))
      call avR2(571, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1743)%branchR2(0:0))
      call avR2(1743, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(3666)%branchR2(0:0))
      call avR2(3666, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2091)%branchR2(0:0))
      call avR2(2091, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(2307)%branchR2(0:0))
      call avR2(2307, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3667)%branchR2(0:1))
      call avR2(3667, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2171/))

      call avR2(3667, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(568)%branchR2(0:0))
      call avR2(568, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(3340)%branchR2(0:0))
      call avR2(3340, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(202)%branchR2(0:1))
      call avR2(202, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(202, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(791)%branchR2(0:0))
      call avR2(791, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1832)%branchR2(0:0))
      call avR2(1832, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2262)%branchR2(0:0))
      call avR2(2262, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(357)%branchR2(0:0))
      call avR2(357, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(339)%branchR2(0:1))
      call avR2(339, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(339, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3668)%branchR2(0:0))
      call avR2(3668, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1939)%branchR2(0:0))
      call avR2(1939, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3669)%branchR2(0:1))
      call avR2(3669, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3669, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(2150)%branchR2(0:0))
      call avR2(2150, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3670)%branchR2(0:0))
      call avR2(3670, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2044, nGC_2044,       &
      nGC_2044/))

      allocate(vertices(1169)%branchR2(0:0))
      call avR2(1169, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3671)%branchR2(0:1))
      call avR2(3671, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3671, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(3305)%branchR2(0:0))
      call avR2(3305, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(647)%branchR2(0:0))
      call avR2(647, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(419)%branchR2(0:0))
      call avR2(419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2872)%branchR2(0:0))
      call avR2(2872, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(2616)%branchR2(0:1))
      call avR2(2616, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(2616, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(258)%branchR2(0:0))
      call avR2(258, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(621)%branchR2(0:0))
      call avR2(621, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3161)%branchR2(0:0))
      call avR2(3161, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2330)%branchR2(0:0))
      call avR2(2330, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3185)%branchR2(0:0))
      call avR2(3185, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2705)%branchR2(0:0))
      call avR2(2705, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(356)%branchR2(0:0))
      call avR2(356, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(86)%branchR2(0:1))
      call avR2(86, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(86, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(1105)%branchR2(0:1))
      call avR2(1105, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(1105, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(3457)%branchR2(0:0))
      call avR2(3457, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1073)%branchR2(0:0))
      call avR2(1073, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3273/))

      allocate(vertices(2194)%branchR2(0:0))
      call avR2(2194, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(753)%branchR2(0:0))
      call avR2(753, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(847)%branchR2(0:1))
      call avR2(847, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(847, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3672)%branchR2(0:0))
      call avR2(3672, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2054, nGC_2055,       &
      nGC_2055/))

      allocate(vertices(602)%branchR2(0:0))
      call avR2(602, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(1620)%branchR2(0:0))
      call avR2(1620, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(219)%branchR2(0:0))
      call avR2(219, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3274/))

      allocate(vertices(2078)%branchR2(0:0))
      call avR2(2078, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(1386)%branchR2(0:0))
      call avR2(1386, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(80)%branchR2(0:0))
      call avR2(80, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(2106)%branchR2(0:0))
      call avR2(2106, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2725)%branchR2(0:0))
      call avR2(2725, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1264)%branchR2(0:0))
      call avR2(1264, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(830)%branchR2(0:0))
      call avR2(830, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(79)%branchR2(0:0))
      call avR2(79, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(3673)%branchR2(0:0))
      call avR2(3673, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(179)%branchR2(0:1))
      call avR2(179, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(179, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1583)%branchR2(0:0))
      call avR2(1583, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(204)%branchR2(0:0))
      call avR2(204, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1470)%branchR2(0:1))
      call avR2(1470, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1470, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(552)%branchR2(0:0))
      call avR2(552, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2406)%branchR2(0:0))
      call avR2(2406, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1074)%branchR2(0:0))
      call avR2(1074, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2202,       &
      nGC_2203/))

      allocate(vertices(38)%branchR2(0:0))
      call avR2(38, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1602)%branchR2(0:0))
      call avR2(1602, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(1544)%branchR2(0:0))
      call avR2(1544, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2196)%branchR2(0:0))
      call avR2(2196, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(2116)%branchR2(0:0))
      call avR2(2116, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(3043)%branchR2(0:0))
      call avR2(3043, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(3674)%branchR2(0:0))
      call avR2(3674, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(1886)%branchR2(0:0))
      call avR2(1886, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1313)%branchR2(0:0))
      call avR2(1313, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(714)%branchR2(0:0))
      call avR2(714, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3070)%branchR2(0:0))
      call avR2(3070, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3276/))

      allocate(vertices(2771)%branchR2(0:0))
      call avR2(2771, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3561)%branchR2(0:0))
      call avR2(3561, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1503)%branchR2(0:1))
      call avR2(1503, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(1503, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2851)%branchR2(0:0))
      call avR2(2851, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(436)%branchR2(0:0))
      call avR2(436, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2420)%branchR2(0:0))
      call avR2(2420, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(534)%branchR2(0:1))
      call avR2(534, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1797, nGC_1796/))

      call avR2(534, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1776, nGC_1774/))

      allocate(vertices(763)%branchR2(0:0))
      call avR2(763, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(878)%branchR2(0:0))
      call avR2(878, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(96)%branchR2(0:0))
      call avR2(96, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3675)%branchR2(0:1))
      call avR2(3675, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2155/))

      call avR2(3675, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2156/))

      allocate(vertices(33)%branchR2(0:0))
      call avR2(33, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3259/))

      allocate(vertices(2832)%branchR2(0:0))
      call avR2(2832, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3676)%branchR2(0:0))
      call avR2(3676, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1255)%branchR2(0:0))
      call avR2(1255, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(1684)%branchR2(0:1))
      call avR2(1684, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(1684, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1578)%branchR2(0:0))
      call avR2(1578, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(756)%branchR2(0:0))
      call avR2(756, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1068)%branchR2(0:0))
      call avR2(1068, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(779)%branchR2(0:0))
      call avR2(779, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(657)%branchR2(0:0))
      call avR2(657, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3677)%branchR2(0:1))
      call avR2(3677, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3677, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(3678)%branchR2(0:0))
      call avR2(3678, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2369)%branchR2(0:0))
      call avR2(2369, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1746)%branchR2(0:0))
      call avR2(1746, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3176)%branchR2(0:0))
      call avR2(3176, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(969)%branchR2(0:0))
      call avR2(969, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3277/))

      allocate(vertices(1098)%branchR2(0:0))
      call avR2(1098, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3332)%branchR2(0:0))
      call avR2(3332, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2966)%branchR2(0:0))
      call avR2(2966, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(2451)%branchR2(0:0))
      call avR2(2451, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(343)%branchR2(0:0))
      call avR2(343, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(1629)%branchR2(0:0))
      call avR2(1629, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(3376)%branchR2(0:0))
      call avR2(3376, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(562)%branchR2(0:0))
      call avR2(562, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(1069)%branchR2(0:0))
      call avR2(1069, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1775)%branchR2(0:0))
      call avR2(1775, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1309)%branchR2(0:1))
      call avR2(1309, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1309, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(3323)%branchR2(0:0))
      call avR2(3323, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(3679)%branchR2(0:1))
      call avR2(3679, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2116/))

      call avR2(3679, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(3680)%branchR2(0:1))
      call avR2(3680, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1956/))

      call avR2(3680, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(3681)%branchR2(0:1))
      call avR2(3681, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2207/))

      call avR2(3681, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(167)%branchR2(0:1))
      call avR2(167, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(167, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(2447)%branchR2(0:0))
      call avR2(2447, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(2229)%branchR2(0:0))
      call avR2(2229, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(653)%branchR2(0:0))
      call avR2(653, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3682)%branchR2(0:1))
      call avR2(3682, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3682, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(2955)%branchR2(0:0))
      call avR2(2955, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(1478)%branchR2(0:0))
      call avR2(1478, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2549)%branchR2(0:0))
      call avR2(2549, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(674)%branchR2(0:1))
      call avR2(674, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(674, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1685)%branchR2(0:0))
      call avR2(1685, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(1311)%branchR2(0:0))
      call avR2(1311, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3683)%branchR2(0:0))
      call avR2(3683, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2567)%branchR2(0:0))
      call avR2(2567, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2995)%branchR2(0:0))
      call avR2(2995, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1472)%branchR2(0:1))
      call avR2(1472, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1472, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(1335)%branchR2(0:0))
      call avR2(1335, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(2416)%branchR2(0:0))
      call avR2(2416, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1761)%branchR2(0:0))
      call avR2(1761, 0, 8, 1, 0, FFaS2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3506)%branchR2(0:0))
      call avR2(3506, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2491)%branchR2(0:0))
      call avR2(2491, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2082)%branchR2(0:1))
      call avR2(2082, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(2082, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(3504)%branchR2(0:0))
      call avR2(3504, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2670)%branchR2(0:0))
      call avR2(2670, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2734)%branchR2(0:0))
      call avR2(2734, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(1445)%branchR2(0:0))
      call avR2(1445, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(669)%branchR2(0:0))
      call avR2(669, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3684)%branchR2(0:0))
      call avR2(3684, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3685)%branchR2(0:0))
      call avR2(3685, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(750)%branchR2(0:0))
      call avR2(750, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(3338)%branchR2(0:0))
      call avR2(3338, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2968)%branchR2(0:0))
      call avR2(2968, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2840)%branchR2(0:0))
      call avR2(2840, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(412)%branchR2(0:1))
      call avR2(412, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(412, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(575)%branchR2(0:0))
      call avR2(575, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(1209)%branchR2(0:0))
      call avR2(1209, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3278/))

      allocate(vertices(1260)%branchR2(0:0))
      call avR2(1260, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1988, nGC_1987/))

      allocate(vertices(699)%branchR2(0:0))
      call avR2(699, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(555)%branchR2(0:0))
      call avR2(555, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3015)%branchR2(0:1))
      call avR2(3015, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1696, nGC_1696/))

      call avR2(3015, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1697, nGC_1697/))

      allocate(vertices(884)%branchR2(0:0))
      call avR2(884, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3289)%branchR2(0:0))
      call avR2(3289, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1677)%branchR2(0:0))
      call avR2(1677, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1820)%branchR2(0:0))
      call avR2(1820, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2210, nGC_2210,       &
      nGC_2209/))

      allocate(vertices(290)%branchR2(0:0))
      call avR2(290, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(2282)%branchR2(0:0))
      call avR2(2282, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1667)%branchR2(0:1))
      call avR2(1667, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(1667, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(374)%branchR2(0:0))
      call avR2(374, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(323)%branchR2(0:0))
      call avR2(323, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(3241)%branchR2(0:0))
      call avR2(3241, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2257)%branchR2(0:1))
      call avR2(2257, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(2257, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(946)%branchR2(0:0))
      call avR2(946, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1718/))

      allocate(vertices(992)%branchR2(0:0))
      call avR2(992, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3686)%branchR2(0:0))
      call avR2(3686, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2334)%branchR2(0:0))
      call avR2(2334, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1866/))

      allocate(vertices(287)%branchR2(0:0))
      call avR2(287, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(587)%branchR2(0:0))
      call avR2(587, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(3293)%branchR2(0:0))
      call avR2(3293, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3279/))

      allocate(vertices(2874)%branchR2(0:0))
      call avR2(2874, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2742)%branchR2(0:0))
      call avR2(2742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3687)%branchR2(0:1))
      call avR2(3687, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2155/))

      call avR2(3687, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2156/))

      allocate(vertices(2564)%branchR2(0:0))
      call avR2(2564, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1271)%branchR2(0:0))
      call avR2(1271, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(3297)%branchR2(0:0))
      call avR2(3297, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(2842)%branchR2(0:0))
      call avR2(2842, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1754)%branchR2(0:1))
      call avR2(1754, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1952, nGC_1951/))

      call avR2(1754, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1953, nGC_1953/))

      allocate(vertices(3688)%branchR2(0:1))
      call avR2(3688, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3688, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(123)%branchR2(0:0))
      call avR2(123, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1874/))

      allocate(vertices(3689)%branchR2(0:0))
      call avR2(3689, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(883)%branchR2(0:0))
      call avR2(883, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(2815)%branchR2(0:0))
      call avR2(2815, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2191)%branchR2(0:0))
      call avR2(2191, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2278)%branchR2(0:1))
      call avR2(2278, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(2278, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(367)%branchR2(0:0))
      call avR2(367, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,        &
      nGC_2077/))

      allocate(vertices(3534)%branchR2(0:0))
      call avR2(3534, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(2043)%branchR2(0:0))
      call avR2(2043, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(545)%branchR2(0:0))
      call avR2(545, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2512)%branchR2(0:0))
      call avR2(2512, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3690)%branchR2(0:1))
      call avR2(3690, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2196/))

      call avR2(3690, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2197/))

      allocate(vertices(335)%branchR2(0:1))
      call avR2(335, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(335, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(1634)%branchR2(0:0))
      call avR2(1634, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1082)%branchR2(0:0))
      call avR2(1082, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(162)%branchR2(0:1))
      call avR2(162, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(162, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(2677)%branchR2(0:0))
      call avR2(2677, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(392)%branchR2(0:0))
      call avR2(392, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(901)%branchR2(0:0))
      call avR2(901, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3371)%branchR2(0:0))
      call avR2(3371, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1724/))

      allocate(vertices(195)%branchR2(0:0))
      call avR2(195, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3277)%branchR2(0:0))
      call avR2(3277, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(232)%branchR2(0:0))
      call avR2(232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(3691)%branchR2(0:0))
      call avR2(3691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(1059)%branchR2(0:0))
      call avR2(1059, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1989/))

      allocate(vertices(3378)%branchR2(0:0))
      call avR2(3378, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(2881)%branchR2(0:0))
      call avR2(2881, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(2380)%branchR2(0:0))
      call avR2(2380, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(1946)%branchR2(0:0))
      call avR2(1946, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(261)%branchR2(0:0))
      call avR2(261, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2280)%branchR2(0:0))
      call avR2(2280, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(1033)%branchR2(0:0))
      call avR2(1033, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(769)%branchR2(0:0))
      call avR2(769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(252)%branchR2(0:0))
      call avR2(252, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2220)%branchR2(0:0))
      call avR2(2220, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(2967)%branchR2(0:0))
      call avR2(2967, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1048)%branchR2(0:1))
      call avR2(1048, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1048, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(1458)%branchR2(0:0))
      call avR2(1458, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1759)%branchR2(0:0))
      call avR2(1759, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(1456)%branchR2(0:3))
      call avR2(1456, 0, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1456, 1, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(1456, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1456, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(3178)%branchR2(0:0))
      call avR2(3178, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1277)%branchR2(0:1))
      call avR2(1277, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1277, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(3583)%branchR2(0:0))
      call avR2(3583, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2775)%branchR2(0:0))
      call avR2(2775, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(1573)%branchR2(0:0))
      call avR2(1573, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1731)%branchR2(0:1))
      call avR2(1731, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(1731, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2404)%branchR2(0:0))
      call avR2(2404, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2417)%branchR2(0:3))
      call avR2(2417, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(2417, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2417, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(2417, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      allocate(vertices(2766)%branchR2(0:0))
      call avR2(2766, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(1784)%branchR2(0:0))
      call avR2(1784, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2347)%branchR2(0:0))
      call avR2(2347, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(2399)%branchR2(0:1))
      call avR2(2399, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1814, nGC_1812/))

      call avR2(2399, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1815, nGC_1813/))

      allocate(vertices(2729)%branchR2(0:0))
      call avR2(2729, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(806)%branchR2(0:1))
      call avR2(806, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(806, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(747)%branchR2(0:0))
      call avR2(747, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(1568)%branchR2(0:0))
      call avR2(1568, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3081)%branchR2(0:0))
      call avR2(3081, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(1943)%branchR2(0:3))
      call avR2(1943, 0, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1943, 1, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1943, 2, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1943, 3, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(170)%branchR2(0:0))
      call avR2(170, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(684)%branchR2(0:0))
      call avR2(684, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1429)%branchR2(0:0))
      call avR2(1429, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1788/))

      allocate(vertices(2324)%branchR2(0:1))
      call avR2(2324, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(2324, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2244)%branchR2(0:0))
      call avR2(2244, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2390)%branchR2(0:0))
      call avR2(2390, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2690)%branchR2(0:0))
      call avR2(2690, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(317)%branchR2(0:0))
      call avR2(317, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(1017)%branchR2(0:0))
      call avR2(1017, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(1893)%branchR2(0:0))
      call avR2(1893, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(3692)%branchR2(0:0))
      call avR2(3692, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1051)%branchR2(0:0))
      call avR2(1051, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(3027)%branchR2(0:0))
      call avR2(3027, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1728/))

      allocate(vertices(104)%branchR2(0:0))
      call avR2(104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2030)%branchR2(0:0))
      call avR2(2030, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(2610)%branchR2(0:0))
      call avR2(2610, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1532)%branchR2(0:0))
      call avR2(1532, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(315)%branchR2(0:0))
      call avR2(315, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1882)%branchR2(0:1))
      call avR2(1882, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(1882, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2153)%branchR2(0:0))
      call avR2(2153, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(761)%branchR2(0:0))
      call avR2(761, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1846/))

      allocate(vertices(1396)%branchR2(0:0))
      call avR2(1396, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(103)%branchR2(0:0))
      call avR2(103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(3693)%branchR2(0:1))
      call avR2(3693, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2187/))

      call avR2(3693, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(2513)%branchR2(0:1))
      call avR2(2513, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2513, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(2535)%branchR2(0:0))
      call avR2(2535, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2085)%branchR2(0:0))
      call avR2(2085, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1321)%branchR2(0:0))
      call avR2(1321, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(364)%branchR2(0:0))
      call avR2(364, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(2586)%branchR2(0:0))
      call avR2(2586, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(1688)%branchR2(0:0))
      call avR2(1688, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(78)%branchR2(0:0))
      call avR2(78, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(2216)%branchR2(0:0))
      call avR2(2216, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2653)%branchR2(0:0))
      call avR2(2653, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2363)%branchR2(0:0))
      call avR2(2363, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2484)%branchR2(0:0))
      call avR2(2484, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(483)%branchR2(0:0))
      call avR2(483, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(913)%branchR2(0:0))
      call avR2(913, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(408)%branchR2(0:0))
      call avR2(408, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(3512)%branchR2(0:0))
      call avR2(3512, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(349)%branchR2(0:0))
      call avR2(349, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1065)%branchR2(0:1))
      call avR2(1065, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1065, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(862)%branchR2(0:0))
      call avR2(862, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(683)%branchR2(0:0))
      call avR2(683, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(3694)%branchR2(0:1))
      call avR2(3694, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2099/))

      call avR2(3694, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2100/))

      allocate(vertices(2292)%branchR2(0:0))
      call avR2(2292, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2301)%branchR2(0:0))
      call avR2(2301, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1906)%branchR2(0:0))
      call avR2(1906, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(84)%branchR2(0:0))
      call avR2(84, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1404)%branchR2(0:0))
      call avR2(1404, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(526)%branchR2(0:0))
      call avR2(526, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2077,        &
      nGC_2076/))

      allocate(vertices(947)%branchR2(0:0))
      call avR2(947, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(71)%branchR2(0:0))
      call avR2(71, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(2290)%branchR2(0:0))
      call avR2(2290, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3280/))

      allocate(vertices(3062)%branchR2(0:0))
      call avR2(3062, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3183)%branchR2(0:0))
      call avR2(3183, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1865)%branchR2(0:0))
      call avR2(1865, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1713)%branchR2(0:0))
      call avR2(1713, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1338)%branchR2(0:1))
      call avR2(1338, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(1338, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1237)%branchR2(0:0))
      call avR2(1237, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(405)%branchR2(0:1))
      call avR2(405, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(405, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(1078)%branchR2(0:0))
      call avR2(1078, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3182)%branchR2(0:0))
      call avR2(3182, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(2318)%branchR2(0:1))
      call avR2(2318, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(2318, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(709)%branchR2(0:0))
      call avR2(709, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3052)%branchR2(0:0))
      call avR2(3052, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(3290)%branchR2(0:0))
      call avR2(3290, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3695)%branchR2(0:1))
      call avR2(3695, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2200/))

      call avR2(3695, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2273)%branchR2(0:0))
      call avR2(2273, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1243)%branchR2(0:0))
      call avR2(1243, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(1755)%branchR2(0:0))
      call avR2(1755, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2777)%branchR2(0:0))
      call avR2(2777, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(2666)%branchR2(0:0))
      call avR2(2666, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(869)%branchR2(0:0))
      call avR2(869, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1921)%branchR2(0:0))
      call avR2(1921, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(100)%branchR2(0:0))
      call avR2(100, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(1346)%branchR2(0:0))
      call avR2(1346, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2175)%branchR2(0:1))
      call avR2(2175, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(2175, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(73)%branchR2(0:0))
      call avR2(73, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1491)%branchR2(0:3))
      call avR2(1491, 0, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1491, 1, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(1491, 2, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1491, 3, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(1465)%branchR2(0:0))
      call avR2(1465, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3111)%branchR2(0:0))
      call avR2(3111, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3696)%branchR2(0:1))
      call avR2(3696, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      call avR2(3696, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(1032)%branchR2(0:0))
      call avR2(1032, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3697)%branchR2(0:1))
      call avR2(3697, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3697, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(260)%branchR2(0:0))
      call avR2(260, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(145)%branchR2(0:0))
      call avR2(145, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2195)%branchR2(0:0))
      call avR2(2195, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(2793)%branchR2(0:0))
      call avR2(2793, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(959)%branchR2(0:0))
      call avR2(959, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3698)%branchR2(0:1))
      call avR2(3698, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2166/))

      call avR2(3698, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2165/))

      allocate(vertices(250)%branchR2(0:0))
      call avR2(250, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3281/))

      allocate(vertices(417)%branchR2(0:0))
      call avR2(417, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2612)%branchR2(0:0))
      call avR2(2612, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2625)%branchR2(0:0))
      call avR2(2625, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(1023)%branchR2(0:0))
      call avR2(1023, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(3041)%branchR2(0:1))
      call avR2(3041, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1709, nGC_1709/))

      call avR2(3041, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1710, nGC_1710/))

      allocate(vertices(2105)%branchR2(0:0))
      call avR2(2105, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1942)%branchR2(0:0))
      call avR2(1942, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1985)%branchR2(0:0))
      call avR2(1985, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3699)%branchR2(0:0))
      call avR2(3699, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(1841)%branchR2(0:0))
      call avR2(1841, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(578)%branchR2(0:0))
      call avR2(578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(321)%branchR2(0:0))
      call avR2(321, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(957)%branchR2(0:0))
      call avR2(957, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2022)%branchR2(0:0))
      call avR2(2022, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2078, nGC_2076,       &
      nGC_2077/))

      allocate(vertices(1536)%branchR2(0:0))
      call avR2(1536, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3700)%branchR2(0:0))
      call avR2(3700, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(698)%branchR2(0:0))
      call avR2(698, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1022)%branchR2(0:1))
      call avR2(1022, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1022, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1418)%branchR2(0:0))
      call avR2(1418, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(445)%branchR2(0:0))
      call avR2(445, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3151)%branchR2(0:0))
      call avR2(3151, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1019)%branchR2(0:0))
      call avR2(1019, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(927)%branchR2(0:0))
      call avR2(927, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3405)%branchR2(0:0))
      call avR2(3405, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1824)%branchR2(0:0))
      call avR2(1824, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(981)%branchR2(0:1))
      call avR2(981, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1935, nGC_1934/))

      call avR2(981, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1936, nGC_1936/))

      allocate(vertices(1275)%branchR2(0:0))
      call avR2(1275, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2514)%branchR2(0:0))
      call avR2(2514, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1323)%branchR2(0:0))
      call avR2(1323, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1725/))

      allocate(vertices(503)%branchR2(0:0))
      call avR2(503, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(866)%branchR2(0:0))
      call avR2(866, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3434)%branchR2(0:0))
      call avR2(3434, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3701)%branchR2(0:1))
      call avR2(3701, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3701, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(3482)%branchR2(0:0))
      call avR2(3482, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(75)%branchR2(0:0))
      call avR2(75, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(161)%branchR2(0:0))
      call avR2(161, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1740)%branchR2(0:0))
      call avR2(1740, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1782/))

      allocate(vertices(3306)%branchR2(0:0))
      call avR2(3306, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(35)%branchR2(0:0))
      call avR2(35, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(738)%branchR2(0:0))
      call avR2(738, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2350)%branchR2(0:0))
      call avR2(2350, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(1847)%branchR2(0:0))
      call avR2(1847, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(225)%branchR2(0:0))
      call avR2(225, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(514)%branchR2(0:0))
      call avR2(514, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1366)%branchR2(0:1))
      call avR2(1366, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1366, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(65)%branchR2(0:0))
      call avR2(65, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2078, nGC_2077&
      /))

      allocate(vertices(1963)%branchR2(0:0))
      call avR2(1963, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(673)%branchR2(0:0))
      call avR2(673, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,        &
      nGC_2040/))

      allocate(vertices(240)%branchR2(0:0))
      call avR2(240, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(1122)%branchR2(0:0))
      call avR2(1122, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(1509)%branchR2(0:1))
      call avR2(1509, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(1509, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1951)%branchR2(0:0))
      call avR2(1951, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(2560)%branchR2(0:0))
      call avR2(2560, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(169)%branchR2(0:0))
      call avR2(169, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3702)%branchR2(0:1))
      call avR2(3702, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2200/))

      call avR2(3702, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2798)%branchR2(0:0))
      call avR2(2798, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3703)%branchR2(0:0))
      call avR2(3703, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(2396)%branchR2(0:0))
      call avR2(2396, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1993/))

      allocate(vertices(793)%branchR2(0:0))
      call avR2(793, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1473)%branchR2(0:0))
      call avR2(1473, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1155)%branchR2(0:1))
      call avR2(1155, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(1155, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2433)%branchR2(0:0))
      call avR2(2433, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2283)%branchR2(0:0))
      call avR2(2283, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(697)%branchR2(0:0))
      call avR2(697, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1821)%branchR2(0:0))
      call avR2(1821, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(102)%branchR2(0:0))
      call avR2(102, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2203,        &
      nGC_2204/))

      allocate(vertices(173)%branchR2(0:0))
      call avR2(173, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1520)%branchR2(0:0))
      call avR2(1520, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(209)%branchR2(0:1))
      call avR2(209, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(209, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(2855)%branchR2(0:0))
      call avR2(2855, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2627)%branchR2(0:0))
      call avR2(2627, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(1496)%branchR2(0:0))
      call avR2(1496, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(839)%branchR2(0:0))
      call avR2(839, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(428)%branchR2(0:0))
      call avR2(428, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(393)%branchR2(0:0))
      call avR2(393, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1802/))

      allocate(vertices(954)%branchR2(0:0))
      call avR2(954, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(442)%branchR2(0:3))
      call avR2(442, 0, 29, 1, 0, VFFa0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(442, 1, 29, 1, 0, VFFa0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(442, 2, 28, 1, 0, VFFa0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(442, 3, 28, 1, 0, VFFa0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(142)%branchR2(0:0))
      call avR2(142, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(601)%branchR2(0:0))
      call avR2(601, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3282/))

      allocate(vertices(1244)%branchR2(0:0))
      call avR2(1244, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,       &
      nGC_2040/))

      allocate(vertices(1615)%branchR2(0:0))
      call avR2(1615, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3704)%branchR2(0:1))
      call avR2(3704, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3704, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(1643)%branchR2(0:0))
      call avR2(1643, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3705)%branchR2(0:1))
      call avR2(3705, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3705, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(2434)%branchR2(0:0))
      call avR2(2434, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(717)%branchR2(0:0))
      call avR2(717, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(2712)%branchR2(0:0))
      call avR2(2712, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3706)%branchR2(0:1))
      call avR2(3706, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2115/))

      call avR2(3706, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(3707)%branchR2(0:0))
      call avR2(3707, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3334)%branchR2(0:0))
      call avR2(3334, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(1723)%branchR2(0:0))
      call avR2(1723, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3230)%branchR2(0:0))
      call avR2(3230, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(1447)%branchR2(0:0))
      call avR2(1447, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2348)%branchR2(0:0))
      call avR2(2348, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3708)%branchR2(0:1))
      call avR2(3708, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2115/))

      call avR2(3708, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(845)%branchR2(0:0))
      call avR2(845, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2064)%branchR2(0:0))
      call avR2(2064, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(749)%branchR2(0:0))
      call avR2(749, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(187)%branchR2(0:0))
      call avR2(187, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1830)%branchR2(0:1))
      call avR2(1830, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(1830, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(605)%branchR2(0:0))
      call avR2(605, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(617)%branchR2(0:0))
      call avR2(617, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(314)%branchR2(0:0))
      call avR2(314, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3709)%branchR2(0:1))
      call avR2(3709, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3709, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(3710)%branchR2(0:1))
      call avR2(3710, 0, 45, 1, 0, VVS0, (/2, 1/), (/nGC_1956/))

      call avR2(3710, 1, 46, 1, 0, VVS0, (/2, 1/), (/nGC_1957/))

      allocate(vertices(1728)%branchR2(0:1))
      call avR2(1728, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1728, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3029)%branchR2(0:1))
      call avR2(3029, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1715, nGC_1715/))

      call avR2(3029, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1714, nGC_1714/))

      allocate(vertices(3711)%branchR2(0:0))
      call avR2(3711, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(429)%branchR2(0:1))
      call avR2(429, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(429, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2740)%branchR2(0:0))
      call avR2(2740, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(1659)%branchR2(0:0))
      call avR2(1659, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(2524)%branchR2(0:0))
      call avR2(2524, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1614)%branchR2(0:0))
      call avR2(1614, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(99)%branchR2(0:0))
      call avR2(99, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(1892)%branchR2(0:0))
      call avR2(1892, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1363)%branchR2(0:1))
      call avR2(1363, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(1363, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1920)%branchR2(0:0))
      call avR2(1920, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(21)%branchR2(0:0))
      call avR2(21, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(3523)%branchR2(0:0))
      call avR2(3523, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1813)%branchR2(0:1))
      call avR2(1813, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1981, nGC_1983/))

      call avR2(1813, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(1898)%branchR2(0:0))
      call avR2(1898, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(3028)%branchR2(0:0))
      call avR2(3028, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1657)%branchR2(0:0))
      call avR2(1657, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2372)%branchR2(0:0))
      call avR2(2372, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2228)%branchR2(0:1))
      call avR2(2228, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1946, nGC_1945/))

      call avR2(2228, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1947, nGC_1947/))

      allocate(vertices(2801)%branchR2(0:0))
      call avR2(2801, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1550)%branchR2(0:0))
      call avR2(1550, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1725)%branchR2(0:0))
      call avR2(1725, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1367)%branchR2(0:0))
      call avR2(1367, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(2405)%branchR2(0:0))
      call avR2(2405, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(910)%branchR2(0:0))
      call avR2(910, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(221)%branchR2(0:0))
      call avR2(221, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(679)%branchR2(0:0))
      call avR2(679, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1481)%branchR2(0:0))
      call avR2(1481, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(186)%branchR2(0:0))
      call avR2(186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(726)%branchR2(0:0))
      call avR2(726, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3235)%branchR2(0:0))
      call avR2(3235, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(379)%branchR2(0:0))
      call avR2(379, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(858)%branchR2(0:0))
      call avR2(858, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3424)%branchR2(0:0))
      call avR2(3424, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3283/))

      allocate(vertices(3712)%branchR2(0:0))
      call avR2(3712, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(2511)%branchR2(0:0))
      call avR2(2511, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3322)%branchR2(0:0))
      call avR2(3322, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(655)%branchR2(0:1))
      call avR2(655, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1974/))

      call avR2(655, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3375)%branchR2(0:0))
      call avR2(3375, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3713)%branchR2(0:0))
      call avR2(3713, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3714)%branchR2(0:1))
      call avR2(3714, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2200/))

      call avR2(3714, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2199/))

      allocate(vertices(2818)%branchR2(0:0))
      call avR2(2818, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(2828)%branchR2(0:0))
      call avR2(2828, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3715)%branchR2(0:0))
      call avR2(3715, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(471)%branchR2(0:0))
      call avR2(471, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(2574)%branchR2(0:0))
      call avR2(2574, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2640)%branchR2(0:0))
      call avR2(2640, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3238)%branchR2(0:0))
      call avR2(3238, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(500)%branchR2(0:0))
      call avR2(500, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(2895)%branchR2(0:0))
      call avR2(2895, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1089)%branchR2(0:1))
      call avR2(1089, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1089, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(272)%branchR2(0:0))
      call avR2(272, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(211)%branchR2(0:1))
      call avR2(211, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(211, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(1498)%branchR2(0:0))
      call avR2(1498, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2852)%branchR2(0:0))
      call avR2(2852, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(630)%branchR2(0:1))
      call avR2(630, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(630, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1772)%branchR2(0:0))
      call avR2(1772, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(2562)%branchR2(0:0))
      call avR2(2562, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(270)%branchR2(0:0))
      call avR2(270, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(725)%branchR2(0:0))
      call avR2(725, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(2276)%branchR2(0:0))
      call avR2(2276, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2076, nGC_2077,       &
      nGC_2078/))

      allocate(vertices(1760)%branchR2(0:0))
      call avR2(1760, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2555)%branchR2(0:0))
      call avR2(2555, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1383)%branchR2(0:0))
      call avR2(1383, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1861/))

      allocate(vertices(119)%branchR2(0:0))
      call avR2(119, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1063)%branchR2(0:0))
      call avR2(1063, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1434)%branchR2(0:0))
      call avR2(1434, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(2159)%branchR2(0:0))
      call avR2(2159, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2655)%branchR2(0:0))
      call avR2(2655, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3284/))

      allocate(vertices(2925)%branchR2(0:0))
      call avR2(2925, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2376)%branchR2(0:0))
      call avR2(2376, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1864/))

      allocate(vertices(865)%branchR2(0:0))
      call avR2(865, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(2816)%branchR2(0:0))
      call avR2(2816, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(227)%branchR2(0:0))
      call avR2(227, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1178)%branchR2(0:0))
      call avR2(1178, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(3716)%branchR2(0:0))
      call avR2(3716, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3717)%branchR2(0:1))
      call avR2(3717, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3717, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(972)%branchR2(0:0))
      call avR2(972, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(411)%branchR2(0:0))
      call avR2(411, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(50)%branchR2(0:0))
      call avR2(50, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1779)%branchR2(0:0))
      call avR2(1779, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2538)%branchR2(0:0))
      call avR2(2538, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3718)%branchR2(0:0))
      call avR2(3718, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(387)%branchR2(0:0))
      call avR2(387, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3281)%branchR2(0:0))
      call avR2(3281, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1807/))

      allocate(vertices(3719)%branchR2(0:0))
      call avR2(3719, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(2135)%branchR2(0:1))
      call avR2(2135, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(2135, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2550)%branchR2(0:0))
      call avR2(2550, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2554)%branchR2(0:0))
      call avR2(2554, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1500)%branchR2(0:3))
      call avR2(1500, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1500, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1500, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1500, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(136)%branchR2(0:0))
      call avR2(136, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(902)%branchR2(0:0))
      call avR2(902, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(3720)%branchR2(0:5))
      call avR2(3720, 0, 77, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3720, 1, 81, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3720, 2, 79, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3720, 3, 80, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3720, 4, 78, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3720, 5, 82, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      allocate(vertices(551)%branchR2(0:0))
      call avR2(551, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(320)%branchR2(0:0))
      call avR2(320, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(271)%branchR2(0:0))
      call avR2(271, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1175)%branchR2(0:0))
      call avR2(1175, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3272)%branchR2(0:0))
      call avR2(3272, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(184)%branchR2(0:0))
      call avR2(184, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(3394)%branchR2(0:0))
      call avR2(3394, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(3721)%branchR2(0:1))
      call avR2(3721, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2100/))

      call avR2(3721, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(3475)%branchR2(0:0))
      call avR2(3475, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1131)%branchR2(0:0))
      call avR2(1131, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1623)%branchR2(0:0))
      call avR2(1623, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(3011)%branchR2(0:0))
      call avR2(3011, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(368)%branchR2(0:0))
      call avR2(368, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(2590)%branchR2(0:0))
      call avR2(2590, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2052)%branchR2(0:0))
      call avR2(2052, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1333)%branchR2(0:0))
      call avR2(1333, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1040)%branchR2(0:0))
      call avR2(1040, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3099)%branchR2(0:0))
      call avR2(3099, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3275/))

      allocate(vertices(3071)%branchR2(0:0))
      call avR2(3071, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(3217)%branchR2(0:0))
      call avR2(3217, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(52)%branchR2(0:0))
      call avR2(52, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2515)%branchR2(0:0))
      call avR2(2515, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1875/))

      allocate(vertices(2580)%branchR2(0:0))
      call avR2(2580, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(165)%branchR2(0:0))
      call avR2(165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3257)%branchR2(0:0))
      call avR2(3257, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1317)%branchR2(0:0))
      call avR2(1317, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(256)%branchR2(0:1))
      call avR2(256, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(256, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(218)%branchR2(0:0))
      call avR2(218, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(1978)%branchR2(0:0))
      call avR2(1978, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3722)%branchR2(0:0))
      call avR2(3722, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2046/))

      allocate(vertices(3579)%branchR2(0:0))
      call avR2(3579, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(208)%branchR2(0:0))
      call avR2(208, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(728)%branchR2(0:1))
      call avR2(728, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(728, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(3220)%branchR2(0:0))
      call avR2(3220, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(1123)%branchR2(0:3))
      call avR2(1123, 0, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1123, 1, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(1123, 2, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(1123, 3, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(990)%branchR2(0:0))
      call avR2(990, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1731/))

      allocate(vertices(2812)%branchR2(0:0))
      call avR2(2812, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(3174)%branchR2(0:0))
      call avR2(3174, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1861)%branchR2(0:0))
      call avR2(1861, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1265)%branchR2(0:0))
      call avR2(1265, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2609)%branchR2(0:1))
      call avR2(2609, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1771, nGC_1769/))

      call avR2(2609, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1772, nGC_1770/))

      allocate(vertices(413)%branchR2(0:0))
      call avR2(413, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1427)%branchR2(0:0))
      call avR2(1427, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3154)%branchR2(0:0))
      call avR2(3154, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2773)%branchR2(0:0))
      call avR2(2773, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(3723)%branchR2(0:0))
      call avR2(3723, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2211, nGC_2211,       &
      nGC_2211/))

      allocate(vertices(1512)%branchR2(0:0))
      call avR2(1512, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(3395)%branchR2(0:0))
      call avR2(3395, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(2467)%branchR2(0:0))
      call avR2(2467, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2148)%branchR2(0:0))
      call avR2(2148, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(875)%branchR2(0:1))
      call avR2(875, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(875, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(306)%branchR2(0:0))
      call avR2(306, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1344)%branchR2(0:1))
      call avR2(1344, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(1344, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2054)%branchR2(0:0))
      call avR2(2054, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2792)%branchR2(0:0))
      call avR2(2792, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(180)%branchR2(0:0))
      call avR2(180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2223)%branchR2(0:0))
      call avR2(2223, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1876/))

      allocate(vertices(2631)%branchR2(0:1))
      call avR2(2631, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(2631, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(2607)%branchR2(0:0))
      call avR2(2607, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1925, nGC_1926/))

      allocate(vertices(2526)%branchR2(0:0))
      call avR2(2526, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1093)%branchR2(0:0))
      call avR2(1093, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2118)%branchR2(0:1))
      call avR2(2118, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1972/))

      call avR2(2118, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1765)%branchR2(0:0))
      call avR2(1765, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1848/))

      allocate(vertices(3724)%branchR2(0:0))
      call avR2(3724, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2083, nGC_2083,       &
      nGC_2083/))

      allocate(vertices(3725)%branchR2(0:0))
      call avR2(3725, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3726)%branchR2(0:0))
      call avR2(3726, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(606)%branchR2(0:0))
      call avR2(606, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(2025)%branchR2(0:0))
      call avR2(2025, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2764)%branchR2(0:0))
      call avR2(2764, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2084)%branchR2(0:0))
      call avR2(2084, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3727)%branchR2(0:1))
      call avR2(3727, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2199/))

      call avR2(3727, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(3413)%branchR2(0:0))
      call avR2(3413, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1674, nGC_1673/))

      allocate(vertices(2506)%branchR2(0:1))
      call avR2(2506, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1868, nGC_1869/))

      call avR2(2506, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1850, nGC_1852/))

      allocate(vertices(849)%branchR2(0:0))
      call avR2(849, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2920)%branchR2(0:0))
      call avR2(2920, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(313)%branchR2(0:0))
      call avR2(313, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(1806)%branchR2(0:0))
      call avR2(1806, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3728)%branchR2(0:0))
      call avR2(3728, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2043, nGC_2043,       &
      nGC_2043/))

      allocate(vertices(3314)%branchR2(0:0))
      call avR2(3314, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(383)%branchR2(0:0))
      call avR2(383, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(1733)%branchR2(0:0))
      call avR2(1733, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2139/))

      allocate(vertices(3121)%branchR2(0:0))
      call avR2(3121, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1299)%branchR2(0:0))
      call avR2(1299, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1876)%branchR2(0:0))
      call avR2(1876, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(91)%branchR2(0:0))
      call avR2(91, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1476)%branchR2(0:1))
      call avR2(1476, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(1476, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(470)%branchR2(0:0))
      call avR2(470, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3729)%branchR2(0:1))
      call avR2(3729, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      call avR2(3729, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      allocate(vertices(1170)%branchR2(0:0))
      call avR2(1170, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(3360)%branchR2(0:0))
      call avR2(3360, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1747/))

      allocate(vertices(2558)%branchR2(0:0))
      call avR2(2558, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(3355)%branchR2(0:0))
      call avR2(3355, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1234)%branchR2(0:1))
      call avR2(1234, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(1234, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(528)%branchR2(0:0))
      call avR2(528, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(101)%branchR2(0:0))
      call avR2(101, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(1281)%branchR2(0:0))
      call avR2(1281, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1691)%branchR2(0:1))
      call avR2(1691, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(1691, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2)%branchR2(0:0))
      call avR2(2, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(3211)%branchR2(0:0))
      call avR2(3211, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2786)%branchR2(0:0))
      call avR2(2786, 0, 13, 1, 0, FFa3, (/0, 2/), (/nGC_1698, nGC_1707,       &
      nGC_1707, nGC_1699/))

      allocate(vertices(3280)%branchR2(0:0))
      call avR2(3280, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2871)%branchR2(0:0))
      call avR2(2871, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(527)%branchR2(0:0))
      call avR2(527, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1863/))

      allocate(vertices(3034)%branchR2(0:0))
      call avR2(3034, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1288)%branchR2(0:1))
      call avR2(1288, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(1288, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(1800)%branchR2(0:0))
      call avR2(1800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2977)%branchR2(0:0))
      call avR2(2977, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3109)%branchR2(0:0))
      call avR2(3109, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1060)%branchR2(0:0))
      call avR2(1060, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(2300)%branchR2(0:0))
      call avR2(2300, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(197)%branchR2(0:0))
      call avR2(197, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1826, nGC_1827/))

      allocate(vertices(2067)%branchR2(0:0))
      call avR2(2067, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(703)%branchR2(0:0))
      call avR2(703, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(3573)%branchR2(0:0))
      call avR2(3573, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1398)%branchR2(0:0))
      call avR2(1398, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(991)%branchR2(0:0))
      call avR2(991, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2441)%branchR2(0:0))
      call avR2(2441, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1678)%branchR2(0:0))
      call avR2(1678, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(2071)%branchR2(0:0))
      call avR2(2071, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(3084)%branchR2(0:0))
      call avR2(3084, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(2055)%branchR2(0:0))
      call avR2(2055, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(2096)%branchR2(0:0))
      call avR2(2096, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(70)%branchR2(0:0))
      call avR2(70, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(730)%branchR2(0:0))
      call avR2(730, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1944/))

      allocate(vertices(3118)%branchR2(0:0))
      call avR2(3118, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(2782)%branchR2(0:0))
      call avR2(2782, 0, 13, 1, 0, FaF3, (/0, 2/), (/nGC_1698, nGC_1707,       &
      nGC_1707, nGC_1699/))

      allocate(vertices(2103)%branchR2(0:1))
      call avR2(2103, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(2103, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2611)%branchR2(0:0))
      call avR2(2611, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(848)%branchR2(0:0))
      call avR2(848, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1029)%branchR2(0:0))
      call avR2(1029, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3354)%branchR2(0:0))
      call avR2(3354, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(2606)%branchR2(0:1))
      call avR2(2606, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(2606, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(3730)%branchR2(0:0))
      call avR2(3730, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3454)%branchR2(0:0))
      call avR2(3454, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1919)%branchR2(0:0))
      call avR2(1919, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2988)%branchR2(0:0))
      call avR2(2988, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2519)%branchR2(0:1))
      call avR2(2519, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(2519, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(3321)%branchR2(0:0))
      call avR2(3321, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(2087)%branchR2(0:0))
      call avR2(2087, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1770)%branchR2(0:0))
      call avR2(1770, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1349)%branchR2(0:0))
      call avR2(1349, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(967)%branchR2(0:0))
      call avR2(967, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2150/))

      allocate(vertices(880)%branchR2(0:0))
      call avR2(880, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(156)%branchR2(0:1))
      call avR2(156, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(156, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2701)%branchR2(0:0))
      call avR2(2701, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1582)%branchR2(0:1))
      call avR2(1582, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(1582, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(863)%branchR2(0:0))
      call avR2(863, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(298)%branchR2(0:0))
      call avR2(298, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(407)%branchR2(0:1))
      call avR2(407, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1996, nGC_1997/))

      call avR2(407, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(789)%branchR2(0:0))
      call avR2(789, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(18)%branchR2(0:0))
      call avR2(18, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2016)%branchR2(0:0))
      call avR2(2016, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(398)%branchR2(0:1))
      call avR2(398, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1974/))

      call avR2(398, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1003)%branchR2(0:0))
      call avR2(1003, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(2192)%branchR2(0:0))
      call avR2(2192, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(276)%branchR2(0:0))
      call avR2(276, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(1241)%branchR2(0:0))
      call avR2(1241, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1880/))

      allocate(vertices(2018)%branchR2(0:0))
      call avR2(2018, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3191)%branchR2(0:0))
      call avR2(3191, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(164)%branchR2(0:0))
      call avR2(164, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(1559)%branchR2(0:1))
      call avR2(1559, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1733, nGC_1734/))

      call avR2(1559, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(560)%branchR2(0:1))
      call avR2(560, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(560, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2829)%branchR2(0:0))
      call avR2(2829, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1219)%branchR2(0:0))
      call avR2(1219, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3039)%branchR2(0:0))
      call avR2(3039, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2160/))

      allocate(vertices(3731)%branchR2(0:1))
      call avR2(3731, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2100/))

      call avR2(3731, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(2418)%branchR2(0:0))
      call avR2(2418, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1915/))

      allocate(vertices(599)%branchR2(0:0))
      call avR2(599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1661)%branchR2(0:0))
      call avR2(1661, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_3285/))

      allocate(vertices(1548)%branchR2(0:0))
      call avR2(1548, 0, 8, 1, 0, FSFa1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(583)%branchR2(0:0))
      call avR2(583, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(3477)%branchR2(0:0))
      call avR2(3477, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2649)%branchR2(0:0))
      call avR2(2649, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3732)%branchR2(0:1))
      call avR2(3732, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      call avR2(3732, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      allocate(vertices(762)%branchR2(0:0))
      call avR2(762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(823)%branchR2(0:0))
      call avR2(823, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(802)%branchR2(0:0))
      call avR2(802, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1947)%branchR2(0:0))
      call avR2(1947, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(1463)%branchR2(0:0))
      call avR2(1463, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1054)%branchR2(0:0))
      call avR2(1054, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(642)%branchR2(0:0))
      call avR2(642, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(1997)%branchR2(0:0))
      call avR2(1997, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3552)%branchR2(0:0))
      call avR2(3552, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(3347)%branchR2(0:0))
      call avR2(3347, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1683, nGC_1681,        &
      nGC_1682/))

      allocate(vertices(2727)%branchR2(0:0))
      call avR2(2727, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1746/))

      allocate(vertices(820)%branchR2(0:0))
      call avR2(820, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2190/))

      allocate(vertices(3192)%branchR2(0:0))
      call avR2(3192, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1721/))

      allocate(vertices(1407)%branchR2(0:0))
      call avR2(1407, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3733)%branchR2(0:0))
      call avR2(3733, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(1912)%branchR2(0:0))
      call avR2(1912, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(718)%branchR2(0:0))
      call avR2(718, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2193/))

      allocate(vertices(3470)%branchR2(0:0))
      call avR2(3470, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2860)%branchR2(0:0))
      call avR2(2860, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(430)%branchR2(0:0))
      call avR2(430, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1781/))

      allocate(vertices(2136)%branchR2(0:0))
      call avR2(2136, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1762/))

      allocate(vertices(3734)%branchR2(0:0))
      call avR2(3734, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(391)%branchR2(0:1))
      call avR2(391, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1920, nGC_1919/))

      call avR2(391, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1921, nGC_1921/))

      allocate(vertices(1182)%branchR2(0:0))
      call avR2(1182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(965)%branchR2(0:0))
      call avR2(965, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1142)%branchR2(0:0))
      call avR2(1142, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(3735)%branchR2(0:0))
      call avR2(3735, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(2976)%branchR2(0:0))
      call avR2(2976, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1291)%branchR2(0:0))
      call avR2(1291, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(754)%branchR2(0:0))
      call avR2(754, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(1297)%branchR2(0:0))
      call avR2(1297, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(561)%branchR2(0:0))
      call avR2(561, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3286/))

      allocate(vertices(2943)%branchR2(0:0))
      call avR2(2943, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(656)%branchR2(0:0))
      call avR2(656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(1151)%branchR2(0:0))
      call avR2(1151, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2685)%branchR2(0:1))
      call avR2(2685, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1773, nGC_1775/))

      call avR2(2685, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1774, nGC_1776/))

      allocate(vertices(1676)%branchR2(0:0))
      call avR2(1676, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(2294)%branchR2(0:0))
      call avR2(2294, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2446)%branchR2(0:0))
      call avR2(2446, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1842/))

      allocate(vertices(3423)%branchR2(0:0))
      call avR2(3423, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1274)%branchR2(0:0))
      call avR2(1274, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(735)%branchR2(0:0))
      call avR2(735, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(2537)%branchR2(0:0))
      call avR2(2537, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(2101)%branchR2(0:0))
      call avR2(2101, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(904)%branchR2(0:0))
      call avR2(904, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(3736)%branchR2(0:1))
      call avR2(3736, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2206, nGC_2206,      &
      nGC_2206/))

      call avR2(3736, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2205, nGC_2205,      &
      nGC_2205/))

      allocate(vertices(2224)%branchR2(0:3))
      call avR2(2224, 0, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2224, 1, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2224, 2, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2224, 3, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(1406)%branchR2(0:0))
      call avR2(1406, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1996)%branchR2(0:0))
      call avR2(1996, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1585)%branchR2(0:0))
      call avR2(1585, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3287/))

      allocate(vertices(1794)%branchR2(0:0))
      call avR2(1794, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1689)%branchR2(0:0))
      call avR2(1689, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2164)%branchR2(0:0))
      call avR2(2164, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2438)%branchR2(0:0))
      call avR2(2438, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1993/))

      allocate(vertices(2585)%branchR2(0:1))
      call avR2(2585, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(2585, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1918, nGC_1918/))

    end subroutine fill_vertices_mdl10
end module vertices_info10
