!******************************************************************************!
!                                                                              !
!    vertices_info4.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info4.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info4
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl4()
      allocate(vertices(2400)%branch(0:0))
      call av(2400, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_107/))

      allocate(vertices(2401)%branch(0:1))
      call av(2401, 0, 24, 5, 0, FaFV1, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2401, 1, 25, 4, 0, FaFV1, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2402)%branch(0:0))
      call av(2402, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2403)%branch(0:0))
      call av(2403, 0, 8, 1, 0, VFaF0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2404)%branch(0:0))
      call av(2404, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2405)%branch(0:0))
      call av(2405, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_108/))

      allocate(vertices(2406)%branch(0:0))
      call av(2406, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2407)%branch(0:0))
      call av(2407, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_112/))

      allocate(vertices(2408)%branch(0:0))
      call av(2408, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2409)%branch(0:0))
      call av(2409, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2410)%branch(0:0))
      call av(2410, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2411)%branch(0:0))
      call av(2411, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2412)%branch(0:0))
      call av(2412, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_163, nGC_164/))

      allocate(vertices(2413)%branch(0:0))
      call av(2413, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2414)%branch(0:0))
      call av(2414, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2415)%branch(0:0))
      call av(2415, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_132, nGC_633/))

      allocate(vertices(2416)%branch(0:0))
      call av(2416, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2417)%branch(0:1))
      call av(2417, 0, 22, 5, 0, FVFa1, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2417, 1, 23, 4, 0, FVFa1, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2418)%branch(0:0))
      call av(2418, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_129/))

      allocate(vertices(2419)%branch(0:0))
      call av(2419, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2420)%branch(0:0))
      call av(2420, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2421)%branch(0:0))
      call av(2421, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(2422)%branch(0:0))
      call av(2422, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2423)%branch(0:0))
      call av(2423, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_75/))

      allocate(vertices(2424)%branch(0:0))
      call av(2424, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2425)%branch(0:0))
      call av(2425, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2426)%branch(0:0))
      call av(2426, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2427)%branch(0:0))
      call av(2427, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2428)%branch(0:0))
      call av(2428, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_629/))

      allocate(vertices(2429)%branch(0:0))
      call av(2429, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2430)%branch(0:0))
      call av(2430, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_94/))

      allocate(vertices(2431)%branch(0:0))
      call av(2431, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2432)%branch(0:0))
      call av(2432, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2433)%branch(0:0))
      call av(2433, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_74/))

      allocate(vertices(2434)%branch(0:0))
      call av(2434, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_107/))

      allocate(vertices(2435)%branch(0:0))
      call av(2435, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2436)%branch(0:0))
      call av(2436, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_625/))

      allocate(vertices(2437)%branch(0:0))
      call av(2437, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2438)%branch(0:0))
      call av(2438, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_90/))

      allocate(vertices(2439)%branch(0:1))
      call av(2439, 0, 11, 5, 0, FFaV1, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2439, 1, 12, 4, 0, FFaV1, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2440)%branch(0:0))
      call av(2440, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2441)%branch(0:0))
      call av(2441, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2442)%branch(0:0))
      call av(2442, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2443)%branch(0:0))
      call av(2443, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_127/))

      allocate(vertices(2444)%branch(0:0))
      call av(2444, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_18/))

      allocate(vertices(2445)%branch(0:0))
      call av(2445, 0, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_76/))

      allocate(vertices(2446)%branch(0:0))
      call av(2446, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_118/))

      allocate(vertices(2447)%branch(0:0))
      call av(2447, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2448)%branch(0:0))
      call av(2448, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_145, nGC_145/))

      allocate(vertices(2449)%branch(0:0))
      call av(2449, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_625/))

      allocate(vertices(2450)%branch(0:0))
      call av(2450, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_145, nGC_145/))

      allocate(vertices(2451)%branch(0:0))
      call av(2451, 0, 8, 1, 0, VVV0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2452)%branch(0:0))
      call av(2452, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2453)%branch(0:0))
      call av(2453, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2454)%branch(0:0))
      call av(2454, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2455)%branch(0:0))
      call av(2455, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_38/))

      allocate(vertices(2456)%branch(0:0))
      call av(2456, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2457)%branch(0:0))
      call av(2457, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_121/))

      allocate(vertices(2458)%branch(0:0))
      call av(2458, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2459)%branch(0:0))
      call av(2459, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2460)%branch(0:0))
      call av(2460, 0, 8, 1, 0, VVS0, (/0, 1/), (/nGC_124/))

      allocate(vertices(2461)%branch(0:0))
      call av(2461, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2462)%branch(0:0))
      call av(2462, 0, 8, 1, 0, VUUa0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2463)%branch(0:0))
      call av(2463, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2464)%branch(0:0))
      call av(2464, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2465)%branch(0:0))
      call av(2465, 0, 8, 1, 0, FSFa0, (/0, 1/), (/nGC_161, nGC_161/))

      allocate(vertices(2466)%branch(0:0))
      call av(2466, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2467)%branch(0:0))
      call av(2467, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2468)%branch(0:0))
      call av(2468, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_635/))

      allocate(vertices(2469)%branch(0:0))
      call av(2469, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_184, nGC_184/))

      allocate(vertices(2470)%branch(0:0))
      call av(2470, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2471)%branch(0:0))
      call av(2471, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_175, nGC_176/))

      allocate(vertices(2472)%branch(0:0))
      call av(2472, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2473)%branch(0:0))
      call av(2473, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_2, nGC_2/))

      allocate(vertices(2474)%branch(0:0))
      call av(2474, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2475)%branch(0:0))
      call av(2475, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2476)%branch(0:0))
      call av(2476, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2477)%branch(0:0))
      call av(2477, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_131, nGC_170/))

      allocate(vertices(2478)%branch(0:0))
      call av(2478, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2479)%branch(0:0))
      call av(2479, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2480)%branch(0:0))
      call av(2480, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2481)%branch(0:0))
      call av(2481, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2482)%branch(0:0))
      call av(2482, 0, 8, 1, 0, UaUV0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2483)%branch(0:0))
      call av(2483, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2484)%branch(0:0))
      call av(2484, 0, 8, 1, 0, VFaF1, (/0, 1/), (/nGC_4, nGC_4/))

      allocate(vertices(2485)%branch(0:0))
      call av(2485, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2486)%branch(0:0))
      call av(2486, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2487)%branch(0:0))
      call av(2487, 0, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_173, nGC_173/))

      allocate(vertices(2488)%branch(0:0))
      call av(2488, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_32/))

      allocate(vertices(2489)%branch(0:0))
      call av(2489, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_54/))

      allocate(vertices(2490)%branch(0:0))
      call av(2490, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2491)%branch(0:0))
      call av(2491, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2492)%branch(0:0))
      call av(2492, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2493)%branch(0:0))
      call av(2493, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2494)%branch(0:0))
      call av(2494, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2495)%branch(0:0))
      call av(2495, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2496)%branch(0:0))
      call av(2496, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_96/))

      allocate(vertices(2497)%branch(0:0))
      call av(2497, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2498)%branch(0:0))
      call av(2498, 0, 8, 1, 0, UaVU0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2499)%branch(0:0))
      call av(2499, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2500)%branch(0:0))
      call av(2500, 0, 8, 1, 0, SFFa2, (/0, 1/), (/nGC_158/))

      allocate(vertices(2501)%branch(0:0))
      call av(2501, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_101/))

      allocate(vertices(2502)%branch(0:0))
      call av(2502, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_149, nGC_149/))

      allocate(vertices(2503)%branch(0:0))
      call av(2503, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2504)%branch(0:0))
      call av(2504, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2505)%branch(0:0))
      call av(2505, 0, 8, 1, 0, FaSF2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2506)%branch(0:0))
      call av(2506, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_142, nGC_178/))

      allocate(vertices(2507)%branch(0:0))
      call av(2507, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_120/))

      allocate(vertices(2508)%branch(0:0))
      call av(2508, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_154/))

      allocate(vertices(2509)%branch(0:0))
      call av(2509, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2510)%branch(0:0))
      call av(2510, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_637/))

      allocate(vertices(2511)%branch(0:0))
      call av(2511, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2512)%branch(0:0))
      call av(2512, 0, 8, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2513)%branch(0:0))
      call av(2513, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_147, nGC_148/))

      allocate(vertices(2514)%branch(0:0))
      call av(2514, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2515)%branch(0:0))
      call av(2515, 0, 8, 1, 0, FSFa2, (/0, 1/), (/nGC_162/))

      allocate(vertices(2516)%branch(0:0))
      call av(2516, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_26/))

      allocate(vertices(2517)%branch(0:0))
      call av(2517, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_165, nGC_165/))

      allocate(vertices(2518)%branch(0:0))
      call av(2518, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2519)%branch(0:0))
      call av(2519, 0, 20, 1, 0, VFFa0, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2520)%branch(0:0))
      call av(2520, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2521)%branch(0:0))
      call av(2521, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2522)%branch(0:0))
      call av(2522, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_28/))

      allocate(vertices(2523)%branch(0:0))
      call av(2523, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2524)%branch(0:0))
      call av(2524, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2525)%branch(0:0))
      call av(2525, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2526)%branch(0:0))
      call av(2526, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2527)%branch(0:0))
      call av(2527, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2528)%branch(0:0))
      call av(2528, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2529)%branch(0:0))
      call av(2529, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_60/))

      allocate(vertices(2530)%branch(0:0))
      call av(2530, 0, 8, 1, 0, VFFa1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2531)%branch(0:0))
      call av(2531, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2532)%branch(0:0))
      call av(2532, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_120/))

      allocate(vertices(2533)%branch(0:0))
      call av(2533, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2534)%branch(0:0))
      call av(2534, 0, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2535)%branch(0:0))
      call av(2535, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(2536)%branch(0:0))
      call av(2536, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_36/))

      allocate(vertices(2537)%branch(0:0))
      call av(2537, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_153, nGC_153/))

      allocate(vertices(2538)%branch(0:0))
      call av(2538, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2539)%branch(0:0))
      call av(2539, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2540)%branch(0:0))
      call av(2540, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2541)%branch(0:0))
      call av(2541, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2542)%branch(0:0))
      call av(2542, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2543)%branch(0:0))
      call av(2543, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2544)%branch(0:0))
      call av(2544, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_623/))

      allocate(vertices(2545)%branch(0:0))
      call av(2545, 0, 8, 1, 0, FaFS2, (/0, 1/), (/nGC_189/))

      allocate(vertices(2546)%branch(0:0))
      call av(2546, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2547)%branch(0:0))
      call av(2547, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2548)%branch(0:0))
      call av(2548, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_178, nGC_142/))

      allocate(vertices(2549)%branch(0:0))
      call av(2549, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2550)%branch(0:0))
      call av(2550, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2551)%branch(0:0))
      call av(2551, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_59/))

      allocate(vertices(2552)%branch(0:0))
      call av(2552, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_607/))

      allocate(vertices(2553)%branch(0:0))
      call av(2553, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_110/))

      allocate(vertices(2554)%branch(0:0))
      call av(2554, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2555)%branch(0:0))
      call av(2555, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2556)%branch(0:0))
      call av(2556, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2557)%branch(0:0))
      call av(2557, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2558)%branch(0:0))
      call av(2558, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2559)%branch(0:0))
      call av(2559, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2560)%branch(0:0))
      call av(2560, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2561)%branch(0:0))
      call av(2561, 0, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_188, nGC_188/))

      allocate(vertices(2562)%branch(0:0))
      call av(2562, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2563)%branch(0:0))
      call av(2563, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_151, nGC_152/))

      allocate(vertices(2564)%branch(0:0))
      call av(2564, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_53/))

      allocate(vertices(2565)%branch(0:0))
      call av(2565, 0, 8, 1, 0, SVS0, (/0, 1/), (/nGC_637/))

      allocate(vertices(2566)%branch(0:0))
      call av(2566, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2567)%branch(0:0))
      call av(2567, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2568)%branch(0:0))
      call av(2568, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2569)%branch(0:0))
      call av(2569, 0, 18, 1, 0, FaFV0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2570)%branch(0:0))
      call av(2570, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2571)%branch(0:0))
      call av(2571, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_123/))

      allocate(vertices(2572)%branch(0:0))
      call av(2572, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_186, nGC_187/))

      allocate(vertices(2573)%branch(0:0))
      call av(2573, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_112/))

      allocate(vertices(2574)%branch(0:0))
      call av(2574, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2575)%branch(0:0))
      call av(2575, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2576)%branch(0:0))
      call av(2576, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_629/))

      allocate(vertices(2577)%branch(0:0))
      call av(2577, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2578)%branch(0:0))
      call av(2578, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_44/))

      allocate(vertices(2579)%branch(0:0))
      call av(2579, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2580)%branch(0:0))
      call av(2580, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2581)%branch(0:0))
      call av(2581, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_97/))

      allocate(vertices(2582)%branch(0:0))
      call av(2582, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2583)%branch(0:0))
      call av(2583, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2584)%branch(0:0))
      call av(2584, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_52/))

      allocate(vertices(2585)%branch(0:0))
      call av(2585, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_137, nGC_137/))

      allocate(vertices(2586)%branch(0:0))
      call av(2586, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_605, nGC_83, nGC_605/))

      allocate(vertices(2587)%branch(0:0))
      call av(2587, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_20/))

      allocate(vertices(2588)%branch(0:0))
      call av(2588, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2589)%branch(0:0))
      call av(2589, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2590)%branch(0:0))
      call av(2590, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_35/))

      allocate(vertices(2591)%branch(0:0))
      call av(2591, 0, 8, 1, 0, USUa0, (/0, 1/), (/nGC_98/))

      allocate(vertices(2592)%branch(0:0))
      call av(2592, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2593)%branch(0:0))
      call av(2593, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2594)%branch(0:0))
      call av(2594, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_56/))

      allocate(vertices(2595)%branch(0:0))
      call av(2595, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_25/))

      allocate(vertices(2596)%branch(0:0))
      call av(2596, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2597)%branch(0:0))
      call av(2597, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_144, nGC_143/))

      allocate(vertices(2598)%branch(0:0))
      call av(2598, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2599)%branch(0:0))
      call av(2599, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_177, nGC_177/))

      allocate(vertices(2600)%branch(0:0))
      call av(2600, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_124/))

      allocate(vertices(2601)%branch(0:0))
      call av(2601, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(2602)%branch(0:0))
      call av(2602, 0, 8, 1, 0, VFFa0, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2603)%branch(0:0))
      call av(2603, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2604)%branch(0:0))
      call av(2604, 0, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_150, nGC_196/))

      allocate(vertices(2605)%branch(0:0))
      call av(2605, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_39/))

      allocate(vertices(2606)%branch(0:0))
      call av(2606, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2607)%branch(0:0))
      call av(2607, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_157, nGC_157/))

      allocate(vertices(2608)%branch(0:0))
      call av(2608, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2609)%branch(0:0))
      call av(2609, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_181, nGC_138/))

      allocate(vertices(2610)%branch(0:0))
      call av(2610, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2611)%branch(0:0))
      call av(2611, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_113/))

      allocate(vertices(2612)%branch(0:0))
      call av(2612, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2613)%branch(0:0))
      call av(2613, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_51/))

      allocate(vertices(2614)%branch(0:0))
      call av(2614, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_68/))

      allocate(vertices(2615)%branch(0:0))
      call av(2615, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_87, nGC_84/))

      allocate(vertices(2616)%branch(0:0))
      call av(2616, 0, 19, 1, 0, FaVF0, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2617)%branch(0:0))
      call av(2617, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2618)%branch(0:0))
      call av(2618, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2619)%branch(0:0))
      call av(2619, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2620)%branch(0:0))
      call av(2620, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_132, nGC_633/))

      allocate(vertices(2621)%branch(0:0))
      call av(2621, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_27/))

      allocate(vertices(2622)%branch(0:0))
      call av(2622, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_170, nGC_131/))

      allocate(vertices(2623)%branch(0:0))
      call av(2623, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2624)%branch(0:0))
      call av(2624, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_93/))

      allocate(vertices(2625)%branch(0:0))
      call av(2625, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2626)%branch(0:0))
      call av(2626, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2627)%branch(0:0))
      call av(2627, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_31/))

      allocate(vertices(2628)%branch(0:0))
      call av(2628, 0, 19, 1, 0, FaSF0, (/0, 1/), (/nGC_181, nGC_138/))

      allocate(vertices(2629)%branch(0:0))
      call av(2629, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2630)%branch(0:0))
      call av(2630, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2631)%branch(0:0))
      call av(2631, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_196, nGC_150/))

      allocate(vertices(2632)%branch(0:0))
      call av(2632, 0, 8, 1, 0, FaFV0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2633)%branch(0:0))
      call av(2633, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_24/))

      allocate(vertices(2634)%branch(0:0))
      call av(2634, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2635)%branch(0:0))
      call av(2635, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2636)%branch(0:0))
      call av(2636, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_62/))

      allocate(vertices(2637)%branch(0:0))
      call av(2637, 0, 19, 1, 0, FaVF1, (/0, 1/), (/nGC_80/))

      allocate(vertices(2638)%branch(0:0))
      call av(2638, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_30/))

      allocate(vertices(2639)%branch(0:0))
      call av(2639, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2640)%branch(0:0))
      call av(2640, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2641)%branch(0:0))
      call av(2641, 0, 8, 1, 0, UVUa0, (/0, 1/), (/nGC_609/))

      allocate(vertices(2642)%branch(0:0))
      call av(2642, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_33/))

      allocate(vertices(2643)%branch(0:0))
      call av(2643, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2644)%branch(0:0))
      call av(2644, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_100/))

      allocate(vertices(2645)%branch(0:1))
      call av(2645, 0, 28, 5, 0, VFFa0, (/1, 0/), (/nGC_7, nGC_7/))

      call av(2645, 1, 29, 4, 0, VFFa0, (/1, 0/), (/nGC_7, nGC_7/))

      allocate(vertices(2646)%branch(0:0))
      call av(2646, 0, 8, 1, 0, SFFa1, (/0, 1/), (/nGC_166/))

      allocate(vertices(2647)%branch(0:0))
      call av(2647, 0, 8, 1, 0, VUaU0, (/0, 1/), (/nGC_609/))

      allocate(vertices(2648)%branch(0:0))
      call av(2648, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_47/))

      allocate(vertices(2649)%branch(0:0))
      call av(2649, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2650)%branch(0:0))
      call av(2650, 0, 8, 1, 0, FVFa1, (/0, 1/), (/nGC_89, nGC_86/))

      allocate(vertices(2651)%branch(0:0))
      call av(2651, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2652)%branch(0:0))
      call av(2652, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2653)%branch(0:0))
      call av(2653, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2654)%branch(0:0))
      call av(2654, 0, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_76/))

      allocate(vertices(2655)%branch(0:0))
      call av(2655, 0, 8, 1, 0, SSV0, (/0, 1/), (/nGC_72/))

      allocate(vertices(2656)%branch(0:0))
      call av(2656, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_41/))

      allocate(vertices(2657)%branch(0:0))
      call av(2657, 0, 21, 1, 0, VFaF1, (/0, 1/), (/nGC_1, nGC_1/))

      allocate(vertices(2658)%branch(0:0))
      call av(2658, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2659)%branch(0:0))
      call av(2659, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2660)%branch(0:0))
      call av(2660, 0, 9, 1, 0, VVVV0, (/0, 2/), (/nGC_5, nGC_5, nGC_619/))

      allocate(vertices(2661)%branch(0:0))
      call av(2661, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_42/))

      allocate(vertices(2662)%branch(0:0))
      call av(2662, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2663)%branch(0:0))
      call av(2663, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_111/))

      allocate(vertices(2664)%branch(0:0))
      call av(2664, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_23/))

      allocate(vertices(2665)%branch(0:0))
      call av(2665, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_57/))

      allocate(vertices(2666)%branch(0:0))
      call av(2666, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2667)%branch(0:0))
      call av(2667, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_34/))

      allocate(vertices(2668)%branch(0:0))
      call av(2668, 0, 8, 1, 0, SFaF2, (/0, 1/), (/nGC_185/))

      allocate(vertices(2669)%branch(0:0))
      call av(2669, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_17/))

      allocate(vertices(2670)%branch(0:0))
      call av(2670, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2671)%branch(0:0))
      call av(2671, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_48/))

      allocate(vertices(2672)%branch(0:0))
      call av(2672, 0, 8, 1, 0, VSS0, (/0, 1/), (/nGC_72/))

      allocate(vertices(2673)%branch(0:0))
      call av(2673, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_40/))

      allocate(vertices(2674)%branch(0:0))
      call av(2674, 0, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_147, nGC_148/))

      allocate(vertices(2675)%branch(0:0))
      call av(2675, 0, 8, 1, 0, SVV0, (/0, 1/), (/nGC_126/))

      allocate(vertices(2676)%branch(0:0))
      call av(2676, 0, 8, 1, 0, FaFS1, (/0, 1/), (/nGC_155, nGC_156/))

      allocate(vertices(2677)%branch(0:0))
      call av(2677, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_58/))

      allocate(vertices(2678)%branch(0:0))
      call av(2678, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2679)%branch(0:0))
      call av(2679, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_136, nGC_135/))

      allocate(vertices(2680)%branch(0:0))
      call av(2680, 0, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_155, nGC_156/))

      allocate(vertices(2681)%branch(0:0))
      call av(2681, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_66/))

      allocate(vertices(2682)%branch(0:0))
      call av(2682, 0, 8, 1, 0, FVFa0, (/0, 1/), (/nGC_80/))

      allocate(vertices(2683)%branch(0:0))
      call av(2683, 0, 8, 1, 0, VSV0, (/0, 1/), (/nGC_126/))

      allocate(vertices(2684)%branch(0:0))
      call av(2684, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_99/))

      allocate(vertices(2685)%branch(0:0))
      call av(2685, 0, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_134, nGC_174/))

      allocate(vertices(2686)%branch(0:0))
      call av(2686, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_43/))

      allocate(vertices(2687)%branch(0:0))
      call av(2687, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_19/))

      allocate(vertices(2688)%branch(0:0))
      call av(2688, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_110/))

      allocate(vertices(2689)%branch(0:0))
      call av(2689, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2690)%branch(0:0))
      call av(2690, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_50/))

      allocate(vertices(2691)%branch(0:0))
      call av(2691, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_22/))

      allocate(vertices(2692)%branch(0:0))
      call av(2692, 0, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_171, nGC_172/))

      allocate(vertices(2693)%branch(0:0))
      call av(2693, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2694)%branch(0:0))
      call av(2694, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_49/))

      allocate(vertices(2695)%branch(0:0))
      call av(2695, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_99/))

      allocate(vertices(2696)%branch(0:0))
      call av(2696, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_37/))

      allocate(vertices(2697)%branch(0:0))
      call av(2697, 0, 18, 1, 0, FaFV1, (/0, 1/), (/nGC_88, nGC_85/))

      allocate(vertices(2698)%branch(0:0))
      call av(2698, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_14/))

      allocate(vertices(2699)%branch(0:0))
      call av(2699, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_15/))

      allocate(vertices(2700)%branch(0:0))
      call av(2700, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_73/))

      allocate(vertices(2701)%branch(0:0))
      call av(2701, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_70/))

      allocate(vertices(2702)%branch(0:0))
      call av(2702, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_65/))

      allocate(vertices(2703)%branch(0:0))
      call av(2703, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_16/))

      allocate(vertices(2704)%branch(0:0))
      call av(2704, 0, 8, 1, 0, SSS0, (/0, 1/), (/nGC_121/))

      allocate(vertices(2705)%branch(0:0))
      call av(2705, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_70/))

      allocate(vertices(0)%branchCT(0:0))
      call avCT(0, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(6)%branchCT(0:0))
      call avCT(6, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(2706)%branchCT(0:0))
      call avCT(2706, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(27)%branchCT(0:1))
      call avCT(27, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2610/))

      call avCT(27, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(841)%branchCT(0:1))
      call avCT(841, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2612/))

      call avCT(841, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2613/))

      allocate(vertices(2707)%branchCT(0:0))
      call avCT(2707, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2614/))

      allocate(vertices(5)%branchCT(0:0))
      call avCT(5, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2615, nGC_2615, nGC_2616 &
      /))

      allocate(vertices(1)%branchCT(0:1))
      call avCT(1, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2617/))

      call avCT(1, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2618/))

      allocate(vertices(2708)%branchCT(0:0))
      call avCT(2708, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(7)%branchCT(0:1))
      call avCT(7, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2620/))

      call avCT(7, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2621/))

      allocate(vertices(2709)%branchCT(0:0))
      call avCT(2709, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(8)%branchCT(0:0))
      call avCT(8, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(9)%branchCT(0:0))
      call avCT(9, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2623/))

      allocate(vertices(10)%branchCT(0:0))
      call avCT(10, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(11)%branchCT(0:1))
      call avCT(11, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2625/))

      call avCT(11, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2626/))

      allocate(vertices(12)%branchCT(0:1))
      call avCT(12, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_2627, nGC_2629/))

      call avCT(12, 1, 8, 1, 0, SFaF0, (/0, 1/), (/nGC_2628, nGC_2630/))

      allocate(vertices(13)%branchCT(0:1))
      call avCT(13, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2612/))

      call avCT(13, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2613/))

      allocate(vertices(14)%branchCT(0:0))
      call avCT(14, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(2149)%branchCT(0:1))
      call avCT(2149, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2631/))

      call avCT(2149, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(2710)%branchCT(0:0))
      call avCT(2710, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(16)%branchCT(0:0))
      call avCT(16, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_2634/))

      allocate(vertices(2711)%branchCT(0:0))
      call avCT(2711, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(17)%branchCT(0:1))
      call avCT(17, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(17, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(2712)%branchCT(0:0))
      call avCT(2712, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(19)%branchCT(0:0))
      call avCT(19, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_2639/))

      allocate(vertices(20)%branchCT(0:1))
      call avCT(20, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2640/))

      call avCT(20, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(122)%branchCT(0:1))
      call avCT(122, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2642/))

      call avCT(122, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2643/))

      allocate(vertices(1815)%branchCT(0:0))
      call avCT(1815, 0, 8, 1, 0, USUa0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(112)%branchCT(0:0))
      call avCT(112, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(23)%branchCT(0:1))
      call avCT(23, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2645/))

      call avCT(23, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(24)%branchCT(0:0))
      call avCT(24, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2647/))

      allocate(vertices(25)%branchCT(0:1))
      call avCT(25, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2610/))

      call avCT(25, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(26)%branchCT(0:0))
      call avCT(26, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_2648, nGC_2649/))

      allocate(vertices(2)%branchCT(0:0))
      call avCT(2, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(29)%branchCT(0:1))
      call avCT(29, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(29, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(1733)%branchCT(0:1))
      call avCT(1733, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2651/))

      call avCT(1733, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2652/))

      allocate(vertices(2713)%branchCT(0:1))
      call avCT(2713, 0, 42, 1, 0, FaF0, (/0, 2/), (/nGC_2653, nGC_2655,       &
      nGC_2655, nGC_2657/))

      call avCT(2713, 1, 42, 1, 0, FaF0, (/2, 0/), (/nGC_2654, nGC_2656,       &
      nGC_2656, nGC_2658/))

      allocate(vertices(30)%branchCT(0:1))
      call avCT(30, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2659/))

      call avCT(30, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2660/))

      allocate(vertices(2714)%branchCT(0:0))
      call avCT(2714, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2715)%branchCT(0:0))
      call avCT(2715, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(31)%branchCT(0:1))
      call avCT(31, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(31, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(32)%branchCT(0:1))
      call avCT(32, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(32, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(33)%branchCT(0:0))
      call avCT(33, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2666/))

      allocate(vertices(34)%branchCT(0:1))
      call avCT(34, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2667, nGC_2669/))

      call avCT(34, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_2668, nGC_2670/))

      allocate(vertices(2716)%branchCT(0:0))
      call avCT(2716, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(35)%branchCT(0:1))
      call avCT(35, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(35, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(36)%branchCT(0:0))
      call avCT(36, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(2717)%branchCT(0:0))
      call avCT(2717, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(384)%branchCT(0:1))
      call avCT(384, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2673, nGC_2675/))

      call avCT(384, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2674, nGC_2676/))

      allocate(vertices(37)%branchCT(0:1))
      call avCT(37, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(37, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(2718)%branchCT(0:0))
      call avCT(2718, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2679/))

      allocate(vertices(2719)%branchCT(0:0))
      call avCT(2719, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2720)%branchCT(0:0))
      call avCT(2720, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(38)%branchCT(0:1))
      call avCT(38, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2680/))

      call avCT(38, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(39)%branchCT(0:0))
      call avCT(39, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_2682/))

      allocate(vertices(40)%branchCT(0:1))
      call avCT(40, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2683/))

      call avCT(40, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2684/))

      allocate(vertices(2721)%branchCT(0:0))
      call avCT(2721, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(2722)%branchCT(0:0))
      call avCT(2722, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2723)%branchCT(0:0))
      call avCT(2723, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2614/))

      allocate(vertices(2724)%branchCT(0:0))
      call avCT(2724, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(2725)%branchCT(0:0))
      call avCT(2725, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(41)%branchCT(0:1))
      call avCT(41, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2687/))

      call avCT(41, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2688/))

      allocate(vertices(2726)%branchCT(0:0))
      call avCT(2726, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(42)%branchCT(0:0))
      call avCT(42, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(2727)%branchCT(0:0))
      call avCT(2727, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_2689/))

      allocate(vertices(43)%branchCT(0:0))
      call avCT(43, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(2728)%branchCT(0:0))
      call avCT(2728, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(2729)%branchCT(0:0))
      call avCT(2729, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(44)%branchCT(0:1))
      call avCT(44, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2691/))

      call avCT(44, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2692/))

      allocate(vertices(2730)%branchCT(0:0))
      call avCT(2730, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(2141)%branchCT(0:0))
      call avCT(2141, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2694/))

      allocate(vertices(47)%branchCT(0:1))
      call avCT(47, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2467/))

      call avCT(47, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2695/))

      allocate(vertices(2731)%branchCT(0:0))
      call avCT(2731, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2696/))

      allocate(vertices(48)%branchCT(0:0))
      call avCT(48, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2697/))

      allocate(vertices(49)%branchCT(0:1))
      call avCT(49, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2698/))

      call avCT(49, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(344)%branchCT(0:0))
      call avCT(344, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(1858)%branchCT(0:1))
      call avCT(1858, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(1858, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(51)%branchCT(0:0))
      call avCT(51, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(1806)%branchCT(0:0))
      call avCT(1806, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(1430)%branchCT(0:1))
      call avCT(1430, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(1430, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(52)%branchCT(0:0))
      call avCT(52, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(53)%branchCT(0:1))
      call avCT(53, 0, 18, 1, 0, FaFV1, (/0, 3/), (/nGC_2703, nGC_2705/))

      call avCT(53, 1, 18, 1, 0, FaFV1, (/2, 1/), (/nGC_2704, nGC_2706/))

      allocate(vertices(2732)%branchCT(0:0))
      call avCT(2732, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2707/))

      allocate(vertices(54)%branchCT(0:1))
      call avCT(54, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2708/))

      call avCT(54, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2709/))

      allocate(vertices(1288)%branchCT(0:1))
      call avCT(1288, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2710, nGC_2712/))

      call avCT(1288, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2711, nGC_2713/))

      allocate(vertices(2733)%branchCT(0:0))
      call avCT(2733, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2622/))

      allocate(vertices(56)%branchCT(0:1))
      call avCT(56, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2698/))

      call avCT(56, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(57)%branchCT(0:2))
      call avCT(57, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2714, nGC_2717/))

      call avCT(57, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2715, nGC_2718/))

      call avCT(57, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2716, nGC_2719/))

      allocate(vertices(2734)%branchCT(0:0))
      call avCT(2734, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2720/))

      allocate(vertices(59)%branchCT(0:1))
      call avCT(59, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2721/))

      call avCT(59, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2722/))

      allocate(vertices(60)%branchCT(0:2))
      call avCT(60, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2723, nGC_2726/))

      call avCT(60, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2724, nGC_2727/))

      call avCT(60, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2725, nGC_2728/))

      allocate(vertices(408)%branchCT(0:1))
      call avCT(408, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2631/))

      call avCT(408, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(420)%branchCT(0:1))
      call avCT(420, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2729/))

      call avCT(420, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2730/))

      allocate(vertices(63)%branchCT(0:0))
      call avCT(63, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2731/))

      allocate(vertices(429)%branchCT(0:1))
      call avCT(429, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2732, nGC_2734/))

      call avCT(429, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2733, nGC_2735/))

      allocate(vertices(65)%branchCT(0:0))
      call avCT(65, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2736, nGC_2737, nGC_2737&
      /))

      allocate(vertices(2735)%branchCT(0:0))
      call avCT(2735, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2738/))

      allocate(vertices(66)%branchCT(0:0))
      call avCT(66, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(256)%branchCT(0:1))
      call avCT(256, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_2687/))

      call avCT(256, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_2688/))

      allocate(vertices(2736)%branchCT(0:0))
      call avCT(2736, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2739/))

      allocate(vertices(67)%branchCT(0:1))
      call avCT(67, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(67, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(68)%branchCT(0:1))
      call avCT(68, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(68, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(69)%branchCT(0:0))
      call avCT(69, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2701/))

      allocate(vertices(70)%branchCT(0:0))
      call avCT(70, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(71)%branchCT(0:0))
      call avCT(71, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2742/))

      allocate(vertices(72)%branchCT(0:1))
      call avCT(72, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(72, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(73)%branchCT(0:1))
      call avCT(73, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2745/))

      call avCT(73, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(514)%branchCT(0:0))
      call avCT(514, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(76)%branchCT(0:0))
      call avCT(76, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(423)%branchCT(0:1))
      call avCT(423, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(423, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(78)%branchCT(0:1))
      call avCT(78, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2748/))

      call avCT(78, 1, 8, 1, 0, VVS0, (/0, 1/), (/nGC_2749/))

      allocate(vertices(79)%branchCT(0:1))
      call avCT(79, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2750/))

      call avCT(79, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2751/))

      allocate(vertices(1380)%branchCT(0:1))
      call avCT(1380, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2680/))

      call avCT(1380, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(81)%branchCT(0:1))
      call avCT(81, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2468/))

      call avCT(81, 1, 8, 1, 0, SUUa0, (/0, 1/), (/nGC_2752/))

      allocate(vertices(854)%branchCT(0:1))
      call avCT(854, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(854, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(2737)%branchCT(0:0))
      call avCT(2737, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2753/))

      allocate(vertices(2738)%branchCT(0:1))
      call avCT(2738, 0, 14, 1, 0, FFa0, (/0, 2/), (/nGC_2754, nGC_2756,       &
      nGC_2756, nGC_2758/))

      call avCT(2738, 1, 14, 1, 0, FFa0, (/2, 0/), (/nGC_2755, nGC_2757,       &
      nGC_2757, nGC_2759/))

      allocate(vertices(83)%branchCT(0:2))
      call avCT(83, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2760, nGC_2763/))

      call avCT(83, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2761, nGC_2764/))

      call avCT(83, 2, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_2762, nGC_2765/))

      allocate(vertices(84)%branchCT(0:0))
      call avCT(84, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2766/))

      allocate(vertices(425)%branchCT(0:1))
      call avCT(425, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(425, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(85)%branchCT(0:1))
      call avCT(85, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2767/))

      call avCT(85, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2739)%branchCT(0:0))
      call avCT(2739, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2769/))

      allocate(vertices(15)%branchCT(0:1))
      call avCT(15, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2770/))

      call avCT(15, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(87)%branchCT(0:1))
      call avCT(87, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2772, nGC_2772/))

      call avCT(87, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2773, nGC_2773/))

      allocate(vertices(857)%branchCT(0:1))
      call avCT(857, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(857, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(88)%branchCT(0:1))
      call avCT(88, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2680/))

      call avCT(88, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(2177)%branchCT(0:1))
      call avCT(2177, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2774, nGC_2776/))

      call avCT(2177, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2775, nGC_2777/))

      allocate(vertices(426)%branchCT(0:1))
      call avCT(426, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2778/))

      call avCT(426, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(1951)%branchCT(0:0))
      call avCT(1951, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_2780/))

      allocate(vertices(91)%branchCT(0:1))
      call avCT(91, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(91, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(2740)%branchCT(0:0))
      call avCT(2740, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2738/))

      allocate(vertices(2741)%branchCT(0:0))
      call avCT(2741, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2720/))

      allocate(vertices(2742)%branchCT(0:0))
      call avCT(2742, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(2743)%branchCT(0:0))
      call avCT(2743, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(92)%branchCT(0:2))
      call avCT(92, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2781, nGC_2784/))

      call avCT(92, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2782, nGC_2785/))

      call avCT(92, 2, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_2783, nGC_2786/))

      allocate(vertices(859)%branchCT(0:1))
      call avCT(859, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2787/))

      call avCT(859, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(656)%branchCT(0:0))
      call avCT(656, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2700/))

      allocate(vertices(2235)%branchCT(0:0))
      call avCT(2235, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2789/))

      allocate(vertices(2279)%branchCT(0:0))
      call avCT(2279, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(2744)%branchCT(0:0))
      call avCT(2744, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(2745)%branchCT(0:0))
      call avCT(2745, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(98)%branchCT(0:1))
      call avCT(98, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2791, nGC_2793/))

      call avCT(98, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2792, nGC_2794/))

      allocate(vertices(99)%branchCT(0:0))
      call avCT(99, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2795/))

      allocate(vertices(697)%branchCT(0:1))
      call avCT(697, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2631/))

      call avCT(697, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(101)%branchCT(0:0))
      call avCT(101, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2796/))

      allocate(vertices(2746)%branchCT(0:0))
      call avCT(2746, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(102)%branchCT(0:0))
      call avCT(102, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2798, nGC_2799,        &
      nGC_2798/))

      allocate(vertices(103)%branchCT(0:0))
      call avCT(103, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(2747)%branchCT(0:0))
      call avCT(2747, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(2748)%branchCT(0:0))
      call avCT(2748, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(21)%branchCT(0:0))
      call avCT(21, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_2802/))

      allocate(vertices(105)%branchCT(0:0))
      call avCT(105, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(106)%branchCT(0:1))
      call avCT(106, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2617/))

      call avCT(106, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2618/))

      allocate(vertices(107)%branchCT(0:1))
      call avCT(107, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2691/))

      call avCT(107, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2692/))

      allocate(vertices(108)%branchCT(0:1))
      call avCT(108, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2804/))

      call avCT(108, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(109)%branchCT(0:1))
      call avCT(109, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2698/))

      call avCT(109, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(111)%branchCT(0:1))
      call avCT(111, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(111, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(2749)%branchCT(0:0))
      call avCT(2749, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2739/))

      allocate(vertices(22)%branchCT(0:1))
      call avCT(22, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2787/))

      call avCT(22, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(2750)%branchCT(0:0))
      call avCT(2750, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2679/))

      allocate(vertices(114)%branchCT(0:0))
      call avCT(114, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(115)%branchCT(0:0))
      call avCT(115, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2806/))

      allocate(vertices(2664)%branchCT(0:1))
      call avCT(2664, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2807/))

      call avCT(2664, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2808/))

      allocate(vertices(116)%branchCT(0:1))
      call avCT(116, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(116, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(117)%branchCT(0:1))
      call avCT(117, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2659/))

      call avCT(117, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2660/))

      allocate(vertices(2751)%branchCT(0:0))
      call avCT(2751, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2738/))

      allocate(vertices(434)%branchCT(0:1))
      call avCT(434, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_2809/))

      call avCT(434, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_2810/))

      allocate(vertices(119)%branchCT(0:1))
      call avCT(119, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2767/))

      call avCT(119, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2752)%branchCT(0:0))
      call avCT(2752, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(2753)%branchCT(0:0))
      call avCT(2753, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(123)%branchCT(0:0))
      call avCT(123, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_2812/))

      allocate(vertices(2754)%branchCT(0:0))
      call avCT(2754, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(124)%branchCT(0:1))
      call avCT(124, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(124, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(2755)%branchCT(0:0))
      call avCT(2755, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_2813, nGC_2814/))

      allocate(vertices(125)%branchCT(0:0))
      call avCT(125, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_2648, nGC_2649/))

      allocate(vertices(2756)%branchCT(0:0))
      call avCT(2756, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(126)%branchCT(0:1))
      call avCT(126, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2816/))

      call avCT(126, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(127)%branchCT(0:2))
      call avCT(127, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2818, nGC_2821/))

      call avCT(127, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2819, nGC_2822/))

      call avCT(127, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2820, nGC_2823/))

      allocate(vertices(2246)%branchCT(0:1))
      call avCT(2246, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2804/))

      call avCT(2246, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(129)%branchCT(0:1))
      call avCT(129, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2824, nGC_2824/))

      call avCT(129, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2825, nGC_2825/))

      allocate(vertices(2757)%branchCT(0:0))
      call avCT(2757, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(1755)%branchCT(0:0))
      call avCT(1755, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2800/))

      allocate(vertices(894)%branchCT(0:1))
      call avCT(894, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2826/))

      call avCT(894, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(133)%branchCT(0:1))
      call avCT(133, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_2687/))

      call avCT(133, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_2688/))

      allocate(vertices(134)%branchCT(0:1))
      call avCT(134, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2612/))

      call avCT(134, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2613/))

      allocate(vertices(135)%branchCT(0:1))
      call avCT(135, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2468/))

      call avCT(135, 1, 8, 1, 0, UaUS0, (/0, 1/), (/nGC_2752/))

      allocate(vertices(1303)%branchCT(0:0))
      call avCT(1303, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2803/))

      allocate(vertices(2582)%branchCT(0:1))
      call avCT(2582, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2698/))

      call avCT(2582, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(137)%branchCT(0:0))
      call avCT(137, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2742/))

      allocate(vertices(138)%branchCT(0:1))
      call avCT(138, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2683/))

      call avCT(138, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2684/))

      allocate(vertices(139)%branchCT(0:0))
      call avCT(139, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2828/))

      allocate(vertices(2758)%branchCT(0:0))
      call avCT(2758, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(2028)%branchCT(0:2))
      call avCT(2028, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2829, nGC_2832/))

      call avCT(2028, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2830, nGC_2833/))

      call avCT(2028, 2, 17, 1, 0, FSFa0, (/0, 1/), (/nGC_2831, nGC_2834/))

      allocate(vertices(140)%branchCT(0:1))
      call avCT(140, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2835, nGC_2835/))

      call avCT(140, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2836, nGC_2836/))

      allocate(vertices(141)%branchCT(0:1))
      call avCT(141, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2837/))

      call avCT(141, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2838/))

      allocate(vertices(2087)%branchCT(0:0))
      call avCT(2087, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2839/))

      allocate(vertices(143)%branchCT(0:1))
      call avCT(143, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2772, nGC_2772/))

      call avCT(143, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2773, nGC_2773/))

      allocate(vertices(144)%branchCT(0:0))
      call avCT(144, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2759)%branchCT(0:0))
      call avCT(2759, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(145)%branchCT(0:0))
      call avCT(145, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(146)%branchCT(0:0))
      call avCT(146, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_2842, nGC_2843/))

      allocate(vertices(147)%branchCT(0:1))
      call avCT(147, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2844/))

      call avCT(147, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(2760)%branchCT(0:0))
      call avCT(2760, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2761)%branchCT(0:0))
      call avCT(2761, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2762)%branchCT(0:0))
      call avCT(2762, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(149)%branchCT(0:0))
      call avCT(149, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_2846/))

      allocate(vertices(991)%branchCT(0:0))
      call avCT(991, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(151)%branchCT(0:1))
      call avCT(151, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2826/))

      call avCT(151, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(152)%branchCT(0:0))
      call avCT(152, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2847/))

      allocate(vertices(153)%branchCT(0:1))
      call avCT(153, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2848/))

      call avCT(153, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(2763)%branchCT(0:0))
      call avCT(2763, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(154)%branchCT(0:1))
      call avCT(154, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2631/))

      call avCT(154, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(155)%branchCT(0:1))
      call avCT(155, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2850, nGC_2850/))

      call avCT(155, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2851, nGC_2851/))

      allocate(vertices(2764)%branchCT(0:0))
      call avCT(2764, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(156)%branchCT(0:1))
      call avCT(156, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_2620/))

      call avCT(156, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_2621/))

      allocate(vertices(2765)%branchCT(0:0))
      call avCT(2765, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2707/))

      allocate(vertices(158)%branchCT(0:1))
      call avCT(158, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(158, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(2766)%branchCT(0:0))
      call avCT(2766, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(1883)%branchCT(0:1))
      call avCT(1883, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2680/))

      call avCT(1883, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(2767)%branchCT(0:0))
      call avCT(2767, 0, 13, 1, 0, VS0, (/0, 2/), (/nGC_2852/))

      allocate(vertices(2768)%branchCT(0:0))
      call avCT(2768, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2672/))

      allocate(vertices(163)%branchCT(0:1))
      call avCT(163, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2743/))

      call avCT(163, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2744/))

      allocate(vertices(164)%branchCT(0:0))
      call avCT(164, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2853/))

      allocate(vertices(2769)%branchCT(0:0))
      call avCT(2769, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(166)%branchCT(0:1))
      call avCT(166, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(166, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(167)%branchCT(0:2))
      call avCT(167, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2760, nGC_2763/))

      call avCT(167, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2761, nGC_2764/))

      call avCT(167, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2762, nGC_2765/))

      allocate(vertices(1350)%branchCT(0:1))
      call avCT(1350, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2854, nGC_2856/))

      call avCT(1350, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2855, nGC_2857/))

      allocate(vertices(168)%branchCT(0:1))
      call avCT(168, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2835, nGC_2835/))

      call avCT(168, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2836, nGC_2836/))

      allocate(vertices(2404)%branchCT(0:1))
      call avCT(2404, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2770/))

      call avCT(2404, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(169)%branchCT(0:1))
      call avCT(169, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2858/))

      call avCT(169, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(2770)%branchCT(0:0))
      call avCT(2770, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(170)%branchCT(0:0))
      call avCT(170, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(2771)%branchCT(0:0))
      call avCT(2771, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(171)%branchCT(0:0))
      call avCT(171, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(1477)%branchCT(0:1))
      call avCT(1477, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2826/))

      call avCT(1477, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2772)%branchCT(0:0))
      call avCT(2772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(2773)%branchCT(0:0))
      call avCT(2773, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2861/))

      allocate(vertices(2774)%branchCT(0:0))
      call avCT(2774, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2638/))

      allocate(vertices(172)%branchCT(0:1))
      call avCT(172, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2862, nGC_2864/))

      call avCT(172, 1, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_2863, nGC_2865/))

      allocate(vertices(173)%branchCT(0:1))
      call avCT(173, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2866/))

      call avCT(173, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(174)%branchCT(0:1))
      call avCT(174, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2868/))

      call avCT(174, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(175)%branchCT(0:1))
      call avCT(175, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2870, nGC_2872/))

      call avCT(175, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2871, nGC_2873/))

      allocate(vertices(176)%branchCT(0:1))
      call avCT(176, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2612/))

      call avCT(176, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2613/))

      allocate(vertices(701)%branchCT(0:1))
      call avCT(701, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(701, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(2326)%branchCT(0:0))
      call avCT(2326, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2799, nGC_2798,       &
      nGC_2798/))

      allocate(vertices(178)%branchCT(0:1))
      call avCT(178, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2745/))

      call avCT(178, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(180)%branchCT(0:0))
      call avCT(180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(181)%branchCT(0:1))
      call avCT(181, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2732, nGC_2734/))

      call avCT(181, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2733, nGC_2735/))

      allocate(vertices(182)%branchCT(0:1))
      call avCT(182, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2683/))

      call avCT(182, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2684/))

      allocate(vertices(183)%branchCT(0:0))
      call avCT(183, 0, 8, 1, 0, UaVU0, (/0, 3/), (/nGC_2874/))

      allocate(vertices(184)%branchCT(0:1))
      call avCT(184, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2680/))

      call avCT(184, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(2775)%branchCT(0:0))
      call avCT(2775, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2739/))

      allocate(vertices(185)%branchCT(0:0))
      call avCT(185, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_2682/))

      allocate(vertices(186)%branchCT(0:1))
      call avCT(186, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2866/))

      call avCT(186, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(1361)%branchCT(0:1))
      call avCT(1361, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2875, nGC_2875/))

      call avCT(1361, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2876, nGC_2876/))

      allocate(vertices(187)%branchCT(0:1))
      call avCT(187, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2787/))

      call avCT(187, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2788/))

      allocate(vertices(188)%branchCT(0:1))
      call avCT(188, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_2877/))

      call avCT(188, 1, 8, 1, 0, SFFa1, (/0, 1/), (/nGC_2878/))

      allocate(vertices(190)%branchCT(0:0))
      call avCT(190, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2694/))

      allocate(vertices(2252)%branchCT(0:1))
      call avCT(2252, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2879/))

      call avCT(2252, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2880/))

      allocate(vertices(2776)%branchCT(0:0))
      call avCT(2776, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(192)%branchCT(0:0))
      call avCT(192, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(193)%branchCT(0:3))
      call avCT(193, 0, 27, 4, 0, FaVF0, (/1, 2/), (/nGC_2882, nGC_2884/))

      call avCT(193, 1, 27, 4, 0, FaVF0, (/3, 0/), (/nGC_2881, nGC_2883/))

      call avCT(193, 2, 26, 5, 0, FaVF0, (/1, 2/), (/nGC_2882, nGC_2884/))

      call avCT(193, 3, 26, 5, 0, FaVF0, (/3, 0/), (/nGC_2881, nGC_2883/))

      allocate(vertices(194)%branchCT(0:0))
      call avCT(194, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(195)%branchCT(0:1))
      call avCT(195, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2885/))

      call avCT(195, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(196)%branchCT(0:1))
      call avCT(196, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2887/))

      call avCT(196, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2888/))

      allocate(vertices(2408)%branchCT(0:1))
      call avCT(2408, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(2408, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(2777)%branchCT(0:0))
      call avCT(2777, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2889/))

      allocate(vertices(197)%branchCT(0:1))
      call avCT(197, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2890, nGC_2892/))

      call avCT(197, 1, 8, 1, 0, SFFa0, (/0, 1/), (/nGC_2891, nGC_2893/))

      allocate(vertices(199)%branchCT(0:0))
      call avCT(199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2624/))

      allocate(vertices(200)%branchCT(0:1))
      call avCT(200, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2745/))

      call avCT(200, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(201)%branchCT(0:1))
      call avCT(201, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2894/))

      call avCT(201, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(202)%branchCT(0:1))
      call avCT(202, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_2896, nGC_2898/))

      call avCT(202, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_2897, nGC_2899/))

      allocate(vertices(203)%branchCT(0:0))
      call avCT(203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(1327)%branchCT(0:1))
      call avCT(1327, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2844/))

      call avCT(1327, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(205)%branchCT(0:1))
      call avCT(205, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2901/))

      call avCT(205, 1, 8, 1, 0, VSS0, (/0, 1/), (/nGC_2902/))

      allocate(vertices(2778)%branchCT(0:0))
      call avCT(2778, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2903/))

      allocate(vertices(2779)%branchCT(0:0))
      call avCT(2779, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2790/))

      allocate(vertices(1343)%branchCT(0:0))
      call avCT(1343, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(207)%branchCT(0:0))
      call avCT(207, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2904/))

      allocate(vertices(208)%branchCT(0:1))
      call avCT(208, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2680/))

      call avCT(208, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(209)%branchCT(0:1))
      call avCT(209, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2905, nGC_2907/))

      call avCT(209, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2906, nGC_2908/))

      allocate(vertices(2780)%branchCT(0:0))
      call avCT(2780, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(210)%branchCT(0:0))
      call avCT(210, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2789/))

      allocate(vertices(2781)%branchCT(0:0))
      call avCT(2781, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(2782)%branchCT(0:0))
      call avCT(2782, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2909, nGC_2910,       &
      nGC_2910, nGC_2911/))

      allocate(vertices(1360)%branchCT(0:2))
      call avCT(1360, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2821, nGC_2818/))

      call avCT(1360, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2822, nGC_2819/))

      call avCT(1360, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2823, nGC_2820/))

      allocate(vertices(2783)%branchCT(0:0))
      call avCT(2783, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2912/))

      allocate(vertices(213)%branchCT(0:1))
      call avCT(213, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2913/))

      call avCT(213, 1, 8, 1, 0, SSV0, (/0, 1/), (/nGC_2914/))

      allocate(vertices(215)%branchCT(0:0))
      call avCT(215, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(1386)%branchCT(0:0))
      call avCT(1386, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2789/))

      allocate(vertices(448)%branchCT(0:1))
      call avCT(448, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2767/))

      call avCT(448, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(218)%branchCT(0:0))
      call avCT(218, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2623/))

      allocate(vertices(2784)%branchCT(0:0))
      call avCT(2784, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_2915/))

      allocate(vertices(2785)%branchCT(0:0))
      call avCT(2785, 0, 13, 1, 0, SV0, (/0, 2/), (/nGC_2916/))

      allocate(vertices(220)%branchCT(0:1))
      call avCT(220, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2917/))

      call avCT(220, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(221)%branchCT(0:0))
      call avCT(221, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(2786)%branchCT(0:0))
      call avCT(2786, 0, 13, 1, 0, FFa0, (/0, 2/), (/nGC_2909, nGC_2910,       &
      nGC_2910, nGC_2911/))

      allocate(vertices(223)%branchCT(0:0))
      call avCT(223, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2920, nGC_2921/))

      allocate(vertices(2787)%branchCT(0:0))
      call avCT(2787, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2259)%branchCT(0:1))
      call avCT(2259, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2868/))

      call avCT(2259, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(225)%branchCT(0:1))
      call avCT(225, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2645/))

      call avCT(225, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2646/))

      allocate(vertices(2788)%branchCT(0:0))
      call avCT(2788, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2922/))

      allocate(vertices(1427)%branchCT(0:1))
      call avCT(1427, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2923/))

      call avCT(1427, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2924/))

      allocate(vertices(227)%branchCT(0:0))
      call avCT(227, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_2802/))

      allocate(vertices(228)%branchCT(0:1))
      call avCT(228, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2698/))

      call avCT(228, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(229)%branchCT(0:1))
      call avCT(229, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2925/))

      call avCT(229, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2926/))

      allocate(vertices(230)%branchCT(0:1))
      call avCT(230, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2617/))

      call avCT(230, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2618/))

      allocate(vertices(231)%branchCT(0:0))
      call avCT(231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2927/))

      allocate(vertices(232)%branchCT(0:1))
      call avCT(232, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(232, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(233)%branchCT(0:0))
      call avCT(233, 0, 8, 1, 0, UaUV0, (/0, 3/), (/nGC_2928/))

      allocate(vertices(883)%branchCT(0:1))
      call avCT(883, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2929/))

      call avCT(883, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(235)%branchCT(0:1))
      call avCT(235, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2931/))

      call avCT(235, 1, 8, 1, 0, SVV0, (/0, 1/), (/nGC_2932/))

      allocate(vertices(236)%branchCT(0:1))
      call avCT(236, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2750/))

      call avCT(236, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2751/))

      allocate(vertices(237)%branchCT(0:1))
      call avCT(237, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_2877/))

      call avCT(237, 1, 8, 1, 0, FaFS0, (/0, 1/), (/nGC_2878/))

      allocate(vertices(1770)%branchCT(0:1))
      call avCT(1770, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2826/))

      call avCT(1770, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(239)%branchCT(0:1))
      call avCT(239, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(239, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(1490)%branchCT(0:0))
      call avCT(1490, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(241)%branchCT(0:2))
      call avCT(241, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2763, nGC_2760/))

      call avCT(241, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2764, nGC_2761/))

      call avCT(241, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2765, nGC_2762/))

      allocate(vertices(242)%branchCT(0:1))
      call avCT(242, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2929/))

      call avCT(242, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(2789)%branchCT(0:0))
      call avCT(2789, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2635/))

      allocate(vertices(244)%branchCT(0:0))
      call avCT(244, 0, 8, 1, 0, UaUS0, (/0, 3/), (/nGC_2644/))

      allocate(vertices(245)%branchCT(0:0))
      call avCT(245, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(246)%branchCT(0:1))
      call avCT(246, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2933/))

      call avCT(246, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2934/))

      allocate(vertices(2217)%branchCT(0:0))
      call avCT(2217, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(1524)%branchCT(0:1))
      call avCT(1524, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2610/))

      call avCT(1524, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(2790)%branchCT(0:0))
      call avCT(2790, 0, 8, 1, 0, SUUa0, (/0, 3/), (/nGC_2614/))

      allocate(vertices(249)%branchCT(0:1))
      call avCT(249, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2925/))

      call avCT(249, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2926/))

      allocate(vertices(250)%branchCT(0:0))
      call avCT(250, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2935/))

      allocate(vertices(251)%branchCT(0:0))
      call avCT(251, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2936/))

      allocate(vertices(2791)%branchCT(0:0))
      call avCT(2791, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(252)%branchCT(0:0))
      call avCT(252, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_2802/))

      allocate(vertices(2262)%branchCT(0:1))
      call avCT(2262, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2816/))

      call avCT(2262, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2817/))

      allocate(vertices(2702)%branchCT(0:1))
      call avCT(2702, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2698/))

      call avCT(2702, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(2792)%branchCT(0:0))
      call avCT(2792, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(2533)%branchCT(0:0))
      call avCT(2533, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(454)%branchCT(0:0))
      call avCT(454, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(255)%branchCT(0:1))
      call avCT(255, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2767/))

      call avCT(255, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2793)%branchCT(0:0))
      call avCT(2793, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2671/))

      allocate(vertices(1593)%branchCT(0:1))
      call avCT(1593, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2467/))

      call avCT(1593, 1, 8, 1, 0, UUaS0, (/0, 1/), (/nGC_2695/))

      allocate(vertices(258)%branchCT(0:1))
      call avCT(258, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2866/))

      call avCT(258, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2867/))

      allocate(vertices(259)%branchCT(0:1))
      call avCT(259, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(259, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(1621)%branchCT(0:1))
      call avCT(1621, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2937, nGC_2937/))

      call avCT(1621, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2938, nGC_2938/))

      allocate(vertices(1775)%branchCT(0:0))
      call avCT(1775, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(1626)%branchCT(0:1))
      call avCT(1626, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2885/))

      call avCT(1626, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(262)%branchCT(0:1))
      call avCT(262, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2770/))

      call avCT(262, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(263)%branchCT(0:1))
      call avCT(263, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2677/))

      call avCT(263, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2678/))

      allocate(vertices(264)%branchCT(0:0))
      call avCT(264, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_2842, nGC_2843/))

      allocate(vertices(889)%branchCT(0:1))
      call avCT(889, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2610/))

      call avCT(889, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(266)%branchCT(0:1))
      call avCT(266, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(266, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(267)%branchCT(0:1))
      call avCT(267, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2745/))

      call avCT(267, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(2794)%branchCT(0:0))
      call avCT(2794, 0, 13, 1, 0, FaF0, (/0, 2/), (/nGC_2939, nGC_2940,       &
      nGC_2940, nGC_2941/))

      allocate(vertices(269)%branchCT(0:1))
      call avCT(269, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2942, nGC_2944/))

      call avCT(269, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2943, nGC_2945/))

      allocate(vertices(1692)%branchCT(0:1))
      call avCT(1692, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2933/))

      call avCT(1692, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2934/))

      allocate(vertices(272)%branchCT(0:1))
      call avCT(272, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2640/))

      call avCT(272, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2641/))

      allocate(vertices(891)%branchCT(0:3))
      call avCT(891, 0, 30, 5, 0, VFaF1, (/1, 2/), (/nGC_2947, nGC_2949/))

      call avCT(891, 1, 30, 5, 0, VFaF1, (/3, 0/), (/nGC_2946, nGC_2948/))

      call avCT(891, 2, 31, 4, 0, VFaF1, (/1, 2/), (/nGC_2947, nGC_2949/))

      call avCT(891, 3, 31, 4, 0, VFaF1, (/3, 0/), (/nGC_2946, nGC_2948/))

      allocate(vertices(458)%branchCT(0:1))
      call avCT(458, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2917/))

      call avCT(458, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2918/))

      allocate(vertices(274)%branchCT(0:0))
      call avCT(274, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2950/))

      allocate(vertices(1750)%branchCT(0:0))
      call avCT(1750, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(2795)%branchCT(0:0))
      call avCT(2795, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2811/))

      allocate(vertices(277)%branchCT(0:1))
      call avCT(277, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(277, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(2796)%branchCT(0:0))
      call avCT(2796, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2903/))

      allocate(vertices(2797)%branchCT(0:0))
      call avCT(2797, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(278)%branchCT(0:1))
      call avCT(278, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2951/))

      call avCT(278, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2952/))

      allocate(vertices(1045)%branchCT(0:1))
      call avCT(1045, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2929/))

      call avCT(1045, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2930/))

      allocate(vertices(2798)%branchCT(0:0))
      call avCT(2798, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(211)%branchCT(0:2))
      call avCT(211, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2821, nGC_2818/))

      call avCT(211, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2822, nGC_2819/))

      call avCT(211, 2, 21, 1, 0, SFaF0, (/0, 1/), (/nGC_2823, nGC_2820/))

      allocate(vertices(2799)%branchCT(0:0))
      call avCT(2799, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2685/))

      allocate(vertices(280)%branchCT(0:1))
      call avCT(280, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2617/))

      call avCT(280, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2618/))

      allocate(vertices(2143)%branchCT(0:1))
      call avCT(2143, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2770/))

      call avCT(2143, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2771/))

      allocate(vertices(281)%branchCT(0:1))
      call avCT(281, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(281, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(282)%branchCT(0:1))
      call avCT(282, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2708/))

      call avCT(282, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2709/))

      allocate(vertices(283)%branchCT(0:1))
      call avCT(283, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2745/))

      call avCT(283, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2746/))

      allocate(vertices(895)%branchCT(0:0))
      call avCT(895, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(285)%branchCT(0:1))
      call avCT(285, 0, 9, 1, 0, SVVS0, (/0, 2/), (/nGC_2767/))

      call avCT(285, 1, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2768/))

      allocate(vertices(2800)%branchCT(0:0))
      call avCT(2800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2801)%branchCT(0:0))
      call avCT(2801, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2696/))

      allocate(vertices(287)%branchCT(0:1))
      call avCT(287, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2953/))

      call avCT(287, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2954/))

      allocate(vertices(288)%branchCT(0:3))
      call avCT(288, 0, 27, 4, 0, FaVF0, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(288, 1, 27, 4, 0, FaVF0, (/1, 2/), (/nGC_2956, nGC_2958/))

      call avCT(288, 2, 26, 5, 0, FaVF0, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(288, 3, 26, 5, 0, FaVF0, (/1, 2/), (/nGC_2956, nGC_2958/))

      allocate(vertices(2802)%branchCT(0:0))
      call avCT(2802, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(289)%branchCT(0:1))
      call avCT(289, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2959/))

      call avCT(289, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2960/))

      allocate(vertices(290)%branchCT(0:1))
      call avCT(290, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2961/))

      call avCT(290, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2962/))

      allocate(vertices(291)%branchCT(0:0))
      call avCT(291, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(2275)%branchCT(0:1))
      call avCT(2275, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2680/))

      call avCT(2275, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(293)%branchCT(0:0))
      call avCT(293, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(294)%branchCT(0:1))
      call avCT(294, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2778/))

      call avCT(294, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2779/))

      allocate(vertices(295)%branchCT(0:1))
      call avCT(295, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2964/))

      call avCT(295, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2965/))

      allocate(vertices(296)%branchCT(0:0))
      call avCT(296, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(1900)%branchCT(0:1))
      call avCT(1900, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2712, nGC_2710/))

      call avCT(1900, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2713, nGC_2711/))

      allocate(vertices(2803)%branchCT(0:0))
      call avCT(2803, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(2610)%branchCT(0:0))
      call avCT(2610, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2650/))

      allocate(vertices(298)%branchCT(0:1))
      call avCT(298, 0, 9, 1, 0, SVSV0, (/0, 2/), (/nGC_2680/))

      call avCT(298, 1, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2681/))

      allocate(vertices(299)%branchCT(0:0))
      call avCT(299, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(2804)%branchCT(0:0))
      call avCT(2804, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(2805)%branchCT(0:0))
      call avCT(2805, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(300)%branchCT(0:1))
      call avCT(300, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(300, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(301)%branchCT(0:1))
      call avCT(301, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2966, nGC_2966/))

      call avCT(301, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2967, nGC_2967/))

      allocate(vertices(2806)%branchCT(0:0))
      call avCT(2806, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2968/))

      allocate(vertices(302)%branchCT(0:0))
      call avCT(302, 0, 8, 1, 0, UUaV0, (/0, 3/), (/nGC_2874/))

      allocate(vertices(2807)%branchCT(0:0))
      call avCT(2807, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2808)%branchCT(0:0))
      call avCT(2808, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(1969)%branchCT(0:1))
      call avCT(1969, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_2969, nGC_2971/))

      call avCT(1969, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_2970, nGC_2972/))

      allocate(vertices(2413)%branchCT(0:0))
      call avCT(2413, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(305)%branchCT(0:1))
      call avCT(305, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_2973, nGC_2975/))

      call avCT(305, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_2974, nGC_2976/))

      allocate(vertices(462)%branchCT(0:0))
      call avCT(462, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(308)%branchCT(0:1))
      call avCT(308, 0, 9, 1, 0, SSVV0, (/0, 2/), (/nGC_2826/))

      call avCT(308, 1, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(309)%branchCT(0:1))
      call avCT(309, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2848/))

      call avCT(309, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2849/))

      allocate(vertices(310)%branchCT(0:1))
      call avCT(310, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_2966, nGC_2966/))

      call avCT(310, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_2967, nGC_2967/))

      allocate(vertices(311)%branchCT(0:1))
      call avCT(311, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2636/))

      call avCT(311, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2637/))

      allocate(vertices(312)%branchCT(0:0))
      call avCT(312, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2747/))

      allocate(vertices(313)%branchCT(0:1))
      call avCT(313, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2868/))

      call avCT(313, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2869/))

      allocate(vertices(314)%branchCT(0:0))
      call avCT(314, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(315)%branchCT(0:1))
      call avCT(315, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2683/))

      call avCT(315, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2684/))

      allocate(vertices(316)%branchCT(0:2))
      call avCT(316, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_2977, nGC_2980/))

      call avCT(316, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_2978, nGC_2981/))

      call avCT(316, 2, 10, 1, 0, FFaS0, (/0, 1/), (/nGC_2979, nGC_2982/))

      allocate(vertices(317)%branchCT(0:0))
      call avCT(317, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_2983, nGC_2983/))

      allocate(vertices(318)%branchCT(0:1))
      call avCT(318, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2631/))

      call avCT(318, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2632/))

      allocate(vertices(319)%branchCT(0:1))
      call avCT(319, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2925/))

      call avCT(319, 1, 8, 1, 0, SSS0, (/0, 1/), (/nGC_2926/))

      allocate(vertices(321)%branchCT(0:0))
      call avCT(321, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(322)%branchCT(0:0))
      call avCT(322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2936/))

      allocate(vertices(323)%branchCT(0:0))
      call avCT(323, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(324)%branchCT(0:1))
      call avCT(324, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2617/))

      call avCT(324, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2618/))

      allocate(vertices(325)%branchCT(0:2))
      call avCT(325, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2977, nGC_2980/))

      call avCT(325, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2978, nGC_2981/))

      call avCT(325, 2, 20, 1, 0, SFFa0, (/0, 1/), (/nGC_2979, nGC_2982/))

      allocate(vertices(326)%branchCT(0:0))
      call avCT(326, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(733)%branchCT(0:1))
      call avCT(733, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2651/))

      call avCT(733, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2652/))

      allocate(vertices(2809)%branchCT(0:0))
      call avCT(2809, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2861/))

      allocate(vertices(329)%branchCT(0:0))
      call avCT(329, 0, 8, 1, 0, SUaU0, (/0, 3/), (/nGC_2904/))

      allocate(vertices(2810)%branchCT(0:0))
      call avCT(2810, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2619/))

      allocate(vertices(330)%branchCT(0:0))
      call avCT(330, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2860/))

      allocate(vertices(1336)%branchCT(0:0))
      call avCT(1336, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(332)%branchCT(0:1))
      call avCT(332, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2901/))

      call avCT(332, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2902/))

      allocate(vertices(333)%branchCT(0:0))
      call avCT(333, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2919/))

      allocate(vertices(334)%branchCT(0:1))
      call avCT(334, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_2748/))

      call avCT(334, 1, 8, 1, 0, VVS0, (/0, 1/), (/nGC_2749/))

      allocate(vertices(2811)%branchCT(0:0))
      call avCT(2811, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_2984/))

      allocate(vertices(1791)%branchCT(0:1))
      call avCT(1791, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2858/))

      call avCT(1791, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2859/))

      allocate(vertices(335)%branchCT(0:1))
      call avCT(335, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2905, nGC_2907/))

      call avCT(335, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2906, nGC_2908/))

      allocate(vertices(336)%branchCT(0:0))
      call avCT(336, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(337)%branchCT(0:1))
      call avCT(337, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_2985, nGC_2985/))

      call avCT(337, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_2986, nGC_2986/))

      allocate(vertices(338)%branchCT(0:1))
      call avCT(338, 0, 9, 1, 0, VSVS0, (/0, 2/), (/nGC_2698/))

      call avCT(338, 1, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(2812)%branchCT(0:0))
      call avCT(2812, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(339)%branchCT(0:1))
      call avCT(339, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_2937, nGC_2937/))

      call avCT(339, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_2938, nGC_2938/))

      allocate(vertices(340)%branchCT(0:0))
      call avCT(340, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2900/))

      allocate(vertices(2813)%branchCT(0:0))
      call avCT(2813, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

      allocate(vertices(2594)%branchCT(0:1))
      call avCT(2594, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2959/))

      call avCT(2594, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2960/))

      allocate(vertices(343)%branchCT(0:1))
      call avCT(343, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(343, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(2814)%branchCT(0:0))
      call avCT(2814, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2801/))

      allocate(vertices(2815)%branchCT(0:0))
      call avCT(2815, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2693/))

      allocate(vertices(1347)%branchCT(0:0))
      call avCT(1347, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2840/))

      allocate(vertices(2816)%branchCT(0:0))
      call avCT(2816, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2841/))

      allocate(vertices(2817)%branchCT(0:0))
      call avCT(2817, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2815/))

      allocate(vertices(345)%branchCT(0:0))
      call avCT(345, 0, 8, 1, 0, UaSU0, (/0, 3/), (/nGC_2904/))

      allocate(vertices(346)%branchCT(0:0))
      call avCT(346, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(347)%branchCT(0:3))
      call avCT(347, 0, 11, 5, 0, FFaV1, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(347, 1, 11, 5, 0, FFaV1, (/1, 2/), (/nGC_2956, nGC_2958/))

      call avCT(347, 2, 12, 4, 0, FFaV1, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(347, 3, 12, 4, 0, FFaV1, (/1, 2/), (/nGC_2956, nGC_2958/))

      allocate(vertices(348)%branchCT(0:1))
      call avCT(348, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2740/))

      call avCT(348, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2741/))

      allocate(vertices(349)%branchCT(0:1))
      call avCT(349, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2662/))

      call avCT(349, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2663/))

      allocate(vertices(350)%branchCT(0:0))
      call avCT(350, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_2648, nGC_2649/))

      allocate(vertices(351)%branchCT(0:1))
      call avCT(351, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2885/))

      call avCT(351, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2886/))

      allocate(vertices(2818)%branchCT(0:0))
      call avCT(2818, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2797/))

      allocate(vertices(352)%branchCT(0:0))
      call avCT(352, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2607/))

      allocate(vertices(2183)%branchCT(0:0))
      call avCT(2183, 0, 8, 1, 0, VUUa0, (/0, 3/), (/nGC_2874/))

      allocate(vertices(354)%branchCT(0:1))
      call avCT(354, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2894/))

      call avCT(354, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2895/))

      allocate(vertices(355)%branchCT(0:0))
      call avCT(355, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2987/))

      allocate(vertices(356)%branchCT(0:1))
      call avCT(356, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(356, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(2819)%branchCT(0:0))
      call avCT(2819, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2661/))

      allocate(vertices(2270)%branchCT(0:1))
      call avCT(2270, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_2988/))

      call avCT(2270, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_2989/))

      allocate(vertices(2820)%branchCT(0:0))
      call avCT(2820, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2609/))

      allocate(vertices(357)%branchCT(0:1))
      call avCT(357, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2844/))

      call avCT(357, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2845/))

      allocate(vertices(358)%branchCT(0:0))
      call avCT(358, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_2780/))

      allocate(vertices(359)%branchCT(0:2))
      call avCT(359, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2990, nGC_2993/))

      call avCT(359, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2991, nGC_2994/))

      call avCT(359, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2992, nGC_2995/))

      allocate(vertices(905)%branchCT(0:1))
      call avCT(905, 0, 9, 1, 0, VSSV0, (/0, 2/), (/nGC_2698/))

      call avCT(905, 1, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2699/))

      allocate(vertices(361)%branchCT(0:1))
      call avCT(361, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(361, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(362)%branchCT(0:2))
      call avCT(362, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_2714, nGC_2717/))

      call avCT(362, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_2715, nGC_2718/))

      call avCT(362, 2, 18, 1, 0, FaFS1, (/0, 1/), (/nGC_2716, nGC_2719/))

      allocate(vertices(906)%branchCT(0:1))
      call avCT(906, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2931/))

      call avCT(906, 1, 8, 1, 0, VSV0, (/0, 1/), (/nGC_2932/))

      allocate(vertices(363)%branchCT(0:1))
      call avCT(363, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_2627, nGC_2629/))

      call avCT(363, 1, 8, 1, 0, FFaS0, (/0, 1/), (/nGC_2628, nGC_2630/))

      allocate(vertices(2361)%branchCT(0:1))
      call avCT(2361, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2664/))

      call avCT(2361, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2665/))

      allocate(vertices(2821)%branchCT(0:0))
      call avCT(2821, 0, 8, 1, 0, UUaS0, (/0, 3/), (/nGC_2769/))

      allocate(vertices(472)%branchCT(0:0))
      call avCT(472, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_2780/))

      allocate(vertices(366)%branchCT(0:0))
      call avCT(366, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2702/))

      allocate(vertices(367)%branchCT(0:0))
      call avCT(367, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2737, nGC_2736,        &
      nGC_2737/))

      allocate(vertices(809)%branchCT(0:0))
      call avCT(809, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2690/))

      allocate(vertices(368)%branchCT(0:0))
      call avCT(368, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_2996/))

      allocate(vertices(369)%branchCT(0:0))
      call avCT(369, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2997/))

      allocate(vertices(1083)%branchCT(0:0))
      call avCT(1083, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(2822)%branchCT(0:0))
      call avCT(2822, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2686/))

      allocate(vertices(370)%branchCT(0:0))
      call avCT(370, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_2647/))

      allocate(vertices(371)%branchCT(0:0))
      call avCT(371, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2608/))

      allocate(vertices(372)%branchCT(0:1))
      call avCT(372, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2610/))

      call avCT(372, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2611/))

      allocate(vertices(2429)%branchCT(0:1))
      call avCT(2429, 0, 9, 1, 0, SSSS0, (/0, 2/), (/nGC_2804/))

      call avCT(2429, 1, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2805/))

      allocate(vertices(375)%branchCT(0:1))
      call avCT(375, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_2998, nGC_3000/))

      call avCT(375, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_2999, nGC_3001/))

      allocate(vertices(2823)%branchCT(0:0))
      call avCT(2823, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_2720/))

      allocate(vertices(377)%branchCT(0:3))
      call avCT(377, 0, 11, 5, 0, FFaV1, (/1, 2/), (/nGC_2882, nGC_2884/))

      call avCT(377, 1, 11, 5, 0, FFaV1, (/3, 0/), (/nGC_2881, nGC_2883/))

      call avCT(377, 2, 12, 4, 0, FFaV1, (/1, 2/), (/nGC_2882, nGC_2884/))

      call avCT(377, 3, 12, 4, 0, FFaV1, (/3, 0/), (/nGC_2881, nGC_2883/))

      allocate(vertices(907)%branchCT(0:3))
      call avCT(907, 0, 22, 5, 0, FVFa1, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(907, 1, 22, 5, 0, FVFa1, (/1, 2/), (/nGC_2956, nGC_2958/))

      call avCT(907, 2, 23, 4, 0, FVFa1, (/3, 0/), (/nGC_2955, nGC_2957/))

      call avCT(907, 3, 23, 4, 0, FVFa1, (/1, 2/), (/nGC_2956, nGC_2958/))

      allocate(vertices(378)%branchCT(0:1))
      call avCT(378, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3002/))

      call avCT(378, 1, 8, 1, 0, SVS0, (/0, 1/), (/nGC_3003/))

      allocate(vertices(1388)%branchCT(0:0))
      call avCT(1388, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2963/))

      allocate(vertices(2159)%branchCT(0:1))
      call avCT(2159, 0, 9, 1, 0, VVSS0, (/0, 2/), (/nGC_2826/))

      call avCT(2159, 1, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2827/))

      allocate(vertices(2824)%branchCT(0:0))
      call avCT(2824, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2633/))

    end subroutine fill_vertices_mdl4
end module vertices_info4
