!******************************************************************************!
!                                                                              !
!    vertices_info9.f90                                                        !
!    is part of RECOLA2 (REcursive Computation of One Loop Amplitudes)2        !
!                                                                              !
!    Copyright (C) 2016-2018 Ansgar Denner, Jean-Nicolas Lang and              !
!                            Sandro Uccirati                                   !
!                                                                              !
!    RECOLA2 is licenced under the GNU GPL version 3,                          !
!    see COPYING for details.                                                  !
!                                                                              !
!******************************************************************************!
!                                                           .---.              !
!                                                          /  .  \             !
!                                                         |\_/|   |            !
!                                                         |   |  /|            !
!          .----------------------------------------------------' |            !
!         /  .-.   vertices_info9.f90                             |            !
!        |  /   \  This code was generated with REPT1L.           |            !
!        | |\_.  | Change this file and you get what you deserve. |            !
!        |\|  | /| Author: J.N. Lang                              |            !
!        | `---' | UFO date: 07/2017                              |            !
!        |       | UFO version: 1.0                               |            !
!        |       | Generation date: 2018-01-19 20:46             /             !
!        |       |----------------------------------------------'              !
!        \       |                                                             !
!         \     /                                                              !
!          `---'                                                               !
!******************************************************************************!
module vertices_info9
  use class_vertices
  use class_couplings
  use class_particles
  use class_ctparameters
  contains
    subroutine fill_vertices_mdl9()
      allocate(vertices(2809)%branchR2(0:0))
      call avR2(2809, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3260/))

      allocate(vertices(1332)%branchR2(0:0))
      call avR2(1332, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2161)%branchR2(0:0))
      call avR2(2161, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(2151)%branchR2(0:0))
      call avR2(2151, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3261/))

      allocate(vertices(2419)%branchR2(0:0))
      call avR2(2419, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(2010)%branchR2(0:1))
      call avR2(2010, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(2010, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(2676)%branchR2(0:0))
      call avR2(2676, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(734)%branchR2(0:0))
      call avR2(734, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1766)%branchR2(0:0))
      call avR2(1766, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2306)%branchR2(0:0))
      call avR2(2306, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2320)%branchR2(0:0))
      call avR2(2320, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(13)%branchR2(0:0))
      call avR2(13, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(932)%branchR2(0:0))
      call avR2(932, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(2134)%branchR2(0:1))
      call avR2(2134, 0, 17, 1, 0, FVFa0, (/0, 3/), (/nGC_1974/))

      call avR2(2134, 1, 17, 1, 0, FVFa0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2206)%branchR2(0:0))
      call avR2(2206, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(3586)%branchR2(0:0))
      call avR2(3586, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1789/))

      allocate(vertices(1842)%branchR2(0:0))
      call avR2(1842, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1444)%branchR2(0:0))
      call avR2(1444, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2425)%branchR2(0:0))
      call avR2(2425, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(2822)%branchR2(0:0))
      call avR2(2822, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(2211)%branchR2(0:0))
      call avR2(2211, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1683)%branchR2(0:0))
      call avR2(1683, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3536)%branchR2(0:0))
      call avR2(3536, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(264)%branchR2(0:0))
      call avR2(264, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(2272)%branchR2(0:0))
      call avR2(2272, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(1395)%branchR2(0:0))
      call avR2(1395, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1976/))

      allocate(vertices(1949)%branchR2(0:0))
      call avR2(1949, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2203)%branchR2(0:0))
      call avR2(2203, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2709)%branchR2(0:0))
      call avR2(2709, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(2230)%branchR2(0:0))
      call avR2(2230, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(1774)%branchR2(0:0))
      call avR2(1774, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3262/))

      allocate(vertices(2972)%branchR2(0:0))
      call avR2(2972, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3404)%branchR2(0:0))
      call avR2(3404, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1765/))

      allocate(vertices(2035)%branchR2(0:0))
      call avR2(2035, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(1375)%branchR2(0:0))
      call avR2(1375, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(529)%branchR2(0:0))
      call avR2(529, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1784/))

      allocate(vertices(704)%branchR2(0:0))
      call avR2(704, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(346)%branchR2(0:0))
      call avR2(346, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(2375)%branchR2(0:0))
      call avR2(2375, 0, 8, 1, 0, VFaF1, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(1310)%branchR2(0:0))
      call avR2(1310, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2240)%branchR2(0:0))
      call avR2(2240, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(34)%branchR2(0:1))
      call avR2(34, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(34, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(871)%branchR2(0:0))
      call avR2(871, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2040, nGC_2042,        &
      nGC_2041/))

      allocate(vertices(2113)%branchR2(0:0))
      call avR2(2113, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(22)%branchR2(0:0))
      call avR2(22, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(386)%branchR2(0:0))
      call avR2(386, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1801/))

      allocate(vertices(1831)%branchR2(0:0))
      call avR2(1831, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1495)%branchR2(0:0))
      call avR2(1495, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1315)%branchR2(0:0))
      call avR2(1315, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1793/))

      allocate(vertices(764)%branchR2(0:0))
      call avR2(764, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(688)%branchR2(0:1))
      call avR2(688, 0, 17, 1, 0, FVFa1, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(688, 1, 17, 1, 0, FVFa1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(3592)%branchR2(0:0))
      call avR2(3592, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(1009)%branchR2(0:0))
      call avR2(1009, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2614)%branchR2(0:0))
      call avR2(2614, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1766/))

      allocate(vertices(3110)%branchR2(0:0))
      call avR2(3110, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1745/))

      allocate(vertices(1645)%branchR2(0:0))
      call avR2(1645, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(792)%branchR2(0:0))
      call avR2(792, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(2981)%branchR2(0:0))
      call avR2(2981, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2711)%branchR2(0:0))
      call avR2(2711, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3040)%branchR2(0:0))
      call avR2(3040, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1087)%branchR2(0:0))
      call avR2(1087, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(158)%branchR2(0:0))
      call avR2(158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3091)%branchR2(0:0))
      call avR2(3091, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1111)%branchR2(0:0))
      call avR2(1111, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2443)%branchR2(0:0))
      call avR2(2443, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(2885)%branchR2(0:0))
      call avR2(2885, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2104)%branchR2(0:0))
      call avR2(2104, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2665)%branchR2(0:0))
      call avR2(2665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2204)%branchR2(0:0))
      call avR2(2204, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1064)%branchR2(0:0))
      call avR2(1064, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(1425)%branchR2(0:0))
      call avR2(1425, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3267)%branchR2(0:0))
      call avR2(3267, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1348)%branchR2(0:1))
      call avR2(1348, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(1348, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(146)%branchR2(0:0))
      call avR2(146, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1744, nGC_1743/))

      allocate(vertices(1439)%branchR2(0:0))
      call avR2(1439, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(3313)%branchR2(0:0))
      call avR2(3313, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(2730)%branchR2(0:0))
      call avR2(2730, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(3058)%branchR2(0:0))
      call avR2(3058, 0, 8, 1, 0, FaFV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(1166)%branchR2(0:0))
      call avR2(1166, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1008)%branchR2(0:0))
      call avR2(1008, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(1420)%branchR2(0:0))
      call avR2(1420, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1201)%branchR2(0:0))
      call avR2(1201, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1914/))

      allocate(vertices(516)%branchR2(0:0))
      call avR2(516, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(2979)%branchR2(0:0))
      call avR2(2979, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3264/))

      allocate(vertices(1611)%branchR2(0:0))
      call avR2(1611, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(109)%branchR2(0:0))
      call avR2(109, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1350)%branchR2(0:1))
      call avR2(1350, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1739, nGC_1740/))

      call avR2(1350, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(1186)%branchR2(0:0))
      call avR2(1186, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(263)%branchR2(0:0))
      call avR2(263, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(2548)%branchR2(0:1))
      call avR2(2548, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1851, nGC_1849/))

      call avR2(2548, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1852, nGC_1850/))

      allocate(vertices(3593)%branchR2(0:0))
      call avR2(3593, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(710)%branchR2(0:0))
      call avR2(710, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(350)%branchR2(0:0))
      call avR2(350, 0, 8, 1, 0, FaFV1, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(2435)%branchR2(0:0))
      call avR2(2435, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(580)%branchR2(0:0))
      call avR2(580, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1862/))

      allocate(vertices(2361)%branchR2(0:0))
      call avR2(2361, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(456)%branchR2(0:0))
      call avR2(456, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2008)%branchR2(0:0))
      call avR2(2008, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(1005)%branchR2(0:0))
      call avR2(1005, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(54)%branchR2(0:0))
      call avR2(54, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(3594)%branchR2(0:1))
      call avR2(3594, 0, 57, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3594, 1, 58, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(1179)%branchR2(0:0))
      call avR2(1179, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(3595)%branchR2(0:1))
      call avR2(3595, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      call avR2(3595, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      allocate(vertices(2337)%branchR2(0:0))
      call avR2(2337, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(2536)%branchR2(0:0))
      call avR2(2536, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(1183)%branchR2(0:0))
      call avR2(1183, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2159/))

      allocate(vertices(2218)%branchR2(0:0))
      call avR2(2218, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(1104)%branchR2(0:0))
      call avR2(1104, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2120/))

      allocate(vertices(2582)%branchR2(0:0))
      call avR2(2582, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1584)%branchR2(0:0))
      call avR2(1584, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2328)%branchR2(0:3))
      call avR2(2328, 0, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(2328, 1, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(2328, 2, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(2328, 3, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(2652)%branchR2(0:0))
      call avR2(2652, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1342)%branchR2(0:1))
      call avR2(1342, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1818, nGC_1816/))

      call avR2(1342, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1819, nGC_1817/))

      allocate(vertices(3541)%branchR2(0:0))
      call avR2(3541, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2919)%branchR2(0:0))
      call avR2(2919, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(469)%branchR2(0:0))
      call avR2(469, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(2755)%branchR2(0:0))
      call avR2(2755, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(1718)%branchR2(0:0))
      call avR2(1718, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2080/))

      allocate(vertices(2041)%branchR2(0:0))
      call avR2(2041, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(2385)%branchR2(0:0))
      call avR2(2385, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(3427)%branchR2(0:0))
      call avR2(3427, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1537)%branchR2(0:0))
      call avR2(1537, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(641)%branchR2(0:0))
      call avR2(641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(305)%branchR2(0:1))
      call avR2(305, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(305, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(3596)%branchR2(0:1))
      call avR2(3596, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2207/))

      call avR2(3596, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(454)%branchR2(0:0))
      call avR2(454, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2626)%branchR2(0:0))
      call avR2(2626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1488)%branchR2(0:0))
      call avR2(1488, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(97)%branchR2(0:0))
      call avR2(97, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(2342)%branchR2(0:0))
      call avR2(2342, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2040)%branchR2(0:0))
      call avR2(2040, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3103)%branchR2(0:0))
      call avR2(3103, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2827)%branchR2(0:0))
      call avR2(2827, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1468)%branchR2(0:0))
      call avR2(1468, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(1204)%branchR2(0:0))
      call avR2(1204, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(1748)%branchR2(0:1))
      call avR2(1748, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1748, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(787)%branchR2(0:0))
      call avR2(787, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(1384)%branchR2(0:0))
      call avR2(1384, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1199)%branchR2(0:0))
      call avR2(1199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2362)%branchR2(0:0))
      call avR2(2362, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(266)%branchR2(0:0))
      call avR2(266, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(2129)%branchR2(0:0))
      call avR2(2129, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(2198)%branchR2(0:0))
      call avR2(2198, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2859)%branchR2(0:0))
      call avR2(2859, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(988)%branchR2(0:0))
      call avR2(988, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2386)%branchR2(0:0))
      call avR2(2386, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1847/))

      allocate(vertices(1115)%branchR2(0:0))
      call avR2(1115, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1800/))

      allocate(vertices(3597)%branchR2(0:1))
      call avR2(3597, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2207/))

      call avR2(3597, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2208/))

      allocate(vertices(691)%branchR2(0:3))
      call avR2(691, 0, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_2026, nGC_2027/))

      call avR2(691, 1, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(691, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_2028, nGC_2029/))

      call avR2(691, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(122)%branchR2(0:0))
      call avR2(122, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3265/))

      allocate(vertices(3133)%branchR2(0:0))
      call avR2(3133, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1729/))

      allocate(vertices(1992)%branchR2(0:3))
      call avR2(1992, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2014, nGC_2015/))

      call avR2(1992, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1992, 2, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2012, nGC_2013/))

      call avR2(1992, 3, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(85)%branchR2(0:0))
      call avR2(85, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(3345)%branchR2(0:0))
      call avR2(3345, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3598)%branchR2(0:1))
      call avR2(3598, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2100/))

      call avR2(3598, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(1735)%branchR2(0:0))
      call avR2(1735, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(191)%branchR2(0:0))
      call avR2(191, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3599)%branchR2(0:1))
      call avR2(3599, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2165/))

      call avR2(3599, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(2303)%branchR2(0:0))
      call avR2(2303, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(107)%branchR2(0:0))
      call avR2(107, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1763/))

      allocate(vertices(2650)%branchR2(0:0))
      call avR2(2650, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(3189)%branchR2(0:0))
      call avR2(3189, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1764/))

      allocate(vertices(716)%branchR2(0:0))
      call avR2(716, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(2509)%branchR2(0:0))
      call avR2(2509, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(3268)%branchR2(0:0))
      call avR2(3268, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3489)%branchR2(0:0))
      call avR2(3489, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(3600)%branchR2(0:0))
      call avR2(3600, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3527)%branchR2(0:0))
      call avR2(3527, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(855)%branchR2(0:1))
      call avR2(855, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1974/))

      call avR2(855, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(522)%branchR2(0:0))
      call avR2(522, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3266/))

      allocate(vertices(132)%branchR2(0:0))
      call avR2(132, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1086)%branchR2(0:0))
      call avR2(1086, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1235)%branchR2(0:0))
      call avR2(1235, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(2589)%branchR2(0:0))
      call avR2(2589, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(3094)%branchR2(0:0))
      call avR2(3094, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2032/))

      allocate(vertices(1441)%branchR2(0:0))
      call avR2(1441, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2180)%branchR2(0:0))
      call avR2(2180, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(926)%branchR2(0:0))
      call avR2(926, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1867/))

      allocate(vertices(2202)%branchR2(0:0))
      call avR2(2202, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(415)%branchR2(0:0))
      call avR2(415, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(3270)%branchR2(0:0))
      call avR2(3270, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1806/))

      allocate(vertices(3363)%branchR2(0:0))
      call avR2(3363, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(1224)%branchR2(0:0))
      call avR2(1224, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(1662)%branchR2(0:0))
      call avR2(1662, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(2638)%branchR2(0:0))
      call avR2(2638, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2048)%branchR2(0:0))
      call avR2(2048, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2387)%branchR2(0:0))
      call avR2(2387, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1669)%branchR2(0:0))
      call avR2(1669, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3601)%branchR2(0:1))
      call avR2(3601, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2165/))

      call avR2(3601, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(807)%branchR2(0:0))
      call avR2(807, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(3602)%branchR2(0:0))
      call avR2(3602, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(1356)%branchR2(0:1))
      call avR2(1356, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1903, nGC_1901/))

      call avR2(1356, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1904, nGC_1902/))

      allocate(vertices(254)%branchR2(0:0))
      call avR2(254, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2222)%branchR2(0:3))
      call avR2(2222, 0, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(2222, 1, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2222, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2222, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(2578)%branchR2(0:0))
      call avR2(2578, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(3603)%branchR2(0:0))
      call avR2(3603, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(3604)%branchR2(0:0))
      call avR2(3604, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(1451)%branchR2(0:0))
      call avR2(1451, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(741)%branchR2(0:1))
      call avR2(741, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1883, nGC_1881/))

      call avR2(741, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1884, nGC_1882/))

      allocate(vertices(2520)%branchR2(0:0))
      call avR2(2520, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(879)%branchR2(0:0))
      call avR2(879, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(1306)%branchR2(0:0))
      call avR2(1306, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2180/))

      allocate(vertices(923)%branchR2(0:0))
      call avR2(923, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(1534)%branchR2(0:0))
      call avR2(1534, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1757/))

      allocate(vertices(304)%branchR2(0:0))
      call avR2(304, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2182/))

      allocate(vertices(24)%branchR2(0:0))
      call avR2(24, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2814)%branchR2(0:0))
      call avR2(2814, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2079/))

      allocate(vertices(319)%branchR2(0:0))
      call avR2(319, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1787/))

      allocate(vertices(2910)%branchR2(0:0))
      call avR2(2910, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2896)%branchR2(0:0))
      call avR2(2896, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(3605)%branchR2(0:0))
      call avR2(3605, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3606)%branchR2(0:0))
      call avR2(3606, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2143/))

      allocate(vertices(286)%branchR2(0:0))
      call avR2(286, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(1895)%branchR2(0:0))
      call avR2(1895, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1719/))

      allocate(vertices(2401)%branchR2(0:3))
      call avR2(2401, 0, 24, 1, 0, FaFV1, (/1, 2/), (/nGC_2019, nGC_2020/))

      call avR2(2401, 1, 24, 1, 0, FaFV1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(2401, 2, 25, 1, 0, FaFV1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(2401, 3, 25, 1, 0, FaFV1, (/1, 2/), (/nGC_2016, nGC_2017/))

      allocate(vertices(3607)%branchR2(0:1))
      call avR2(3607, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3607, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(770)%branchR2(0:1))
      call avR2(770, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(770, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2421)%branchR2(0:0))
      call avR2(2421, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2144/))

      allocate(vertices(1513)%branchR2(0:0))
      call avR2(1513, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(2239)%branchR2(0:1))
      call avR2(2239, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1750, nGC_1751/))

      call avR2(2239, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2340)%branchR2(0:0))
      call avR2(2340, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(475)%branchR2(0:0))
      call avR2(475, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1675)%branchR2(0:0))
      call avR2(1675, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(612)%branchR2(0:1))
      call avR2(612, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1909, nGC_1907/))

      call avR2(612, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1910, nGC_1908/))

      allocate(vertices(1137)%branchR2(0:1))
      call avR2(1137, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(1137, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(2341)%branchR2(0:0))
      call avR2(2341, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1895, nGC_1896/))

      allocate(vertices(455)%branchR2(0:0))
      call avR2(455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2000)%branchR2(0:0))
      call avR2(2000, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(148)%branchR2(0:0))
      call avR2(148, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(1286)%branchR2(0:1))
      call avR2(1286, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(1286, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1595)%branchR2(0:0))
      call avR2(1595, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2907)%branchR2(0:0))
      call avR2(2907, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2033/))

      allocate(vertices(98)%branchR2(0:1))
      call avR2(98, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(98, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(776)%branchR2(0:0))
      call avR2(776, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(1937)%branchR2(0:0))
      call avR2(1937, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(45)%branchR2(0:0))
      call avR2(45, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1088)%branchR2(0:0))
      call avR2(1088, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3384)%branchR2(0:0))
      call avR2(3384, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3085)%branchR2(0:0))
      call avR2(3085, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1746/))

      allocate(vertices(3608)%branchR2(0:0))
      call avR2(3608, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1723/))

      allocate(vertices(1982)%branchR2(0:0))
      call avR2(1982, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(689)%branchR2(0:0))
      call avR2(689, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3173)%branchR2(0:0))
      call avR2(3173, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1716/))

      allocate(vertices(885)%branchR2(0:0))
      call avR2(885, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1809/))

      allocate(vertices(2291)%branchR2(0:0))
      call avR2(2291, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1934)%branchR2(0:0))
      call avR2(1934, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2563)%branchR2(0:1))
      call avR2(2563, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1822, nGC_1820/))

      call avR2(2563, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1823, nGC_1821/))

      allocate(vertices(312)%branchR2(0:0))
      call avR2(312, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1370)%branchR2(0:0))
      call avR2(1370, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(316)%branchR2(0:1))
      call avR2(316, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(316, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(3565)%branchR2(0:0))
      call avR2(3565, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(2295)%branchR2(0:0))
      call avR2(2295, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1612)%branchR2(0:0))
      call avR2(1612, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(841)%branchR2(0:0))
      call avR2(841, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2096/))

      allocate(vertices(2456)%branchR2(0:0))
      call avR2(2456, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(14)%branchR2(0:0))
      call avR2(14, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(3471)%branchR2(0:0))
      call avR2(3471, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(1136)%branchR2(0:0))
      call avR2(1136, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1116)%branchR2(0:0))
      call avR2(1116, 0, 8, 1, 0, SFaF1, (/0, 3/), (/nGC_1875/))

      allocate(vertices(1083)%branchR2(0:0))
      call avR2(1083, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2034/))

      allocate(vertices(3361)%branchR2(0:0))
      call avR2(3361, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(1638)%branchR2(0:0))
      call avR2(1638, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3315)%branchR2(0:0))
      call avR2(3315, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3267/))

      allocate(vertices(3609)%branchR2(0:0))
      call avR2(3609, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2055, nGC_2054,       &
      nGC_2055/))

      allocate(vertices(708)%branchR2(0:1))
      call avR2(708, 0, 21, 1, 0, VFaF1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(708, 1, 21, 1, 0, VFaF1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2917)%branchR2(0:0))
      call avR2(2917, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(462)%branchR2(0:0))
      call avR2(462, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1109)%branchR2(0:0))
      call avR2(1109, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(3559)%branchR2(0:0))
      call avR2(3559, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1665, nGC_1663,        &
      nGC_1664/))

      allocate(vertices(3610)%branchR2(0:1))
      call avR2(3610, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3610, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(4)%branchR2(0:0))
      call avR2(4, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(809)%branchR2(0:0))
      call avR2(809, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2474)%branchR2(0:0))
      call avR2(2474, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(2495)%branchR2(0:0))
      call avR2(2495, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(707)%branchR2(0:0))
      call avR2(707, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(795)%branchR2(0:0))
      call avR2(795, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2201/))

      allocate(vertices(3611)%branchR2(0:0))
      call avR2(3611, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1722/))

      allocate(vertices(722)%branchR2(0:0))
      call avR2(722, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(342)%branchR2(0:0))
      call avR2(342, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(859)%branchR2(0:0))
      call avR2(859, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(147)%branchR2(0:0))
      call avR2(147, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(3612)%branchR2(0:0))
      call avR2(3612, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2067/))

      allocate(vertices(3613)%branchR2(0:0))
      call avR2(3613, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(737)%branchR2(0:0))
      call avR2(737, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1394)%branchR2(0:0))
      call avR2(1394, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2696)%branchR2(0:0))
      call avR2(2696, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(798)%branchR2(0:0))
      call avR2(798, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(3073)%branchR2(0:0))
      call avR2(3073, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(178)%branchR2(0:0))
      call avR2(178, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(1380)%branchR2(0:0))
      call avR2(1380, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3614)%branchR2(0:1))
      call avR2(3614, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3614, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(2063)%branchR2(0:0))
      call avR2(2063, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2541)%branchR2(0:0))
      call avR2(2541, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2377)%branchR2(0:0))
      call avR2(2377, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2041, nGC_2042,       &
      nGC_2040/))

      allocate(vertices(205)%branchR2(0:0))
      call avR2(205, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(1167)%branchR2(0:0))
      call avR2(1167, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2015)%branchR2(0:0))
      call avR2(2015, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1756/))

      allocate(vertices(2156)%branchR2(0:0))
      call avR2(2156, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2164/))

      allocate(vertices(2287)%branchR2(0:0))
      call avR2(2287, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2888)%branchR2(0:0))
      call avR2(2888, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(3060)%branchR2(0:0))
      call avR2(3060, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3615)%branchR2(0:0))
      call avR2(3615, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3616)%branchR2(0:0))
      call avR2(3616, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2183/))

      allocate(vertices(837)%branchR2(0:0))
      call avR2(837, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1911/))

      allocate(vertices(775)%branchR2(0:0))
      call avR2(775, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(2109)%branchR2(0:0))
      call avR2(2109, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1861/))

      allocate(vertices(2978)%branchR2(0:0))
      call avR2(2978, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1790/))

      allocate(vertices(2619)%branchR2(0:0))
      call avR2(2619, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1071)%branchR2(0:0))
      call avR2(1071, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2202, nGC_2204,       &
      nGC_2203/))

      allocate(vertices(325)%branchR2(0:1))
      call avR2(325, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(325, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(2892)%branchR2(0:0))
      call avR2(2892, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1411)%branchR2(0:0))
      call avR2(1411, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(1339)%branchR2(0:0))
      call avR2(1339, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(2179)%branchR2(0:0))
      call avR2(2179, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3617)%branchR2(0:0))
      call avR2(3617, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2017)%branchR2(0:1))
      call avR2(2017, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2017, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1853)%branchR2(0:0))
      call avR2(1853, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(1453)%branchR2(0:0))
      call avR2(1453, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(1961)%branchR2(0:0))
      call avR2(1961, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1753, nGC_1752/))

      allocate(vertices(2952)%branchR2(0:1))
      call avR2(2952, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1691, nGC_1688,       &
      nGC_1689, nGC_1689/))

      call avR2(2952, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1690, nGC_1690/))

      allocate(vertices(931)%branchR2(0:1))
      call avR2(931, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(931, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(1145)%branchR2(0:0))
      call avR2(1145, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2250)%branchR2(0:0))
      call avR2(2250, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1521)%branchR2(0:0))
      call avR2(1521, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2349)%branchR2(0:0))
      call avR2(2349, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1565)%branchR2(0:0))
      call avR2(1565, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(1609)%branchR2(0:0))
      call avR2(1609, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1792/))

      allocate(vertices(1479)%branchR2(0:0))
      call avR2(1479, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(3618)%branchR2(0:0))
      call avR2(3618, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2070)%branchR2(0:0))
      call avR2(2070, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2068/))

      allocate(vertices(1626)%branchR2(0:0))
      call avR2(1626, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3478)%branchR2(0:0))
      call avR2(3478, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1724)%branchR2(0:1))
      call avR2(1724, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(1724, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(1467)%branchR2(0:0))
      call avR2(1467, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(829)%branchR2(0:0))
      call avR2(829, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(3469)%branchR2(0:0))
      call avR2(3469, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(3619)%branchR2(0:1))
      call avR2(3619, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2156/))

      call avR2(3619, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2155/))

      allocate(vertices(1989)%branchR2(0:0))
      call avR2(1989, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(937)%branchR2(0:0))
      call avR2(937, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3620)%branchR2(0:1))
      call avR2(3620, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3620, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(1710)%branchR2(0:0))
      call avR2(1710, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3268/))

      allocate(vertices(1146)%branchR2(0:0))
      call avR2(1146, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3621)%branchR2(0:1))
      call avR2(3621, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      call avR2(3621, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      allocate(vertices(377)%branchR2(0:3))
      call avR2(377, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(377, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2010, nGC_2011/))

      call avR2(377, 2, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(377, 3, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2008, nGC_2009/))

      allocate(vertices(2271)%branchR2(0:0))
      call avR2(2271, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(774)%branchR2(0:0))
      call avR2(774, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(2637)%branchR2(0:1))
      call avR2(2637, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(2637, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3622)%branchR2(0:1))
      call avR2(3622, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2100/))

      call avR2(3622, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(453)%branchR2(0:0))
      call avR2(453, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3382)%branchR2(0:0))
      call avR2(3382, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1670, nGC_1669/))

      allocate(vertices(2525)%branchR2(0:0))
      call avR2(2525, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(3623)%branchR2(0:1))
      call avR2(3623, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1928/))

      call avR2(3623, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1927/))

      allocate(vertices(1510)%branchR2(0:0))
      call avR2(1510, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2879)%branchR2(0:0))
      call avR2(2879, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(400)%branchR2(0:0))
      call avR2(400, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2602)%branchR2(0:0))
      call avR2(2602, 0, 8, 1, 0, VFFa0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(2019)%branchR2(0:0))
      call avR2(2019, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2204, nGC_2203,       &
      nGC_2202/))

      allocate(vertices(2437)%branchR2(0:0))
      call avR2(2437, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(2176)%branchR2(0:0))
      call avR2(2176, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1862/))

      allocate(vertices(295)%branchR2(0:0))
      call avR2(295, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2152/))

      allocate(vertices(130)%branchR2(0:0))
      call avR2(130, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2557)%branchR2(0:0))
      call avR2(2557, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(3129)%branchR2(0:0))
      call avR2(3129, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3101)%branchR2(0:0))
      call avR2(3101, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(1722)%branchR2(0:0))
      call avR2(1722, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1231)%branchR2(0:0))
      call avR2(1231, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3624)%branchR2(0:1))
      call avR2(3624, 0, 43, 1, 0, SVV0, (/2, 1/), (/nGC_1927/))

      call avR2(3624, 1, 44, 1, 0, SVV0, (/2, 1/), (/nGC_1928/))

      allocate(vertices(2088)%branchR2(0:0))
      call avR2(2088, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(506)%branchR2(0:0))
      call avR2(506, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(1413)%branchR2(0:0))
      call avR2(1413, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(2237)%branchR2(0:0))
      call avR2(2237, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2078,       &
      nGC_2076/))

      allocate(vertices(1351)%branchR2(0:0))
      call avR2(1351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3625)%branchR2(0:1))
      call avR2(3625, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2116/))

      call avR2(3625, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(3473)%branchR2(0:0))
      call avR2(3473, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1360)%branchR2(0:1))
      call avR2(1360, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1798, nGC_1799/))

      call avR2(1360, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1778, nGC_1780/))

      allocate(vertices(2825)%branchR2(0:0))
      call avR2(2825, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(1113)%branchR2(0:1))
      call avR2(1113, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1969, nGC_1968/))

      call avR2(1113, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1970, nGC_1970/))

      allocate(vertices(1391)%branchR2(0:1))
      call avR2(1391, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1853, nGC_1855/))

      call avR2(1391, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1854, nGC_1856/))

      allocate(vertices(3626)%branchR2(0:1))
      call avR2(3626, 0, 61, 1, 0, VVVV0, (/2, 2/), (/nGC_2212, nGC_2212,      &
      nGC_2212/))

      call avR2(3626, 1, 62, 1, 0, VVVV0, (/2, 2/), (/nGC_2213, nGC_2213,      &
      nGC_2213/))

      allocate(vertices(1025)%branchR2(0:0))
      call avR2(1025, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2469)%branchR2(0:0))
      call avR2(2469, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(593)%branchR2(0:0))
      call avR2(593, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2110/))

      allocate(vertices(1874)%branchR2(0:1))
      call avR2(1874, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_2000, nGC_2001/))

      call avR2(1874, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1982, nGC_1984/))

      allocate(vertices(2187)%branchR2(0:0))
      call avR2(2187, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(3627)%branchR2(0:1))
      call avR2(3627, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2171/))

      call avR2(3627, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(800)%branchR2(0:0))
      call avR2(800, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(26)%branchR2(0:0))
      call avR2(26, 0, 8, 1, 0, FFaV1, (/0, 3/), (/nGC_1999, nGC_1998/))

      allocate(vertices(2834)%branchR2(0:0))
      call avR2(2834, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(278)%branchR2(0:0))
      call avR2(278, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1759/))

      allocate(vertices(1529)%branchR2(0:0))
      call avR2(1529, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(781)%branchR2(0:0))
      call avR2(781, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_1865/))

      allocate(vertices(2744)%branchR2(0:0))
      call avR2(2744, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(1549)%branchR2(0:0))
      call avR2(1549, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(588)%branchR2(0:0))
      call avR2(588, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(3628)%branchR2(0:0))
      call avR2(3628, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(2259)%branchR2(0:0))
      call avR2(2259, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(3629)%branchR2(0:1))
      call avR2(3629, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3629, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(3630)%branchR2(0:0))
      call avR2(3630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2184/))

      allocate(vertices(3631)%branchR2(0:1))
      call avR2(3631, 0, 64, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      call avR2(3631, 1, 63, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(1474)%branchR2(0:0))
      call avR2(1474, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1954, nGC_1955/))

      allocate(vertices(1975)%branchR2(0:0))
      call avR2(1975, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1793)%branchR2(0:0))
      call avR2(1793, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2209, nGC_2210,       &
      nGC_2210/))

      allocate(vertices(3632)%branchR2(0:1))
      call avR2(3632, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2187/))

      call avR2(3632, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2188/))

      allocate(vertices(1158)%branchR2(0:0))
      call avR2(1158, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(2496)%branchR2(0:0))
      call avR2(2496, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1758/))

      allocate(vertices(2051)%branchR2(0:0))
      call avR2(2051, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3633)%branchR2(0:1))
      call avR2(3633, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3633, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(2081)%branchR2(0:0))
      call avR2(2081, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(2358)%branchR2(0:0))
      call avR2(2358, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1861/))

      allocate(vertices(3325)%branchR2(0:0))
      call avR2(3325, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(919)%branchR2(0:3))
      call avR2(919, 0, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(919, 1, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_2022, nGC_2023/))

      call avR2(919, 2, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(919, 3, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_2021, nGC_2021/))

      allocate(vertices(524)%branchR2(0:0))
      call avR2(524, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(1646)%branchR2(0:0))
      call avR2(1646, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(1196)%branchR2(0:0))
      call avR2(1196, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(1287)%branchR2(0:0))
      call avR2(1287, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(2165)%branchR2(0:0))
      call avR2(2165, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2249)%branchR2(0:0))
      call avR2(2249, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(645)%branchR2(0:1))
      call avR2(645, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(645, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2427)%branchR2(0:0))
      call avR2(2427, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2130/))

      allocate(vertices(478)%branchR2(0:0))
      call avR2(478, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(94)%branchR2(0:0))
      call avR2(94, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(3634)%branchR2(0:1))
      call avR2(3634, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2156/))

      call avR2(3634, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2155/))

      allocate(vertices(504)%branchR2(0:0))
      call avR2(504, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2147/))

      allocate(vertices(2269)%branchR2(0:0))
      call avR2(2269, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(2927)%branchR2(0:0))
      call avR2(2927, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1730/))

      allocate(vertices(372)%branchR2(0:0))
      call avR2(372, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(476)%branchR2(0:0))
      call avR2(476, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2192/))

      allocate(vertices(2261)%branchR2(0:0))
      call avR2(2261, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(275)%branchR2(0:0))
      call avR2(275, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2634)%branchR2(0:0))
      call avR2(2634, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(1777)%branchR2(0:0))
      call avR2(1777, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1010)%branchR2(0:0))
      call avR2(1010, 0, 8, 1, 0, FaSF1, (/0, 3/), (/nGC_1800/))

      allocate(vertices(817)%branchR2(0:0))
      call avR2(817, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1816)%branchR2(0:0))
      call avR2(1816, 0, 8, 1, 0, VSS0, (/0, 3/), (/nGC_3263/))

      allocate(vertices(1016)%branchR2(0:0))
      call avR2(1016, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1449)%branchR2(0:0))
      call avR2(1449, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3635)%branchR2(0:0))
      call avR2(3635, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(1423)%branchR2(0:0))
      call avR2(1423, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2542)%branchR2(0:0))
      call avR2(2542, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1535)%branchR2(0:1))
      call avR2(1535, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1923, nGC_1922/))

      call avR2(1535, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1924, nGC_1924/))

      allocate(vertices(1714)%branchR2(0:0))
      call avR2(1714, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(83)%branchR2(0:1))
      call avR2(83, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1794, nGC_1795/))

      call avR2(83, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1770, nGC_1772/))

      allocate(vertices(3339)%branchR2(0:0))
      call avR2(3339, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1745/))

      allocate(vertices(938)%branchR2(0:0))
      call avR2(938, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2145/))

      allocate(vertices(2232)%branchR2(0:0))
      call avR2(2232, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(3098)%branchR2(0:0))
      call avR2(3098, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(2144)%branchR2(0:0))
      call avR2(2144, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(971)%branchR2(0:0))
      call avR2(971, 0, 8, 1, 0, FaFS2, (/0, 3/), (/nGC_1874/))

      allocate(vertices(3636)%branchR2(0:0))
      call avR2(3636, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2039/))

      allocate(vertices(2662)%branchR2(0:0))
      call avR2(2662, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(239)%branchR2(0:0))
      call avR2(239, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(732)%branchR2(0:0))
      call avR2(732, 0, 8, 1, 0, SSV0, (/0, 3/), (/nGC_1810/))

      allocate(vertices(2617)%branchR2(0:0))
      call avR2(2617, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2161/))

      allocate(vertices(619)%branchR2(0:0))
      call avR2(619, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3637)%branchR2(0:1))
      call avR2(3637, 0, 57, 1, 0, SVSV0, (/2, 2/), (/nGC_2199/))

      call avR2(3637, 1, 58, 1, 0, SVSV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(1013)%branchR2(0:0))
      call avR2(1013, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(874)%branchR2(0:0))
      call avR2(874, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(814)%branchR2(0:0))
      call avR2(814, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(801)%branchR2(0:1))
      call avR2(801, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1834, nGC_1832/))

      call avR2(801, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1835, nGC_1833/))

      allocate(vertices(928)%branchR2(0:0))
      call avR2(928, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(3577)%branchR2(0:0))
      call avR2(3577, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3270/))

      allocate(vertices(1156)%branchR2(0:0))
      call avR2(1156, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1570)%branchR2(0:0))
      call avR2(1570, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(2120)%branchR2(0:0))
      call avR2(2120, 0, 8, 1, 0, SFaF2, (/0, 3/), (/nGC_1783/))

      allocate(vertices(1414)%branchR2(0:0))
      call avR2(1414, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1302)%branchR2(0:0))
      call avR2(1302, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1992/))

      allocate(vertices(194)%branchR2(0:0))
      call avR2(194, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(55)%branchR2(0:0))
      call avR2(55, 0, 8, 1, 0, FFaS0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(1267)%branchR2(0:0))
      call avR2(1267, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2050)%branchR2(0:0))
      call avR2(2050, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(1134)%branchR2(0:0))
      call avR2(1134, 0, 8, 1, 0, VVV0, (/0, 3/), (/nGC_1971/))

      allocate(vertices(1807)%branchR2(0:0))
      call avR2(1807, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(49)%branchR2(0:0))
      call avR2(49, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(2473)%branchR2(0:1))
      call avR2(2473, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(2473, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1671)%branchR2(0:0))
      call avR2(1671, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2126/))

      allocate(vertices(1904)%branchR2(0:0))
      call avR2(1904, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(106)%branchR2(0:0))
      call avR2(106, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(2453)%branchR2(0:0))
      call avR2(2453, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(1938)%branchR2(0:0))
      call avR2(1938, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2172/))

      allocate(vertices(3638)%branchR2(0:1))
      call avR2(3638, 0, 61, 1, 0, VSSV0, (/2, 2/), (/nGC_2100/))

      call avR2(3638, 1, 62, 1, 0, VSSV0, (/2, 2/), (/nGC_2099/))

      allocate(vertices(956)%branchR2(0:1))
      call avR2(956, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1917, nGC_1916/))

      call avR2(956, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1918, nGC_1918/))

      allocate(vertices(1494)%branchR2(0:0))
      call avR2(1494, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(2958)%branchR2(0:0))
      call avR2(2958, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1660, nGC_1659/))

      allocate(vertices(3391)%branchR2(0:0))
      call avR2(3391, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(2686)%branchR2(0:0))
      call avR2(2686, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3279)%branchR2(0:0))
      call avR2(3279, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(2714)%branchR2(0:0))
      call avR2(2714, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(896)%branchR2(0:1))
      call avR2(896, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1977, nGC_1979/))

      call avR2(896, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2516)%branchR2(0:0))
      call avR2(2516, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2179/))

      allocate(vertices(3410)%branchR2(0:0))
      call avR2(3410, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(3088)%branchR2(0:0))
      call avR2(3088, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(3639)%branchR2(0:0))
      call avR2(3639, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1319)%branchR2(0:0))
      call avR2(1319, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2102/))

      allocate(vertices(1164)%branchR2(0:1))
      call avR2(1164, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1859, nGC_1857/))

      call avR2(1164, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1860, nGC_1858/))

      allocate(vertices(2005)%branchR2(0:0))
      call avR2(2005, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(2124)%branchR2(0:0))
      call avR2(2124, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(1720)%branchR2(0:0))
      call avR2(1720, 0, 8, 1, 0, FSFa2, (/0, 3/), (/nGC_1802/))

      allocate(vertices(1477)%branchR2(0:0))
      call avR2(1477, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1527)%branchR2(0:0))
      call avR2(1527, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(2007)%branchR2(0:0))
      call avR2(2007, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(1647)%branchR2(0:1))
      call avR2(1647, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1940, nGC_1939/))

      call avR2(1647, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1941, nGC_1941/))

      allocate(vertices(536)%branchR2(0:0))
      call avR2(536, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1107)%branchR2(0:0))
      call avR2(1107, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1845/))

      allocate(vertices(1967)%branchR2(0:0))
      call avR2(1967, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(403)%branchR2(0:0))
      call avR2(403, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(842)%branchR2(0:0))
      call avR2(842, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1747)%branchR2(0:0))
      call avR2(1747, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2728)%branchR2(0:0))
      call avR2(2728, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(2199)%branchR2(0:0))
      call avR2(2199, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(3640)%branchR2(0:1))
      call avR2(3640, 0, 59, 1, 0, VSVS0, (/2, 2/), (/nGC_2165/))

      call avR2(3640, 1, 60, 1, 0, VSVS0, (/2, 2/), (/nGC_2166/))

      allocate(vertices(1227)%branchR2(0:0))
      call avR2(1227, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(2345)%branchR2(0:0))
      call avR2(2345, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1943/))

      allocate(vertices(3641)%branchR2(0:0))
      call avR2(3641, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2142/))

      allocate(vertices(3464)%branchR2(0:0))
      call avR2(3464, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1662, nGC_1661/))

      allocate(vertices(447)%branchR2(0:0))
      call avR2(447, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(3453)%branchR2(0:0))
      call avR2(3453, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(921)%branchR2(0:0))
      call avR2(921, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(451)%branchR2(0:0))
      call avR2(451, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1633)%branchR2(0:0))
      call avR2(1633, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(2033)%branchR2(0:0))
      call avR2(2033, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(2838)%branchR2(0:0))
      call avR2(2838, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(421)%branchR2(0:0))
      call avR2(421, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(1066)%branchR2(0:0))
      call avR2(1066, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(951)%branchR2(0:0))
      call avR2(951, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1110)%branchR2(0:0))
      call avR2(1110, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(582)%branchR2(0:0))
      call avR2(582, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(1318)%branchR2(0:1))
      call avR2(1318, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1899, nGC_1897/))

      call avR2(1318, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1900, nGC_1898/))

      allocate(vertices(3304)%branchR2(0:0))
      call avR2(3304, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(3642)%branchR2(0:1))
      call avR2(3642, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2199/))

      call avR2(3642, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2200/))

      allocate(vertices(952)%branchR2(0:1))
      call avR2(952, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1840, nGC_1838/))

      call avR2(952, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1841, nGC_1839/))

      allocate(vertices(1501)%branchR2(0:0))
      call avR2(1501, 0, 8, 1, 0, VFFa1, (/0, 3/), (/nGC_1989/))

      allocate(vertices(508)%branchR2(0:1))
      call avR2(508, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1972/))

      call avR2(508, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3426)%branchR2(0:0))
      call avR2(3426, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(1214)%branchR2(0:0))
      call avR2(1214, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(2062)%branchR2(0:1))
      call avR2(2062, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1748, nGC_1749/))

      call avR2(2062, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1735, nGC_1735/))

      allocate(vertices(2182)%branchR2(0:0))
      call avR2(2182, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2127/))

      allocate(vertices(2379)%branchR2(0:0))
      call avR2(2379, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1727/))

      allocate(vertices(1960)%branchR2(0:0))
      call avR2(1960, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(198)%branchR2(0:0))
      call avR2(198, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(525)%branchR2(0:0))
      call avR2(525, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(3258)%branchR2(0:0))
      call avR2(3258, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3021)%branchR2(0:0))
      call avR2(3021, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(3303)%branchR2(0:0))
      call avR2(3303, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2057/))

      allocate(vertices(1780)%branchR2(0:0))
      call avR2(1780, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(222)%branchR2(0:0))
      call avR2(222, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2738)%branchR2(0:1))
      call avR2(2738, 0, 14, 1, 0, FFa2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1715, nGC_1715/))

      call avR2(2738, 1, 14, 1, 0, FFa2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1714, nGC_1714/))

      allocate(vertices(416)%branchR2(0:1))
      call avR2(416, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(416, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(1203)%branchR2(0:0))
      call avR2(1203, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2065/))

      allocate(vertices(3643)%branchR2(0:1))
      call avR2(3643, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2170/))

      call avR2(3643, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(3245)%branchR2(0:0))
      call avR2(3245, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(2587)%branchR2(0:0))
      call avR2(2587, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(2505)%branchR2(0:0))
      call avR2(2505, 0, 8, 1, 0, FaSF2, (/0, 3/), (/nGC_1863/))

      allocate(vertices(649)%branchR2(0:0))
      call avR2(649, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(3083)%branchR2(0:0))
      call avR2(3083, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1552)%branchR2(0:0))
      call avR2(1552, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(3644)%branchR2(0:1))
      call avR2(3644, 0, 53, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3644, 1, 54, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(2490)%branchR2(0:1))
      call avR2(2490, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1974/))

      call avR2(2490, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1964)%branchR2(0:0))
      call avR2(1964, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(3142)%branchR2(0:0))
      call avR2(3142, 0, 8, 1, 0, VFaF0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(1072)%branchR2(0:0))
      call avR2(1072, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2176/))

      allocate(vertices(2691)%branchR2(0:0))
      call avR2(2691, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(2964)%branchR2(0:0))
      call avR2(2964, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2149/))

      allocate(vertices(1863)%branchR2(0:0))
      call avR2(1863, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(958)%branchR2(0:0))
      call avR2(958, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1966, nGC_1967/))

      allocate(vertices(1259)%branchR2(0:3))
      call avR2(1259, 0, 22, 1, 0, FVFa1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1259, 1, 22, 1, 0, FVFa1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1259, 2, 23, 1, 0, FVFa1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1259, 3, 23, 1, 0, FVFa1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(1152)%branchR2(0:0))
      call avR2(1152, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1782/))

      allocate(vertices(203)%branchR2(0:0))
      call avR2(203, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2177/))

      allocate(vertices(310)%branchR2(0:1))
      call avR2(310, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1932, nGC_1931/))

      call avR2(310, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1933, nGC_1933/))

      allocate(vertices(3645)%branchR2(0:0))
      call avR2(3645, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(2599)%branchR2(0:1))
      call avR2(2599, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(2599, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(1680)%branchR2(0:0))
      call avR2(1680, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2189/))

      allocate(vertices(1976)%branchR2(0:0))
      call avR2(1976, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2819)%branchR2(0:0))
      call avR2(2819, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(1998)%branchR2(0:0))
      call avR2(1998, 0, 8, 1, 0, VVS0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(2633)%branchR2(0:0))
      call avR2(2633, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(283)%branchR2(0:0))
      call avR2(283, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2733)%branchR2(0:0))
      call avR2(2733, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1979)%branchR2(0:1))
      call avR2(1979, 0, 20, 1, 0, SFFa0, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1979, 1, 20, 1, 0, SFFa0, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(1665)%branchR2(0:0))
      call avR2(1665, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(2770)%branchR2(0:0))
      call avR2(2770, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2113/))

      allocate(vertices(3562)%branchR2(0:0))
      call avR2(3562, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(2331)%branchR2(0:0))
      call avR2(2331, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1878/))

      allocate(vertices(1528)%branchR2(0:0))
      call avR2(1528, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1590)%branchR2(0:0))
      call avR2(1590, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(150)%branchR2(0:1))
      call avR2(150, 0, 21, 1, 0, SFaF0, (/0, 3/), (/nGC_1830, nGC_1828/))

      call avR2(150, 1, 21, 1, 0, SFaF0, (/2, 1/), (/nGC_1831, nGC_1829/))

      allocate(vertices(491)%branchR2(0:0))
      call avR2(491, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(501)%branchR2(0:1))
      call avR2(501, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(501, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(59)%branchR2(0:0))
      call avR2(59, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1791/))

      allocate(vertices(1540)%branchR2(0:0))
      call avR2(1540, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2186/))

      allocate(vertices(2431)%branchR2(0:0))
      call avR2(2431, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(1850)%branchR2(0:0))
      call avR2(1850, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2169/))

      allocate(vertices(1983)%branchR2(0:0))
      call avR2(1983, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(3646)%branchR2(0:1))
      call avR2(3646, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      call avR2(3646, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      allocate(vertices(3647)%branchR2(0:1))
      call avR2(3647, 0, 48, 1, 0, VSV0, (/2, 1/), (/nGC_1957/))

      call avR2(3647, 1, 47, 1, 0, VSV0, (/2, 1/), (/nGC_1956/))

      allocate(vertices(821)%branchR2(0:0))
      call avR2(821, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2069/))

      allocate(vertices(2858)%branchR2(0:0))
      call avR2(2858, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(3517)%branchR2(0:0))
      call avR2(3517, 0, 13, 1, 0, VV0, (/0, 2/), (/nGC_1668, nGC_1666,        &
      nGC_1667/))

      allocate(vertices(2905)%branchR2(0:0))
      call avR2(2905, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1660, nGC_1659/))

      allocate(vertices(2651)%branchR2(0:0))
      call avR2(2651, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2137/))

      allocate(vertices(151)%branchR2(0:0))
      call avR2(151, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(881)%branchR2(0:1))
      call avR2(881, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1754, nGC_1755/))

      call avR2(881, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(1147)%branchR2(0:0))
      call avR2(1147, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(3546)%branchR2(0:0))
      call avR2(3546, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1042)%branchR2(0:0))
      call avR2(1042, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2093/))

      allocate(vertices(1419)%branchR2(0:0))
      call avR2(1419, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1767/))

      allocate(vertices(281)%branchR2(0:0))
      call avR2(281, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2124/))

      allocate(vertices(332)%branchR2(0:0))
      call avR2(332, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3269/))

      allocate(vertices(2092)%branchR2(0:0))
      call avR2(2092, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2174/))

      allocate(vertices(2225)%branchR2(0:0))
      call avR2(2225, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(643)%branchR2(0:0))
      call avR2(643, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2095/))

      allocate(vertices(892)%branchR2(0:0))
      call avR2(892, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(553)%branchR2(0:0))
      call avR2(553, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2148/))

      allocate(vertices(2704)%branchR2(0:0))
      call avR2(2704, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1877/))

      allocate(vertices(2700)%branchR2(0:0))
      call avR2(2700, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2048/))

      allocate(vertices(128)%branchR2(0:0))
      call avR2(128, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2162/))

      allocate(vertices(746)%branchR2(0:0))
      call avR2(746, 0, 8, 1, 0, SFFa1, (/0, 3/), (/nGC_1783/))

      allocate(vertices(279)%branchR2(0:0))
      call avR2(279, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2111/))

      allocate(vertices(721)%branchR2(0:0))
      call avR2(721, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(3366)%branchR2(0:0))
      call avR2(3366, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2135/))

      allocate(vertices(3648)%branchR2(0:0))
      call avR2(3648, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2036/))

      allocate(vertices(2523)%branchR2(0:0))
      call avR2(2523, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1455)%branchR2(0:0))
      call avR2(1455, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2103/))

      allocate(vertices(1664)%branchR2(0:0))
      call avR2(1664, 0, 8, 1, 0, FVFa1, (/0, 3/), (/nGC_1742, nGC_1741/))

      allocate(vertices(2253)%branchR2(0:0))
      call avR2(2253, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1905, nGC_1906/))

      allocate(vertices(1245)%branchR2(0:0))
      call avR2(1245, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2163/))

      allocate(vertices(3649)%branchR2(0:1))
      call avR2(3649, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2171/))

      call avR2(3649, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2170/))

      allocate(vertices(366)%branchR2(0:0))
      call avR2(366, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2173/))

      allocate(vertices(1952)%branchR2(0:0))
      call avR2(1952, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(2635)%branchR2(0:0))
      call avR2(2635, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3123)%branchR2(0:0))
      call avR2(3123, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2158/))

      allocate(vertices(495)%branchR2(0:0))
      call avR2(495, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1378)%branchR2(0:1))
      call avR2(1378, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(1378, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(1518)%branchR2(0:0))
      call avR2(1518, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1893, nGC_1894/))

      allocate(vertices(2248)%branchR2(0:0))
      call avR2(2248, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2035/))

      allocate(vertices(983)%branchR2(0:0))
      call avR2(983, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2125/))

      allocate(vertices(7)%branchR2(0:1))
      call avR2(7, 0, 18, 1, 0, FaFV0, (/0, 3/), (/nGC_1972/))

      call avR2(7, 1, 18, 1, 0, FaFV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(2772)%branchR2(0:0))
      call avR2(2772, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2114/))

      allocate(vertices(1843)%branchR2(0:0))
      call avR2(1843, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2119/))

      allocate(vertices(1004)%branchR2(0:0))
      call avR2(1004, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1804/))

      allocate(vertices(3256)%branchR2(0:0))
      call avR2(3256, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2194/))

      allocate(vertices(2678)%branchR2(0:0))
      call avR2(2678, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(2937)%branchR2(0:0))
      call avR2(2937, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2056/))

      allocate(vertices(873)%branchR2(0:0))
      call avR2(873, 0, 8, 1, 0, FSFa0, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(3254)%branchR2(0:0))
      call avR2(3254, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1871)%branchR2(0:0))
      call avR2(1871, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(269)%branchR2(0:1))
      call avR2(269, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1887, nGC_1885/))

      call avR2(269, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1888, nGC_1886/))

      allocate(vertices(3650)%branchR2(0:0))
      call avR2(3650, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(976)%branchR2(0:0))
      call avR2(976, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(365)%branchR2(0:1))
      call avR2(365, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1779, nGC_1777/))

      call avR2(365, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1780, nGC_1778/))

      allocate(vertices(3260)%branchR2(0:0))
      call avR2(3260, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2049/))

      allocate(vertices(193)%branchR2(0:3))
      call avR2(193, 0, 27, 1, 0, FaVF0, (/3, 0/), (/nGC_2003, nGC_2003/))

      call avR2(193, 1, 27, 1, 0, FaVF0, (/1, 2/), (/nGC_2008, nGC_2009/))

      call avR2(193, 2, 26, 1, 0, FaVF0, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(193, 3, 26, 1, 0, FaVF0, (/1, 2/), (/nGC_2010, nGC_2011/))

      allocate(vertices(2354)%branchR2(0:0))
      call avR2(2354, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(134)%branchR2(0:0))
      call avR2(134, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2121/))

      allocate(vertices(426)%branchR2(0:0))
      call avR2(426, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(1452)%branchR2(0:0))
      call avR2(1452, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2051/))

      allocate(vertices(1566)%branchR2(0:1))
      call avR2(1566, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(1566, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(1324)%branchR2(0:0))
      call avR2(1324, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(3474)%branchR2(0:0))
      call avR2(3474, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2151/))

      allocate(vertices(3207)%branchR2(0:0))
      call avR2(3207, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2133/))

      allocate(vertices(25)%branchR2(0:0))
      call avR2(25, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(8)%branchR2(0:0))
      call avR2(8, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(2472)%branchR2(0:0))
      call avR2(2472, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2089/))

      allocate(vertices(1002)%branchR2(0:0))
      call avR2(1002, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1761/))

      allocate(vertices(2317)%branchR2(0:0))
      call avR2(2317, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3651)%branchR2(0:1))
      call avR2(3651, 0, 59, 1, 0, VVVV0, (/2, 2/), (/nGC_2091, nGC_2091,      &
      nGC_2091/))

      call avR2(3651, 1, 60, 1, 0, VVVV0, (/2, 2/), (/nGC_2092, nGC_2092,      &
      nGC_2092/))

      allocate(vertices(468)%branchR2(0:0))
      call avR2(468, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1879/))

      allocate(vertices(2037)%branchR2(0:0))
      call avR2(2037, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2128/))

      allocate(vertices(490)%branchR2(0:0))
      call avR2(490, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(3264)%branchR2(0:0))
      call avR2(3264, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2061/))

      allocate(vertices(1672)%branchR2(0:3))
      call avR2(1672, 0, 30, 1, 0, VFaF1, (/1, 2/), (/nGC_2024, nGC_2025/))

      call avR2(1672, 1, 30, 1, 0, VFaF1, (/3, 0/), (/nGC_2021, nGC_2021/))

      call avR2(1672, 2, 31, 1, 0, VFaF1, (/3, 0/), (/nGC_2018, nGC_2018/))

      call avR2(1672, 3, 31, 1, 0, VFaF1, (/1, 2/), (/nGC_2022, nGC_2023/))

      allocate(vertices(3380)%branchR2(0:0))
      call avR2(3380, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2074/))

      allocate(vertices(1278)%branchR2(0:0))
      call avR2(1278, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1808/))

      allocate(vertices(2527)%branchR2(0:0))
      call avR2(2527, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2131/))

      allocate(vertices(3547)%branchR2(0:0))
      call avR2(3547, 0, 13, 1, 0, FFa1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(1932)%branchR2(0:1))
      call avR2(1932, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1961, nGC_1960/))

      call avR2(1932, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1962, nGC_1962/))

      allocate(vertices(2258)%branchR2(0:0))
      call avR2(2258, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2047/))

      allocate(vertices(1656)%branchR2(0:3))
      call avR2(1656, 0, 11, 1, 0, FFaV1, (/3, 0/), (/nGC_2006, nGC_2006/))

      call avR2(1656, 1, 11, 1, 0, FFaV1, (/1, 2/), (/nGC_2005, nGC_2007/))

      call avR2(1656, 2, 12, 1, 0, FFaV1, (/1, 2/), (/nGC_2002, nGC_2004/))

      call avR2(1656, 3, 12, 1, 0, FFaV1, (/3, 0/), (/nGC_2003, nGC_2003/))

      allocate(vertices(852)%branchR2(0:0))
      call avR2(852, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(1630)%branchR2(0:0))
      call avR2(1630, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2157/))

      allocate(vertices(2622)%branchR2(0:1))
      call avR2(2622, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1871, nGC_1870/))

      call avR2(2622, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1856, nGC_1854/))

      allocate(vertices(3295)%branchR2(0:0))
      call avR2(3295, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(1825)%branchR2(0:0))
      call avR2(1825, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(1954)%branchR2(0:0))
      call avR2(1954, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2129/))

      allocate(vertices(1538)%branchR2(0:0))
      call avR2(1538, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1912/))

      allocate(vertices(3190)%branchR2(0:0))
      call avR2(3190, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(62)%branchR2(0:0))
      call avR2(62, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2203, nGC_2204, nGC_2202&
      /))

      allocate(vertices(2325)%branchR2(0:0))
      call avR2(2325, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1786/))

      allocate(vertices(1508)%branchR2(0:0))
      call avR2(1508, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2040,       &
      nGC_2041/))

      allocate(vertices(3652)%branchR2(0:1))
      call avR2(3652, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2115/))

      call avR2(3652, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(706)%branchR2(0:0))
      call avR2(706, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2153/))

      allocate(vertices(1924)%branchR2(0:0))
      call avR2(1924, 0, 8, 1, 0, FaVF1, (/0, 3/), (/nGC_1975/))

      allocate(vertices(1469)%branchR2(0:0))
      call avR2(1469, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2085/))

      allocate(vertices(3653)%branchR2(0:0))
      call avR2(3653, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2037/))

      allocate(vertices(2546)%branchR2(0:0))
      call avR2(2546, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(58)%branchR2(0:0))
      call avR2(58, 0, 8, 1, 0, FaFS1, (/0, 3/), (/nGC_1929, nGC_1930/))

      allocate(vertices(1431)%branchR2(0:0))
      call avR2(1431, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1935)%branchR2(0:0))
      call avR2(1935, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(385)%branchR2(0:1))
      call avR2(385, 0, 19, 1, 0, FaVF0, (/0, 3/), (/nGC_1985, nGC_1986/))

      call avR2(385, 1, 19, 1, 0, FaVF0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(351)%branchR2(0:0))
      call avR2(351, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(2944)%branchR2(0:0))
      call avR2(2944, 0, 13, 1, 0, FaF1, (/0, 2/), (/nGC_1708/))

      allocate(vertices(1372)%branchR2(0:0))
      call avR2(1372, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2086/))

      allocate(vertices(666)%branchR2(0:1))
      call avR2(666, 0, 19, 1, 0, FaVF1, (/0, 3/), (/nGC_1972/))

      call avR2(666, 1, 19, 1, 0, FaVF1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1128)%branchR2(0:0))
      call avR2(1128, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2136/))

      allocate(vertices(3654)%branchR2(0:1))
      call avR2(3654, 0, 53, 1, 0, SSVV0, (/2, 2/), (/nGC_2116/))

      call avR2(3654, 1, 54, 1, 0, SSVV0, (/2, 2/), (/nGC_2115/))

      allocate(vertices(174)%branchR2(0:0))
      call avR2(174, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2084/))

      allocate(vertices(594)%branchR2(0:1))
      call avR2(594, 0, 21, 1, 0, VFaF0, (/0, 3/), (/nGC_1974/))

      call avR2(594, 1, 21, 1, 0, VFaF0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(3226)%branchR2(0:1))
      call avR2(3226, 0, 16, 1, 0, VV0, (/2, 0/), (/nGC_1706, nGC_1704,        &
      nGC_1705/))

      call avR2(3226, 1, 15, 1, 0, VV0, (/2, 0/), (/nGC_1703, nGC_1701,        &
      nGC_1702/))

      allocate(vertices(1851)%branchR2(0:0))
      call avR2(1851, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(3655)%branchR2(0:1))
      call avR2(3655, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2170/))

      call avR2(3655, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2171/))

      allocate(vertices(322)%branchR2(0:0))
      call avR2(322, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2175/))

      allocate(vertices(3064)%branchR2(0:0))
      call avR2(3064, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(1599)%branchR2(0:0))
      call avR2(1599, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2101/))

      allocate(vertices(3656)%branchR2(0:0))
      call avR2(3656, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2038/))

      allocate(vertices(2277)%branchR2(0:0))
      call avR2(2277, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(464)%branchR2(0:0))
      call avR2(464, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2042, nGC_2041,        &
      nGC_2040/))

      allocate(vertices(2356)%branchR2(0:0))
      call avR2(2356, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(3657)%branchR2(0:0))
      call avR2(3657, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(3658)%branchR2(0:1))
      call avR2(3658, 0, 56, 1, 0, VVVV0, (/2, 2/), (/nGC_2063, nGC_2063,      &
      nGC_2063/))

      call avR2(3658, 1, 55, 1, 0, VVVV0, (/2, 2/), (/nGC_2062, nGC_2062,      &
      nGC_2062/))

      allocate(vertices(3659)%branchR2(0:0))
      call avR2(3659, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2075/))

      allocate(vertices(1454)%branchR2(0:0))
      call avR2(1454, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(915)%branchR2(0:1))
      call avR2(915, 0, 10, 1, 0, FFaV0, (/0, 3/), (/nGC_1972/))

      call avR2(915, 1, 10, 1, 0, FFaV0, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1927)%branchR2(0:0))
      call avR2(1927, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(720)%branchR2(0:0))
      call avR2(720, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1958, nGC_1959/))

      allocate(vertices(1594)%branchR2(0:1))
      call avR2(1594, 0, 20, 1, 0, VFFa1, (/0, 3/), (/nGC_1974/))

      call avR2(1594, 1, 20, 1, 0, VFFa1, (/2, 1/), (/nGC_1973/))

      allocate(vertices(1878)%branchR2(0:0))
      call avR2(1878, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(273)%branchR2(0:1))
      call avR2(273, 0, 19, 1, 0, FaSF0, (/0, 3/), (/nGC_1964, nGC_1963/))

      call avR2(273, 1, 19, 1, 0, FaSF0, (/2, 1/), (/nGC_1965, nGC_1965/))

      allocate(vertices(2093)%branchR2(0:0))
      call avR2(2093, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2052/))

      allocate(vertices(360)%branchR2(0:0))
      call avR2(360, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(1205)%branchR2(0:0))
      call avR2(1205, 0, 8, 1, 0, FFaS1, (/0, 3/), (/nGC_1801/))

      allocate(vertices(1148)%branchR2(0:0))
      call avR2(1148, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2082/))

      allocate(vertices(1709)%branchR2(0:0))
      call avR2(1709, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2070/))

      allocate(vertices(1424)%branchR2(0:0))
      call avR2(1424, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2077, nGC_2076,       &
      nGC_2078/))

      allocate(vertices(1533)%branchR2(0:0))
      call avR2(1533, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2195/))

      allocate(vertices(2951)%branchR2(0:0))
      call avR2(2951, 0, 9, 1, 0, VSSV0, (/0, 4/), (/nGC_2064/))

      allocate(vertices(1596)%branchR2(0:0))
      call avR2(1596, 0, 8, 1, 0, SVV0, (/0, 3/), (/nGC_1768/))

      allocate(vertices(3660)%branchR2(0:1))
      call avR2(3660, 0, 64, 1, 0, VVSS0, (/2, 2/), (/nGC_2115/))

      call avR2(3660, 1, 63, 1, 0, VVSS0, (/2, 2/), (/nGC_2116/))

      allocate(vertices(277)%branchR2(0:0))
      call avR2(277, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2112/))

      allocate(vertices(1070)%branchR2(0:0))
      call avR2(1070, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2146/))

      allocate(vertices(2069)%branchR2(0:0))
      call avR2(2069, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2072/))

      allocate(vertices(1399)%branchR2(0:0))
      call avR2(1399, 0, 8, 1, 0, SSS0, (/0, 3/), (/nGC_1843/))

      allocate(vertices(2883)%branchR2(0:0))
      call avR2(2883, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2050/))

      allocate(vertices(3401)%branchR2(0:0))
      call avR2(3401, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2117/))

      allocate(vertices(2568)%branchR2(0:0))
      call avR2(2568, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2071/))

      allocate(vertices(1273)%branchR2(0:0))
      call avR2(1273, 0, 8, 1, 0, FaSF0, (/0, 3/), (/nGC_1937, nGC_1938/))

      allocate(vertices(177)%branchR2(0:0))
      call avR2(177, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2087/))

      allocate(vertices(2125)%branchR2(0:1))
      call avR2(2125, 0, 10, 1, 0, FFaS0, (/0, 3/), (/nGC_1891, nGC_1889/))

      call avR2(2125, 1, 10, 1, 0, FFaS0, (/2, 1/), (/nGC_1892, nGC_1890/))

      allocate(vertices(230)%branchR2(0:0))
      call avR2(230, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(1885)%branchR2(0:0))
      call avR2(1885, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2098/))

      allocate(vertices(2971)%branchR2(0:1))
      call avR2(2971, 0, 42, 1, 0, FaF2, (/0, 2/), (/nGC_1695, nGC_1692,       &
      nGC_1693, nGC_1693/))

      call avR2(2971, 1, 42, 1, 0, FaF2, (/2, 0/), (/nGC_1687, nGC_1687,       &
      nGC_1694, nGC_1694/))

      allocate(vertices(782)%branchR2(0:0))
      call avR2(782, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2123/))

      allocate(vertices(1365)%branchR2(0:0))
      call avR2(1365, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2181/))

      allocate(vertices(2429)%branchR2(0:0))
      call avR2(2429, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2140/))

      allocate(vertices(3053)%branchR2(0:0))
      call avR2(3053, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1656, nGC_1655/))

      allocate(vertices(1980)%branchR2(0:0))
      call avR2(1980, 0, 8, 1, 0, FaVF0, (/0, 3/), (/nGC_1991, nGC_1990/))

      allocate(vertices(916)%branchR2(0:0))
      call avR2(916, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2118/))

      allocate(vertices(1561)%branchR2(0:0))
      call avR2(1561, 0, 9, 1, 0, VVVV0, (/0, 4/), (/nGC_2209, nGC_2210,       &
      nGC_2210/))

      allocate(vertices(548)%branchR2(0:0))
      call avR2(548, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(2736)%branchR2(0:0))
      call avR2(2736, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2073/))

      allocate(vertices(934)%branchR2(0:0))
      call avR2(934, 0, 9, 1, 0, SVVS0, (/0, 4/), (/nGC_2168/))

      allocate(vertices(2659)%branchR2(0:0))
      call avR2(2659, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2122/))

      allocate(vertices(237)%branchR2(0:0))
      call avR2(237, 0, 8, 1, 0, FaFS0, (/0, 3/), (/nGC_1781/))

      allocate(vertices(3661)%branchR2(0:0))
      call avR2(3661, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2045/))

      allocate(vertices(3180)%branchR2(0:0))
      call avR2(3180, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2191/))

      allocate(vertices(1931)%branchR2(0:0))
      call avR2(1931, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2081/))

      allocate(vertices(796)%branchR2(0:0))
      call avR2(796, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2097/))

      allocate(vertices(234)%branchR2(0:0))
      call avR2(234, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2154/))

      allocate(vertices(154)%branchR2(0:0))
      call avR2(154, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2108/))

      allocate(vertices(479)%branchR2(0:0))
      call avR2(479, 0, 8, 1, 0, SFaF0, (/0, 3/), (/nGC_1824, nGC_1825/))

      allocate(vertices(289)%branchR2(0:0))
      call avR2(289, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2088/))

      allocate(vertices(333)%branchR2(0:0))
      call avR2(333, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2167/))

      allocate(vertices(1475)%branchR2(0:0))
      call avR2(1475, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2094/))

      allocate(vertices(3127)%branchR2(0:0))
      call avR2(3127, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3271/))

      allocate(vertices(2823)%branchR2(0:0))
      call avR2(2823, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1732/))

      allocate(vertices(2889)%branchR2(0:0))
      call avR2(2889, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2134/))

      allocate(vertices(659)%branchR2(0:1))
      call avR2(659, 0, 20, 1, 0, VFFa0, (/0, 3/), (/nGC_1994, nGC_1995/))

      call avR2(659, 1, 20, 1, 0, VFFa0, (/2, 1/), (/nGC_1978, nGC_1980/))

      allocate(vertices(2097)%branchR2(0:0))
      call avR2(2097, 0, 9, 1, 0, SVSV0, (/0, 4/), (/nGC_2059/))

      allocate(vertices(2186)%branchR2(0:0))
      call avR2(2186, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(143)%branchR2(0:1))
      call avR2(143, 0, 17, 1, 0, FSFa0, (/0, 3/), (/nGC_1949, nGC_1948/))

      call avR2(143, 1, 17, 1, 0, FSFa0, (/2, 1/), (/nGC_1950, nGC_1950/))

      allocate(vertices(438)%branchR2(0:0))
      call avR2(438, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(1556)%branchR2(0:0))
      call avR2(1556, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2132/))

      allocate(vertices(3662)%branchR2(0:1))
      call avR2(3662, 0, 56, 1, 0, SVVS0, (/2, 2/), (/nGC_2188/))

      call avR2(3662, 1, 55, 1, 0, SVVS0, (/2, 2/), (/nGC_2187/))

      allocate(vertices(2880)%branchR2(0:0))
      call avR2(2880, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_3272/))

      allocate(vertices(1119)%branchR2(0:0))
      call avR2(1119, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(550)%branchR2(0:1))
      call avR2(550, 0, 10, 1, 0, FFaV1, (/0, 3/), (/nGC_1736, nGC_1737/))

      call avR2(550, 1, 10, 1, 0, FFaV1, (/2, 1/), (/nGC_1738, nGC_1738/))

      allocate(vertices(2735)%branchR2(0:0))
      call avR2(2735, 0, 8, 1, 0, SVS0, (/0, 3/), (/nGC_1717/))

      allocate(vertices(2111)%branchR2(0:0))
      call avR2(2111, 0, 9, 1, 0, SSVV0, (/0, 4/), (/nGC_2066/))

      allocate(vertices(1090)%branchR2(0:0))
      call avR2(1090, 0, 8, 1, 0, VSV0, (/0, 3/), (/nGC_1726/))

      allocate(vertices(3569)%branchR2(0:0))
      call avR2(3569, 0, 8, 1, 0, FFaV0, (/0, 3/), (/nGC_1747/))

      allocate(vertices(126)%branchR2(0:0))
      call avR2(126, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2104/))

      allocate(vertices(629)%branchR2(0:0))
      call avR2(629, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2090/))

      allocate(vertices(1732)%branchR2(0:0))
      call avR2(1732, 0, 9, 1, 0, SSSS0, (/0, 4/), (/nGC_2109/))

      allocate(vertices(1653)%branchR2(0:0))
      call avR2(1653, 0, 9, 1, 0, VVSS0, (/0, 4/), (/nGC_2058/))

      allocate(vertices(2128)%branchR2(0:0))
      call avR2(2128, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2053/))

      allocate(vertices(3663)%branchR2(0:5))
      call avR2(3663, 0, 76, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3663, 1, 73, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3663, 2, 71, 1, 0, VVVV0, (/3, 1/), (/nGC_2105, nGC_2105,      &
      nGC_2105/))

      call avR2(3663, 3, 72, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      call avR2(3663, 4, 75, 1, 0, VVVV0, (/3, 1/), (/nGC_2107, nGC_2107,      &
      nGC_2107/))

      call avR2(3663, 5, 74, 1, 0, VVVV0, (/3, 1/), (/nGC_2106, nGC_2106,      &
      nGC_2106/))

      allocate(vertices(681)%branchR2(0:0))
      call avR2(681, 0, 8, 1, 0, FVFa0, (/0, 3/), (/nGC_1975/))

      allocate(vertices(2754)%branchR2(0:0))
      call avR2(2754, 0, 9, 1, 0, VSVS0, (/0, 4/), (/nGC_2060/))

      allocate(vertices(3311)%branchR2(0:0))
      call avR2(3311, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1670, nGC_1669/))

      allocate(vertices(437)%branchR2(0:0))
      call avR2(437, 0, 8, 1, 0, SFFa0, (/0, 3/), (/nGC_1836, nGC_1837/))

      allocate(vertices(1374)%branchR2(0:1))
      call avR2(1374, 0, 18, 1, 0, FaFS1, (/0, 3/), (/nGC_1872, nGC_1873/))

      call avR2(1374, 1, 18, 1, 0, FaFS1, (/2, 1/), (/nGC_1858, nGC_1860/))

      allocate(vertices(2894)%branchR2(0:0))
      call avR2(2894, 0, 13, 1, 0, SS0, (/0, 2/), (/nGC_1678, nGC_1677/))

    end subroutine fill_vertices_mdl9
end module vertices_info9
